package Number::Phone::IE::Data;

# Should complete list of directory enquiries services
our %special_prefices = map { ($_, 1) } qw(700 818 1511 1512 1513 1514 1515 1516 1517 1518 1520 1530 1540 1550 1559 1560 1570 1580 1590 1800 1801 1808 1850 1890 1891 1892 1893);
our %network_svc_prefices = map { ($_, 1) } qw(10 110 112 114 1191 171 1901 1904 1905 1907 1909 196 198 199 999);
our %free_prefices = map { ($_, 1) } qw(800 1800 1801);
our %adult_prefices = map { ($_, 1) } qw(1559);
our %ip_prefices = map { ($_, 1) } qw(76);
our %mobile_prefices = map { ($_, 1) } qw(83 84 85 86 87);
our %pager_prefices = map { ($_, 1) } qw(821 822);
our %geo_prefices = map { ($_, 1) } qw(1 21 22 23 24 25 26 27 28 29 402 404 41 42 43 44 45 46 47 49 502 504 505 506 509 51 52 53 54 55 56 58 59 61 62 63 64 65 66 67 68 69 71 74 90 91 93 94 95 96 97 98 99);

our %areanames = (
	1, "Dublin",
	21, "Cork",
	22, "Mallow",
	23, "Bandon",
	24, "Youghal",
	25, "Fermoy",
	26, "Macroom",
	27, "Bantry",
	28, "Skibbereen",
	29, "Kanturk",
	402, "Arklow",
	404, "Wicklow",
	41, "Drogheda Ardee",
	42, "Dundalk",
	43, "Longford",
	44, "Mullingar",
	45, "Kildare",
	46, "Navan Edenderry",
	47, "Monaghan",
	49, "Cavan",
	502, "Portlaoise",
	504, "Thurles",
	505, "Roscrea",
	506, "Tullamore",
	509, "Birr",
	51, "Waterford",
	52, "Clonmel",
	53, "Wexford",
	54, "Enniscorthy",
	55, "Gorey",
	56, "Kilkenny",
	58, "Dungarvan",
	59, "Carlow Athy",
	61, "Limerick",
	62, "Tipperary",
	63, "Charleville",
	64, "Killarney",
	65, "Ennis",
	66, "Tralee",
	67, "Nenagh",
	68, "Listowel",
	69, "Newcastle West",
	71, "Sligo Leitrim",
	74, "Co. Donegal",
	76, "VoIP",
	90, "Athlone",
	91, "Galway",
	93, "Tuam",
	94, "Castlebar",
	95, "Clifden",
	96, "Ballina",
	97, "Belmullet",
	98, "Westport",
	99, "Kilronan",

	818, "Universal Access",

	821, "Vodafone Pager",
	822, "Vodafone Pager",
	
	83, "Mob. (Hutchinson 3G)",
	84, "Mob. (Access Telecom)",
	85, "Mob. (Meteor)",
	86, "Mob. (O2)",
	87, "Mob. (Vodafone)",
	88, "Eircell Analogue"
);

our $areaDetail =
{
          '90' => {
                    '6841000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6841999'
                                 },
                    '6665000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6665999'
                                 },
                    '6176000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6176999'
                                 },
                    '6247000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6247999'
                                 },
                    '9861000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9861999'
                                 },
                    '9575000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9575999'
                                 },
                    '6039000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6039999'
                                 },
                    '9937000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9937999'
                                 },
                    '9009000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9009999'
                                 },
                    '9973000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9973999'
                                 },
                    '9138000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9138999'
                                 },
                    '6264000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6264999'
                                 },
                    '6134000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6134999'
                                 },
                    '6506000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6506999'
                                 },
                    '9403000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9403999'
                                 },
                    '6752000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6752999'
                                 },
                    '9289000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9289999'
                                 },
                    '6075000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6075999'
                                 },
                    '6127000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6127999'
                                 },
                    '9877000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9877999'
                                 },
                    '9330000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9330999'
                                 },
                    '6444000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6444999'
                                 },
                    '9110000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9110999'
                                 },
                    '9560000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9560999'
                                 },
                    '6898000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6898999'
                                 },
                    '6000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6000999'
                                 },
                    '6583000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6583999'
                                 },
                    '6109000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6109999'
                                 },
                    '6740000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6740999'
                                 },
                    '6310000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6310999'
                                 },
                    '6300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6300999'
                                 },
                    '6287000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6287999'
                                 },
                    '9479000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9479999'
                                 },
                    '6829000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6829999'
                                 },
                    '6814000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6814999'
                                 },
                    '6947000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6947999'
                                 },
                    '6434000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6434999'
                                 },
                    '6381000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6381999'
                                 },
                    '9286000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9286999'
                                 },
                    '9064000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9064999'
                                 },
                    '6767000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6767999'
                                 },
                    '6222000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6222999'
                                 },
                    '6020000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6020999'
                                 },
                    '9459000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9459999'
                                 },
                    '6822000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6822999'
                                 },
                    '9480000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9480999'
                                 },
                    '9429000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9429999'
                                 },
                    '9021000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9021999'
                                 },
                    '9157000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9157999'
                                 },
                    '6336000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6336999'
                                 },
                    '6540000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6540999'
                                 },
                    '6027000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6027999'
                                 },
                    '6129000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6129999'
                                 },
                    '9553000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9553999'
                                 },
                    '9114000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9114999'
                                 },
                    '6816000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6816999'
                                 },
                    '6874000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6874999'
                                 },
                    '9072000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9072999'
                                 },
                    '9096000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9096999'
                                 },
                    '9473000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9473999'
                                 },
                    '6148000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6148999'
                                 },
                    '6290000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6290999'
                                 },
                    '9554000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9554999'
                                 },
                    '9242000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9242999'
                                 },
                    '6265000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6265999'
                                 },
                    '9391000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9391999'
                                 },
                    '6074000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6074999'
                                 },
                    '9107000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9107999'
                                 },
                    '6459000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6459999'
                                 },
                    '9417000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9417999'
                                 },
                    '9620000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9620999'
                                 },
                    '9578000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9578999'
                                 },
                    '6489000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6489999'
                                 },
                    '9191000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9191999'
                                 },
                    '6747000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6747999'
                                 },
                    '9675000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9675999'
                                 },
                    '9156000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9156999'
                                 },
                    '9018000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9018999'
                                 },
                    '9224000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9224999'
                                 },
                    '9357000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9357999'
                                 },
                    '9087000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9087999'
                                 },
                    '9853000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9853999'
                                 },
                    '6880000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6880999'
                                 },
                    '6327000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6327999'
                                 },
                    '6742000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6742999'
                                 },
                    '6483000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6483999'
                                 },
                    '9464000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9464999'
                                 },
                    '9397000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9397999'
                                 },
                    '6887000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6887999'
                                 },
                    '6766000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6766999'
                                 },
                    '9238000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9238999'
                                 },
                    '9217000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9217999'
                                 },
                    '9494000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9494999'
                                 },
                    '6192000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6192999'
                                 },
                    '6827000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6827999'
                                 },
                    '6799000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6799999'
                                 },
                    '6982000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6982999'
                                 },
                    '9355000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9355999'
                                 },
                    '9192000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9192999'
                                 },
                    '6061000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6061999'
                                 },
                    '6510000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6510999'
                                 },
                    '9091000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9091999'
                                 },
                    '6895000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6895999'
                                 },
                    '6119000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6119999'
                                 },
                    '9322000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9322999'
                                 },
                    '9825000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9825999'
                                 },
                    '9447000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9447999'
                                 },
                    '6762000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6762999'
                                 },
                    '9335000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9335999'
                                 },
                    '6883000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6883999'
                                 },
                    '6397000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6397999'
                                 },
                    '6318000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6318999'
                                 },
                    '6870000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6870999'
                                 },
                    '9385000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9385999'
                                 },
                    '9950000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9950999'
                                 },
                    '9566000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9566999'
                                 },
                    '6849000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6849999'
                                 },
                    '6834000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6834999'
                                 },
                    '6250000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6250999'
                                 },
                    '9920000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9920999'
                                 },
                    '6206000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6206999'
                                 },
                    '6786000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6786999'
                                 },
                    '6793000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6793999'
                                 },
                    '9057000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9057999'
                                 },
                    '9318000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9318999'
                                 },
                    '9024000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9024999'
                                 },
                    '9140000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9140999'
                                 },
                    '6005000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6005999'
                                 },
                    '6770000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6770999'
                                 },
                    '6763000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6763999'
                                 },
                    '6639000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6639999'
                                 },
                    '6359000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6359999'
                                 },
                    '9348000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9348999'
                                 },
                    '6533000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6533999'
                                 },
                    '9948000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9948999'
                                 },
                    '6824000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6824999'
                                 },
                    '6281000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6281999'
                                 },
                    '9390000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9390999'
                                 },
                    '9244000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9244999'
                                 },
                    '9643000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9643999'
                                 },
                    '9201000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9201999'
                                 },
                    '6724000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6724999'
                                 },
                    '6475000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6475999'
                                 },
                    '6083000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6083999'
                                 },
                    '9046000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9046999'
                                 },
                    '9290000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9290999'
                                 },
                    '6478000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6478999'
                                 },
                    '9884000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9884999'
                                 },
                    '9830000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9830999'
                                 },
                    '6243000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6243999'
                                 },
                    '9535000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9535999'
                                 },
                    '6525000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6525999'
                                 },
                    '9906000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9906999'
                                 },
                    '9440000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9440999'
                                 },
                    '9740000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Portumna',
                                   'status' => 'Allocated',
                                   'end' => '9740999'
                                 },
                    '6063000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6063999'
                                 },
                    '6066000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6066999'
                                 },
                    '6868000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6868999'
                                 },
                    '6160000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6160999'
                                 },
                    '9978000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9978999'
                                 },
                    '6636000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6636999'
                                 },
                    '9410000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9410999'
                                 },
                    '6182000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6182999'
                                 },
                    '9302000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9302999'
                                 },
                    '6594000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6594999'
                                 },
                    '6526000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6526999'
                                 },
                    '6331000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6331999'
                                 },
                    '6474000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6474999'
                                 },
                    '6125000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6125999'
                                 },
                    '9820000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9820999'
                                 },
                    '9541000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9541999'
                                 },
                    '6854000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6854999'
                                 },
                    '9168000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9168999'
                                 },
                    '6477000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6477999'
                                 },
                    '6956000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6956999'
                                 },
                    '9334000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9334999'
                                 },
                    '3000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3999999'
                                 },
                    '6485000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6485999'
                                 },
                    '9308000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9308999'
                                 },
                    '8000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8999999'
                                 },
                    '9892000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9892999'
                                 },
                    '9265000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9265999'
                                 },
                    '6811000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6811999'
                                 },
                    '6662000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6662999'
                                 },
                    '6432000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6432999'
                                 },
                    '6280000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6280999'
                                 },
                    '9944000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9944999'
                                 },
                    '6913000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6913999'
                                 },
                    '9361000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9361999'
                                 },
                    '6553000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6553999'
                                 },
                    '6024000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6024999'
                                 },
                    '2000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2999999'
                                 },
                    '9645000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9645999'
                                 },
                    '6227000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6227999'
                                 },
                    '6347000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6347999'
                                 },
                    '9469000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9469999'
                                 },
                    '9593000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9593999'
                                 },
                    '9580000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9580999'
                                 },
                    '9135000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9135999'
                                 },
                    '6284000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6284999'
                                 },
                    '6373000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6373999'
                                 },
                    '6202000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6202999'
                                 },
                    '9345000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9345999'
                                 },
                    '9942000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9942999'
                                 },
                    '9471000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9471999'
                                 },
                    '9222000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9222999'
                                 },
                    '9987000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9987999'
                                 },
                    '6726000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6726999'
                                 },
                    '9886000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9886999'
                                 },
                    '9295000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9295999'
                                 },
                    '6442000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6442999'
                                 },
                    '9587000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9587999'
                                 },
                    '6099000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6099999'
                                 },
                    '9889000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9889999'
                                 },
                    '9516000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9516999'
                                 },
                    '9010000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9010999'
                                 },
                    '6303000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6303999'
                                 },
                    '9561000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9561999'
                                 },
                    '9185000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9185999'
                                 },
                    '6370000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6370999'
                                 },
                    '9856000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9856999'
                                 },
                    '9837000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9837999'
                                 },
                    '9279000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9279999'
                                 },
                    '6007000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6007999'
                                 },
                    '9968000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9968999'
                                 },
                    '9352000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9352999'
                                 },
                    '6802000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6802999'
                                 },
                    '9312000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9312999'
                                 },
                    '9517000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9517999'
                                 },
                    '9634000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9634999'
                                 },
                    '9539000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9539999'
                                 },
                    '6253000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6253999'
                                 },
                    '6447000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6447999'
                                 },
                    '9043000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9043999'
                                 },
                    '9343000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9343999'
                                 },
                    '6504000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6504999'
                                 },
                    '6031000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6031999'
                                 },
                    '6453000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6453999'
                                 },
                    '6329000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6329999'
                                 },
                    '9678000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9678999'
                                 },
                    '9178000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9178999'
                                 },
                    '9143000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9143999'
                                 },
                    '6878000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6878999'
                                 },
                    '6256000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6256999'
                                 },
                    '6054000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6054999'
                                 },
                    '9420000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9420999'
                                 },
                    '6180000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6180999'
                                 },
                    '9155000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9155999'
                                 },
                    '6911000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6911999'
                                 },
                    '6279000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6279999'
                                 },
                    '6169000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6169999'
                                 },
                    '6324000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6324999'
                                 },
                    '9263000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9263999'
                                 },
                    '9083000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9083999'
                                 },
                    '6910000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6910999'
                                 },
                    '9181000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9181999'
                                 },
                    '6539000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6539999'
                                 },
                    '9628000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9628999'
                                 },
                    '6448000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6448999'
                                 },
                    '6053000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6053999'
                                 },
                    '9993000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9993999'
                                 },
                    '6292000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6292999'
                                 },
                    '9004000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9004999'
                                 },
                    '6917000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6917999'
                                 },
                    '6211000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6211999'
                                 },
                    '9686000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9686999'
                                 },
                    '6889000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6889999'
                                 },
                    '9540000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9540999'
                                 },
                    '9017000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9017999'
                                 },
                    '6156000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6156999'
                                 },
                    '9923000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9923999'
                                 },
                    '6218000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6218999'
                                 },
                    '6536000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6536999'
                                 },
                    '9592000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9592999'
                                 },
                    '9455000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9455999'
                                 },
                    '6339000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6339999'
                                 },
                    '9757000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Portumna',
                                   'status' => 'Allocated',
                                   'end' => '9757999'
                                 },
                    '6043000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6043999'
                                 },
                    '6902000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6902999'
                                 },
                    '6768000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6768999'
                                 },
                    '9406000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9406999'
                                 },
                    '6634000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6634999'
                                 },
                    '9134000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9134999'
                                 },
                    '6851000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6851999'
                                 },
                    '6435000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6435999'
                                 },
                    '6390000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6390999'
                                 },
                    '9507000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9507999'
                                 },
                    '9483000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9483999'
                                 },
                    '6828000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6828999'
                                 },
                    '9454000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9454999'
                                 },
                    '6385000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6385999'
                                 },
                    '9563000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9563999'
                                 },
                    '9502000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9502999'
                                 },
                    '9188000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9188999'
                                 },
                    '9027000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9027999'
                                 },
                    '6113000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6113999'
                                 },
                    '9538000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9538999'
                                 },
                    '9932000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9932999'
                                 },
                    '6750000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6750999'
                                 },
                    '6579000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6579999'
                                 },
                    '9683000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9683999'
                                 },
                    '6297000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6297999'
                                 },
                    '6203000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6203999'
                                 },
                    '9525000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9525999'
                                 },
                    '6044000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6044999'
                                 },
                    '9266000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9266999'
                                 },
                    '6812000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6812999'
                                 },
                    '9912000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9912999'
                                 },
                    '9551000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9551999'
                                 },
                    '6957000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6957999'
                                 },
                    '9866000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9866999'
                                 },
                    '9430000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9430999'
                                 },
                    '9022000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9022999'
                                 },
                    '9340000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9340999'
                                 },
                    '9227000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9227999'
                                 },
                    '6514000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6514999'
                                 },
                    '6234000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6234999'
                                 },
                    '9996000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9996999'
                                 },
                    '9928000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9928999'
                                 },
                    '9474000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9474999'
                                 },
                    '6387000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6387999'
                                 },
                    '6207000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6207999'
                                 },
                    '6592000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6592999'
                                 },
                    '9979000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9979999'
                                 },
                    '6394000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6394999'
                                 },
                    '6072000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6072999'
                                 },
                    '9478000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9478999'
                                 },
                    '6928000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6928999'
                                 },
                    '6820000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6820999'
                                 },
                    '6638000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6638999'
                                 },
                    '9273000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9273999'
                                 },
                    '6205000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6205999'
                                 },
                    '6953000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6953999'
                                 },
                    '9816000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9816999'
                                 },
                    '9315000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9315999'
                                 },
                    '6530000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6530999'
                                 },
                    '9126000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9126999'
                                 },
                    '9915000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9915999'
                                 },
                    '6498000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6498999'
                                 },
                    '6363000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6363999'
                                 },
                    '9840000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9840999'
                                 },
                    '9741000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Portumna',
                                   'status' => 'Allocated',
                                   'end' => '9741999'
                                 },
                    '9078000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9078999'
                                 },
                    '6972000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6972999'
                                 },
                    '9907000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9907999'
                                 },
                    '6139000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6139999'
                                 },
                    '9827000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9827999'
                                 },
                    '9383000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9383999'
                                 },
                    '6361000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6361999'
                                 },
                    '6236000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6236999'
                                 },
                    '6547000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6547999'
                                 },
                    '6277000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6277999'
                                 },
                    '6042000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6042999'
                                 },
                    '9131000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9131999'
                                 },
                    '6853000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6853999'
                                 },
                    '6268000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6268999'
                                 },
                    '9913000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9913999'
                                 },
                    '6146000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6146999'
                                 },
                    '9353000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9353999'
                                 },
                    '6904000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6904999'
                                 },
                    '6372000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6372999'
                                 },
                    '9187000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9187999'
                                 },
                    '6018000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6018999'
                                 },
                    '6857000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6857999'
                                 },
                    '9445000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9445999'
                                 },
                    '6899000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6899999'
                                 },
                    '6495000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6495999'
                                 },
                    '9235000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9235999'
                                 },
                    '6440000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6440999'
                                 },
                    '6456000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6456999'
                                 },
                    '9758000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Portumna',
                                   'status' => 'Allocated',
                                   'end' => '9758999'
                                 },
                    '6317000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6317999'
                                 },
                    '6926000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6926999'
                                 },
                    '9503000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9503999'
                                 },
                    '9998000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9998999'
                                 },
                    '9743000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Portumna',
                                   'status' => 'Allocated',
                                   'end' => '9743999'
                                 },
                    '6769000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6769999'
                                 },
                    '9218000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9218999'
                                 },
                    '6863000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6863999'
                                 },
                    '6570000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6570999'
                                 },
                    '9176000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9176999'
                                 },
                    '6788000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6788999'
                                 },
                    '6029000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6029999'
                                 },
                    '6996000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6996999'
                                 },
                    '6946000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6946999'
                                 },
                    '9556000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9556999'
                                 },
                    '6212000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6212999'
                                 },
                    '9962000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9962999'
                                 },
                    '6873000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6873999'
                                 },
                    '6739000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6739999'
                                 },
                    '6358000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6358999'
                                 },
                    '9363000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9363999'
                                 },
                    '6661000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6661999'
                                 },
                    '6541000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6541999'
                                 },
                    '9280000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9280999'
                                 },
                    '6166000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6166999'
                                 },
                    '6855000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6855999'
                                 },
                    '6174000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6174999'
                                 },
                    '6052000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6052999'
                                 },
                    '6047000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6047999'
                                 },
                    '9484000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9484999'
                                 },
                    '9344000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9344999'
                                 },
                    '9972000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9972999'
                                 },
                    '6912000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6912999'
                                 },
                    '6808000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6808999'
                                 },
                    '9465000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9465999'
                                 },
                    '6990000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6990999'
                                 },
                    '9880000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9880999'
                                 },
                    '9986000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9986999'
                                 },
                    '6760000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6760999'
                                 },
                    '9260000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9260999'
                                 },
                    '6097000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6097999'
                                 },
                    '6376000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6376999'
                                 },
                    '6210000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6210999'
                                 },
                    '9395000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9395999'
                                 },
                    '9199000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9199999'
                                 },
                    '6295000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6295999'
                                 },
                    '6102000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6102999'
                                 },
                    '9526000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9526999'
                                 },
                    '6840000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6840999'
                                 },
                    '6155000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6155999'
                                 },
                    '9013000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9013999'
                                 },
                    '9063000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9063999'
                                 },
                    '6637000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6637999'
                                 },
                    '9845000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9845999'
                                 },
                    '6070000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6070999'
                                 },
                    '6701000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6701999'
                                 },
                    '6095000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6095999'
                                 },
                    '9952000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9952999'
                                 },
                    '9759000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Portumna',
                                   'status' => 'Allocated',
                                   'end' => '9759999'
                                 },
                    '6059000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6059999'
                                 },
                    '9068000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9068999'
                                 },
                    '6906000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6906999'
                                 },
                    '9597000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9597999'
                                 },
                    '9824000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9824999'
                                 },
                    '6949000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6949999'
                                 },
                    '9240000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9240999'
                                 },
                    '9745000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Portumna',
                                   'status' => 'Allocated',
                                   'end' => '9745999'
                                 },
                    '6630000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6630999'
                                 },
                    '6501000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6501999'
                                 },
                    '9871000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9871999'
                                 },
                    '9023000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9023999'
                                 },
                    '6079000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6079999'
                                 },
                    '6226000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6226999'
                                 },
                    '9205000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9205999'
                                 },
                    '9424000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9424999'
                                 },
                    '9035000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9035999'
                                 },
                    '6528000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6528999'
                                 },
                    '9433000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9433999'
                                 },
                    '6805000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6805999'
                                 },
                    '6269000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6269999'
                                 },
                    '6862000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6862999'
                                 },
                    '6130000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6130999'
                                 },
                    '6016000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6016999'
                                 },
                    '6114000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6114999'
                                 },
                    '6320000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6320999'
                                 },
                    '6110000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6110999'
                                 },
                    '9901000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9901999'
                                 },
                    '6147000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6147999'
                                 },
                    '6106000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6106999'
                                 },
                    '6869000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6869999'
                                 },
                    '6086000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6086999'
                                 },
                    '6631000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6631999'
                                 },
                    '6965000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6965999'
                                 },
                    '6803000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6803999'
                                 },
                    '6030000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6030999'
                                 },
                    '6729000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6729999'
                                 },
                    '6587000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6587999'
                                 },
                    '6036000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6036999'
                                 },
                    '6223000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6223999'
                                 },
                    '9101000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9101999'
                                 },
                    '6025000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6025999'
                                 },
                    '6261000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6261999'
                                 },
                    '6328000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6328999'
                                 },
                    '9818000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9818999'
                                 },
                    '6859000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6859999'
                                 },
                    '6055000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6055999'
                                 },
                    '6375000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6375999'
                                 },
                    '9120000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9120999'
                                 },
                    '6922000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6922999'
                                 },
                    '6738000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6738999'
                                 },
                    '9351000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9351999'
                                 },
                    '9918000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9918999'
                                 },
                    '9508000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9508999'
                                 },
                    '9211000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9211999'
                                 },
                    '9382000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9382999'
                                 },
                    '6979000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6979999'
                                 },
                    '6144000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6144999'
                                 },
                    '9398000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9398999'
                                 },
                    '9435000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9435999'
                                 },
                    '9202000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9202999'
                                 },
                    '6294000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6294999'
                                 },
                    '9527000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9527999'
                                 },
                    '6482000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6482999'
                                 },
                    '6962000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6962999'
                                 },
                    '9989000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9989999'
                                 },
                    '9510000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9510999'
                                 },
                    '6123000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6123999'
                                 },
                    '9917000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9917999'
                                 },
                    '6107000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6107999'
                                 },
                    '9873000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9873999'
                                 },
                    '6081000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6081999'
                                 },
                    '9589000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9589999'
                                 },
                    '6836000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6836999'
                                 },
                    '6257000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6257999'
                                 },
                    '9058000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9058999'
                                 },
                    '6177000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6177999'
                                 },
                    '6196000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6196999'
                                 },
                    '6876000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6876999'
                                 },
                    '6778000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6778999'
                                 },
                    '9432000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9432999'
                                 },
                    '9425000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9425999'
                                 },
                    '6058000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6058999'
                                 },
                    '9125000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9125999'
                                 },
                    '9852000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9852999'
                                 },
                    '9070000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9070999'
                                 },
                    '6872000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6872999'
                                 },
                    '9145000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9145999'
                                 },
                    '9051000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9051999'
                                 },
                    '9246000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9246999'
                                 },
                    '6220000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6220999'
                                 },
                    '9749000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Portumna',
                                   'status' => 'Allocated',
                                   'end' => '9749999'
                                 },
                    '6985000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6985999'
                                 },
                    '9596000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9596999'
                                 },
                    '6885000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6885999'
                                 },
                    '9936000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9936999'
                                 },
                    '9513000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9513999'
                                 },
                    '6891000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6891999'
                                 },
                    '6924000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6924999'
                                 },
                    '9501000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9501999'
                                 },
                    '9514000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9514999'
                                 },
                    '9212000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9212999'
                                 },
                    '6596000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6596999'
                                 },
                    '6565000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6565999'
                                 },
                    '9448000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9448999'
                                 },
                    '6455000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6455999'
                                 },
                    '6426000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6426999'
                                 },
                    '6050000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6050999'
                                 },
                    '9164000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9164999'
                                 },
                    '6224000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6224999'
                                 },
                    '9859000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9859999'
                                 },
                    '6285000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6285999'
                                 },
                    '9995000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9995999'
                                 },
                    '6727000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6727999'
                                 },
                    '9595000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9595999'
                                 },
                    '9025000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9025999'
                                 },
                    '6745000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6745999'
                                 },
                    '9742000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Portumna',
                                   'status' => 'Allocated',
                                   'end' => '9742999'
                                 },
                    '6993000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6993999'
                                 },
                    '6425000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6425999'
                                 },
                    '9982000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9982999'
                                 },
                    '9985000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9985999'
                                 },
                    '6598000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6598999'
                                 },
                    '9287000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9287999'
                                 },
                    '6484000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6484999'
                                 },
                    '6248000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6248999'
                                 },
                    '9100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9100999'
                                 },
                    '6242000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6242999'
                                 },
                    '9239000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9239999'
                                 },
                    '6931000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6931999'
                                 },
                    '9938000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9938999'
                                 },
                    '9048000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9048999'
                                 },
                    '6538000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6538999'
                                 },
                    '6757000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6757999'
                                 },
                    '9444000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9444999'
                                 },
                    '6800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6800999'
                                 },
                    '6179000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6179999'
                                 },
                    '6378000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6378999'
                                 },
                    '6149000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6149999'
                                 },
                    '6430000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6430999'
                                 },
                    '9813000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9813999'
                                 },
                    '9162000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9162999'
                                 },
                    '6035000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6035999'
                                 },
                    '9031000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9031999'
                                 },
                    '6338000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6338999'
                                 },
                    '6578000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6578999'
                                 },
                    '9180000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9180999'
                                 },
                    '6492000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6492999'
                                 },
                    '9623000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9623999'
                                 },
                    '6566000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6566999'
                                 },
                    '9621000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9621999'
                                 },
                    '9336000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9336999'
                                 },
                    '6351000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6351999'
                                 },
                    '6157000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6157999'
                                 },
                    '6531000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6531999'
                                 },
                    '9337000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9337999'
                                 },
                    '9065000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9065999'
                                 },
                    '9416000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9416999'
                                 },
                    '9241000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9241999'
                                 },
                    '6436000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6436999'
                                 },
                    '6271000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6271999'
                                 },
                    '9573000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9573999'
                                 },
                    '9821000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9821999'
                                 },
                    '9305000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9305999'
                                 },
                    '9109000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9109999'
                                 },
                    '9971000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9971999'
                                 },
                    '9032000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9032999'
                                 },
                    '6725000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6725999'
                                 },
                    '6041000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6041999'
                                 },
                    '6717000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6717999'
                                 },
                    '9419000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9419999'
                                 },
                    '6660000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6660999'
                                 },
                    '6298000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6298999'
                                 },
                    '9206000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9206999'
                                 },
                    '9537000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9537999'
                                 },
                    '9001000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9001999'
                                 },
                    '6521000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6521999'
                                 },
                    '6184000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6184999'
                                 },
                    '6930000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6930999'
                                 },
                    '9103000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9103999'
                                 },
                    '9472000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9472999'
                                 },
                    '6796000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6796999'
                                 },
                    '9999000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9999999'
                                 },
                    '9633000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9633999'
                                 },
                    '6635000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6635999'
                                 },
                    '9591000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9591999'
                                 },
                    '6952000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6952999'
                                 },
                    '9599000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9599999'
                                 },
                    '9366000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9366999'
                                 },
                    '9324000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9324999'
                                 },
                    '9307000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9307999'
                                 },
                    '9409000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9409999'
                                 },
                    '9061000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9061999'
                                 },
                    '6330000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6330999'
                                 },
                    '9297000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9297999'
                                 },
                    '6244000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6244999'
                                 },
                    '9328000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9328999'
                                 },
                    '9804000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9804999'
                                 },
                    '6838000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6838999'
                                 },
                    '9489000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9489999'
                                 },
                    '6392000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6392999'
                                 },
                    '9368000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9368999'
                                 },
                    '9373000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9373999'
                                 },
                    '6961000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6961999'
                                 },
                    '6090000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6090999'
                                 },
                    '6476000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6476999'
                                 },
                    '9161000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9161999'
                                 },
                    '6051000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6051999'
                                 },
                    '6537000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6537999'
                                 },
                    '6026000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6026999'
                                 },
                    '9933000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9933999'
                                 },
                    '9806000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9806999'
                                 },
                    '6516000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6516999'
                                 },
                    '6429000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6429999'
                                 },
                    '9438000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9438999'
                                 },
                    '6991000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6991999'
                                 },
                    '9925000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9925999'
                                 },
                    '6804000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6804999'
                                 },
                    '6722000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6722999'
                                 },
                    '6785000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6785999'
                                 },
                    '6326000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6326999'
                                 },
                    '6282000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6282999'
                                 },
                    '9347000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9347999'
                                 },
                    '6986000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6986999'
                                 },
                    '9970000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9970999'
                                 },
                    '9534000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9534999'
                                 },
                    '6992000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6992999'
                                 },
                    '6159000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6159999'
                                 },
                    '6879000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6879999'
                                 },
                    '6512000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6512999'
                                 },
                    '6238000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6238999'
                                 },
                    '6008000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6008999'
                                 },
                    '9927000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9927999'
                                 },
                    '6164000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6164999'
                                 },
                    '6783000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6783999'
                                 },
                    '6240000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6240999'
                                 },
                    '9935000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9935999'
                                 },
                    '9111000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9111999'
                                 },
                    '9132000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9132999'
                                 },
                    '6085000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6085999'
                                 },
                    '6944000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6944999'
                                 },
                    '6735000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6735999'
                                 },
                    '6170000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6170999'
                                 },
                    '6861000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6861999'
                                 },
                    '9128000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9128999'
                                 },
                    '9904000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9904999'
                                 },
                    '9166000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9166999'
                                 },
                    '6382000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6382999'
                                 },
                    '9828000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9828999'
                                 },
                    '9173000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9173999'
                                 },
                    '6950000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6950999'
                                 },
                    '9362000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9362999'
                                 },
                    '6705000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6705999'
                                 },
                    '6241000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6241999'
                                 },
                    '9255000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9255999'
                                 },
                    '6967000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6967999'
                                 },
                    '6189000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6189999'
                                 },
                    '6999000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6999999'
                                 },
                    '9834000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9834999'
                                 },
                    '9378000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9378999'
                                 },
                    '9905000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9905999'
                                 },
                    '6916000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6916999'
                                 },
                    '9167000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9167999'
                                 },
                    '9003000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9003999'
                                 },
                    '6620000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6620999'
                                 },
                    '9940000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9940999'
                                 },
                    '9688000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9688999'
                                 },
                    '9200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9200999'
                                 },
                    '9450000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9450999'
                                 },
                    '9113000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9113999'
                                 },
                    '6935000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6935999'
                                 },
                    '9822000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9822999'
                                 },
                    '9370000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9370999'
                                 },
                    '6103000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6103999'
                                 },
                    '9427000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9427999'
                                 },
                    '6091000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6091999'
                                 },
                    '6807000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6807999'
                                 },
                    '6380000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6380999'
                                 },
                    '9216000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9216999'
                                 },
                    '6632000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6632999'
                                 },
                    '6334000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6334999'
                                 },
                    '6367000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6367999'
                                 },
                    '6505000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6505999'
                                 },
                    '9045000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9045999'
                                 },
                    '9511000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9511999'
                                 },
                    '9456000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9456999'
                                 },
                    '6286000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6286999'
                                 },
                    '6978000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6978999'
                                 },
                    '6871000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6871999'
                                 },
                    '9285000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9285999'
                                 },
                    '9184000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9184999'
                                 },
                    '6389000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6389999'
                                 },
                    '6396000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6396999'
                                 },
                    '9339000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9339999'
                                 },
                    '9299000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9299999'
                                 },
                    '9169000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9169999'
                                 },
                    '9090000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9090999'
                                 },
                    '6105000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6105999'
                                 },
                    '9377000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9377999'
                                 },
                    '9437000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9437999'
                                 },
                    '6779000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6779999'
                                 },
                    '9016000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9016999'
                                 },
                    '6534000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6534999'
                                 },
                    '9959000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9959999'
                                 },
                    '9865000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9865999'
                                 },
                    '9342000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9342999'
                                 },
                    '9158000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9158999'
                                 },
                    '9012000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9012999'
                                 },
                    '6939000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6939999'
                                 },
                    '9490000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9490999'
                                 },
                    '9268000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9268999'
                                 },
                    '6305000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6305999'
                                 },
                    '6335000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6335999'
                                 },
                    '9677000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9677999'
                                 },
                    '9274000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9274999'
                                 },
                    '6903000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6903999'
                                 },
                    '6780000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6780999'
                                 },
                    '9897000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9897999'
                                 },
                    '6973000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6973999'
                                 },
                    '6576000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6576999'
                                 },
                    '9864000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9864999'
                                 },
                    '6270000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6270999'
                                 },
                    '6480000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6480999'
                                 },
                    '9105000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9105999'
                                 },
                    '6590000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6590999'
                                 },
                    '6100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6100999'
                                 },
                    '9903000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9903999'
                                 },
                    '6664000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6664999'
                                 },
                    '9997000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9997999'
                                 },
                    '6938000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6938999'
                                 },
                    '9488000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9488999'
                                 },
                    '9529000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9529999'
                                 },
                    '9015000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9015999'
                                 },
                    '9139000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9139999'
                                 },
                    '9801000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9801999'
                                 },
                    '6098000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6098999'
                                 },
                    '6998000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6998999'
                                 },
                    '9885000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9885999'
                                 },
                    '6158000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6158999'
                                 },
                    '9594000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9594999'
                                 },
                    '6743000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6743999'
                                 },
                    '6927000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6927999'
                                 },
                    '6633000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6633999'
                                 },
                    '6150000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6150999'
                                 },
                    '9411000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9411999'
                                 },
                    '9050000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9050999'
                                 },
                    '6356000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6356999'
                                 },
                    '6185000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6185999'
                                 },
                    '9520000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9520999'
                                 },
                    '6082000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6082999'
                                 },
                    '9119000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9119999'
                                 },
                    '9673000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9673999'
                                 },
                    '9067000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9067999'
                                 },
                    '6918000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6918999'
                                 },
                    '6161000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6161999'
                                 },
                    '9839000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9839999'
                                 },
                    '9415000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9415999'
                                 },
                    '6104000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6104999'
                                 },
                    '6958000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6958999'
                                 },
                    '6771000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6771999'
                                 },
                    '6004000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6004999'
                                 },
                    '9451000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9451999'
                                 },
                    '9524000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9524999'
                                 },
                    '9102000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9102999'
                                 },
                    '6062000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6062999'
                                 },
                    '9228000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9228999'
                                 },
                    '9883000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9883999'
                                 },
                    '9523000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9523999'
                                 },
                    '9966000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9966999'
                                 },
                    '9481000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9481999'
                                 },
                    '6955000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6955999'
                                 },
                    '9243000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9243999'
                                 },
                    '6801000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6801999'
                                 },
                    '9961000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9961999'
                                 },
                    '6133000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6133999'
                                 },
                    '9588000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9588999'
                                 },
                    '6003000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6003999'
                                 },
                    '9250000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9250999'
                                 },
                    '6190000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6190999'
                                 },
                    '9549000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9549999'
                                 },
                    '6473000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6473999'
                                 },
                    '6037000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6037999'
                                 },
                    '6782000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6782999'
                                 },
                    '9983000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9983999'
                                 },
                    '6721000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6721999'
                                 },
                    '6929000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6929999'
                                 },
                    '6002000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6002999'
                                 },
                    '9446000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9446999'
                                 },
                    '6532000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6532999'
                                 },
                    '9272000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9272999'
                                 },
                    '9146000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9146999'
                                 },
                    '9388000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9388999'
                                 },
                    '6064000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6064999'
                                 },
                    '6368000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6368999'
                                 },
                    '6987000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6987999'
                                 },
                    '9960000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9960999'
                                 },
                    '9994000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9994999'
                                 },
                    '6341000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6341999'
                                 },
                    '6395000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6395999'
                                 },
                    '9360000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9360999'
                                 },
                    '9867000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9867999'
                                 },
                    '6443000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6443999'
                                 },
                    '9062000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9062999'
                                 },
                    '6171000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6171999'
                                 },
                    '6126000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6126999'
                                 },
                    '9219000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9219999'
                                 },
                    '6315000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6315999'
                                 },
                    '6784000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6784999'
                                 },
                    '6666000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6666999'
                                 },
                    '9811000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9811999'
                                 },
                    '9104000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9104999'
                                 },
                    '6716000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6716999'
                                 },
                    '9389000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9389999'
                                 },
                    '9190000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9190999'
                                 },
                    '6038000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6038999'
                                 },
                    '9945000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9945999'
                                 },
                    '6232000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6232999'
                                 },
                    '6273000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6273999'
                                 },
                    '9967000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9967999'
                                 },
                    '9546000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9546999'
                                 },
                    '9375000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9375999'
                                 },
                    '6289000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6289999'
                                 },
                    '9457000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9457999'
                                 },
                    '9394000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9394999'
                                 },
                    '6971000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6971999'
                                 },
                    '6756000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6756999'
                                 },
                    '6599000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6599999'
                                 },
                    '6221000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6221999'
                                 },
                    '6746000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6746999'
                                 },
                    '6968000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6968999'
                                 },
                    '6914000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6914999'
                                 },
                    '6117000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6117999'
                                 },
                    '6275000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6275999'
                                 },
                    '9236000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9236999'
                                 },
                    '6835000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6835999'
                                 },
                    '6832000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6832999'
                                 },
                    '9598000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9598999'
                                 },
                    '6121000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6121999'
                                 },
                    '6714000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6714999'
                                 },
                    '6208000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6208999'
                                 },
                    '6214000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6214999'
                                 },
                    '9568000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9568999'
                                 },
                    '6237000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6237999'
                                 },
                    '9039000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9039999'
                                 },
                    '6048000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6048999'
                                 },
                    '9123000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9123999'
                                 },
                    '9644000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9644999'
                                 },
                    '9130000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9130999'
                                 },
                    '6357000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6357999'
                                 },
                    '9245000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9245999'
                                 },
                    '6314000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6314999'
                                 },
                    '9470000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9470999'
                                 },
                    '9418000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9418999'
                                 },
                    '6118000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6118999'
                                 },
                    '6068000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6068999'
                                 },
                    '9194000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9194999'
                                 },
                    '9898000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9898999'
                                 },
                    '9684000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9684999'
                                 },
                    '9052000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9052999'
                                 },
                    '9922000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9922999'
                                 },
                    '6360000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6360999'
                                 },
                    '9281000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9281999'
                                 },
                    '9854000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9854999'
                                 },
                    '6471000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6471999'
                                 },
                    '9894000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9894999'
                                 },
                    '9237000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9237999'
                                 },
                    '9509000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9509999'
                                 },
                    '9992000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9992999'
                                 },
                    '6311000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6311999'
                                 },
                    '6377000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6377999'
                                 },
                    '6446000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6446999'
                                 },
                    '9964000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9964999'
                                 },
                    '9642000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9642999'
                                 },
                    '6181000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6181999'
                                 },
                    '9198000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9198999'
                                 },
                    '6936000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6936999'
                                 },
                    '9443000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9443999'
                                 },
                    '6622000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6622999'
                                 },
                    '9341000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9341999'
                                 },
                    '9646000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9646999'
                                 },
                    '9350000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9350999'
                                 },
                    '9577000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9577999'
                                 },
                    '6748000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6748999'
                                 },
                    '9122000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9122999'
                                 },
                    '6488000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6488999'
                                 },
                    '9127000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9127999'
                                 },
                    '9196000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9196999'
                                 },
                    '9177000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9177999'
                                 },
                    '6776000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6776999'
                                 },
                    '6858000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6858999'
                                 },
                    '6915000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6915999'
                                 },
                    '6111000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6111999'
                                 },
                    '6252000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6252999'
                                 },
                    '6556000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6556999'
                                 },
                    '9115000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9115999'
                                 },
                    '6322000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6322999'
                                 },
                    '6421000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6421999'
                                 },
                    '9037000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9037999'
                                 },
                    '6364000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6364999'
                                 },
                    '6558000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6558999'
                                 },
                    '9275000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9275999'
                                 },
                    '6989000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6989999'
                                 },
                    '6194000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6194999'
                                 },
                    '9089000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9089999'
                                 },
                    '9231000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9231999'
                                 },
                    '9744000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Portumna',
                                   'status' => 'Allocated',
                                   'end' => '9744999'
                                 },
                    '9812000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9812999'
                                 },
                    '9321000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9321999'
                                 },
                    '6151000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6151999'
                                 },
                    '9223000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9223999'
                                 },
                    '9571000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9571999'
                                 },
                    '9147000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9147999'
                                 },
                    '9492000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9492999'
                                 },
                    '9117000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9117999'
                                 },
                    '9858000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9858999'
                                 },
                    '9981000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9981999'
                                 },
                    '6881000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6881999'
                                 },
                    '6197000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6197999'
                                 },
                    '9038000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9038999'
                                 },
                    '9404000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9404999'
                                 },
                    '9174000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9174999'
                                 },
                    '9941000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9941999'
                                 },
                    '9323000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9323999'
                                 },
                    '9204000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9204999'
                                 },
                    '6049000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6049999'
                                 },
                    '9153000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9153999'
                                 },
                    '6017000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6017999'
                                 },
                    '9049000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9049999'
                                 },
                    '6720000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6720999'
                                 },
                    '6823000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6823999'
                                 },
                    '9955000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9955999'
                                 },
                    '6550000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6550999'
                                 },
                    '9088000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9088999'
                                 },
                    '6700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6700999'
                                 },
                    '6792000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6792999'
                                 },
                    '6753000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6753999'
                                 },
                    '9014000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9014999'
                                 },
                    '9053000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9053999'
                                 },
                    '9453000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9453999'
                                 },
                    '9121000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9121999'
                                 },
                    '9005000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9005999'
                                 },
                    '9463000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9463999'
                                 },
                    '9528000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9528999'
                                 },
                    '6976000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6976999'
                                 },
                    '9495000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9495999'
                                 },
                    '9303000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9303999'
                                 },
                    '9098000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9098999'
                                 },
                    '9092000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9092999'
                                 },
                    '6272000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6272999'
                                 },
                    '9875000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9875999'
                                 },
                    '6293000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6293999'
                                 },
                    '9047000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9047999'
                                 },
                    '9939000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9939999'
                                 },
                    '9112000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9112999'
                                 },
                    '6022000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6022999'
                                 },
                    '6344000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6344999'
                                 },
                    '6907000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6907999'
                                 },
                    '9327000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9327999'
                                 },
                    '6084000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6084999'
                                 },
                    '6393000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6393999'
                                 },
                    '6595000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6595999'
                                 },
                    '6015000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6015999'
                                 },
                    '9154000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9154999'
                                 },
                    '6571000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6571999'
                                 },
                    '6187000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6187999'
                                 },
                    '6577000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6577999'
                                 },
                    '6427000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6427999'
                                 },
                    '9914000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9914999'
                                 },
                    '9518000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9518999'
                                 },
                    '9264000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9264999'
                                 },
                    '6711000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6711999'
                                 },
                    '9911000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9911999'
                                 },
                    '6267000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6267999'
                                 },
                    '6994000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6994999'
                                 },
                    '9144000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9144999'
                                 },
                    '6262000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6262999'
                                 },
                    '6737000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6737999'
                                 },
                    '6758000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6758999'
                                 },
                    '6057000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6057999'
                                 },
                    '6274000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6274999'
                                 },
                    '6365000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6365999'
                                 },
                    '6088000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6088999'
                                 },
                    '9504000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9504999'
                                 },
                    '6787000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6787999'
                                 },
                    '9819000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9819999'
                                 },
                    '6919000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6919999'
                                 },
                    '9400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9400999'
                                 },
                    '6152000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6152999'
                                 },
                    '9106000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9106999'
                                 },
                    '9079000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9079999'
                                 },
                    '6826000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6826999'
                                 },
                    '9293000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9293999'
                                 },
                    '9267000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9267999'
                                 },
                    '9020000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9020999'
                                 },
                    '6342000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6342999'
                                 },
                    '6754000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6754999'
                                 },
                    '9868000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9868999'
                                 },
                    '9095000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9095999'
                                 },
                    '6572000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6572999'
                                 },
                    '6984000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6984999'
                                 },
                    '6141000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6141999'
                                 },
                    '6071000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6071999'
                                 },
                    '6561000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6561999'
                                 },
                    '6494000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6494999'
                                 },
                    '9899000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9899999'
                                 },
                    '6120000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6120999'
                                 },
                    '6772000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6772999'
                                 },
                    '9094000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9094999'
                                 },
                    '9405000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9405999'
                                 },
                    '9247000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9247999'
                                 },
                    '6316000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6316999'
                                 },
                    '6893000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6893999'
                                 },
                    '6864000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6864999'
                                 },
                    '9141000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9141999'
                                 },
                    '6259000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6259999'
                                 },
                    '9530000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9530999'
                                 },
                    '6983000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6983999'
                                 },
                    '9550000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9550999'
                                 },
                    '6581000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6581999'
                                 },
                    '6844000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6844999'
                                 },
                    '6970000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6970999'
                                 },
                    '9220000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9220999'
                                 },
                    '9149000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9149999'
                                 },
                    '9399000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9399999'
                                 },
                    '9338000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9338999'
                                 },
                    '6520000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6520999'
                                 },
                    '6810000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6810999'
                                 },
                    '6422000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6422999'
                                 },
                    '9182000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9182999'
                                 },
                    '6909000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6909999'
                                 },
                    '9487000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9487999'
                                 },
                    '6974000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6974999'
                                 },
                    '6384000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6384999'
                                 },
                    '9965000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9965999'
                                 },
                    '9974000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9974999'
                                 },
                    '9850000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9850999'
                                 },
                    '6069000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6069999'
                                 },
                    '9980000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9980999'
                                 },
                    '9908000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9908999'
                                 },
                    '9522000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9522999'
                                 },
                    '6307000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6307999'
                                 },
                    '6988000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6988999'
                                 },
                    '9842000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9842999'
                                 },
                    '6349000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6349999'
                                 },
                    '9991000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9991999'
                                 },
                    '9627000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9627999'
                                 },
                    '6877000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6877999'
                                 },
                    '9074000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9074999'
                                 },
                    '6563000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6563999'
                                 },
                    '9570000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9570999'
                                 },
                    '9256000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9256999'
                                 },
                    '9081000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9081999'
                                 },
                    '9505000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9505999'
                                 },
                    '6080000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6080999'
                                 },
                    '6441000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6441999'
                                 },
                    '6216000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6216999'
                                 },
                    '9887000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9887999'
                                 },
                    '6774000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6774999'
                                 },
                    '9151000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9151999'
                                 },
                    '9270000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9270999'
                                 },
                    '9148000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9148999'
                                 },
                    '6260000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6260999'
                                 },
                    '6332000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6332999'
                                 },
                    '6960000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6960999'
                                 },
                    '6013000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6013999'
                                 },
                    '6731000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6731999'
                                 },
                    '9069000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9069999'
                                 },
                    '6517000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6517999'
                                 },
                    '6128000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6128999'
                                 },
                    '9545000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9545999'
                                 },
                    '9251000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9251999'
                                 },
                    '6115000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6115999'
                                 },
                    '9567000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9567999'
                                 },
                    '9333000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9333999'
                                 },
                    '6969000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6969999'
                                 },
                    '9392000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9392999'
                                 },
                    '9234000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9234999'
                                 },
                    '9183000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9183999'
                                 },
                    '6925000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6925999'
                                 },
                    '6704000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6704999'
                                 },
                    '6706000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6706999'
                                 },
                    '6454000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6454999'
                                 },
                    '9426000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9426999'
                                 },
                    '9957000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9957999'
                                 },
                    '9006000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9006999'
                                 },
                    '9186000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9186999'
                                 },
                    '9486000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9486999'
                                 },
                    '9376000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9376999'
                                 },
                    '6276000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6276999'
                                 },
                    '9919000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9919999'
                                 },
                    '9544000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9544999'
                                 },
                    '6188000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6188999'
                                 },
                    '6923000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6923999'
                                 },
                    '6865000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6865999'
                                 },
                    '9468000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9468999'
                                 },
                    '9252000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9252999'
                                 },
                    '6229000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6229999'
                                 },
                    '9291000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9291999'
                                 },
                    '6167000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6167999'
                                 },
                    '6163000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6163999'
                                 },
                    '6388000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6388999'
                                 },
                    '6764000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6764999'
                                 },
                    '6848000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6848999'
                                 },
                    '9439000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9439999'
                                 },
                    '9496000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9496999'
                                 },
                    '6379000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6379999'
                                 },
                    '6546000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6546999'
                                 },
                    '9150000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9150999'
                                 },
                    '6302000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6302999'
                                 },
                    '6568000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6568999'
                                 },
                    '6374000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6374999'
                                 },
                    '6431000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6431999'
                                 },
                    '9165000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9165999'
                                 },
                    '6817000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6817999'
                                 },
                    '6065000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6065999'
                                 },
                    '9075000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9075999'
                                 },
                    '9808000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9808999'
                                 },
                    '6116000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6116999'
                                 },
                    '6137000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6137999'
                                 },
                    '4000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4999999'
                                 },
                    '6337000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6337999'
                                 },
                    '6213000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6213999'
                                 },
                    '9891000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9891999'
                                 },
                    '6585000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6585999'
                                 },
                    '9359000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9359999'
                                 },
                    '9320000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9320999'
                                 },
                    '9277000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9277999'
                                 },
                    '6309000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6309999'
                                 },
                    '6847000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6847999'
                                 },
                    '6354000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6354999'
                                 },
                    '6942000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6942999'
                                 },
                    '9042000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9042999'
                                 },
                    '9685000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9685999'
                                 },
                    '6162000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6162999'
                                 },
                    '6014000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6014999'
                                 },
                    '6723000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6723999'
                                 },
                    '9814000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9814999'
                                 },
                    '6209000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6209999'
                                 },
                    '9195000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9195999'
                                 },
                    '9921000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9921999'
                                 },
                    '6977000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6977999'
                                 },
                    '6559000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6559999'
                                 },
                    '6995000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6995999'
                                 },
                    '6712000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6712999'
                                 },
                    '6178000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6178999'
                                 },
                    '6901000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6901999'
                                 },
                    '9990000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9990999'
                                 },
                    '9232000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9232999'
                                 },
                    '6143000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6143999'
                                 },
                    '9026000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9026999'
                                 },
                    '6255000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6255999'
                                 },
                    '6626000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6626999'
                                 },
                    '9317000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9317999'
                                 },
                    '6096000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6096999'
                                 },
                    '6951000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6951999'
                                 },
                    '9841000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9841999'
                                 },
                    '6833000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6833999'
                                 },
                    '6168000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6168999'
                                 },
                    '6535000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6535999'
                                 },
                    '9934000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9934999'
                                 },
                    '9477000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9477999'
                                 },
                    '9460000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9460999'
                                 },
                    '9041000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9041999'
                                 },
                    '9044000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9044999'
                                 },
                    '9118000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9118999'
                                 },
                    '6355000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6355999'
                                 },
                    '9371000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9371999'
                                 },
                    '9309000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9309999'
                                 },
                    '9271000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9271999'
                                 },
                    '9002000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9002999'
                                 },
                    '9097000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9097999'
                                 },
                    '9142000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9142999'
                                 },
                    '6165000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6165999'
                                 },
                    '9679000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9679999'
                                 },
                    '9452000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9452999'
                                 },
                    '6777000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6777999'
                                 },
                    '9428000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9428999'
                                 },
                    '9175000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9175999'
                                 },
                    '6557000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6557999'
                                 },
                    '9030000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9030999'
                                 },
                    '9056000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9056999'
                                 },
                    '6888000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6888999'
                                 },
                    '9890000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9890999'
                                 },
                    '6837000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6837999'
                                 },
                    '9855000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9855999'
                                 },
                    '9676000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9676999'
                                 },
                    '6588000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6588999'
                                 },
                    '9364000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9364999'
                                 },
                    '9249000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9249999'
                                 },
                    '6251000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6251999'
                                 },
                    '6145000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6145999'
                                 },
                    '6291000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6291999'
                                 },
                    '9958000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9958999'
                                 },
                    '9817000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9817999'
                                 },
                    '9458000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9458999'
                                 },
                    '6124000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6124999'
                                 },
                    '9747000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Portumna',
                                   'status' => 'Allocated',
                                   'end' => '9747999'
                                 },
                    '9381000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9381999'
                                 },
                    '9306000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9306999'
                                 },
                    '9823000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9823999'
                                 },
                    '9387000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9387999'
                                 },
                    '9810000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9810999'
                                 },
                    '6511000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6511999'
                                 },
                    '6304000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6304999'
                                 },
                    '6383000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6383999'
                                 },
                    '9569000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9569999'
                                 },
                    '9208000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9208999'
                                 },
                    '9284000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9284999'
                                 },
                    '6736000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6736999'
                                 },
                    '9077000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9077999'
                                 },
                    '9356000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9356999'
                                 },
                    '9172000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9172999'
                                 },
                    '9916000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9916999'
                                 },
                    '9374000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9374999'
                                 },
                    '6323000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6323999'
                                 },
                    '6333000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6333999'
                                 },
                    '9493000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9493999'
                                 },
                    '9878000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9878999'
                                 },
                    '9963000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9963999'
                                 },
                    '9555000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9555999'
                                 },
                    '6552000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6552999'
                                 },
                    '9943000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9943999'
                                 },
                    '9564000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9564999'
                                 },
                    '9276000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9276999'
                                 },
                    '6198000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6198999'
                                 },
                    '6233000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6233999'
                                 },
                    '6852000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6852999'
                                 },
                    '9815000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9815999'
                                 },
                    '6101000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6101999'
                                 },
                    '9214000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9214999'
                                 },
                    '6077000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6077999'
                                 },
                    '6089000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6089999'
                                 },
                    '6702000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6702999'
                                 },
                    '9562000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9562999'
                                 },
                    '6353000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6353999'
                                 },
                    '9215000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9215999'
                                 },
                    '6306000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6306999'
                                 },
                    '9288000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9288999'
                                 },
                    '6549000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6549999'
                                 },
                    '9300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9300999'
                                 },
                    '6569000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6569999'
                                 },
                    '9630000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9630999'
                                 },
                    '9033000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9033999'
                                 },
                    '9532000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9532999'
                                 },
                    '6093000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6093999'
                                 },
                    '6183000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6183999'
                                 },
                    '6486000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6486999'
                                 },
                    '9949000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9949999'
                                 },
                    '9084000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9084999'
                                 },
                    '6135000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6135999'
                                 },
                    '6136000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6136999'
                                 },
                    '9283000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9283999'
                                 },
                    '6894000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6894999'
                                 },
                    '6507000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6507999'
                                 },
                    '9807000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9807999'
                                 },
                    '6472000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6472999'
                                 },
                    '6487000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6487999'
                                 },
                    '6818000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6818999'
                                 },
                    '9036000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9036999'
                                 },
                    '6555000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6555999'
                                 },
                    '9951000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9951999'
                                 },
                    '6369000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6369999'
                                 },
                    '6529000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6529999'
                                 },
                    '6545000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6545999'
                                 },
                    '9301000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9301999'
                                 },
                    '9085000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9085999'
                                 },
                    '9687000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9687999'
                                 },
                    '9557000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9557999'
                                 },
                    '6963000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6963999'
                                 },
                    '6921000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6921999'
                                 },
                    '6034000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6034999'
                                 },
                    '9559000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9559999'
                                 },
                    '6573000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6573999'
                                 },
                    '9313000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9313999'
                                 },
                    '9909000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9909999'
                                 },
                    '6703000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6703999'
                                 },
                    '6843000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6843999'
                                 },
                    '6032000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6032999'
                                 },
                    '6713000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6713999'
                                 },
                    '9849000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9849999'
                                 },
                    '6575000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6575999'
                                 },
                    '6850000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6850999'
                                 },
                    '9221000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9221999'
                                 },
                    '6391000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6391999'
                                 },
                    '6629000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6629999'
                                 },
                    '6663000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6663999'
                                 },
                    '9294000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9294999'
                                 },
                    '6493000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6493999'
                                 },
                    '6544000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6544999'
                                 },
                    '6896000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6896999'
                                 },
                    '6219000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6219999'
                                 },
                    '6759000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6759999'
                                 },
                    '6186000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6186999'
                                 },
                    '6707000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6707999'
                                 },
                    '6797000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6797999'
                                 },
                    '9467000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9467999'
                                 },
                    '9829000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9829999'
                                 },
                    '6591000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6591999'
                                 },
                    '6175000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6175999'
                                 },
                    '6010000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6010999'
                                 },
                    '6481000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6481999'
                                 },
                    '6781000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6781999'
                                 },
                    '6908000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6908999'
                                 },
                    '9431000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9431999'
                                 },
                    '6371000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6371999'
                                 },
                    '9848000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9848999'
                                 },
                    '6954000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6954999'
                                 },
                    '6045000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6045999'
                                 },
                    '9647000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9647999'
                                 },
                    '6011000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6011999'
                                 },
                    '9372000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9372999'
                                 },
                    '9622000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9622999'
                                 },
                    '6343000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6343999'
                                 },
                    '6215000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6215999'
                                 },
                    '9542000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9542999'
                                 },
                    '6258000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6258999'
                                 },
                    '6154000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6154999'
                                 },
                    '9895000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9895999'
                                 },
                    '9066000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9066999'
                                 },
                    '9421000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9421999'
                                 },
                    '9210000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9210999'
                                 },
                    '6710000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6710999'
                                 },
                    '6519000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6519999'
                                 },
                    '6445000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6445999'
                                 },
                    '6142000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6142999'
                                 },
                    '6709000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6709999'
                                 },
                    '9203000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9203999'
                                 },
                    '6201000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6201999'
                                 },
                    '9869000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9869999'
                                 },
                    '9380000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9380999'
                                 },
                    '6132000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6132999'
                                 },
                    '6509000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6509999'
                                 },
                    '9462000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9462999'
                                 },
                    '6073000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6073999'
                                 },
                    '6524000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6524999'
                                 },
                    '6092000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6092999'
                                 },
                    '9582000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9582999'
                                 },
                    '6567000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6567999'
                                 },
                    '9008000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9008999'
                                 },
                    '9358000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9358999'
                                 },
                    '6230000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6230999'
                                 },
                    '6040000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6040999'
                                 },
                    '6790000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6790999'
                                 },
                    '9838000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9838999'
                                 },
                    '6502000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6502999'
                                 },
                    '9844000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9844999'
                                 },
                    '6522000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6522999'
                                 },
                    '6940000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6940999'
                                 },
                    '9926000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9926999'
                                 },
                    '6023000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6023999'
                                 },
                    '6842000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6842999'
                                 },
                    '6542000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6542999'
                                 },
                    '9262000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9262999'
                                 },
                    '6288000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6288999'
                                 },
                    '6433000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6433999'
                                 },
                    '6761000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6761999'
                                 },
                    '9384000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9384999'
                                 },
                    '6806000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6806999'
                                 },
                    '6846000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6846999'
                                 },
                    '9857000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9857999'
                                 },
                    '6798000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6798999'
                                 },
                    '9137000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9137999'
                                 },
                    '6225000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6225999'
                                 },
                    '9209000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9209999'
                                 },
                    '6428000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Energis',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6428999'
                                 },
                    '9230000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9230999'
                                 },
                    '9809000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9809999'
                                 },
                    '6009000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6009999'
                                 },
                    '9625000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9625999'
                                 },
                    '9349000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9349999'
                                 },
                    '9412000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9412999'
                                 },
                    '6006000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6006999'
                                 },
                    '9931000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9931999'
                                 },
                    '6741000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6741999'
                                 },
                    '9129000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9129999'
                                 },
                    '9835000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9835999'
                                 },
                    '9515000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9515999'
                                 },
                    '9325000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9325999'
                                 },
                    '6350000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6350999'
                                 },
                    '6217000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6217999'
                                 },
                    '9073000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9073999'
                                 },
                    '6204000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6204999'
                                 },
                    '6067000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6067999'
                                 },
                    '6773000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6773999'
                                 },
                    '9956000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9956999'
                                 },
                    '6460000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6460999'
                                 },
                    '9888000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9888999'
                                 },
                    '6751000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6751999'
                                 },
                    '9082000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9082999'
                                 },
                    '6789000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6789999'
                                 },
                    '6398000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6398999'
                                 },
                    '9946000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9946999'
                                 },
                    '9422000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9422999'
                                 },
                    '6884000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6884999'
                                 },
                    '9461000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9461999'
                                 },
                    '9482000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9482999'
                                 },
                    '6623000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6623999'
                                 },
                    '9116000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9116999'
                                 },
                    '6825000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6825999'
                                 },
                    '9314000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9314999'
                                 },
                    '9988000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9988999'
                                 },
                    '9225000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9225999'
                                 },
                    '6875000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6875999'
                                 },
                    '9930000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9930999'
                                 },
                    '9152000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9152999'
                                 },
                    '6932000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6932999'
                                 },
                    '9802000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9802999'
                                 },
                    '9332000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9332999'
                                 },
                    '6299000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6299999'
                                 },
                    '6439000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6439999'
                                 },
                    '9054000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9054999'
                                 },
                    '9674000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9674999'
                                 },
                    '9259000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9259999'
                                 },
                    '6437000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6437999'
                                 },
                    '6845000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6845999'
                                 },
                    '9346000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9346999'
                                 },
                    '6548000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6548999'
                                 },
                    '9326000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9326999'
                                 },
                    '6628000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6628999'
                                 },
                    '6283000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6283999'
                                 },
                    '9413000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9413999'
                                 },
                    '9900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9900999'
                                 },
                    '6021000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6021999'
                                 },
                    '9476000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9476999'
                                 },
                    '6056000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6056999'
                                 },
                    '6496000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6496999'
                                 },
                    '6586000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6586999'
                                 },
                    '6975000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6975999'
                                 },
                    '9572000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9572999'
                                 },
                    '6966000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6966999'
                                 },
                    '6744000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6744999'
                                 },
                    '9233000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9233999'
                                 },
                    '6301000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6301999'
                                 },
                    '9379000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9379999'
                                 },
                    '9579000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9579999'
                                 },
                    '6945000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6945999'
                                 },
                    '9076000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9076999'
                                 },
                    '9170000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9170999'
                                 },
                    '9497000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9497999'
                                 },
                    '9296000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9296999'
                                 },
                    '9832000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9832999'
                                 },
                    '9929000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9929999'
                                 },
                    '9805000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9805999'
                                 },
                    '6933000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6933999'
                                 },
                    '9011000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9011999'
                                 },
                    '9648000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9648999'
                                 },
                    '6491000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6491999'
                                 },
                    '6266000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6266999'
                                 },
                    '6997000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6997999'
                                 },
                    '9585000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9585999'
                                 },
                    '6138000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6138999'
                                 },
                    '6794000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6794999'
                                 },
                    '9254000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9254999'
                                 },
                    '9402000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9402999'
                                 },
                    '6589000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6589999'
                                 },
                    '9846000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9846999'
                                 },
                    '9282000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9282999'
                                 },
                    '9310000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9310999'
                                 },
                    '6980000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6980999'
                                 },
                    '9826000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9826999'
                                 },
                    '9843000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9843999'
                                 },
                    '9631000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9631999'
                                 },
                    '9369000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9369999'
                                 },
                    '9124000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9124999'
                                 },
                    '9552000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9552999'
                                 },
                    '6108000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6108999'
                                 },
                    '6831000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6831999'
                                 },
                    '6920000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6920999'
                                 },
                    '6897000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6897999'
                                 },
                    '9831000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9831999'
                                 },
                    '6515000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6515999'
                                 },
                    '9093000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9093999'
                                 },
                    '9099000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9099999'
                                 },
                    '9975000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9975999'
                                 },
                    '9028000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9028999'
                                 },
                    '9261000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9261999'
                                 },
                    '6076000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6076999'
                                 },
                    '6325000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6325999'
                                 },
                    '6734000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6734999'
                                 },
                    '9040000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9040999'
                                 },
                    '6732000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6732999'
                                 },
                    '9500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9500999'
                                 },
                    '6457000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6457999'
                                 },
                    '6621000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6621999'
                                 },
                    '9159000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9159999'
                                 },
                    '6245000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6245999'
                                 },
                    '6523000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6523999'
                                 },
                    '6543000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6543999'
                                 },
                    '9536000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9536999'
                                 },
                    '9298000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9298999'
                                 },
                    '6728000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6728999'
                                 },
                    '9408000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9408999'
                                 },
                    '6028000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6028999'
                                 },
                    '9193000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9193999'
                                 },
                    '6231000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6231999'
                                 },
                    '9803000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9803999'
                                 },
                    '9499000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9499999'
                                 },
                    '6497000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6497999'
                                 },
                    '6345000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6345999'
                                 },
                    '9000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9000999'
                                 },
                    '9860000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9860999'
                                 },
                    '9565000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9565999'
                                 },
                    '6366000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6366999'
                                 },
                    '9485000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9485999'
                                 },
                    '9969000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9969999'
                                 },
                    '6001000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6001999'
                                 },
                    '6195000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6195999'
                                 },
                    '6399000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6399999'
                                 },
                    '6715000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6715999'
                                 },
                    '9910000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9910999'
                                 },
                    '6508000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6508999'
                                 },
                    '9953000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9953999'
                                 },
                    '6821000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6821999'
                                 },
                    '5000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5999999'
                                 },
                    '9976000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9976999'
                                 },
                    '6191000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6191999'
                                 },
                    '6755000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6755999'
                                 },
                    '9833000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9833999'
                                 },
                    '6012000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6012999'
                                 },
                    '6193000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6193999'
                                 },
                    '9548000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9548999'
                                 },
                    '9984000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9984999'
                                 },
                    '9401000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9401999'
                                 },
                    '9086000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9086999'
                                 },
                    '6574000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6574999'
                                 },
                    '6900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6900999'
                                 },
                    '6140000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6140999'
                                 },
                    '9304000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9304999'
                                 },
                    '6627000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6627999'
                                 },
                    '6866000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6866999'
                                 },
                    '6730000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6730999'
                                 },
                    '9055000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9055999'
                                 },
                    '6860000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6860999'
                                 },
                    '9531000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9531999'
                                 },
                    '9229000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9229999'
                                 },
                    '6948000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6948999'
                                 },
                    '6112000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6112999'
                                 },
                    '6199000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6199999'
                                 },
                    '9521000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9521999'
                                 },
                    '9060000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9060999'
                                 },
                    '6249000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6249999'
                                 },
                    '6200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6200999'
                                 },
                    '6886000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6886999'
                                 },
                    '6246000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6246999'
                                 },
                    '6308000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6308999'
                                 },
                    '9080000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9080999'
                                 },
                    '9893000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9893999'
                                 },
                    '9207000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9207999'
                                 },
                    '6340000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6340999'
                                 },
                    '6839000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6839999'
                                 },
                    '9954000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9954999'
                                 },
                    '6560000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6560999'
                                 },
                    '6733000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6733999'
                                 },
                    '6830000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6830999'
                                 },
                    '9316000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9316999'
                                 },
                    '9590000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9590999'
                                 },
                    '9519000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9519999'
                                 },
                    '9466000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9466999'
                                 },
                    '9924000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9924999'
                                 },
                    '6890000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6890999'
                                 },
                    '9257000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9257999'
                                 },
                    '9136000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9136999'
                                 },
                    '6458000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6458999'
                                 },
                    '6228000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6228999'
                                 },
                    '6321000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6321999'
                                 },
                    '6856000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6856999'
                                 },
                    '6718000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6718999'
                                 },
                    '9179000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9179999'
                                 },
                    '6500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6500999'
                                 },
                    '9498000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9498999'
                                 },
                    '9423000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9423999'
                                 },
                    '6503000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6503999'
                                 },
                    '6809000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6809999'
                                 },
                    '6319000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6319999'
                                 },
                    '6239000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6239999'
                                 },
                    '6749000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6749999'
                                 },
                    '9977000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9977999'
                                 },
                    '9862000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9862999'
                                 },
                    '6964000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6964999'
                                 },
                    '6513000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6513999'
                                 },
                    '9319000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9319999'
                                 },
                    '6943000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6943999'
                                 },
                    '6019000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6019999'
                                 },
                    '9071000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9071999'
                                 },
                    '6490000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6490999'
                                 },
                    '6562000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6562999'
                                 },
                    '9329000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9329999'
                                 },
                    '9258000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9258999'
                                 },
                    '9365000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9365999'
                                 },
                    '6346000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6346999'
                                 },
                    '6593000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6593999'
                                 },
                    '9059000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9059999'
                                 },
                    '9449000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9449999'
                                 },
                    '6708000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6708999'
                                 },
                    '9506000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9506999'
                                 },
                    '9475000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9475999'
                                 },
                    '6312000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6312999'
                                 },
                    '6882000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6882999'
                                 },
                    '9874000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9874999'
                                 },
                    '6278000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6278999'
                                 },
                    '6122000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6122999'
                                 },
                    '6518000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6518999'
                                 },
                    '6625000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6625999'
                                 },
                    '6173000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6173999'
                                 },
                    '9007000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9007999'
                                 },
                    '7000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7999999'
                                 },
                    '9414000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9414999'
                                 },
                    '9576000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9576999'
                                 },
                    '6078000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6078999'
                                 },
                    '9881000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9881999'
                                 },
                    '6423000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6423999'
                                 },
                    '9896000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9896999'
                                 },
                    '9558000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9558999'
                                 },
                    '6564000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6564999'
                                 },
                    '9269000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9269999'
                                 },
                    '6424000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6424999'
                                 },
                    '6033000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6033999'
                                 },
                    '9872000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9872999'
                                 },
                    '6087000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6087999'
                                 },
                    '6934000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6934999'
                                 },
                    '9171000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9171999'
                                 },
                    '9189000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9189999'
                                 },
                    '6470000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6470999'
                                 },
                    '9876000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9876999'
                                 },
                    '9512000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9512999'
                                 },
                    '6386000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6386999'
                                 },
                    '9292000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9292999'
                                 },
                    '9863000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9863999'
                                 },
                    '6438000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6438999'
                                 },
                    '9441000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9441999'
                                 },
                    '9108000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9108999'
                                 },
                    '6580000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6580999'
                                 },
                    '6981000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6981999'
                                 },
                    '6060000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6060999'
                                 },
                    '6479000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6479999'
                                 },
                    '6420000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6420999'
                                 },
                    '6597000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6597999'
                                 },
                    '9632000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinasloe',
                                   'status' => 'Allocated',
                                   'end' => '9632999'
                                 },
                    '9902000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9902999'
                                 },
                    '9583000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9583999'
                                 },
                    '9547000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9547999'
                                 },
                    '9386000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9386999'
                                 },
                    '6959000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6959999'
                                 },
                    '6172000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6172999'
                                 },
                    '6795000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6795999'
                                 },
                    '9367000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9367999'
                                 },
                    '6905000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6905999'
                                 },
                    '9584000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9584999'
                                 },
                    '9226000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9226999'
                                 },
                    '6892000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6892999'
                                 },
                    '6554000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6554999'
                                 },
                    '9407000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9407999'
                                 },
                    '9253000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9253999'
                                 },
                    '6254000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6254999'
                                 },
                    '6719000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6719999'
                                 },
                    '6813000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6813999'
                                 },
                    '6775000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6775999'
                                 },
                    '6527000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6527999'
                                 },
                    '9436000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9436999'
                                 },
                    '9746000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Portumna',
                                   'status' => 'Allocated',
                                   'end' => '9746999'
                                 },
                    '9442000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9442999'
                                 },
                    '6094000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6094999'
                                 },
                    '9331000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9331999'
                                 },
                    '9197000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9197999'
                                 },
                    '6582000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6582999'
                                 },
                    '6046000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6046999'
                                 },
                    '6624000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Roscommon',
                                   'status' => 'Allocated',
                                   'end' => '6624999'
                                 },
                    '9574000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9574999'
                                 },
                    '9160000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9160999'
                                 },
                    '9947000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9947999'
                                 },
                    '9851000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9851999'
                                 },
                    '6348000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6348999'
                                 },
                    '6362000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6362999'
                                 },
                    '9491000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9491999'
                                 },
                    '6791000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6791999'
                                 },
                    '9882000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9882999'
                                 },
                    '6235000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6235999'
                                 },
                    '9248000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9248999'
                                 },
                    '6313000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6313999'
                                 },
                    '6449000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athlone',
                                   'status' => 'Allocated',
                                   'end' => '6449999'
                                 },
                    '9879000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9879999'
                                 },
                    '6867000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6867999'
                                 },
                    '9533000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9533999'
                                 },
                    '9581000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9581999'
                                 },
                    '9434000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9434999'
                                 },
                    '9393000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9393999'
                                 },
                    '6815000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6815999'
                                 },
                    '6263000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6263999'
                                 },
                    '9034000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9034999'
                                 },
                    '9213000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9213999'
                                 },
                    '9847000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9847999'
                                 },
                    '9836000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9836999'
                                 },
                    '9800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9800999'
                                 },
                    '9543000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9543999'
                                 },
                    '9354000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9354999'
                                 },
                    '9163000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9163999'
                                 },
                    '6131000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6131999'
                                 },
                    '6551000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6551999'
                                 },
                    '9029000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9029999'
                                 },
                    '6765000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6765999'
                                 },
                    '6296000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6296999'
                                 },
                    '6941000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6941999'
                                 },
                    '6937000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6937999'
                                 },
                    '6352000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6352999'
                                 },
                    '9870000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9870999'
                                 },
                    '9311000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9311999'
                                 },
                    '6153000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6153999'
                                 },
                    '9586000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9586999'
                                 },
                    '9133000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9133999'
                                 },
                    '9396000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9396999'
                                 },
                    '6819000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6819999'
                                 },
                    '9019000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9019999'
                                 },
                    '9278000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9278999'
                                 },
                    '6584000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6584999'
                                 }
                  },
          '63' => {
                    '86000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '86999'
                               },
                    '84000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '84999'
                               },
                    '83000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '83999'
                               },
                    '90000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '90999'
                               },
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '87000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '87999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '88000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '88999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '98000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '98999'
                               },
                    '81000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '81999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '72000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '72999'
                               },
                    '89000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '89999'
                               },
                    '71000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '71999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '91000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '91999'
                               },
                    '82000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '82999'
                               },
                    '70000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '70999'
                               },
                    '85000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '85999'
                               },
                    '35000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '35999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '33999'
                               },
                    '80000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '80999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '44000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Rathluirc',
                                 'status' => 'Reserved',
                                 'end' => '44999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Rathluirc',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               }
                  },
          '21' => {
                    '4280000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4289999'
                                 },
                    '2230000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2239999'
                                 },
                    '8600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8609999'
                                 },
                    '8370000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8379999'
                                 },
                    '8130000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8139999'
                                 },
                    '8410000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8419999'
                                 },
                    '2331000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '2331999'
                                 },
                    '5003000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '5003999'
                                 },
                    '6650000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6659999'
                                 },
                    '8550000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8559999'
                                 },
                    '4920000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4929999'
                                 },
                    '3330000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3339999'
                                 },
                    '8590000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8599999'
                                 },
                    '4530000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4530999'
                                 },
                    '4640000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4649999'
                                 },
                    '4839000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4839999'
                                 },
                    '7770000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7779999'
                                 },
                    '7330000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Coachford',
                                   'status' => 'Allocated',
                                   'end' => '7339999'
                                 },
                    '4910000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4919999'
                                 },
                    '5530000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5539999'
                                 },
                    '8280000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8289999'
                                 },
                    '4390000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4399999'
                                 },
                    '4817000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4817999'
                                 },
                    '4520000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4529999'
                                 },
                    '8940000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8949999'
                                 },
                    '7300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Coachford',
                                   'status' => 'Allocated',
                                   'end' => '7309999'
                                 },
                    '8430000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8439999'
                                 },
                    '2210000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2219999'
                                 },
                    '4370000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4379999'
                                 },
                    '2340000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '2349999'
                                 },
                    '2390000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '2399999'
                                 },
                    '4531000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4531999'
                                 },
                    '8560000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8569999'
                                 },
                    '4600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Energis',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4600999'
                                 },
                    '4820000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4820999'
                                 },
                    '4823000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4823999'
                                 },
                    '8990000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8999999'
                                 },
                    '5002000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '5002999'
                                 },
                    '4880000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4889999'
                                 },
                    '2380000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Energis',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '2389999'
                                 },
                    '4400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4409999'
                                 },
                    '8210000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8219999'
                                 },
                    '3350000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3359999'
                                 },
                    '3380000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3389999'
                                 },
                    '4804000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4804999'
                                 },
                    '8780000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8789999'
                                 },
                    '4750000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Kinsale',
                                   'status' => 'Allocated',
                                   'end' => '4750999'
                                 },
                    '4620000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4629999'
                                 },
                    '8700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8709999'
                                 },
                    '3370000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3379999'
                                 },
                    '4808000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4808999'
                                 },
                    '4840000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4849999'
                                 },
                    '4210000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4219999'
                                 },
                    '8020000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8029999'
                                 },
                    '0' => {
                             'designation' => 'Geographic',
                             'licensee' => '',
                             'location' => '',
                             'status' => 'Reserved',
                             'end' => '1999999'
                           },
                    '8870000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8879999'
                                 },
                    '8200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8209999'
                                 },
                    '4510000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4519999'
                                 },
                    '8040000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8049999'
                                 },
                    '2360000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '2369999'
                                 },
                    '8170000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8179999'
                                 },
                    '8850000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8859999'
                                 },
                    '8650000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8659999'
                                 },
                    '8620000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8629999'
                                 },
                    '6640000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6649999'
                                 },
                    '8150000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8159999'
                                 },
                    '8290000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8299999'
                                 },
                    '8810000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8819999'
                                 },
                    '2220000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2229999'
                                 },
                    '7430000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Coachford',
                                   'status' => 'Allocated',
                                   'end' => '7439999'
                                 },
                    '8350000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8359999'
                                 },
                    '8570000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8579999'
                                 },
                    '8660000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8669999'
                                 },
                    '4832000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4832999'
                                 },
                    '7760000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7769999'
                                 },
                    '8710000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8719999'
                                 },
                    '7740000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7749999'
                                 },
                    '8670000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8679999'
                                 },
                    '4833000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4833999'
                                 },
                    '8110000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8119999'
                                 },
                    '4831000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4831999'
                                 },
                    '8760000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8769999'
                                 },
                    '6670000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6679999'
                                 },
                    '4630000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4639999'
                                 },
                    '4807000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4807999'
                                 },
                    '4821000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4821999'
                                 },
                    '4730000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Kinsale',
                                   'status' => 'Allocated',
                                   'end' => '4739999'
                                 },
                    '5001000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '5001999'
                                 },
                    '3310000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3319999'
                                 },
                    '4812000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4812999'
                                 },
                    '9900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9999999'
                                 },
                    '8580000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8589999'
                                 },
                    '2332000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '2332999'
                                 },
                    '4813000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4813999'
                                 },
                    '5540000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5549999'
                                 },
                    '5004000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '5004999'
                                 },
                    '8980000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8989999'
                                 },
                    '6600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6609999'
                                 },
                    '8400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8409999'
                                 },
                    '2250000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2259999'
                                 },
                    '8830000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8839999'
                                 },
                    '4440000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4449999'
                                 },
                    '6680000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6689999'
                                 },
                    '4420000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4429999'
                                 },
                    '8270000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8279999'
                                 },
                    '4809000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4809999'
                                 },
                    '2310000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '2319999'
                                 },
                    '2300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '2309999'
                                 },
                    '8420000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8429999'
                                 },
                    '5550000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5559999'
                                 },
                    '6660000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6669999'
                                 },
                    '8530000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8539999'
                                 },
                    '4350000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4359999'
                                 },
                    '8250000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8259999'
                                 },
                    '4836000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4836999'
                                 },
                    '8000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8009999'
                                 },
                    '5500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5509999'
                                 },
                    '8950000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8959999'
                                 },
                    '4532000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4539999'
                                 },
                    '8820000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8829999'
                                 },
                    '4220000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4229999'
                                 },
                    '7790000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7799999'
                                 },
                    '8300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8309999'
                                 },
                    '8340000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8349999'
                                 },
                    '4550000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4559999'
                                 },
                    '4825000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4825999'
                                 },
                    '8470000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8479999'
                                 },
                    '5590000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5599999'
                                 },
                    '4560000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4560999'
                                 },
                    '4824000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4824999'
                                 },
                    '7730000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7739999'
                                 },
                    '4900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4909999'
                                 },
                    '4802000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4802999'
                                 },
                    '4490000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4499999'
                                 },
                    '4960000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4969999'
                                 },
                    '4805000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4805999'
                                 },
                    '4814000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4814999'
                                 },
                    '2280000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2289999'
                                 },
                    '4700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kinsale',
                                   'status' => 'Allocated',
                                   'end' => '4709999'
                                 },
                    '8030000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8039999'
                                 },
                    '4470000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4479999'
                                 },
                    '8880000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8889999'
                                 },
                    '5007000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '5007999'
                                 },
                    '4826000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4826999'
                                 },
                    '4970000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4979999'
                                 },
                    '6690000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6699999'
                                 },
                    '4710000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Kinsale',
                                   'status' => 'Allocated',
                                   'end' => '4710999'
                                 },
                    '4770000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kinsale',
                                   'status' => 'Allocated',
                                   'end' => '4779999'
                                 },
                    '4850000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4859999'
                                 },
                    '4834000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4834999'
                                 },
                    '8610000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8619999'
                                 },
                    '8630000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8639999'
                                 },
                    '4835000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4835999'
                                 },
                    '4410000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4419999'
                                 },
                    '8100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8109999'
                                 },
                    '4801000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4801999'
                                 },
                    '5560000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5569999'
                                 },
                    '2421000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '2421999'
                                 },
                    '8860000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8869999'
                                 },
                    '4320000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4329999'
                                 },
                    '5510000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5519999'
                                 },
                    '4580000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4580999'
                                 },
                    '4819000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4819999'
                                 },
                    '4837000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4837999'
                                 },
                    '4800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4800999'
                                 },
                    '8060000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8069999'
                                 },
                    '8320000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8329999'
                                 },
                    '4806000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4806999'
                                 },
                    '8890000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8899999'
                                 },
                    '7360000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Coachford',
                                   'status' => 'Allocated',
                                   'end' => '7369999'
                                 },
                    '8730000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8739999'
                                 },
                    '4380000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4389999'
                                 },
                    '4540000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4549999'
                                 },
                    '6620000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6629999'
                                 },
                    '8790000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8799999'
                                 },
                    '4780000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Energis',
                                   'location' => 'Kinsale',
                                   'status' => 'Allocated',
                                   'end' => '4780999'
                                 },
                    '2270000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2279999'
                                 },
                    '5006000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '5006999'
                                 },
                    '7320000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Coachford',
                                   'status' => 'Allocated',
                                   'end' => '7329999'
                                 },
                    '4810000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4810999'
                                 },
                    '4660000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4669999'
                                 },
                    '8120000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8129999'
                                 },
                    '8690000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8699999'
                                 },
                    '8230000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8239999'
                                 },
                    '3360000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3369999'
                                 },
                    '8480000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8489999'
                                 },
                    '8010000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8019999'
                                 },
                    '2410000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '2419999'
                                 },
                    '8740000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8749999'
                                 },
                    '8220000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8229999'
                                 },
                    '8900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8909999'
                                 },
                    '8770000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8779999'
                                 },
                    '3320000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3329999'
                                 },
                    '8490000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8499999'
                                 },
                    '7750000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7759999'
                                 },
                    '8450000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8459999'
                                 },
                    '8680000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8689999'
                                 },
                    '5580000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5589999'
                                 },
                    '8960000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8969999'
                                 },
                    '4270000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4279999'
                                 },
                    '4590000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4590999'
                                 },
                    '4650000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4659999'
                                 },
                    '4480000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4489999'
                                 },
                    '8640000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8649999'
                                 },
                    '5570000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5579999'
                                 },
                    '4430000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4439999'
                                 },
                    '2400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '2409999'
                                 },
                    '4830000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4830999'
                                 },
                    '4803000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4803999'
                                 },
                    '4940000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4949999'
                                 },
                    '8440000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8449999'
                                 },
                    '4860000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4869999'
                                 },
                    '5005000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '5005999'
                                 },
                    '4811000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4811999'
                                 },
                    '7710000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7719999'
                                 },
                    '8140000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8149999'
                                 },
                    '8920000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8929999'
                                 },
                    '4890000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4899999'
                                 },
                    '5520000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5529999'
                                 },
                    '8800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8809999'
                                 },
                    '2420000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Magnet Networks',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '2420999'
                                 },
                    '8910000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8919999'
                                 },
                    '4815000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4815999'
                                 },
                    '8360000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8369999'
                                 },
                    '4570000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4570999'
                                 },
                    '4828000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4828999'
                                 },
                    '2290000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2299999'
                                 },
                    '8750000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8759999'
                                 },
                    '8500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8509999'
                                 },
                    '4200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4209999'
                                 },
                    '8390000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8399999'
                                 },
                    '4610000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4619999'
                                 },
                    '4300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4309999'
                                 },
                    '6610000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6619999'
                                 },
                    '4290000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4299999'
                                 },
                    '7380000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Energis',
                                   'location' => 'Coachford',
                                   'status' => 'Allocated',
                                   'end' => '7389999'
                                 },
                    '2320000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '2329999'
                                 },
                    '7780000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7789999'
                                 },
                    '4829000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4829999'
                                 },
                    '2260000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2269999'
                                 },
                    '8190000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8199999'
                                 },
                    '7700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7709999'
                                 },
                    '8070000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8079999'
                                 },
                    '8520000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8529999'
                                 },
                    '8970000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8979999'
                                 },
                    '8380000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8389999'
                                 },
                    '2200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2209999'
                                 },
                    '8540000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8549999'
                                 },
                    '2240000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2249999'
                                 },
                    '4816000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4816999'
                                 },
                    '4310000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4319999'
                                 },
                    '7720000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7729999'
                                 },
                    '8930000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8939999'
                                 },
                    '8080000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8089999'
                                 },
                    '4360000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4369999'
                                 },
                    '4827000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4827999'
                                 },
                    '3340000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3349999'
                                 },
                    '4930000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4939999'
                                 },
                    '8180000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8189999'
                                 },
                    '8720000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8729999'
                                 },
                    '3300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3309999'
                                 },
                    '4340000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4349999'
                                 },
                    '4250000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4259999'
                                 },
                    '8160000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8169999'
                                 },
                    '4838000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4838999'
                                 },
                    '4500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4509999'
                                 },
                    '8260000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8269999'
                                 },
                    '8050000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8059999'
                                 },
                    '8310000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8319999'
                                 },
                    '4450000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4459999'
                                 },
                    '2330000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '2330999'
                                 },
                    '8090000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8099999'
                                 },
                    '5008000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '5008999'
                                 },
                    '8240000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8249999'
                                 },
                    '4670000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4679999'
                                 },
                    '4870000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4879999'
                                 },
                    '6630000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6639999'
                                 },
                    '4822000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4822999'
                                 },
                    '3390000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3399999'
                                 },
                    '4818000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cork',
                                   'status' => 'Allocated',
                                   'end' => '4818999'
                                 },
                    '8330000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8339999'
                                 },
                    '4460000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4469999'
                                 },
                    '8510000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8519999'
                                 },
                    '8840000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8849999'
                                 },
                    '8460000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8469999'
                                 }
                  },
          '71' => {
                    '9909000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9909999'
                                 },
                    '9035000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9035999'
                                 },
                    '9680000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9680999'
                                 },
                    '9670000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Boyle',
                                   'status' => 'Allocated',
                                   'end' => '9670999'
                                 },
                    '9123000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9123999'
                                 },
                    '9861000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9861999'
                                 },
                    '9644000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9644999'
                                 },
                    '9221000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9221999'
                                 },
                    '9130000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9130999'
                                 },
                    '9937000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9937999'
                                 },
                    '9009000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9009999'
                                 },
                    '9973000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9973999'
                                 },
                    '9666000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Boyle',
                                   'status' => 'Allocated',
                                   'end' => '9666999'
                                 },
                    '9294000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9294999'
                                 },
                    '9138000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9138999'
                                 },
                    '9245000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9245999'
                                 },
                    '9901000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9901999'
                                 },
                    '9829000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9829999'
                                 },
                    '9052000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9052999'
                                 },
                    '9922000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9922999'
                                 },
                    '9289000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9289999'
                                 },
                    '9649000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9649999'
                                 },
                    '9281000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9281999'
                                 },
                    '9854000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9854999'
                                 },
                    '9647000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9647999'
                                 },
                    '6000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6999999'
                                 },
                    '9237000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9237999'
                                 },
                    '9120000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9120999'
                                 },
                    '9918000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9918999'
                                 },
                    '9211000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9211999'
                                 },
                    '9992000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9992999'
                                 },
                    '9622000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9622999'
                                 },
                    '9964000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9964999'
                                 },
                    '9202000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9202999'
                                 },
                    '9642000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9642999'
                                 },
                    '9286000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9286999'
                                 },
                    '9064000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9064999'
                                 },
                    '9667000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Boyle',
                                   'status' => 'Allocated',
                                   'end' => '9667999'
                                 },
                    '9066000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9066999'
                                 },
                    '9989000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9989999'
                                 },
                    '9653000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9653999'
                                 },
                    '9210000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9210999'
                                 },
                    '9021000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9021999'
                                 },
                    '9646000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9646999'
                                 },
                    '9157000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9157999'
                                 },
                    '9122000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9122999'
                                 },
                    '9917000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9917999'
                                 },
                    '9203000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9203999'
                                 },
                    '9114000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9114999'
                                 },
                    '9127000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9127999'
                                 },
                    '9072000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9072999'
                                 },
                    '9177000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9177999'
                                 },
                    '9096000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9096999'
                                 },
                    '9058000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9058999'
                                 },
                    '9115000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9115999'
                                 },
                    '9242000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9242999'
                                 },
                    '9008000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9008999'
                                 },
                    '9037000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9037999'
                                 },
                    '9275000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9275999'
                                 },
                    '9125000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9125999'
                                 },
                    '9852000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9852999'
                                 },
                    '9620000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9620999'
                                 },
                    '9191000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Sligo',
                                   'status' => 'Reserved',
                                   'end' => '9191999'
                                 },
                    '9070000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9070999'
                                 },
                    '9145000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9145999'
                                 },
                    '9089000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9089999'
                                 },
                    '9051000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9051999'
                                 },
                    '9926000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9926999'
                                 },
                    '9231000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9231999'
                                 },
                    '9156000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9156999'
                                 },
                    '9018000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9018999'
                                 },
                    '9246000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9246999'
                                 },
                    '9224000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9224999'
                                 },
                    '9262000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9262999'
                                 },
                    '9087000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9087999'
                                 },
                    '9853000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9853999'
                                 },
                    '9671000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Boyle',
                                   'status' => 'Allocated',
                                   'end' => '9671999'
                                 },
                    '9936000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9936999'
                                 },
                    '9137000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9137999'
                                 },
                    '9209000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9209999'
                                 },
                    '9230000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9230999'
                                 },
                    '9223000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9223999'
                                 },
                    '9625000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9625999'
                                 },
                    '9238000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9238999'
                                 },
                    '9217000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9217999'
                                 },
                    '9212000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9212999'
                                 },
                    '9147000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9147999'
                                 },
                    '9931000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9931999'
                                 },
                    '9129000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9129999'
                                 },
                    '9164000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9164999'
                                 },
                    '9117000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9117999'
                                 },
                    '9859000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9859999'
                                 },
                    '9858000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9858999'
                                 },
                    '9995000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9995999'
                                 },
                    '9981000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9981999'
                                 },
                    '9192000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9192999'
                                 },
                    '9038000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9038999'
                                 },
                    '9073000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9073999'
                                 },
                    '9174000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9174999'
                                 },
                    '9091000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9091999'
                                 },
                    '9025000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9025999'
                                 },
                    '9941000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9941999'
                                 },
                    '9204000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9204999'
                                 },
                    '9153000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9153999'
                                 },
                    '9049000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9049999'
                                 },
                    '9956000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9956999'
                                 },
                    '9825000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9825999'
                                 },
                    '9955000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9955999'
                                 },
                    '9982000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9982999'
                                 },
                    '9950000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9950999'
                                 },
                    '9088000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9088999'
                                 },
                    '9985000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9985999'
                                 },
                    '9082000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9082999'
                                 },
                    '9014000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9014999'
                                 },
                    '9946000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9946999'
                                 },
                    '9920000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9920999'
                                 },
                    '9053000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9053999'
                                 },
                    '9121000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9121999'
                                 },
                    '9663000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Boyle',
                                   'status' => 'Allocated',
                                   'end' => '9663999'
                                 },
                    '9287000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9287999'
                                 },
                    '9005000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9005999'
                                 },
                    '9116000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9116999'
                                 },
                    '9098000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9098999'
                                 },
                    '9239000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9239999'
                                 },
                    '9938000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9938999'
                                 },
                    '9048000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9048999'
                                 },
                    '9057000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9057999'
                                 },
                    '9092000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9092999'
                                 },
                    '9988000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9988999'
                                 },
                    '9225000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9225999'
                                 },
                    '9024000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9024999'
                                 },
                    '9930000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9930999'
                                 },
                    '9152000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9152999'
                                 },
                    '9047000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9047999'
                                 },
                    '9939000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9939999'
                                 },
                    '9112000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9112999'
                                 },
                    '9140000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9140999'
                                 },
                    '9629000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Energis',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9629999'
                                 },
                    '9154000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9154999'
                                 },
                    '9162000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9162999'
                                 },
                    '9031000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9031999'
                                 },
                    '9054000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9054999'
                                 },
                    '9948000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9948999'
                                 },
                    '9259000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9259999'
                                 },
                    '9914000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9914999'
                                 },
                    '9244000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9244999'
                                 },
                    '9643000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9643999'
                                 },
                    '9264000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9264999'
                                 },
                    '9911000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9911999'
                                 },
                    '9180000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9180999'
                                 },
                    '9623000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9623999'
                                 },
                    '9201000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9201999'
                                 },
                    '9144000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9144999'
                                 },
                    '9621000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9621999'
                                 },
                    '9046000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9046999'
                                 },
                    '9900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9900999'
                                 },
                    '9290000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9290999'
                                 },
                    '9830000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9830999'
                                 },
                    '9065000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9065999'
                                 },
                    '9241000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9241999'
                                 },
                    '9906000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9906999'
                                 },
                    '9636000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9636999'
                                 },
                    '9233000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9233999'
                                 },
                    '9079000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9079999'
                                 },
                    '9821000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9821999'
                                 },
                    '9293000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9293999'
                                 },
                    '9978000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9978999'
                                 },
                    '9660000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Boyle',
                                   'status' => 'Allocated',
                                   'end' => '9660999'
                                 },
                    '9267000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9267999'
                                 },
                    '9020000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9020999'
                                 },
                    '9076000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9076999'
                                 },
                    '9637000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9637999'
                                 },
                    '9170000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9170999'
                                 },
                    '9681000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9681999'
                                 },
                    '9296000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9296999'
                                 },
                    '9832000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9832999'
                                 },
                    '9095000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9095999'
                                 },
                    '9929000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9929999'
                                 },
                    '9971000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9971999'
                                 },
                    '9032000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9032999'
                                 },
                    '9661000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Boyle',
                                   'status' => 'Allocated',
                                   'end' => '9661999'
                                 },
                    '9011000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9011999'
                                 },
                    '9820000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9820999'
                                 },
                    '9648000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9648999'
                                 },
                    '9168000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9168999'
                                 },
                    '9206000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9206999'
                                 },
                    '9094000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9094999'
                                 },
                    '9254000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9254999'
                                 },
                    '9247000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9247999'
                                 },
                    '9650000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9650999'
                                 },
                    '9001000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9001999'
                                 },
                    '3000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3999999'
                                 },
                    '9282000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9282999'
                                 },
                    '9141000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9141999'
                                 },
                    '8000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8999999'
                                 },
                    '9265000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9265999'
                                 },
                    '9999000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9999999'
                                 },
                    '9652000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9652999'
                                 },
                    '9633000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9633999'
                                 },
                    '9220000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9220999'
                                 },
                    '9843000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9843999'
                                 },
                    '9631000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9631999'
                                 },
                    '9944000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9944999'
                                 },
                    '9654000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9654999'
                                 },
                    '9124000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9124999'
                                 },
                    '9149000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9149999'
                                 },
                    '9061000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9061999'
                                 },
                    '9297000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9297999'
                                 },
                    '9635000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9635999'
                                 },
                    '2000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2999999'
                                 },
                    '9645000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9645999'
                                 },
                    '9182000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9182999'
                                 },
                    '9831000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9831999'
                                 },
                    '9093000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9093999'
                                 },
                    '9099000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9099999'
                                 },
                    '9975000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9975999'
                                 },
                    '9965000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9965999'
                                 },
                    '9974000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9974999'
                                 },
                    '9135000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9135999'
                                 },
                    '9028000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9028999'
                                 },
                    '9261000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9261999'
                                 },
                    '9980000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9980999'
                                 },
                    '9908000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9908999'
                                 },
                    '9161000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9161999'
                                 },
                    '9040000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9040999'
                                 },
                    '9842000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9842999'
                                 },
                    '9991000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9991999'
                                 },
                    '9627000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9627999'
                                 },
                    '9942000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9942999'
                                 },
                    '9159000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9159999'
                                 },
                    '9933000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9933999'
                                 },
                    '9222000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9222999'
                                 },
                    '9074000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9074999'
                                 },
                    '9987000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9987999'
                                 },
                    '9298000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9298999'
                                 },
                    '9256000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9256999'
                                 },
                    '9081000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9081999'
                                 },
                    '9295000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9295999'
                                 },
                    '9010000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9010999'
                                 },
                    '9185000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9185999'
                                 },
                    '9925000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9925999'
                                 },
                    '9856000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9856999'
                                 },
                    '9000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9000999'
                                 },
                    '9279000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9279999'
                                 },
                    '9151000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9151999'
                                 },
                    '9270000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9270999'
                                 },
                    '9969000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9969999'
                                 },
                    '9148000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9148999'
                                 },
                    '9968000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9968999'
                                 },
                    '9069000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9069999'
                                 },
                    '9634000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9634999'
                                 },
                    '9910000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9910999'
                                 },
                    '9970000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9970999'
                                 },
                    '9953000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9953999'
                                 },
                    '9251000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9251999'
                                 },
                    '9927000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9927999'
                                 },
                    '5000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5999999'
                                 },
                    '9043000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9043999'
                                 },
                    '9976000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9976999'
                                 },
                    '9668000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Boyle',
                                   'status' => 'Allocated',
                                   'end' => '9668999'
                                 },
                    '9935000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9935999'
                                 },
                    '9833000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9833999'
                                 },
                    '9132000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9132999'
                                 },
                    '9984000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9984999'
                                 },
                    '9086000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9086999'
                                 },
                    '9178000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9178999'
                                 },
                    '9183000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9183999'
                                 },
                    '9234000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9234999'
                                 },
                    '9143000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9143999'
                                 },
                    '9128000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9128999'
                                 },
                    '9155000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9155999'
                                 },
                    '9957000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9957999'
                                 },
                    '9904000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9904999'
                                 },
                    '9006000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9006999'
                                 },
                    '9166000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9166999'
                                 },
                    '9828000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9828999'
                                 },
                    '9083000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9083999'
                                 },
                    '9263000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9263999'
                                 },
                    '9173000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9173999'
                                 },
                    '9186000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9186999'
                                 },
                    '9055000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9055999'
                                 },
                    '9638000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9638999'
                                 },
                    '9181000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9181999'
                                 },
                    '9628000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9628999'
                                 },
                    '9229000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9229999'
                                 },
                    '9919000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9919999'
                                 },
                    '9255000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9255999'
                                 },
                    '9993000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9993999'
                                 },
                    '9004000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9004999'
                                 },
                    '9060000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9060999'
                                 },
                    '9252000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9252999'
                                 },
                    '9834000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9834999'
                                 },
                    '9291000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9291999'
                                 },
                    '9017000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9017999'
                                 },
                    '9923000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9923999'
                                 },
                    '9080000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9080999'
                                 },
                    '9905000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9905999'
                                 },
                    '9626000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9626999'
                                 },
                    '9003000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9003999'
                                 },
                    '9167000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9167999'
                                 },
                    '9207000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9207999'
                                 },
                    '9954000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9954999'
                                 },
                    '9940000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9940999'
                                 },
                    '9134000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9134999'
                                 },
                    '9150000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9150999'
                                 },
                    '9688000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9688999'
                                 },
                    '9200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9200999'
                                 },
                    '9113000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9113999'
                                 },
                    '9027000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9027999'
                                 },
                    '9188000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9188999'
                                 },
                    '9822000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9822999'
                                 },
                    '9165000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9165999'
                                 },
                    '9932000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9932999'
                                 },
                    '9924000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9924999'
                                 },
                    '9075000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9075999'
                                 },
                    '9257000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9257999'
                                 },
                    '9136000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9136999'
                                 },
                    '9216000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9216999'
                                 },
                    '4000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4999999'
                                 },
                    '9266000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9266999'
                                 },
                    '9912000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9912999'
                                 },
                    '9179000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9179999'
                                 },
                    '9045000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9045999'
                                 },
                    '9285000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9285999'
                                 },
                    '9022000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9022999'
                                 },
                    '9184000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9184999'
                                 },
                    '9277000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9277999'
                                 },
                    '9227000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9227999'
                                 },
                    '9657000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9657999'
                                 },
                    '9996000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9996999'
                                 },
                    '9977000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9977999'
                                 },
                    '9682000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9682999'
                                 },
                    '9299000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9299999'
                                 },
                    '9169000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9169999'
                                 },
                    '9090000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9090999'
                                 },
                    '9928000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9928999'
                                 },
                    '9042000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9042999'
                                 },
                    '9685000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9685999'
                                 },
                    '9640000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9640999'
                                 },
                    '9921000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9921999'
                                 },
                    '9071000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9071999'
                                 },
                    '9662000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Boyle',
                                   'status' => 'Allocated',
                                   'end' => '9662999'
                                 },
                    '9016000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9016999'
                                 },
                    '9979000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9979999'
                                 },
                    '9624000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9624999'
                                 },
                    '9659000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9659999'
                                 },
                    '9258000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9258999'
                                 },
                    '9959000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9959999'
                                 },
                    '9059000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9059999'
                                 },
                    '9990000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9990999'
                                 },
                    '9026000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9026999'
                                 },
                    '9158000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9158999'
                                 },
                    '9232000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9232999'
                                 },
                    '9012000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9012999'
                                 },
                    '9273000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9273999'
                                 },
                    '9268000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9268999'
                                 },
                    '9126000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9126999'
                                 },
                    '9915000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9915999'
                                 },
                    '9841000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9841999'
                                 },
                    '9658000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9658999'
                                 },
                    '9274000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9274999'
                                 },
                    '9078000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9078999'
                                 },
                    '9907000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9907999'
                                 },
                    '9934000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9934999'
                                 },
                    '9827000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9827999'
                                 },
                    '9007000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9007999'
                                 },
                    '7000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7999999'
                                 },
                    '9041000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9041999'
                                 },
                    '9131000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9131999'
                                 },
                    '9913000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9913999'
                                 },
                    '9044000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9044999'
                                 },
                    '9118000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9118999'
                                 },
                    '9903000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9903999'
                                 },
                    '9997000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9997999'
                                 },
                    '9672000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Boyle',
                                   'status' => 'Allocated',
                                   'end' => '9672999'
                                 },
                    '9271000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9271999'
                                 },
                    '9002000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9002999'
                                 },
                    '9097000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9097999'
                                 },
                    '9015000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9015999'
                                 },
                    '9139000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Energis',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9139999'
                                 },
                    '9142000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9142999'
                                 },
                    '9187000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9187999'
                                 },
                    '9665000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Boyle',
                                   'status' => 'Allocated',
                                   'end' => '9665999'
                                 },
                    '9269000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9269999'
                                 },
                    '9175000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9175999'
                                 },
                    '9235000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9235999'
                                 },
                    '9056000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9056999'
                                 },
                    '9030000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9030999'
                                 },
                    '9171000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9171999'
                                 },
                    '9189000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9189999'
                                 },
                    '9292000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9292999'
                                 },
                    '9855000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9855999'
                                 },
                    '9998000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9998999'
                                 },
                    '9050000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9050999'
                                 },
                    '9218000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9218999'
                                 },
                    '9249000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9249999'
                                 },
                    '9641000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9641999'
                                 },
                    '9119000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9119999'
                                 },
                    '9673000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Boyle',
                                   'status' => 'Allocated',
                                   'end' => '9673999'
                                 },
                    '9067000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9067999'
                                 },
                    '9176000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9176999'
                                 },
                    '9655000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9655999'
                                 },
                    '9958000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9958999'
                                 },
                    '9632000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9632999'
                                 },
                    '9962000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9962999'
                                 },
                    '9902000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9902999'
                                 },
                    '9280000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9280999'
                                 },
                    '9226000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9226999'
                                 },
                    '9228000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9228999'
                                 },
                    '9208000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9208999'
                                 },
                    '9284000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9284999'
                                 },
                    '9077000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9077999'
                                 },
                    '9966000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9966999'
                                 },
                    '9243000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9243999'
                                 },
                    '9253000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9253999'
                                 },
                    '9172000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9172999'
                                 },
                    '9916000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9916999'
                                 },
                    '9961000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9961999'
                                 },
                    '9639000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9639999'
                                 },
                    '9651000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9651999'
                                 },
                    '9963000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9963999'
                                 },
                    '9250000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9250999'
                                 },
                    '9983000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9983999'
                                 },
                    '9972000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9972999'
                                 },
                    '9943000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9943999'
                                 },
                    '9276000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9276999'
                                 },
                    '9160000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9160999'
                                 },
                    '9947000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9947999'
                                 },
                    '9851000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9851999'
                                 },
                    '9272000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9272999'
                                 },
                    '9146000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9146999'
                                 },
                    '9986000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9986999'
                                 },
                    '9214000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9214999'
                                 },
                    '9260000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9260999'
                                 },
                    '9960000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9960999'
                                 },
                    '9994000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9994999'
                                 },
                    '9215000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9215999'
                                 },
                    '9248000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9248999'
                                 },
                    '9664000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Boyle',
                                   'status' => 'Allocated',
                                   'end' => '9664999'
                                 },
                    '9288000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9288999'
                                 },
                    '9630000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9630999'
                                 },
                    '9033000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9033999'
                                 },
                    '9062000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9062999'
                                 },
                    '9013000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9013999'
                                 },
                    '9219000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9219999'
                                 },
                    '9063000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9063999'
                                 },
                    '9034000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9034999'
                                 },
                    '9213000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9213999'
                                 },
                    '9952000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9952999'
                                 },
                    '9190000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9190999'
                                 },
                    '9949000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9949999'
                                 },
                    '9084000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9084999'
                                 },
                    '9945000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9945999'
                                 },
                    '9967000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9967999'
                                 },
                    '9068000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9068999'
                                 },
                    '9163000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9163999'
                                 },
                    '9283000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9283999'
                                 },
                    '9824000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Manorhamilton',
                                   'status' => 'Allocated',
                                   'end' => '9824999'
                                 },
                    '9029000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9029999'
                                 },
                    '9240000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9240999'
                                 },
                    '9669000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Boyle',
                                   'status' => 'Allocated',
                                   'end' => '9669999'
                                 },
                    '9656000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9656999'
                                 },
                    '9036000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9036999'
                                 },
                    '9236000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9236999'
                                 },
                    '9951000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9951999'
                                 },
                    '9085000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9085999'
                                 },
                    '9687000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Carrick-on-Shannon',
                                   'status' => 'Allocated',
                                   'end' => '9687999'
                                 },
                    '9133000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Sligo',
                                   'status' => 'Allocated',
                                   'end' => '9133999'
                                 },
                    '9023000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9023999'
                                 },
                    '9039000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9039999'
                                 },
                    '9019000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9019999'
                                 },
                    '9205000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9205999'
                                 },
                    '9278000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9278999'
                                 }
                  },
          '80' => {
                    '' => {
                            'designation' => '',
                            'licensee' => '',
                            'location' => 'Not Applicable',
                            'status' => 'Reserved',
                            'end' => ''
                          }
                  },
          '26' => {
                    '40000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '40999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'NTL Communications (Ireland) Ltd',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '47000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '47999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => '',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '46000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '46999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '49000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '49999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '43000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '43999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '29000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '29999'
                               },
                    '61000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '61999'
                               },
                    '65000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '65999'
                               },
                    '48000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '48999'
                               },
                    '42000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '42999'
                               },
                    '55000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Macroom',
                                 'status' => 'Reserved',
                                 'end' => '55999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '44000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '44999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Macroom',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               }
                  },
          '99' => {
                    '95000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Kilronan',
                                 'status' => 'Reserved',
                                 'end' => '95999'
                               },
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kilronan',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Kilronan',
                                 'status' => 'Reserved',
                                 'end' => '36999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Kilronan',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Kilronan',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '98000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Kilronan',
                                 'status' => 'Reserved',
                                 'end' => '98999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Kilronan',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Kilronan',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '96000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Kilronan',
                                 'status' => 'Reserved',
                                 'end' => '96999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kilronan',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kilronan',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '93000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Kilronan',
                                 'status' => 'Reserved',
                                 'end' => '93999'
                               },
                    '71000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Kilronan',
                                 'status' => 'Reserved',
                                 'end' => '71999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kilronan',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '29000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kilronan',
                                 'status' => 'Allocated',
                                 'end' => '29999'
                               },
                    '61000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kilronan',
                                 'status' => 'Allocated',
                                 'end' => '61999'
                               },
                    '92000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Kilronan',
                                 'status' => 'Reserved',
                                 'end' => '92999'
                               },
                    '94000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Kilronan',
                                 'status' => 'Reserved',
                                 'end' => '94999'
                               },
                    '97000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Kilronan',
                                 'status' => 'Reserved',
                                 'end' => '97999'
                               },
                    '75000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kilronan',
                                 'status' => 'Allocated',
                                 'end' => '75999'
                               },
                    '73000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kilronan',
                                 'status' => 'Allocated',
                                 'end' => '73999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Kilronan',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kilronan',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               }
                  },
          '821' => {
                     '500000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '599999'
                                 },
                     '100000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '199999'
                                 },
                     '900000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '999999'
                                 },
                     '700000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '799999'
                                 },
                     '800000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '899999'
                                 },
                     '600000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '699999'
                                 },
                     '400000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '499999'
                                 },
                     '200000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '299999'
                                 },
                     '300000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '399999'
                                 }
                   },
          '44' => {
                    '39000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '39999'
                               },
                    '47000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '47999'
                               },
                    '43000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '43999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '74000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '74999'
                               },
                    '67000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Castlepollard',
                                 'status' => 'Allocated',
                                 'end' => '67999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Castlepollard',
                                 'status' => 'Allocated',
                                 'end' => '66999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '65000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Castlepollard',
                                 'status' => 'Allocated',
                                 'end' => '65499'
                               },
                    '42000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '42999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tyrellspass',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tyrellspass',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               },
                    '84000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '84999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '36999'
                               },
                    '57000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '57999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tyrellspass',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '81000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '81999'
                               },
                    '76000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '76999'
                               },
                    '46000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '46999'
                               },
                    '49000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '49999'
                               },
                    '72000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '72999'
                               },
                    '93000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Mullingar',
                                 'status' => 'Reserved',
                                 'end' => '93999'
                               },
                    '89000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '89999'
                               },
                    '63000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Castlepollard',
                                 'status' => 'Allocated',
                                 'end' => '63999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Tyrellspass',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '38000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '38999'
                               },
                    '92000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Tyrellspass',
                                 'status' => 'Reserved',
                                 'end' => '92999'
                               },
                    '94000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '94999'
                               },
                    '82000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '82999'
                               },
                    '35000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '35999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '80000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '80999'
                               },
                    '48000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '48999'
                               },
                    '73000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '73999'
                               },
                    '44000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '44999'
                               },
                    '68000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Castlepollard',
                                 'status' => 'Allocated',
                                 'end' => '68999'
                               },
                    '83000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '83999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tyrellspass',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tyrellspass',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '96000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Castlepollard',
                                 'status' => 'Reserved',
                                 'end' => '96999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tyrellspass',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tyrellspass',
                                 'status' => 'Allocated',
                                 'end' => '25499'
                               },
                    '61000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Castlepollard',
                                 'status' => 'Allocated',
                                 'end' => '61999'
                               },
                    '64000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Castlepollard',
                                 'status' => 'Allocated',
                                 'end' => '64999'
                               },
                    '56000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '56999'
                               },
                    '91000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '91999'
                               },
                    '85000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '85999'
                               },
                    '69000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Castlepollard',
                                 'status' => 'Allocated',
                                 'end' => '69999'
                               },
                    '60000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Castlepollard',
                                 'status' => 'Allocated',
                                 'end' => '60999'
                               },
                    '55000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '55999'
                               },
                    '59000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '59999'
                               },
                    '95000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '95999'
                               },
                    '90000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '90999'
                               },
                    '50000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '50999'
                               },
                    '40000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '40999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '62000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Castlepollard',
                                 'status' => 'Allocated',
                                 'end' => '62999'
                               },
                    '71000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '71999'
                               },
                    '29000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '29999'
                               },
                    '70000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '70999'
                               },
                    '37000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '37999'
                               },
                    '51000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '51999'
                               },
                    '75000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '75999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '33999'
                               },
                    '79000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mullingar',
                                 'status' => 'Allocated',
                                 'end' => '79999'
                               }
                  },
          '55' => {
                    '84000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '84999'
                               },
                    '83000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '83999'
                               },
                    '95000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '95999'
                               },
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '36999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'NTL Communications (Ireland) Ltd',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '81000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '81999'
                               },
                    '77000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '77999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '38000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '38999'
                               },
                    '29000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '29999'
                               },
                    '82000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '82999'
                               },
                    '56000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '56999'
                               },
                    '85000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '85999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '80000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '80999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Gorey',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               }
                  },
          '84' => {
                    '5700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5799999'
                                 },
                    '5300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5399999'
                                 },
                    '5520000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5529999'
                                 },
                    '4600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4699999'
                                 },
                    '5800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5899999'
                                 },
                    '5550000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5559999'
                                 },
                    '55200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55299999'
                                  },
                    '54100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54199999'
                                  },
                    '4000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4099999'
                                 },
                    '55000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55099999'
                                  },
                    '54400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54499999'
                                  },
                    '55540000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55549999'
                                  },
                    '54600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54699999'
                                  },
                    '52000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Access Telecom (Imagine Mobile) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52099999'
                                  },
                    '54300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54399999'
                                  },
                    '4100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4199999'
                                 },
                    '4400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4499999'
                                 },
                    '4200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4299999'
                                 },
                    '54500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54599999'
                                  },
                    '5400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5499999'
                                 },
                    '5000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5099999'
                                 },
                    '4300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4399999'
                                 },
                    '5560000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5569999'
                                 },
                    '5500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5599999'
                                 },
                    '4500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4599999'
                                 },
                    '55400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55499999'
                                  },
                    '54000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54099999'
                                  },
                    '54900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54999999'
                                  },
                    '55800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55899999'
                                  },
                    '54800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54899999'
                                  },
                    '54200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54299999'
                                  },
                    '55100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55199999'
                                  },
                    '55700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55799999'
                                  },
                    '5200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5299999'
                                 },
                    '55900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55999999'
                                  },
                    '2000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Access Telecom (Imagine Mobile) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2099999'
                                 },
                    '5510000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5519999'
                                 },
                    '54700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54799999'
                                  },
                    '55560000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55569999'
                                  },
                    '5530000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5539999'
                                 },
                    '4800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4899999'
                                 },
                    '5100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5199999'
                                 },
                    '55520000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55529999'
                                  },
                    '5600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5699999'
                                 },
                    '4900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4999999'
                                 },
                    '55550000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55559999'
                                  },
                    '55570000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55579999'
                                  },
                    '5580000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5589999'
                                 },
                    '55510000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55519999'
                                  },
                    '5540000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5549999'
                                 },
                    '4700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4799999'
                                 },
                    '55500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55599999'
                                  },
                    '55300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55399999'
                                  },
                    '5570000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5579999'
                                 },
                    '55600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55699999'
                                  },
                    '55580000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55589999'
                                  },
                    '5900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5999999'
                                 },
                    '55530000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55539999'
                                  }
                  },
          '74' => {
                    '9123000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9123999'
                                 },
                    '9130000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9130999'
                                 },
                    '9937000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9937999'
                                 },
                    '9009000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9009999'
                                 },
                    '9973000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9973999'
                                 },
                    '9138000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9138999'
                                 },
                    '9245000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9245999'
                                 },
                    '9470000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9470999'
                                 },
                    '9418000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9418999'
                                 },
                    '9194000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9194999'
                                 },
                    '9403000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9403999'
                                 },
                    '9052000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9052999'
                                 },
                    '9922000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9922999'
                                 },
                    '9289000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9289999'
                                 },
                    '9281000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9281999'
                                 },
                    '9330000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9330999'
                                 },
                    '9560000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9560999'
                                 },
                    '6000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6999999'
                                 },
                    '9237000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9237999'
                                 },
                    '9479000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9479999'
                                 },
                    '9992000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9992999'
                                 },
                    '9964000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9964999'
                                 },
                    '9286000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9286999'
                                 },
                    '9064000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9064999'
                                 },
                    '9459000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9459999'
                                 },
                    '9443000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9443999'
                                 },
                    '9480000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9480999'
                                 },
                    '9429000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9429999'
                                 },
                    '9341000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9341999'
                                 },
                    '9021000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9021999'
                                 },
                    '9157000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9157999'
                                 },
                    '9122000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9122999'
                                 },
                    '9127000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9127999'
                                 },
                    '9072000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9072999'
                                 },
                    '9177000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9177999'
                                 },
                    '9096000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9096999'
                                 },
                    '9473000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9473999'
                                 },
                    '9242000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9242999'
                                 },
                    '9037000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9037999'
                                 },
                    '9107000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9107999'
                                 },
                    '9275000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9275999'
                                 },
                    '9417000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9417999'
                                 },
                    '9089000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9089999'
                                 },
                    '9231000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9231999'
                                 },
                    '9156000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9156999'
                                 },
                    '9018000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9018999'
                                 },
                    '9224000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9224999'
                                 },
                    '9087000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9087999'
                                 },
                    '9738000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9738999'
                                 },
                    '9720000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9720999'
                                 },
                    '9744000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9744999'
                                 },
                    '9464000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9464999'
                                 },
                    '9321000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9321999'
                                 },
                    '9223000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9223999'
                                 },
                    '9571000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9571999'
                                 },
                    '9238000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9238999'
                                 },
                    '9217000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9217999'
                                 },
                    '9147000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9147999'
                                 },
                    '9494000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9494999'
                                 },
                    '9492000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9492999'
                                 },
                    '9981000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9981999'
                                 },
                    '9192000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9192999'
                                 },
                    '9038000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9038999'
                                 },
                    '9404000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9404999'
                                 },
                    '9174000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9174999'
                                 },
                    '9091000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9091999'
                                 },
                    '9941000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9941999'
                                 },
                    '9323000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9323999'
                                 },
                    '9204000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9204999'
                                 },
                    '9322000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9322999'
                                 },
                    '9153000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9153999'
                                 },
                    '9049000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9049999'
                                 },
                    '9447000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9447999'
                                 },
                    '9955000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9955999'
                                 },
                    '9385000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9385999'
                                 },
                    '9950000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9950999'
                                 },
                    '9088000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9088999'
                                 },
                    '9014000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9014999'
                                 },
                    '9920000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9920999'
                                 },
                    '9053000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9053999'
                                 },
                    '9453000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9453999'
                                 },
                    '9121000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9121999'
                                 },
                    '9005000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9005999'
                                 },
                    '9463000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9463999'
                                 },
                    '9728000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9728999'
                                 },
                    '9495000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9495999'
                                 },
                    '9098000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9098999'
                                 },
                    '9057000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9057999'
                                 },
                    '9092000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9092999'
                                 },
                    '9024000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9024999'
                                 },
                    '9047000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9047999'
                                 },
                    '9939000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9939999'
                                 },
                    '9140000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9140999'
                                 },
                    '9154000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9154999'
                                 },
                    '9948000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9948999'
                                 },
                    '9914000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9914999'
                                 },
                    '9244000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9244999'
                                 },
                    '9264000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9264999'
                                 },
                    '9911000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9911999'
                                 },
                    '9201000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9201999'
                                 },
                    '9144000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9144999'
                                 },
                    '9046000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9046999'
                                 },
                    '9290000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9290999'
                                 },
                    '9535000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9535999'
                                 },
                    '9400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9400999'
                                 },
                    '9906000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9906999'
                                 },
                    '9440000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9440999'
                                 },
                    '9740000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9740999'
                                 },
                    '9106000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9106999'
                                 },
                    '9079000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9079999'
                                 },
                    '9293000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9293999'
                                 },
                    '9978000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9978999'
                                 },
                    '9267000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9267999'
                                 },
                    '9020000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9020999'
                                 },
                    '9410000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9410999'
                                 },
                    '9095000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9095999'
                                 },
                    '9541000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9541999'
                                 },
                    '9168000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9168999'
                                 },
                    '9094000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9094999'
                                 },
                    '9405000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9405999'
                                 },
                    '9247000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9247999'
                                 },
                    '3000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3999999'
                                 },
                    '9141000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9141999'
                                 },
                    '8000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8999999'
                                 },
                    '9265000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9265999'
                                 },
                    '9220000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9220999'
                                 },
                    '9944000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9944999'
                                 },
                    '9149000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9149999'
                                 },
                    '9361000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9361999'
                                 },
                    '2000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2999999'
                                 },
                    '9182000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9182999'
                                 },
                    '9487000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9487999'
                                 },
                    '9965000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9965999'
                                 },
                    '9469000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9469999'
                                 },
                    '9974000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9974999'
                                 },
                    '9135000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9135999'
                                 },
                    '9980000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9980999'
                                 },
                    '9908000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9908999'
                                 },
                    '9522000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9522999'
                                 },
                    '9991000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9991999'
                                 },
                    '9942000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9942999'
                                 },
                    '9471000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9471999'
                                 },
                    '9222000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9222999'
                                 },
                    '9074000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9074999'
                                 },
                    '9987000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9987999'
                                 },
                    '9256000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9256999'
                                 },
                    '9081000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9081999'
                                 },
                    '9295000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9295999'
                                 },
                    '9010000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9010999'
                                 },
                    '9561000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9561999'
                                 },
                    '9185000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9185999'
                                 },
                    '9279000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9279999'
                                 },
                    '9151000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9151999'
                                 },
                    '9270000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9270999'
                                 },
                    '9148000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9148999'
                                 },
                    '9968000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9968999'
                                 },
                    '9069000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9069999'
                                 },
                    '9729000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9729999'
                                 },
                    '9734000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9734999'
                                 },
                    '9545000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9545999'
                                 },
                    '9251000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9251999'
                                 },
                    '9043000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9043999'
                                 },
                    '9178000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9178999'
                                 },
                    '9183000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9183999'
                                 },
                    '9234000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9234999'
                                 },
                    '9143000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9143999'
                                 },
                    '9420000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9420999'
                                 },
                    '9155000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9155999'
                                 },
                    '9426000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9426999'
                                 },
                    '9957000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9957999'
                                 },
                    '9006000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9006999'
                                 },
                    '9083000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9083999'
                                 },
                    '9263000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9263999'
                                 },
                    '9186000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9186999'
                                 },
                    '9486000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9486999'
                                 },
                    '9181000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9181999'
                                 },
                    '9376000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9376999'
                                 },
                    '9919000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9919999'
                                 },
                    '9993000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9993999'
                                 },
                    '9544000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9544999'
                                 },
                    '9004000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9004999'
                                 },
                    '9468000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9468999'
                                 },
                    '9252000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9252999'
                                 },
                    '9291000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9291999'
                                 },
                    '9017000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9017999'
                                 },
                    '9923000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9923999'
                                 },
                    '9455000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9455999'
                                 },
                    '9439000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9439999'
                                 },
                    '9496000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9496999'
                                 },
                    '9406000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9406999'
                                 },
                    '9134000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9134999'
                                 },
                    '9483000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9483999'
                                 },
                    '9150000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9150999'
                                 },
                    '9454000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9454999'
                                 },
                    '9027000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9027999'
                                 },
                    '9188000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9188999'
                                 },
                    '9165000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9165999'
                                 },
                    '9932000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9932999'
                                 },
                    '9075000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9075999'
                                 },
                    '9721000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9721999'
                                 },
                    '9525000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9525999'
                                 },
                    '9727000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9727999'
                                 },
                    '4000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4999999'
                                 },
                    '9266000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9266999'
                                 },
                    '9912000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9912999'
                                 },
                    '9551000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9551999'
                                 },
                    '9430000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9430999'
                                 },
                    '9022000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9022999'
                                 },
                    '9320000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9320999'
                                 },
                    '9277000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9277999'
                                 },
                    '9227000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9227999'
                                 },
                    '9996000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9996999'
                                 },
                    '9928000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9928999'
                                 },
                    '9042000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9042999'
                                 },
                    '9474000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9474999'
                                 },
                    '9921000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9921999'
                                 },
                    '9979000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9979999'
                                 },
                    '9478000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9478999'
                                 },
                    '9990000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9990999'
                                 },
                    '9026000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9026999'
                                 },
                    '9232000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9232999'
                                 },
                    '9273000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9273999'
                                 },
                    '9126000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9126999'
                                 },
                    '9915000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9915999'
                                 },
                    '9741000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9741999'
                                 },
                    '9078000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9078999'
                                 },
                    '9907000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9907999'
                                 },
                    '9934000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9934999'
                                 },
                    '9383000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9383999'
                                 },
                    '9477000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9477999'
                                 },
                    '9460000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9460999'
                                 },
                    '9041000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9041999'
                                 },
                    '9131000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9131999'
                                 },
                    '9913000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9913999'
                                 },
                    '9044000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9044999'
                                 },
                    '9371000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9371999'
                                 },
                    '9271000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9271999'
                                 },
                    '9002000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9002999'
                                 },
                    '9097000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9097999'
                                 },
                    '9142000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9142999'
                                 },
                    '9187000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9187999'
                                 },
                    '9452000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9452999'
                                 },
                    '9730000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9730999'
                                 },
                    '9428000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9428999'
                                 },
                    '9445000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9445999'
                                 },
                    '9175000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9175999'
                                 },
                    '9235000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9235999'
                                 },
                    '9056000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9056999'
                                 },
                    '9030000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9030999'
                                 },
                    '9998000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9998999'
                                 },
                    '9743000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9743999'
                                 },
                    '9364000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9364999'
                                 },
                    '9218000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9218999'
                                 },
                    '9249000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9249999'
                                 },
                    '9176000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9176999'
                                 },
                    '9958000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9958999'
                                 },
                    '9458000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9458999'
                                 },
                    '9962000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9962999'
                                 },
                    '9381000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9381999'
                                 },
                    '9387000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9387999'
                                 },
                    '9363000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9363999'
                                 },
                    '9280000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9280999'
                                 },
                    '9208000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9208999'
                                 },
                    '9284000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9284999'
                                 },
                    '9077000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9077999'
                                 },
                    '9172000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9172999'
                                 },
                    '9916000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9916999'
                                 },
                    '9374000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9374999'
                                 },
                    '9493000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9493999'
                                 },
                    '9963000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9963999'
                                 },
                    '9484000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9484999'
                                 },
                    '9972000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9972999'
                                 },
                    '9943000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9943999'
                                 },
                    '9276000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9276999'
                                 },
                    '9465000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9465999'
                                 },
                    '9986000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9986999'
                                 },
                    '9214000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9214999'
                                 },
                    '9260000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9260999'
                                 },
                    '9562000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9562999'
                                 },
                    '9215000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9215999'
                                 },
                    '9288000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9288999'
                                 },
                    '9033000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9033999'
                                 },
                    '9532000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9532999'
                                 },
                    '9013000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9013999'
                                 },
                    '9063000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9063999'
                                 },
                    '9952000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9952999'
                                 },
                    '9949000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9949999'
                                 },
                    '9084000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9084999'
                                 },
                    '9068000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9068999'
                                 },
                    '9283000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9283999'
                                 },
                    '9240000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9240999'
                                 },
                    '9036000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9036999'
                                 },
                    '9951000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9951999'
                                 },
                    '9085000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9085999'
                                 },
                    '9557000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9557999'
                                 },
                    '9023000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9023999'
                                 },
                    '9559000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9559999'
                                 },
                    '9205000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9205999'
                                 },
                    '9424000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9424999'
                                 },
                    '9909000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9909999'
                                 },
                    '9035000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9035999'
                                 },
                    '9433000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9433999'
                                 },
                    '9221000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9221999'
                                 },
                    '9294000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9294999'
                                 },
                    '9901000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9901999'
                                 },
                    '9467000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9467999'
                                 },
                    '9732000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9732999'
                                 },
                    '9101000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9101999'
                                 },
                    '9431000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9431999'
                                 },
                    '9120000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9120999'
                                 },
                    '9211000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9211999'
                                 },
                    '9372000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9372999'
                                 },
                    '9918000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9918999'
                                 },
                    '9382000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9382999'
                                 },
                    '9542000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9542999'
                                 },
                    '9202000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9202999'
                                 },
                    '9435000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9435999'
                                 },
                    '9527000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9527999'
                                 },
                    '9066000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9066999'
                                 },
                    '9989000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9989999'
                                 },
                    '9210000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9210999'
                                 },
                    '9421000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9421999'
                                 },
                    '9917000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9917999'
                                 },
                    '9203000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9203999'
                                 },
                    '9751000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9751999'
                                 },
                    '9058000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9058999'
                                 },
                    '9462000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9462999'
                                 },
                    '9008000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9008999'
                                 },
                    '9432000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9432999'
                                 },
                    '9425000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9425999'
                                 },
                    '9125000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9125999'
                                 },
                    '9070000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9070999'
                                 },
                    '9051000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9051999'
                                 },
                    '9145000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9145999'
                                 },
                    '9926000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9926999'
                                 },
                    '9246000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9246999'
                                 },
                    '9262000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9262999'
                                 },
                    '9384000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9384999'
                                 },
                    '9936000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9936999'
                                 },
                    '9137000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9137999'
                                 },
                    '9209000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9209999'
                                 },
                    '9230000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9230999'
                                 },
                    '9212000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9212999'
                                 },
                    '9412000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9412999'
                                 },
                    '9931000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9931999'
                                 },
                    '9448000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9448999'
                                 },
                    '9129000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9129999'
                                 },
                    '9164000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9164999'
                                 },
                    '9995000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9995999'
                                 },
                    '9073000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9073999'
                                 },
                    '9025000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9025999'
                                 },
                    '9742000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9742999'
                                 },
                    '9956000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9956999'
                                 },
                    '9733000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9733999'
                                 },
                    '9982000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9982999'
                                 },
                    '9985000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9985999'
                                 },
                    '9082000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9082999'
                                 },
                    '9946000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9946999'
                                 },
                    '9422000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9422999'
                                 },
                    '9461000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9461999'
                                 },
                    '9482000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9482999'
                                 },
                    '9287000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9287999'
                                 },
                    '9100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9100999'
                                 },
                    '9239000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9239999'
                                 },
                    '9938000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9938999'
                                 },
                    '9048000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9048999'
                                 },
                    '9988000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9988999'
                                 },
                    '9225000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9225999'
                                 },
                    '9930000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9930999'
                                 },
                    '9152000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9152999'
                                 },
                    '9444000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9444999'
                                 },
                    '9332000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9332999'
                                 },
                    '9162000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9162999'
                                 },
                    '9031000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9031999'
                                 },
                    '9054000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9054999'
                                 },
                    '9259000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9259999'
                                 },
                    '9180000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9180999'
                                 },
                    '9739000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9739999'
                                 },
                    '9413000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9413999'
                                 },
                    '9900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9900999'
                                 },
                    '9476000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9476999'
                                 },
                    '9065000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9065999'
                                 },
                    '9241000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9241999'
                                 },
                    '9416000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9416999'
                                 },
                    '9735000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9735999'
                                 },
                    '9233000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9233999'
                                 },
                    '9379000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9379999'
                                 },
                    '9725000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9725999'
                                 },
                    '9076000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9076999'
                                 },
                    '9170000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9170999'
                                 },
                    '9109000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9109999'
                                 },
                    '9296000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9296999'
                                 },
                    '9497000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9497999'
                                 },
                    '9929000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9929999'
                                 },
                    '9971000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9971999'
                                 },
                    '9032000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9032999'
                                 },
                    '9011000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9011999'
                                 },
                    '9419000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9419999'
                                 },
                    '9206000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9206999'
                                 },
                    '9254000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9254999'
                                 },
                    '9537000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9537999'
                                 },
                    '9001000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9001999'
                                 },
                    '9402000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9402999'
                                 },
                    '9282000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9282999'
                                 },
                    '9103000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9103999'
                                 },
                    '9472000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9472999'
                                 },
                    '9999000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9999999'
                                 },
                    '9124000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9124999'
                                 },
                    '9324000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9324999'
                                 },
                    '9409000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9409999'
                                 },
                    '9061000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9061999'
                                 },
                    '9552000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9552999'
                                 },
                    '9297000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9297999'
                                 },
                    '9489000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9489999'
                                 },
                    '9099000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9099999'
                                 },
                    '9093000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9093999'
                                 },
                    '9368000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9368999'
                                 },
                    '9373000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9373999'
                                 },
                    '9975000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9975999'
                                 },
                    '9028000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9028999'
                                 },
                    '9261000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9261999'
                                 },
                    '9161000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9161999'
                                 },
                    '9040000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9040999'
                                 },
                    '9159000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9159999'
                                 },
                    '9933000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9933999'
                                 },
                    '9536000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9536999'
                                 },
                    '9298000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9298999'
                                 },
                    '9408000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9408999'
                                 },
                    '9438000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9438999'
                                 },
                    '9925000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9925999'
                                 },
                    '9499000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9499999'
                                 },
                    '9000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9000999'
                                 },
                    '9485000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9485999'
                                 },
                    '9736000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9736999'
                                 },
                    '9969000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9969999'
                                 },
                    '9910000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9910999'
                                 },
                    '9970000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9970999'
                                 },
                    '9953000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9953999'
                                 },
                    '9534000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9534999'
                                 },
                    '5000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5999999'
                                 },
                    '9927000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9927999'
                                 },
                    '9976000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9976999'
                                 },
                    '9935000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9935999'
                                 },
                    '9132000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9132999'
                                 },
                    '9548000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9548999'
                                 },
                    '9984000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9984999'
                                 },
                    '9086000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9086999'
                                 },
                    '9401000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9401999'
                                 },
                    '9128000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9128999'
                                 },
                    '9166000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9166999'
                                 },
                    '9904000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9904999'
                                 },
                    '9173000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9173999'
                                 },
                    '9055000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9055999'
                                 },
                    '9362000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9362999'
                                 },
                    '9229000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9229999'
                                 },
                    '9531000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9531999'
                                 },
                    '9255000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9255999'
                                 },
                    '9521000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9521999'
                                 },
                    '9060000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9060999'
                                 },
                    '9378000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9378999'
                                 },
                    '9080000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9080999'
                                 },
                    '9905000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9905999'
                                 },
                    '9207000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9207999'
                                 },
                    '9167000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9167999'
                                 },
                    '9003000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9003999'
                                 },
                    '9954000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9954999'
                                 },
                    '9940000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9940999'
                                 },
                    '9200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9200999'
                                 },
                    '9450000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9450999'
                                 },
                    '9466000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9466999'
                                 },
                    '9370000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9370999'
                                 },
                    '9924000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9924999'
                                 },
                    '9427000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9427999'
                                 },
                    '9257000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9257999'
                                 },
                    '9136000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9136999'
                                 },
                    '9726000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9726999'
                                 },
                    '9216000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9216999'
                                 },
                    '9179000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9179999'
                                 },
                    '9045000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9045999'
                                 },
                    '9423000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9423999'
                                 },
                    '9498000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9498999'
                                 },
                    '9456000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9456999'
                                 },
                    '9184000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9184999'
                                 },
                    '9285000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9285999'
                                 },
                    '9977000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9977999'
                                 },
                    '9169000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9169999'
                                 },
                    '9299000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9299999'
                                 },
                    '9090000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9090999'
                                 },
                    '9377000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9377999'
                                 },
                    '9437000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9437999'
                                 },
                    '9071000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9071999'
                                 },
                    '9016000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9016999'
                                 },
                    '9258000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9258999'
                                 },
                    '9329000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9329999'
                                 },
                    '9959000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9959999'
                                 },
                    '9059000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9059999'
                                 },
                    '9342000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9342999'
                                 },
                    '9158000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9158999'
                                 },
                    '9449000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9449999'
                                 },
                    '9012000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9012999'
                                 },
                    '9722000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9722999'
                                 },
                    '9475000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9475999'
                                 },
                    '9268000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9268999'
                                 },
                    '9490000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9490999'
                                 },
                    '9274000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9274999'
                                 },
                    '9007000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9007999'
                                 },
                    '7000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7999999'
                                 },
                    '9414000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9414999'
                                 },
                    '9105000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9105999'
                                 },
                    '9903000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9903999'
                                 },
                    '9997000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9997999'
                                 },
                    '9488000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9488999'
                                 },
                    '9015000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9015999'
                                 },
                    '9529000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9529999'
                                 },
                    '9139000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9139999'
                                 },
                    '9558000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9558999'
                                 },
                    '9269000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9269999'
                                 },
                    '9723000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9723999'
                                 },
                    '9171000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9171999'
                                 },
                    '9189000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9189999'
                                 },
                    '9731000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9731999'
                                 },
                    '9292000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9292999'
                                 },
                    '9050000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9050999'
                                 },
                    '9411000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9411999'
                                 },
                    '9108000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9108999'
                                 },
                    '9441000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9441999'
                                 },
                    '9520000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9520999'
                                 },
                    '9067000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9067999'
                                 },
                    '9415000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9415999'
                                 },
                    '9902000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9902999'
                                 },
                    '9547000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9547999'
                                 },
                    '9737000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9737999'
                                 },
                    '9386000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9386999'
                                 },
                    '9451000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9451999'
                                 },
                    '9102000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9102999'
                                 },
                    '9367000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9367999'
                                 },
                    '9228000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9228999'
                                 },
                    '9226000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9226999'
                                 },
                    '9523000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9523999'
                                 },
                    '9966000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9966999'
                                 },
                    '9481000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9481999'
                                 },
                    '9253000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9253999'
                                 },
                    '9243000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9243999'
                                 },
                    '9407000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9407999'
                                 },
                    '9961000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9961999'
                                 },
                    '9436000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9436999'
                                 },
                    '9442000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9442999'
                                 },
                    '9331000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9331999'
                                 },
                    '9250000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9250999'
                                 },
                    '9983000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9983999'
                                 },
                    '9160000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9160999'
                                 },
                    '9947000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9947999'
                                 },
                    '9446000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9446999'
                                 },
                    '9146000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9146999'
                                 },
                    '9272000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9272999'
                                 },
                    '9388000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9388999'
                                 },
                    '9491000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9491999'
                                 },
                    '9960000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9960999'
                                 },
                    '9994000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9994999'
                                 },
                    '9248000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9248999'
                                 },
                    '9360000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9360999'
                                 },
                    '9533000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9533999'
                                 },
                    '9062000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9062999'
                                 },
                    '9219000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9219999'
                                 },
                    '9434000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9434999'
                                 },
                    '9034000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9034999'
                                 },
                    '9213000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9213999'
                                 },
                    '9104000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9104999'
                                 },
                    '9190000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9190999'
                                 },
                    '9945000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9945999'
                                 },
                    '9967000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9967999'
                                 },
                    '9375000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Buncrana',
                                   'status' => 'Allocated',
                                   'end' => '9375999'
                                 },
                    '9546000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9546999'
                                 },
                    '9457000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9457999'
                                 },
                    '9163000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9163999'
                                 },
                    '9543000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dungloe',
                                   'status' => 'Allocated',
                                   'end' => '9543999'
                                 },
                    '9029000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9029999'
                                 },
                    '9236000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9236999'
                                 },
                    '9724000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Donegal',
                                   'status' => 'Allocated',
                                   'end' => '9724999'
                                 },
                    '9133000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Letterkenny',
                                   'status' => 'Allocated',
                                   'end' => '9133999'
                                 },
                    '9039000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9039999'
                                 },
                    '9019000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9019999'
                                 },
                    '9278000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9278999'
                                 }
                  },
          '27' => {
                    '50000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '50999'
                               },
                    '57000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '57999'
                               },
                    '88000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Bantry',
                                 'status' => 'Reserved',
                                 'end' => '88999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '62000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '62999'
                               },
                    '77000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Bantry',
                                 'status' => 'Reserved',
                                 'end' => '77999'
                               },
                    '76000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '76999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Bantry',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '71000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '71999'
                               },
                    '63000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '63999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '61000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '61999'
                               },
                    '54000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '54999'
                               },
                    '53000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '53999'
                               },
                    '74000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '74999'
                               },
                    '70000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '70999'
                               },
                    '56000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '56999'
                               },
                    '67000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '67999'
                               },
                    '51000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '51999'
                               },
                    '58000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '58999'
                               },
                    '52000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '52999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '66999'
                               },
                    '75000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '75999'
                               },
                    '60000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '60999'
                               },
                    '73000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '73999'
                               },
                    '55000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '55999'
                               },
                    '59000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '59999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Bantry',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               }
                  },
          '95' => {
                    '95000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Clifden',
                                 'status' => 'Reserved',
                                 'end' => '95999'
                               },
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Clifden',
                                 'status' => 'Reserved',
                                 'end' => '36999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '98000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Clifden',
                                 'status' => 'Reserved',
                                 'end' => '98999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Clifden',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '96000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Clifden',
                                 'status' => 'Reserved',
                                 'end' => '96999'
                               },
                    '46000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '46999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '43000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '43999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '93000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Clifden',
                                 'status' => 'Reserved',
                                 'end' => '93999'
                               },
                    '71000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Clifden',
                                 'status' => 'Reserved',
                                 'end' => '71999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '92000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Clifden',
                                 'status' => 'Reserved',
                                 'end' => '92999'
                               },
                    '94000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Clifden',
                                 'status' => 'Reserved',
                                 'end' => '94999'
                               },
                    '97000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Clifden',
                                 'status' => 'Reserved',
                                 'end' => '97999'
                               },
                    '35000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '35999'
                               },
                    '51000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '51999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '60000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '60999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '33999'
                               },
                    '42000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '42999'
                               },
                    '44000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '44999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clifden',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               }
                  },
          '57' => {
                    '0' => {
                             'designation' => '',
                             'licensee' => '',
                             'location' => '',
                             'status' => 'Reserved',
                             'end' => '9999999'
                           }
                  },
          '61' => {
                    '930000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Scariff',
                                  'status' => 'Allocated',
                                  'end' => '939999'
                                },
                    '632000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '632999'
                                },
                    '270000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '279999'
                                },
                    '370000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '370999'
                                },
                    '450000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '459999'
                                },
                    '310000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '319999'
                                },
                    '631000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '631999'
                                },
                    '730000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '739999'
                                },
                    '900000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Scariff',
                                  'status' => 'Allocated',
                                  'end' => '909999'
                                },
                    '636000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '636999'
                                },
                    '470000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '479999'
                                },
                    '260000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '269999'
                                },
                    '379000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '379999'
                                },
                    '378000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '378999'
                                },
                    '490000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '499999'
                                },
                    '390000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '399999'
                                },
                    '634000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Smart Telecom Limited',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '634999'
                                },
                    '620000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '629999'
                                },
                    '374000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '374999'
                                },
                    '360000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '369999'
                                },
                    '850000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Limerick',
                                  'status' => 'Reserved',
                                  'end' => '859999'
                                },
                    '400000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '409999'
                                },
                    '200000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '209999'
                                },
                    '640000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Scariff',
                                  'status' => 'Allocated',
                                  'end' => '649999'
                                },
                    '210000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '219999'
                                },
                    '570000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '570999'
                                },
                    '990000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '999999'
                                },
                    '760000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '769999'
                                },
                    '375000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '375999'
                                },
                    '220000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '229999'
                                },
                    '710000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '719999'
                                },
                    '600000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '609999'
                                },
                    '373000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '373999'
                                },
                    '250000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '259999'
                                },
                    '830000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Limerick',
                                  'status' => 'Reserved',
                                  'end' => '839999'
                                },
                    '880000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Limerick',
                                  'status' => 'Reserved',
                                  'end' => '889999'
                                },
                    '633000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Smart Telecom Limited',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '633999'
                                },
                    '372000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '372999'
                                },
                    '430000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '439999'
                                },
                    '920000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Scariff',
                                  'status' => 'Allocated',
                                  'end' => '929999'
                                },
                    '240000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '249999'
                                },
                    '910000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Scariff',
                                  'status' => 'Allocated',
                                  'end' => '919999'
                                },
                    '230000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '239999'
                                },
                    '440000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '449999'
                                },
                    '340000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '349999'
                                },
                    '700000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '709999'
                                },
                    '330000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '339999'
                                },
                    '630000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '630999'
                                },
                    '940000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Scariff',
                                  'status' => 'Allocated',
                                  'end' => '949999'
                                },
                    '820000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Limerick',
                                  'status' => 'Reserved',
                                  'end' => '829999'
                                },
                    '280000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Energis',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '289999'
                                },
                    '320000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '329999'
                                },
                    '502000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '502999'
                                },
                    '371000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '371999'
                                },
                    '480000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '489999'
                                },
                    '420000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '429999'
                                },
                    '860000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Limerick',
                                  'status' => 'Reserved',
                                  'end' => '869999'
                                },
                    '410000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '419999'
                                },
                    '840000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Limerick',
                                  'status' => 'Reserved',
                                  'end' => '849999'
                                },
                    '770000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '779999'
                                },
                    '590000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '599999'
                                },
                    '740000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '749999'
                                },
                    '870000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Limerick',
                                  'status' => 'Reserved',
                                  'end' => '879999'
                                },
                    '460000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '469999'
                                },
                    '635000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Smart Telecom Limited',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '635999'
                                },
                    '510000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Yac Ltd',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '510999'
                                },
                    '750000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '759999'
                                },
                    '500000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '509999'
                                },
                    '610000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '619999'
                                },
                    '376000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '376999'
                                },
                    '377000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '377999'
                                },
                    '380000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '389999'
                                },
                    '300000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '309999'
                                },
                    '660000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Scariff',
                                  'status' => 'Reserved',
                                  'end' => '669999'
                                },
                    '350000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '359999'
                                },
                    '580000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '589999'
                                },
                    '720000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Limerick',
                                  'status' => 'Allocated',
                                  'end' => '729999'
                                },
                    '690000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Scariff',
                                  'status' => 'Reserved',
                                  'end' => '699999'
                                }
                  },
          '822' => {
                     '200000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '209999'
                                 },
                     '160000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '169999'
                                 },
                     '230000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '239999'
                                 },
                     '110000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '119999'
                                 },
                     '570000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '579999'
                                 },
                     '540000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '549999'
                                 },
                     '130000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '139999'
                                 },
                     '440000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '449999'
                                 },
                     '120000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '129999'
                                 },
                     '150000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '159999'
                                 },
                     '100000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '109999'
                                 },
                     '290000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '299999'
                                 },
                     '470000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '479999'
                                 },
                     '330000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '339999'
                                 },
                     '140000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '149999'
                                 },
                     '220000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '229999'
                                 },
                     '530000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '539999'
                                 },
                     '280000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '289999'
                                 },
                     '390000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '399999'
                                 },
                     '380000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '389999'
                                 },
                     '180000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '189999'
                                 },
                     '300000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '309999'
                                 },
                     '320000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '329999'
                                 },
                     '170000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '179999'
                                 },
                     '480000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '489999'
                                 },
                     '580000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '589999'
                                 },
                     '520000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '529999'
                                 },
                     '430000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '439999'
                                 },
                     '420000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '429999'
                                 },
                     '190000' => {
                                   'designation' => 'Paging',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '199999'
                                 }
                   },
          '20' => {
                    '9100000' => {
                                   'designation' => 'Film',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9199999'
                                 },
                    '0' => {
                             'designation' => '',
                             'licensee' => '',
                             'location' => '',
                             'status' => 'Reserved',
                             'end' => '99999'
                           }
                  },
          '92' => {
                    '0' => {
                             'designation' => 'Premium Rate',
                             'licensee' => '',
                             'location' => '',
                             'status' => 'Reserved',
                             'end' => '9999999999'
                           }
                  },
          '504' => {
                     '27000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '27999'
                                },
                     '21000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '21999'
                                },
                     '34000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '34999'
                                },
                     '47000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '47999'
                                },
                     '45000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '45999'
                                },
                     '23000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '23999'
                                },
                     '99000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '99999'
                                },
                     '20000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '20999'
                                },
                     '25000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '25999'
                                },
                     '43000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '43999'
                                },
                     '41000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '41999'
                                },
                     '54000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '54999'
                                },
                     '53000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '53999'
                                },
                     '91000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '91999'
                                },
                     '56000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '56999'
                                },
                     '58000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '58999'
                                },
                     '66000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '66999'
                                },
                     '30000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '30999'
                                },
                     '42000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '42999'
                                },
                     '55000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Thurles',
                                  'status' => 'Reserved',
                                  'end' => '55999'
                                },
                     '59000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '59999'
                                },
                     '22000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '22999'
                                },
                     '26000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '26999'
                                },
                     '90000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '90999'
                                },
                     '36000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '36999'
                                },
                     '50000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '50999'
                                },
                     '32000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '32999'
                                },
                     '40000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '40999'
                                },
                     '57000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '57999'
                                },
                     '24000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '24999'
                                },
                     '77000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '77999'
                                },
                     '46000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '46999'
                                },
                     '49000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '49999'
                                },
                     '28000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '28999'
                                },
                     '29000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '29999'
                                },
                     '38000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '38999'
                                },
                     '35000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '35999'
                                },
                     '31000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '31999'
                                },
                     '51000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '51999'
                                },
                     '52000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '52999'
                                },
                     '33000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '33999'
                                },
                     '48000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '48999'
                                },
                     '44000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Thurles',
                                  'status' => 'Allocated',
                                  'end' => '44999'
                                }
                   },
          '91' => {
                    '782000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '782999'
                                },
                    '930000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '939999'
                                },
                    '858000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Loughrea',
                                  'status' => 'Allocated',
                                  'end' => '858999'
                                },
                    '746000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '746999'
                                },
                    '427000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '427999'
                                },
                    '786000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '786999'
                                },
                    '550000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '559999'
                                },
                    '705000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '705999'
                                },
                    '597000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '597999'
                                },
                    '540000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '549999'
                                },
                    '704000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '704999'
                                },
                    '560000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '569999'
                                },
                    '730000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '730999'
                                },
                    '706000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '706999'
                                },
                    '591000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '591999'
                                },
                    '470000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Smart Telecom Limited',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '474999'
                                },
                    '444000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '444999'
                                },
                    '732000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '732999'
                                },
                    '390000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Yac Ltd',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '390999'
                                },
                    '490000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '499999'
                                },
                    '701000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '701999'
                                },
                    '857000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Loughrea',
                                  'status' => 'Allocated',
                                  'end' => '857999'
                                },
                    '790000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '799999'
                                },
                    '783000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '783999'
                                },
                    '781000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '781999'
                                },
                    '739000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '739999'
                                },
                    '360000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Galway',
                                  'status' => 'Reserved',
                                  'end' => '369999'
                                },
                    '709000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '709999'
                                },
                    '850000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Loughrea',
                                  'status' => 'Allocated',
                                  'end' => '850999'
                                },
                    '742000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '742999'
                                },
                    '400000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '409999'
                                },
                    '708000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '708999'
                                },
                    '640000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Gort',
                                  'status' => 'Allocated',
                                  'end' => '649999'
                                },
                    '595000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '595999'
                                },
                    '570000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '579999'
                                },
                    '594000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '594999'
                                },
                    '980000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '989999'
                                },
                    '748000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '748999'
                                },
                    '990000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '999999'
                                },
                    '738000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '738999'
                                },
                    '760000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '769999'
                                },
                    '710000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Galway',
                                  'status' => 'Reserved',
                                  'end' => '719999'
                                },
                    '600000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Gort',
                                  'status' => 'Allocated',
                                  'end' => '609999'
                                },
                    '443000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '443999'
                                },
                    '855000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Loughrea',
                                  'status' => 'Allocated',
                                  'end' => '855999'
                                },
                    '650000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Gort',
                                  'status' => 'Allocated',
                                  'end' => '650999'
                                },
                    '960000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '969999'
                                },
                    '830000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Loughrea',
                                  'status' => 'Allocated',
                                  'end' => '839999'
                                },
                    '785000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '785999'
                                },
                    '950000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '959999'
                                },
                    '745000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '745999'
                                },
                    '920000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '929999'
                                },
                    '856000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Loughrea',
                                  'status' => 'Allocated',
                                  'end' => '856999'
                                },
                    '442000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '442999'
                                },
                    '733000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '733999'
                                },
                    '702000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '702999'
                                },
                    '744000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '744999'
                                },
                    '852000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Loughrea',
                                  'status' => 'Allocated',
                                  'end' => '852999'
                                },
                    '810000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Loughrea',
                                  'status' => 'Allocated',
                                  'end' => '810999'
                                },
                    '441000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '441999'
                                },
                    '596000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '596999'
                                },
                    '789000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '789999'
                                },
                    '970000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '979999'
                                },
                    '859000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Loughrea',
                                  'status' => 'Allocated',
                                  'end' => '859999'
                                },
                    '598000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '598999'
                                },
                    '440000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '440999'
                                },
                    '700000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '700999'
                                },
                    '743000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '743999'
                                },
                    '530000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '539999'
                                },
                    '630000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Gort',
                                  'status' => 'Allocated',
                                  'end' => '639999'
                                },
                    '940000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '949999'
                                },
                    '391000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Yac Ltd',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '391999'
                                },
                    '425000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '425999'
                                },
                    '854000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Loughrea',
                                  'status' => 'Allocated',
                                  'end' => '854999'
                                },
                    '787000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '787999'
                                },
                    '747000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '747999'
                                },
                    '860000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '869999'
                                },
                    '788000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '788999'
                                },
                    '735000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '735999'
                                },
                    '840000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Loughrea',
                                  'status' => 'Allocated',
                                  'end' => '849999'
                                },
                    '592000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '592999'
                                },
                    '770000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '779999'
                                },
                    '800000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Loughrea',
                                  'status' => 'Allocated',
                                  'end' => '800999'
                                },
                    '737000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '737999'
                                },
                    '590000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '590999'
                                },
                    '870000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Loughrea',
                                  'status' => 'Allocated',
                                  'end' => '879999'
                                },
                    '460000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '469999'
                                },
                    '780000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '780999'
                                },
                    '510000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '519999'
                                },
                    '750000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '759999'
                                },
                    '500000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '509999'
                                },
                    '599000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '599999'
                                },
                    '424000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '424999'
                                },
                    '703000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '703999'
                                },
                    '380000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '389999'
                                },
                    '660000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Gort',
                                  'status' => 'Allocated',
                                  'end' => '669999'
                                },
                    '853000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Loughrea',
                                  'status' => 'Allocated',
                                  'end' => '853999'
                                },
                    '741000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '741999'
                                },
                    '721000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '721999'
                                },
                    '580000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '589999'
                                },
                    '720000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '720999'
                                },
                    '520000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '529999'
                                },
                    '593000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Galway',
                                  'status' => 'Allocated',
                                  'end' => '593999'
                                }
                  },
          '700' => {
                     '334000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '334999'
                                 },
                     '355000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '355999'
                                 },
                     '268000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '268999'
                                 },
                     '15000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '15999'
                                },
                     '227000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '227999'
                                 },
                     '112000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '112999'
                                 },
                     '328000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '328999'
                                 },
                     '218000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '218999'
                                 },
                     '435000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '435999'
                                 },
                     '336000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '336999'
                                 },
                     '185000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '185999'
                                 },
                     '161000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '161999'
                                 },
                     '107000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '107999'
                                 },
                     '444000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '444999'
                                 },
                     '260000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '260999'
                                 },
                     '348000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '348999'
                                 },
                     '434000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '434999'
                                 },
                     '343000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '343999'
                                 },
                     '196000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '196999'
                                 },
                     '166000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '166999'
                                 },
                     '431000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '431999'
                                 },
                     '207000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '207999'
                                 },
                     '65000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '65999'
                                },
                     '238000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '238999'
                                 },
                     '133000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '133999'
                                 },
                     '374000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '374999'
                                 },
                     '186000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '186999'
                                 },
                     '337000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '337999'
                                 },
                     '22000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '22999'
                                },
                     '8000' => {
                                 'designation' => 'Personal Number Services',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '8999'
                               },
                     '36000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '36999'
                                },
                     '402000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '402999'
                                 },
                     '145000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '145999'
                                 },
                     '121000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '121999'
                                 },
                     '306000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '306999'
                                 },
                     '200000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '200999'
                                 },
                     '422000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '422999'
                                 },
                     '172000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '172999'
                                 },
                     '113000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '113999'
                                 },
                     '49000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '49999'
                                },
                     '109000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '109999'
                                 },
                     '2000' => {
                                 'designation' => 'Personal Number Services',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '2999'
                               },
                     '189000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '189999'
                                 },
                     '292000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '292999'
                                 },
                     '100000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '100999'
                                 },
                     '326000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '326999'
                                 },
                     '35000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '35999'
                                },
                     '17000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '17999'
                                },
                     '267000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '267999'
                                 },
                     '321000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '321999'
                                 },
                     '215000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '215999'
                                 },
                     '80000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '80999'
                                },
                     '164000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '164999'
                                 },
                     '430000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '430999'
                                 },
                     '372000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '372999'
                                 },
                     '136000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '136999'
                                 },
                     '123000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '123999'
                                 },
                     '44000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '44999'
                                },
                     '83000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '83999'
                                },
                     '449000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '449999'
                                 },
                     '358000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '358999'
                                 },
                     '327000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '327999'
                                 },
                     '212000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '212999'
                                 },
                     '4000' => {
                                 'designation' => 'Personal Number Services',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '4999'
                               },
                     '102000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '102999'
                                 },
                     '445000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '445999'
                                 },
                     '290000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '290999'
                                 },
                     '167000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '167999'
                                 },
                     '391000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '391999'
                                 },
                     '357000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '357999'
                                 },
                     '9000' => {
                                 'designation' => 'Personal Number Services',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '9999'
                               },
                     '60000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '60999'
                                },
                     '320000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '320999'
                                 },
                     '153000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '153999'
                                 },
                     '59000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '59999'
                                },
                     '90000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '90999'
                                },
                     '87000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '87999'
                                },
                     '50000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '50999'
                                },
                     '179000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '179999'
                                 },
                     '178000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '178999'
                                 },
                     '191000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '191999'
                                 },
                     '404000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '404999'
                                 },
                     '333000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '333999'
                                 },
                     '110000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '110999'
                                 },
                     '181000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '181999'
                                 },
                     '19000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '19999'
                                },
                     '0' => {
                              'designation' => 'Personal Number Services',
                              'licensee' => '',
                              'location' => 'Not Applicable',
                              'status' => 'Reserved',
                              'end' => '999'
                            },
                     '122000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '122999'
                                 },
                     '411000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '411999'
                                 },
                     '173000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '173999'
                                 },
                     '5000' => {
                                 'designation' => 'Personal Number Services',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '5999'
                               },
                     '243000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '243999'
                                 },
                     '176000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '176999'
                                 },
                     '376000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '376999'
                                 },
                     '155000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '155999'
                                 },
                     '377000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '377999'
                                 },
                     '312000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '312999'
                                 },
                     '353000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '353999'
                                 },
                     '79000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '79999'
                                },
                     '1000' => {
                                 'designation' => 'Personal Number Services',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '1999'
                               },
                     '350000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '350999'
                                 },
                     '416000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '416999'
                                 },
                     '190000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '190999'
                                 },
                     '406000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '406999'
                                 },
                     '235000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '235999'
                                 },
                     '175000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '175999'
                                 },
                     '313000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '313999'
                                 },
                     '370000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '370999'
                                 },
                     '394000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '394999'
                                 },
                     '265000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '265999'
                                 },
                     '135000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '135999'
                                 },
                     '16000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '16999'
                                },
                     '30000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '30999'
                                },
                     '266000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '266999'
                                 },
                     '115000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '115999'
                                 },
                     '217000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '217999'
                                 },
                     '448000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '448999'
                                 },
                     '26000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '26999'
                                },
                     '393000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '393999'
                                 },
                     '84000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '84999'
                                },
                     '18000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '18999'
                                },
                     '433000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '433999'
                                 },
                     '325000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '325999'
                                 },
                     '400000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '400999'
                                 },
                     '262000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '262999'
                                 },
                     '131000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '131999'
                                 },
                     '119000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '119999'
                                 },
                     '171000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '171999'
                                 },
                     '269000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '269999'
                                 },
                     '148000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '148999'
                                 },
                     '93000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '93999'
                                },
                     '399000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '399999'
                                 },
                     '28000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '28999'
                                },
                     '63000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '63999'
                                },
                     '38000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '38999'
                                },
                     '349000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '349999'
                                 },
                     '177000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '177999'
                                 },
                     '140000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '140999'
                                 },
                     '82000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '82999'
                                },
                     '106000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '106999'
                                 },
                     '97000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '97999'
                                },
                     '132000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '132999'
                                 },
                     '397000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '397999'
                                 },
                     '373000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '373999'
                                 },
                     '347000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '347999'
                                 },
                     '11000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '11999'
                                },
                     '73000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '73999'
                                },
                     '272000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '272999'
                                 },
                     '144000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '144999'
                                 },
                     '314000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '314999'
                                 },
                     '309000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '309999'
                                 },
                     '274000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '274999'
                                 },
                     '442000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '442999'
                                 },
                     '324000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '324999'
                                 },
                     '188000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '188999'
                                 },
                     '198000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '198999'
                                 },
                     '96000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '96999'
                                },
                     '6000' => {
                                 'designation' => 'Personal Number Services',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '6999'
                               },
                     '302000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '302999'
                                 },
                     '128000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '128999'
                                 },
                     '331000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '331999'
                                 },
                     '322000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '322999'
                                 },
                     '143000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '143999'
                                 },
                     '396000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '396999'
                                 },
                     '91000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '91999'
                                },
                     '182000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '182999'
                                 },
                     '425000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '425999'
                                 },
                     '194000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '194999'
                                 },
                     '371000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '371999'
                                 },
                     '420000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '420999'
                                 },
                     '108000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '108999'
                                 },
                     '40000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '40999'
                                },
                     '88000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '88999'
                                },
                     '403000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '403999'
                                 },
                     '159000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '159999'
                                 },
                     '359000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '359999'
                                 },
                     '71000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '71999'
                                },
                     '130000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '130999'
                                 },
                     '29000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '29999'
                                },
                     '138000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '138999'
                                 },
                     '446000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '446999'
                                 },
                     '332000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '332999'
                                 },
                     '169000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '169999'
                                 },
                     '276000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '276999'
                                 },
                     '345000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '345999'
                                 },
                     '51000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '51999'
                                },
                     '10000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '10999'
                                },
                     '225000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '225999'
                                 },
                     '300000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '300999'
                                 },
                     '432000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '432999'
                                 },
                     '401000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '401999'
                                 },
                     '414000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '414999'
                                 },
                     '436000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '436999'
                                 },
                     '174000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '174999'
                                 },
                     '407000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '407999'
                                 },
                     '154000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '154999'
                                 },
                     '427000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '427999'
                                 },
                     '277000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '277999'
                                 },
                     '162000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '162999'
                                 },
                     '291000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '291999'
                                 },
                     '310000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '310999'
                                 },
                     '41000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '41999'
                                },
                     '329000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '329999'
                                 },
                     '281000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '281999'
                                 },
                     '120000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '120999'
                                 },
                     '147000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '147999'
                                 },
                     '286000' => {
                                   'designation' => 'Not Applicable',
                                   'licensee' => '"Opera Telecom Ireland Ltd.',
                                   'location' => '"',
                                   'status' => 'Personal Number Services',
                                   'end' => '286999'
                                 },
                     '379000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '379999'
                                 },
                     '378000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '378999'
                                 },
                     '206000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '206999'
                                 },
                     '129000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '129999'
                                 },
                     '57000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '57999'
                                },
                     '315000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '315999'
                                 },
                     '139000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '139999'
                                 },
                     '203000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '203999'
                                 },
                     '210000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '210999'
                                 },
                     '232000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '232999'
                                 },
                     '242000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '242999'
                                 },
                     '118000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '118999'
                                 },
                     '304000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '304999'
                                 },
                     '344000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '344999'
                                 },
                     '89000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '89999'
                                },
                     '317000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '317999'
                                 },
                     '92000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '92999'
                                },
                     '94000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '94999'
                                },
                     '303000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '303999'
                                 },
                     '412000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '412999'
                                 },
                     '439000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '439999'
                                 },
                     '52000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '52999'
                                },
                     '426000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '426999'
                                 },
                     '114000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '114999'
                                 },
                     '116000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '116999'
                                 },
                     '250000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Swiftcall',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '250999'
                                 },
                     '208000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '208999'
                                 },
                     '209000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '209999'
                                 },
                     '86000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '86999'
                                },
                     '240000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '240999'
                                 },
                     '264000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '264999'
                                 },
                     '21000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '21999'
                                },
                     '211000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '211999'
                                 },
                     '228000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '228999'
                                 },
                     '34000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '34999'
                                },
                     '163000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '163999'
                                 },
                     '237000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '237999'
                                 },
                     '23000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '23999'
                                },
                     '187000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '187999'
                                 },
                     '20000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '20999'
                                },
                     '408000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '408999'
                                 },
                     '13000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '13999'
                                },
                     '241000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '241999'
                                 },
                     '340000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '340999'
                                 },
                     '53000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '53999'
                                },
                     '64000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '64999'
                                },
                     '330000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '330999'
                                 },
                     '56000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '56999'
                                },
                     '14000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '14999'
                                },
                     '234000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '234999'
                                 },
                     '308000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '308999'
                                 },
                     '3000' => {
                                 'designation' => 'Personal Number Services',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '3999'
                               },
                     '58000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '58999'
                                },
                     '221000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '221999'
                                 },
                     '398000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '398999'
                                 },
                     '192000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '192999'
                                 },
                     '245000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '245999'
                                 },
                     '213000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '213999'
                                 },
                     '316000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '316999'
                                 },
                     '103000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '103999'
                                 },
                     '170000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '170999'
                                 },
                     '55000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '55999'
                                },
                     '236000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '236999'
                                 },
                     '428000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '428999'
                                 },
                     '183000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '183999'
                                 },
                     '410000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '410999'
                                 },
                     '305000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '305999'
                                 },
                     '141000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '141999'
                                 },
                     '137000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '137999'
                                 },
                     '199000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '199999'
                                 },
                     '32000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '32999'
                                },
                     '219000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '219999'
                                 },
                     '413000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '413999'
                                 },
                     '124000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '124999'
                                 },
                     '438000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '438999'
                                 },
                     '395000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '395999'
                                 },
                     '214000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '214999'
                                 },
                     '70000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '70999'
                                },
                     '424000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '424999'
                                 },
                     '418000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '418999'
                                 },
                     '158000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '158999'
                                 },
                     '75000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '75999'
                                },
                     '165000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '165999'
                                 },
                     '201000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '201999'
                                 },
                     '127000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '127999'
                                 },
                     '233000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '233999'
                                 },
                     '39000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '39999'
                                },
                     '12000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '12999'
                                },
                     '270000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '270999'
                                 },
                     '249000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '249999'
                                 },
                     '47000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '47999'
                                },
                     '307000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '307999'
                                 },
                     '157000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '157999'
                                 },
                     '43000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '43999'
                                },
                     '223000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '223999'
                                 },
                     '184000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '184999'
                                 },
                     '54000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '54999'
                                },
                     '150000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '150999'
                                 },
                     '323000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '323999'
                                 },
                     '74000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '74999'
                                },
                     '346000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '346999'
                                 },
                     '415000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '415999'
                                 },
                     '67000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '67999'
                                },
                     '146000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '146999'
                                 },
                     '66000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '66999'
                                },
                     '318000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '318999'
                                 },
                     '244000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '244999'
                                 },
                     '390000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '390999'
                                 },
                     '105000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '105999'
                                 },
                     '405000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '405999'
                                 },
                     '42000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '42999'
                                },
                     '78000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '78999'
                                },
                     '273000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '273999'
                                 },
                     '271000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '271999'
                                 },
                     '261000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '261999'
                                 },
                     '104000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '104999'
                                 },
                     '24000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '24999'
                                },
                     '81000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '81999'
                                },
                     '76000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '76999'
                                },
                     '46000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '46999'
                                },
                     '248000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '248999'
                                 },
                     '72000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '72999'
                                },
                     '356000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '356999'
                                 },
                     '197000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '197999'
                                 },
                     '375000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '375999'
                                 },
                     '419000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '419999'
                                 },
                     '204000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '204999'
                                 },
                     '220000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '220999'
                                 },
                     '125000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '125999'
                                 },
                     '111000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '111999'
                                 },
                     '447000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '447999'
                                 },
                     '354000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '354999'
                                 },
                     '311000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '311999'
                                 },
                     '31000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '31999'
                                },
                     '443000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '443999'
                                 },
                     '429000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '429999'
                                 },
                     '226000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '226999'
                                 },
                     '409000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '409999'
                                 },
                     '48000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '48999'
                                },
                     '195000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '195999'
                                 },
                     '193000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '193999'
                                 },
                     '216000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '216999'
                                 },
                     '68000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '68999'
                                },
                     '27000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '27999'
                                },
                     '229000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '229999'
                                 },
                     '279000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '279999'
                                 },
                     '152000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '152999'
                                 },
                     '98000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '98999'
                                },
                     '160000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '160999'
                                 },
                     '45000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '45999'
                                },
                     '441000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '441999'
                                 },
                     '437000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '437999'
                                 },
                     '342000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '342999'
                                 },
                     '99000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '99999'
                                },
                     '25000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '25999'
                                },
                     '230000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '230999'
                                 },
                     '117000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '117999'
                                 },
                     '239000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '239999'
                                 },
                     '440000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '440999'
                                 },
                     '61000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '61999'
                                },
                     '301000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '301999'
                                 },
                     '85000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '85999'
                                },
                     '231000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '231999'
                                 },
                     '421000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '421999'
                                 },
                     '319000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '319999'
                                 },
                     '280000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Dome Telecom Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '280999'
                                 },
                     '69000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '69999'
                                },
                     '392000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '392999'
                                 },
                     '180000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '180999'
                                 },
                     '168000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '168999'
                                 },
                     '149000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '149999'
                                 },
                     '417000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '417999'
                                 },
                     '95000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '95999'
                                },
                     '151000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '151999'
                                 },
                     '142000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '142999'
                                 },
                     '351000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '351999'
                                 },
                     '7000' => {
                                 'designation' => 'Personal Number Services',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '7999'
                               },
                     '247000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '247999'
                                 },
                     '126000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '126999'
                                 },
                     '202000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '202999'
                                 },
                     '62000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '62999'
                                },
                     '77000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '77999'
                                },
                     '278000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '278999'
                                 },
                     '222000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '222999'
                                 },
                     '352000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '352999'
                                 },
                     '338000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '338999'
                                 },
                     '37000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '37999'
                                },
                     '101000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '101999'
                                 },
                     '134000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '134999'
                                 },
                     '246000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '246999'
                                 },
                     '341000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '341999'
                                 },
                     '156000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '156999'
                                 },
                     '33000' => {
                                  'designation' => 'Personal Number Services',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '33999'
                                },
                     '275000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '275999'
                                 },
                     '263000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '263999'
                                 },
                     '423000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '423999'
                                 },
                     '224000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '224999'
                                 },
                     '339000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '339999'
                                 },
                     '205000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '205999'
                                 },
                     '335000' => {
                                   'designation' => 'Personal Number Services',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '335999'
                                 }
                   },
          '48' => {
                    '' => {
                            'designation' => 'N-IRL Access Code',
                            'licensee' => '',
                            'location' => 'Not Applicable',
                            'status' => 'Allocated',
                            'end' => ''
                          }
                  },
          '505' => {
                     '32000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '32999'
                                },
                     '21000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '21999'
                                },
                     '24000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '24999'
                                },
                     '77000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Roscrea',
                                  'status' => 'Reserved',
                                  'end' => '77999'
                                },
                     '47000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '47999'
                                },
                     '45000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '45999'
                                },
                     '23000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '23999'
                                },
                     '99000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '99999'
                                },
                     '46000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '46999'
                                },
                     '20000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '20999'
                                },
                     '25000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '25999'
                                },
                     '43000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '43999'
                                },
                     '41000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '41999'
                                },
                     '28000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '28999'
                                },
                     '29000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '29999'
                                },
                     '31000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '31999'
                                },
                     '66000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Roscrea',
                                  'status' => 'Reserved',
                                  'end' => '66999'
                                },
                     '30000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '30999'
                                },
                     '33000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '33999'
                                },
                     '48000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '48999'
                                },
                     '42000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '42999'
                                },
                     '55000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Roscrea',
                                  'status' => 'Reserved',
                                  'end' => '55999'
                                },
                     '44000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '44999'
                                },
                     '22000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '22999'
                                },
                     '26000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Roscrea',
                                  'status' => 'Allocated',
                                  'end' => '26999'
                                }
                   },
          '87' => {
                    '51270000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51279999'
                                  },
                    '5950000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5959999'
                                 },
                    '55990000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55990999'
                                  },
                    '52040000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52049999'
                                  },
                    '8600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8699999'
                                 },
                    '52030000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52039999'
                                  },
                    '51230000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51239999'
                                  },
                    '1400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1499999'
                                 },
                    '1290000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1299999'
                                 },
                    '1600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1699999'
                                 },
                    '58950000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58959999'
                                  },
                    '5740000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '5749999'
                                 },
                    '57900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57999999'
                                  },
                    '5980000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5989999'
                                 },
                    '3400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3499999'
                                 },
                    '6000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6099999'
                                 },
                    '58930000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58939999'
                                  },
                    '6300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '6399999'
                                 },
                    '2060000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2069999'
                                 },
                    '58920000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58929999'
                                  },
                    '3060000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3069999'
                                 },
                    '51600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51699999'
                                  },
                    '3900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3999999'
                                 },
                    '1210000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1219999'
                                 },
                    '7400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7499999'
                                 },
                    '58990000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58999999'
                                  },
                    '58960000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58969999'
                                  },
                    '53060000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53069999'
                                  },
                    '55780000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => '',
                                    'status' => 'Allocated',
                                    'end' => '55789999'
                                  },
                    '1250000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1259999'
                                 },
                    '8940000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8949999'
                                 },
                    '1800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1899999'
                                 },
                    '7900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7999999'
                                 },
                    '53800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53899999'
                                  },
                    '7300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7399999'
                                 },
                    '55300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55399999'
                                  },
                    '51100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51199999'
                                  },
                    '55994000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55994999'
                                  },
                    '55930000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55939999'
                                  },
                    '50700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '50799999'
                                  },
                    '52080000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52089999'
                                  },
                    '52100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52199999'
                                  },
                    '57500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57599999'
                                  },
                    '5300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5399999'
                                 },
                    '2050000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2059999'
                                 },
                    '51200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51209999'
                                  },
                    '4600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4699999'
                                 },
                    '5780000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '5789999'
                                 },
                    '2700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2799999'
                                 },
                    '8990000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8999999'
                                 },
                    '52000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52009999'
                                  },
                    '4400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4499999'
                                 },
                    '56200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '56299999'
                                  },
                    '5995000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5995999'
                                 },
                    '2090000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2099999'
                                 },
                    '5993000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5993999'
                                 },
                    '53040000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53049999'
                                  },
                    '58000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58099999'
                                  },
                    '8700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8799999'
                                 },
                    '51290000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51299999'
                                  },
                    '57800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57899999'
                                  },
                    '55700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55799999'
                                  },
                    '52200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52299999'
                                  },
                    '53070000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53079999'
                                  },
                    '5930000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5939999'
                                 },
                    '52070000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52079999'
                                  },
                    '51400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51499999'
                                  },
                    '1230000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1239999'
                                 },
                    '58100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58199999'
                                  },
                    '8200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8299999'
                                 },
                    '55750000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => '',
                                    'status' => 'Allocated',
                                    'end' => '55759999'
                                  },
                    '5900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5999999'
                                 },
                    '53400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53499999'
                                  },
                    '9950000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9959999'
                                 },
                    '9700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9799999'
                                 },
                    '58910000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58919999'
                                  },
                    '6700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '6799999'
                                 },
                    '55330000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55339999'
                                  },
                    '55998000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55998999'
                                  },
                    '52020000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52029999'
                                  },
                    '59500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59599999'
                                  },
                    '5700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5799999'
                                 },
                    '5997000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5997999'
                                 },
                    '9920000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9929999'
                                 },
                    '2030000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2039999'
                                 },
                    '51250000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51259999'
                                  },
                    '9100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9199999'
                                 },
                    '55960000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55969999'
                                  },
                    '53500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53599999'
                                  },
                    '52010000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52019999'
                                  },
                    '56700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '56799999'
                                  },
                    '3030000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3039999'
                                 },
                    '58200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58299999'
                                  },
                    '55150000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55159999'
                                  },
                    '55910000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55919999'
                                  },
                    '1700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1799999'
                                 },
                    '9930000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9939999'
                                 },
                    '53080000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53089999'
                                  },
                    '6800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '6899999'
                                 },
                    '6400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '6499999'
                                 },
                    '55993000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55993999'
                                  },
                    '55800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55899999'
                                  },
                    '1240000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1249999'
                                 },
                    '56100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '56199999'
                                  },
                    '5200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5299999'
                                 },
                    '53100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53199999'
                                  },
                    '59910000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59919999'
                                  },
                    '59100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59199999'
                                  },
                    '3040000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3049999'
                                 },
                    '5100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5199999'
                                 },
                    '58300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58399999'
                                  },
                    '9900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9909999'
                                 },
                    '59000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59099999'
                                  },
                    '55770000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => '',
                                    'status' => 'Allocated',
                                    'end' => '55779999'
                                  },
                    '53700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53799999'
                                  },
                    '55992000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55992999'
                                  },
                    '59700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59799999'
                                  },
                    '53200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53299999'
                                  },
                    '9400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9499999'
                                 },
                    '59980000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59989999'
                                  },
                    '8980000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8989999'
                                 },
                    '6600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '6699999'
                                 },
                    '8400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8499999'
                                 },
                    '5940000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5949999'
                                 },
                    '53000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53009999'
                                  },
                    '1300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1399999'
                                 },
                    '2300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2399999'
                                 },
                    '56400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '56499999'
                                  },
                    '54400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54499999'
                                  },
                    '3000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3009999'
                                 },
                    '58980000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58989999'
                                  },
                    '58500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58599999'
                                  },
                    '8000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8099999'
                                 },
                    '59900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59909999'
                                  },
                    '52090000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52099999'
                                  },
                    '5500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5599999'
                                 },
                    '8950000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8959999'
                                 },
                    '55940000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55949999'
                                  },
                    '55740000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => '',
                                    'status' => 'Allocated',
                                    'end' => '55749999'
                                  },
                    '55400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55499999'
                                  },
                    '54000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54099999'
                                  },
                    '54900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54999999'
                                  },
                    '51280000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51289999'
                                  },
                    '2800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2899999'
                                 },
                    '8300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8399999'
                                 },
                    '5350000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5359999'
                                 },
                    '51800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51899999'
                                  },
                    '5998000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5998999'
                                 },
                    '3800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3899999'
                                 },
                    '2000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2009999'
                                 },
                    '800000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '899999'
                                },
                    '51700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51799999'
                                  },
                    '4900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4999999'
                                 },
                    '9980000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9989999'
                                 },
                    '5750000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '5759999'
                                 },
                    '9500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9599999'
                                 },
                    '4700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4799999'
                                 },
                    '5330000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5339999'
                                 },
                    '55600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55699999'
                                  },
                    '1100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1199999'
                                 },
                    '51210000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51219999'
                                  },
                    '5996000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5996999'
                                 },
                    '5720000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5729999'
                                 },
                    '2020000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2029999'
                                 },
                    '51240000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51249999'
                                  },
                    '9000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9099999'
                                 },
                    '999000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => 'Vodafone Ireland plc',
                                  'location' => 'Not Applicable',
                                  'status' => 'Allocated',
                                  'end' => '999999'
                                },
                    '3100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3199999'
                                 },
                    '52900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52999999'
                                  },
                    '59920000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59929999'
                                  },
                    '9910000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9919999'
                                 },
                    '2100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2199999'
                                 },
                    '51300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51399999'
                                  },
                    '53010000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53019999'
                                  },
                    '58400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58499999'
                                  },
                    '9970000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9979999'
                                 },
                    '4100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '4199999'
                                 },
                    '2600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2699999'
                                 },
                    '8100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8199999'
                                 },
                    '5000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5099999'
                                 },
                    '57200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57299999'
                                  },
                    '53050000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53059999'
                                  },
                    '53600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53699999'
                                  },
                    '55170000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55179999'
                                  },
                    '58940000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58949999'
                                  },
                    '6900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '6999999'
                                 },
                    '2080000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2089999'
                                 },
                    '3090000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3099999'
                                 },
                    '2010000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2019999'
                                 },
                    '1200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1209999'
                                 },
                    '1900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1999999'
                                 },
                    '58800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58899999'
                                  },
                    '55130000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => '',
                                    'status' => 'Allocated',
                                    'end' => '55139999'
                                  },
                    '54700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54799999'
                                  },
                    '4800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4899999'
                                 },
                    '53090000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53099999'
                                  },
                    '56300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '56399999'
                                  },
                    '53900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53999999'
                                  },
                    '6200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '6299999'
                                 },
                    '3010000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3019999'
                                 },
                    '51900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51999999'
                                  },
                    '55720000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55729999'
                                  },
                    '59300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59399999'
                                  },
                    '55500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55599999'
                                  },
                    '9940000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9949999'
                                 },
                    '59600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59699999'
                                  },
                    '50999000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '50999999'
                                  },
                    '9200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9299999'
                                 },
                    '2900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2999999'
                                 },
                    '5920000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5929999'
                                 },
                    '59960000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59969999'
                                  },
                    '5994000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5994999'
                                 },
                    '55350000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55359999'
                                  },
                    '56600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '56699999'
                                  },
                    '52400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52499999'
                                  },
                    '57300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57399999'
                                  },
                    '52700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52799999'
                                  },
                    '5340000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5349999'
                                 },
                    '5800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5899999'
                                 },
                    '4000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4099999'
                                 },
                    '5130000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '5139999'
                                 },
                    '54600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54699999'
                                  },
                    '6500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '6599999'
                                 },
                    '55920000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55929999'
                                  },
                    '55997000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55997999'
                                  },
                    '54500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54599999'
                                  },
                    '57600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57699999'
                                  },
                    '58900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58909999'
                                  },
                    '3700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3799999'
                                 },
                    '3020000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3029999'
                                 },
                    '54200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54299999'
                                  },
                    '55100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55199999'
                                  },
                    '57100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57199999'
                                  },
                    '55760000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => '',
                                    'status' => 'Allocated',
                                    'end' => '55769999'
                                  },
                    '58600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58699999'
                                  },
                    '8900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8909999'
                                 },
                    '7100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7199999'
                                 },
                    '5600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5699999'
                                 },
                    '9990000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9999999'
                                 },
                    '59990000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59999999'
                                  },
                    '8960000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8969999'
                                 },
                    '55995000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55995999'
                                  },
                    '56500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '56599999'
                                  },
                    '58970000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58979999'
                                  },
                    '53020000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53029999'
                                  },
                    '2400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2499999'
                                 },
                    '7000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7099999'
                                 },
                    '1500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1599999'
                                 },
                    '6100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '6199999'
                                 },
                    '51000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51099999'
                                  },
                    '5910000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5919999'
                                 },
                    '52060000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52069999'
                                  },
                    '52800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52899999'
                                  },
                    '8920000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8929999'
                                 },
                    '58700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58799999'
                                  },
                    '8800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8899999'
                                 },
                    '5990000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5990999'
                                 },
                    '8910000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8919999'
                                 },
                    '54100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '54199999'
                                  },
                    '1220000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1229999'
                                 },
                    '3080000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3089999'
                                 },
                    '1000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1099999'
                                 },
                    '8500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8599999'
                                 },
                    '59930000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59939999'
                                  },
                    '3200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3299999'
                                 },
                    '2040000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2049999'
                                 },
                    '54300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54399999'
                                  },
                    '55991000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55991999'
                                  },
                    '52300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52399999'
                                  },
                    '4200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4299999'
                                 },
                    '4300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4399999'
                                 },
                    '59400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59499999'
                                  },
                    '54800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54899999'
                                  },
                    '5770000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '5779999'
                                 },
                    '5370000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5379999'
                                 },
                    '56000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56099999'
                                  },
                    '55970000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55979999'
                                  },
                    '59950000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59959999'
                                  },
                    '7500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7599999'
                                 },
                    '7700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7799999'
                                 },
                    '52050000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52059999'
                                  },
                    '57000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57099999'
                                  },
                    '8970000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8979999'
                                 },
                    '3600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3699999'
                                 },
                    '1260000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1269999'
                                 },
                    '2200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2299999'
                                 },
                    '5760000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '5769999'
                                 },
                    '59200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59299999'
                                  },
                    '57700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57799999'
                                  },
                    '5992000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5992999'
                                 },
                    '55370000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55379999'
                                  },
                    '59940000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59949999'
                                  },
                    '55340000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55349999'
                                  },
                    '8930000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8939999'
                                 },
                    '59800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59899999'
                                  },
                    '55980000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55989999'
                                  },
                    '3300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3399999'
                                 },
                    '55200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55299999'
                                  },
                    '2500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2599999'
                                 },
                    '55000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55099999'
                                  },
                    '51500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51599999'
                                  },
                    '9600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9699999'
                                 },
                    '55996000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55996999'
                                  },
                    '9960000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9969999'
                                 },
                    '5960000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5969999'
                                 },
                    '7800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7899999'
                                 },
                    '700000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '799999'
                                },
                    '5400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5499999'
                                 },
                    '56900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '56999999'
                                  },
                    '9300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9399999'
                                 },
                    '4500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4599999'
                                 },
                    '53030000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53039999'
                                  },
                    '51220000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51229999'
                                  },
                    '2070000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '2079999'
                                 },
                    '55900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55999999'
                                  },
                    '5991000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5991999'
                                 },
                    '57400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57499999'
                                  },
                    '1270000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1279999'
                                 },
                    '9800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '9899999'
                                 },
                    '59970000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '59979999'
                                  },
                    '55950000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55959999'
                                  },
                    '3500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3599999'
                                 },
                    '5970000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5979999'
                                 },
                    '7600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7699999'
                                 },
                    '5170000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5179999'
                                 },
                    '3070000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3079999'
                                 },
                    '500000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => 'Vodafone Ireland plc',
                                  'location' => 'Not Applicable',
                                  'status' => 'Allocated',
                                  'end' => '599999'
                                },
                    '7200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7299999'
                                 },
                    '51260000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51269999'
                                  },
                    '56800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '56899999'
                                  },
                    '3050000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3059999'
                                 },
                    '1280000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1289999'
                                 },
                    '5150000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5159999'
                                 },
                    '5120000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Vodafone Ireland plc',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '5129999'
                                 },
                    '53300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53399999'
                                  },
                    '52500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52599999'
                                  },
                    '52600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '52699999'
                                  },
                    '50800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '50899999'
                                  },
                    '55120000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Vodafone Ireland plc',
                                    'location' => '',
                                    'status' => 'Allocated',
                                    'end' => '55129999'
                                  }
                  },
          '93' => {
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '39000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '39999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'NTL Communications (Ireland) Ltd',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '47000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '47999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Tuam',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '43000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '43999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '58000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '58999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Tuam',
                                 'status' => 'Reserved',
                                 'end' => '66999'
                               },
                    '60000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '60999'
                               },
                    '55000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '55999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '36999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '40000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '40999'
                               },
                    '57000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '57999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '49000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '49999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '29000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '29999'
                               },
                    '38000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '38999'
                               },
                    '70000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '70999'
                               },
                    '35000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '35999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '51000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '51999'
                               },
                    '52000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '52999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '33999'
                               },
                    '79000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tuam',
                                 'status' => 'Allocated',
                                 'end' => '79999'
                               }
                  },
          '65' => {
                    '6841000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6841999'
                                 },
                    '9000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9000999'
                                 },
                    '7030000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7030999'
                                 },
                    '6843000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6843999'
                                 },
                    '7037000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7037999'
                                 },
                    '6862000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6862999'
                                 },
                    '6850000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6859999'
                                 },
                    '9009000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9009999'
                                 },
                    '6896000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6896999'
                                 },
                    '7028000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7028999'
                                 },
                    '6869000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6869999'
                                 },
                    '6821000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6821999'
                                 },
                    '9052000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9052999'
                                 },
                    '7023000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7023999'
                                 },
                    '7034000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7034999'
                                 },
                    '6898000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6898999'
                                 },
                    '6861000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6861999'
                                 },
                    '6300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Ennis',
                                   'status' => 'Reserved',
                                   'end' => '6399999'
                                 },
                    '7027000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7027999'
                                 },
                    '6866000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6866999'
                                 },
                    '6829000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6829999'
                                 },
                    '9006000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9006999'
                                 },
                    '9083000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9083999'
                                 },
                    '9055000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9055999'
                                 },
                    '6860000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6860999'
                                 },
                    '7076000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7076999'
                                 },
                    '7024000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7024999'
                                 },
                    '9060000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9060999'
                                 },
                    '9004000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9004999'
                                 },
                    '7072000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7072999'
                                 },
                    '6865000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6865999'
                                 },
                    '6822000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6822999'
                                 },
                    '7038000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7038999'
                                 },
                    '6200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Ennis',
                                   'status' => 'Reserved',
                                   'end' => '6299999'
                                 },
                    '6889000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6889999'
                                 },
                    '6886000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6886999'
                                 },
                    '9017000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9017999'
                                 },
                    '7026000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7026999'
                                 },
                    '9080000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9080999'
                                 },
                    '6848000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6848999'
                                 },
                    '9003000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9003999'
                                 },
                    '7071000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7071999'
                                 },
                    '6839000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6839999'
                                 },
                    '7083000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7083999'
                                 },
                    '6830000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6830999'
                                 },
                    '6828000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6828999'
                                 },
                    '6836000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6836999'
                                 },
                    '7070000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7070999'
                                 },
                    '7086000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7086999'
                                 },
                    '9058000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9058999'
                                 },
                    '6890000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6890999'
                                 },
                    '9008000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9008999'
                                 },
                    '6500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Ennis',
                                   'status' => 'Reserved',
                                   'end' => '6599999'
                                 },
                    '9070000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9079999'
                                 },
                    '9051000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9051999'
                                 },
                    '9018000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9018999'
                                 },
                    '6842000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6842999'
                                 },
                    '6847000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6847999'
                                 },
                    '7029000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7029999'
                                 },
                    '6846000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6846999'
                                 },
                    '6885000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6885999'
                                 },
                    '6880000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6880999'
                                 },
                    '9016000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9016999'
                                 },
                    '6891000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6891999'
                                 },
                    '8900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Kilrush',
                                   'status' => 'Reserved',
                                   'end' => '8999999'
                                 },
                    '6887000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6887999'
                                 },
                    '9059000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9059999'
                                 },
                    '7031000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7031999'
                                 },
                    '6820000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6820999'
                                 },
                    '9012000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9012999'
                                 },
                    '6827000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6827999'
                                 },
                    '7032000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7032999'
                                 },
                    '6881000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6881999'
                                 },
                    '6882000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6882999'
                                 },
                    '7084000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7084999'
                                 },
                    '7080000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7080999'
                                 },
                    '6895000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6895999'
                                 },
                    '6833000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6833999'
                                 },
                    '7087000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7087999'
                                 },
                    '7082000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7082999'
                                 },
                    '9007000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9007999'
                                 },
                    '6823000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6823999'
                                 },
                    '6883000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6883999'
                                 },
                    '7000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7009999'
                                 },
                    '6870000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6879999'
                                 },
                    '6834000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6834999'
                                 },
                    '6849000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6849999'
                                 },
                    '9014000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9014999'
                                 },
                    '9002000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9002999'
                                 },
                    '9053000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9053999'
                                 },
                    '9015000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9015999'
                                 },
                    '6884000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6884999'
                                 },
                    '9005000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9005999'
                                 },
                    '7075000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7075999'
                                 },
                    '8800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Kilrush',
                                   'status' => 'Reserved',
                                   'end' => '8899999'
                                 },
                    '7035000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7035999'
                                 },
                    '6825000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6825999'
                                 },
                    '7081000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7081999'
                                 },
                    '6899000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6899999'
                                 },
                    '7022000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7022999'
                                 },
                    '7036000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7036999'
                                 },
                    '7073000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7073999'
                                 },
                    '9057000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9057999'
                                 },
                    '9056000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9056999'
                                 },
                    '6888000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6888999'
                                 },
                    '6800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6809999'
                                 },
                    '6400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Ennis',
                                   'status' => 'Reserved',
                                   'end' => '6499999'
                                 },
                    '6837000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6837999'
                                 },
                    '7020000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7020999'
                                 },
                    '9050000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9050999'
                                 },
                    '7077000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7077999'
                                 },
                    '9054000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9054999'
                                 },
                    '6863000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6863999'
                                 },
                    '6824000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6824999'
                                 },
                    '7021000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7021999'
                                 },
                    '7089000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7089999'
                                 },
                    '6845000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6845999'
                                 },
                    '7039000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7039999'
                                 },
                    '7700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Ennistymon',
                                   'status' => 'Reserved',
                                   'end' => '7799999'
                                 },
                    '7085000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7085999'
                                 },
                    '6892000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6892999'
                                 },
                    '7025000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7025999'
                                 },
                    '6600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Ennis',
                                   'status' => 'Reserved',
                                   'end' => '6699999'
                                 },
                    '6868000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6868999'
                                 },
                    '6826000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6826999'
                                 },
                    '7079000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7079999'
                                 },
                    '7078000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7078999'
                                 },
                    '9011000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9011999'
                                 },
                    '6893000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6893999'
                                 },
                    '9001000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9001999'
                                 },
                    '6864000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6864999'
                                 },
                    '6844000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6844999'
                                 },
                    '6867000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6867999'
                                 },
                    '9062000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9062999'
                                 },
                    '6840000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6840999'
                                 },
                    '9061000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9061999'
                                 },
                    '9013000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9013999'
                                 },
                    '9063000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9063999'
                                 },
                    '6810000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6819999'
                                 },
                    '6831000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6831999'
                                 },
                    '6838000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6838999'
                                 },
                    '6897000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6897999'
                                 },
                    '7033000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7033999'
                                 },
                    '6894000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6894999'
                                 },
                    '7088000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7088999'
                                 },
                    '6835000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6835999'
                                 },
                    '7010000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7019999'
                                 },
                    '6832000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennis',
                                   'status' => 'Allocated',
                                   'end' => '6832999'
                                 },
                    '9010000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9010999'
                                 },
                    '9019000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Kilrush',
                                   'status' => 'Allocated',
                                   'end' => '9019999'
                                 },
                    '7074000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ennistymon',
                                   'status' => 'Allocated',
                                   'end' => '7074999'
                                 }
                  },
          '29' => {
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '50000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '50999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '76000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '76999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '72000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '72999'
                               },
                    '71000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '71999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '61000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '61999'
                               },
                    '70000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '70999'
                               },
                    '56000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '56999'
                               },
                    '51000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '51999'
                               },
                    '58000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '58999'
                               },
                    '52000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '52999'
                               },
                    '69000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '69999'
                               },
                    '75000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '75999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '60000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '60999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Kanturk',
                                 'status' => 'Reserved',
                                 'end' => '33999'
                               },
                    '79000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '79999'
                               },
                    '78000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '78999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '68000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Kanturk',
                                 'status' => 'Allocated',
                                 'end' => '68999'
                               }
                  },
          '64' => {
                    '83000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '83999'
                               },
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '39000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '39999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '47000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '47999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '43000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '43999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '54000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathmore',
                                 'status' => 'Allocated',
                                 'end' => '54999'
                               },
                    '53000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathmore',
                                 'status' => 'Allocated',
                                 'end' => '53999'
                               },
                    '74000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '74999'
                               },
                    '56000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathmore',
                                 'status' => 'Allocated',
                                 'end' => '56999'
                               },
                    '85000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '85999'
                               },
                    '58000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathmore',
                                 'status' => 'Allocated',
                                 'end' => '58999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Rathmore',
                                 'status' => 'Reserved',
                                 'end' => '66999'
                               },
                    '60000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathmore',
                                 'status' => 'Allocated',
                                 'end' => '60999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '42000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '42999'
                               },
                    '55000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Rathmore',
                                 'status' => 'Allocated',
                                 'end' => '55999'
                               },
                    '59000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathmore',
                                 'status' => 'Allocated',
                                 'end' => '59999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               },
                    '84000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '84999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '36999'
                               },
                    '50000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathmore',
                                 'status' => 'Allocated',
                                 'end' => '50999'
                               },
                    '57000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Rathmore',
                                 'status' => 'Allocated',
                                 'end' => '57999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '40000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '40999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '77000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Killarney',
                                 'status' => 'Reserved',
                                 'end' => '77999'
                               },
                    '46000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '46999'
                               },
                    '49000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '49999'
                               },
                    '89000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '89999'
                               },
                    '71000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '71999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '29000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '29999'
                               },
                    '38000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '38999'
                               },
                    '82000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '82999'
                               },
                    '70000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '70999'
                               },
                    '37000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '37999'
                               },
                    '35000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '35999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '51000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Rathmore',
                                 'status' => 'Allocated',
                                 'end' => '51999'
                               },
                    '52000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Rathmore',
                                 'status' => 'Allocated',
                                 'end' => '52999'
                               },
                    '75000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '75999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '33999'
                               },
                    '48000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '48999'
                               },
                    '73000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '73999'
                               },
                    '44000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killarney',
                                 'status' => 'Allocated',
                                 'end' => '44999'
                               }
                  },
          '97' => {
                    '86000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Belmullet',
                                 'status' => 'Allocated',
                                 'end' => '86999'
                               },
                    '84000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Belmullet',
                                 'status' => 'Allocated',
                                 'end' => '84999'
                               },
                    '83000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Belmullet',
                                 'status' => 'Allocated',
                                 'end' => '83999'
                               },
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Belmullet',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '87000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Belmullet',
                                 'status' => 'Allocated',
                                 'end' => '87999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Belmullet',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '88000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Belmullet',
                                 'status' => 'Allocated',
                                 'end' => '88999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Belmullet',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '81000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Belmullet',
                                 'status' => 'Allocated',
                                 'end' => '81999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Belmullet',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Belmullet',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '89000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Belmullet',
                                 'status' => 'Allocated',
                                 'end' => '89999'
                               },
                    '91000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Belmullet',
                                 'status' => 'Reserved',
                                 'end' => '91999'
                               },
                    '82000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Belmullet',
                                 'status' => 'Allocated',
                                 'end' => '82999'
                               },
                    '85000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Belmullet',
                                 'status' => 'Allocated',
                                 'end' => '85999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Belmullet',
                                 'status' => 'Reserved',
                                 'end' => '66999'
                               },
                    '80000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Belmullet',
                                 'status' => 'Allocated',
                                 'end' => '80999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Belmullet',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Belmullet',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               }
                  },
          '58' => {
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '47000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '47999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Dungarvan',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '43000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '43999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '54000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '54999'
                               },
                    '64000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'NTL Communications (Ireland) Ltd',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '64999'
                               },
                    '53000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '53999'
                               },
                    '56000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '56999'
                               },
                    '67000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '67999'
                               },
                    '58000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '58999'
                               },
                    '69000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '69999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '66999'
                               },
                    '60000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '60999'
                               },
                    '65000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '65999'
                               },
                    '42000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '42999'
                               },
                    '55000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '55999'
                               },
                    '59000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '59999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '50000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '50999'
                               },
                    '40000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '40999'
                               },
                    '57000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '57999'
                               },
                    '88000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Dungarvan',
                                 'status' => 'Reserved',
                                 'end' => '88999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '62000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '62999'
                               },
                    '46000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '46999'
                               },
                    '49000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '49999'
                               },
                    '51000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '51999'
                               },
                    '52000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '52999'
                               },
                    '48000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '48999'
                               },
                    '44000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '44999'
                               },
                    '68000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Dungarvan',
                                 'status' => 'Allocated',
                                 'end' => '68999'
                               }
                  },
          '41' => {
                    '9803000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9803999'
                                 },
                    '9837000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9837999'
                                 },
                    '2230000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '2239999'
                                 },
                    '6640000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6649999'
                                 },
                    '6690000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6699999'
                                 },
                    '9801000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9801999'
                                 },
                    '9849000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9849999'
                                 },
                    '6850000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ardee',
                                   'status' => 'Allocated',
                                   'end' => '6859999'
                                 },
                    '9881000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9881999'
                                 },
                    '8800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '8899999'
                                 },
                    '8600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '8699999'
                                 },
                    '9885000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9885999'
                                 },
                    '9896000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9896999'
                                 },
                    '2290000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '2299999'
                                 },
                    '8500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '8599999'
                                 },
                    '9829000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9829999'
                                 },
                    '9898000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9898999'
                                 },
                    '9872000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9872999'
                                 },
                    '2220000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '2229999'
                                 },
                    '9875000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9875999'
                                 },
                    '8100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '8199999'
                                 },
                    '6610000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6619999'
                                 },
                    '9890000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9890999'
                                 },
                    '9876000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9876999'
                                 },
                    '9833000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9833999'
                                 },
                    '9802000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9802999'
                                 },
                    '6800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Ardee',
                                   'status' => 'Allocated',
                                   'end' => '6809999'
                                 },
                    '9877000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9877999'
                                 },
                    '6650000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6659999'
                                 },
                    '9848000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9848999'
                                 },
                    '9818000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9818999'
                                 },
                    '9813000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9813999'
                                 },
                    '9894000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9894999'
                                 },
                    '9839000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9839999'
                                 },
                    '9828000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9828999'
                                 },
                    '6670000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6679999'
                                 },
                    '9817000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9817999'
                                 },
                    '6860000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ardee',
                                   'status' => 'Allocated',
                                   'end' => '6869999'
                                 },
                    '2260000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '2269999'
                                 },
                    '7700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '7799999'
                                 },
                    '9895000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9895999'
                                 },
                    '9823000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9823999'
                                 },
                    '9810000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9810999'
                                 },
                    '9884000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9884999'
                                 },
                    '9834000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9834999'
                                 },
                    '9830000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9830999'
                                 },
                    '9883000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9883999'
                                 },
                    '2200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '2209999'
                                 },
                    '9819000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9819999'
                                 },
                    '9893000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9893999'
                                 },
                    '9873000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9873999'
                                 },
                    '2210000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '2219999'
                                 },
                    '2240000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '2249999'
                                 },
                    '6620000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6629999'
                                 },
                    '9760000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9769999'
                                 },
                    '9740000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9749999'
                                 },
                    '6600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6609999'
                                 },
                    '9878000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9878999'
                                 },
                    '8400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '8499999'
                                 },
                    '2250000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '2259999'
                                 },
                    '9821000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9821999'
                                 },
                    '9822000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9822999'
                                 },
                    '2270000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '2279999'
                                 },
                    '6680000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6689999'
                                 },
                    '9832000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9832999'
                                 },
                    '9808000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9808999'
                                 },
                    '9805000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9805999'
                                 },
                    '9750000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9759999'
                                 },
                    '9820000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9820999'
                                 },
                    '3300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '3399999'
                                 },
                    '9880000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9880999'
                                 },
                    '6660000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6669999'
                                 },
                    '9815000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9815999'
                                 },
                    '9838000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9838999'
                                 },
                    '9844000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9844999'
                                 },
                    '9882000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9882999'
                                 },
                    '4400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '4499999'
                                 },
                    '9891000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9891999'
                                 },
                    '9846000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9846999'
                                 },
                    '8000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '8099999'
                                 },
                    '9892000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9892999'
                                 },
                    '5500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '5599999'
                                 },
                    '9879000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9879999'
                                 },
                    '9826000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9826999'
                                 },
                    '9843000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9843999'
                                 },
                    '9720000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9729999'
                                 },
                    '6840000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Ardee',
                                   'status' => 'Allocated',
                                   'end' => '6849999'
                                 },
                    '8700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '8799999'
                                 },
                    '9780000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Energis',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9789999'
                                 },
                    '8300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '8399999'
                                 },
                    '6880000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Ardee',
                                   'status' => 'Allocated',
                                   'end' => '6889999'
                                 },
                    '9814000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9814999'
                                 },
                    '9845000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9845999'
                                 },
                    '9804000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9804999'
                                 },
                    '9811000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9811999'
                                 },
                    '9812000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9812999'
                                 },
                    '9847000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9847999'
                                 },
                    '9831000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9831999'
                                 },
                    '8900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '8999999'
                                 },
                    '9809000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9809999'
                                 },
                    '9836000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9836999'
                                 },
                    '9800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9800999'
                                 },
                    '6820000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ardee',
                                   'status' => 'Allocated',
                                   'end' => '6829999'
                                 },
                    '9824000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9824999'
                                 },
                    '9835000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9835999'
                                 },
                    '9816000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9816999'
                                 },
                    '9842000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9842999'
                                 },
                    '2280000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '2289999'
                                 },
                    '9874000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9874999'
                                 },
                    '9807000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9807999'
                                 },
                    '9841000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9841999'
                                 },
                    '6630000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6639999'
                                 },
                    '8200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Drogheda',
                                   'status' => 'Reserved',
                                   'end' => '8299999'
                                 },
                    '9897000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9897999'
                                 },
                    '9840000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9840999'
                                 },
                    '9825000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9825999'
                                 },
                    '9871000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9871999'
                                 },
                    '9827000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9827999'
                                 },
                    '9806000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9806999'
                                 },
                    '9886000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9886999'
                                 },
                    '9870000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9870999'
                                 },
                    '9889000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9889999'
                                 },
                    '9700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9709999'
                                 },
                    '9888000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9888999'
                                 },
                    '9887000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Drogheda',
                                   'status' => 'Allocated',
                                   'end' => '9887999'
                                 }
                  },
          '52' => {
                    '83000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '83999'
                               },
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '39000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '39999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cahir',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '43000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cahir',
                                 'status' => 'Allocated',
                                 'end' => '43999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cahir',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '61000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Cahir',
                                 'status' => 'Reserved',
                                 'end' => '61999'
                               },
                    '54000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killenaule',
                                 'status' => 'Allocated',
                                 'end' => '54999'
                               },
                    '53000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killenaule',
                                 'status' => 'Allocated',
                                 'end' => '53999'
                               },
                    '74000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Clonmel',
                                 'status' => 'Reserved',
                                 'end' => '74999'
                               },
                    '91000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Killenaule',
                                 'status' => 'Reserved',
                                 'end' => '91999'
                               },
                    '56000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killenaule',
                                 'status' => 'Allocated',
                                 'end' => '56999'
                               },
                    '85000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '85999'
                               },
                    '67000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cahir',
                                 'status' => 'Allocated',
                                 'end' => '67999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cahir',
                                 'status' => 'Allocated',
                                 'end' => '66999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '65000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cahir',
                                 'status' => 'Allocated',
                                 'end' => '65999'
                               },
                    '42000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cahir',
                                 'status' => 'Allocated',
                                 'end' => '42999'
                               },
                    '78000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '78999'
                               },
                    '55000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killenaule',
                                 'status' => 'Allocated',
                                 'end' => '55999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               },
                    '84000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '84999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '36999'
                               },
                    '50000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killenaule',
                                 'status' => 'Allocated',
                                 'end' => '50999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '40000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Cahir',
                                 'status' => 'Allocated',
                                 'end' => '40999'
                               },
                    '57000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killenaule',
                                 'status' => 'Allocated',
                                 'end' => '57999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '81000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '81999'
                               },
                    '62000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cahir',
                                 'status' => 'Allocated',
                                 'end' => '62999'
                               },
                    '77000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '77999'
                               },
                    '76000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '76999'
                               },
                    '72000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '72999'
                               },
                    '71000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '71999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '29000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '29999'
                               },
                    '38000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '38999'
                               },
                    '82000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '82999'
                               },
                    '70000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '70999'
                               },
                    '37000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '37999'
                               },
                    '35000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '35999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '51000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killenaule',
                                 'status' => 'Allocated',
                                 'end' => '51999'
                               },
                    '52000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Killenaule',
                                 'status' => 'Allocated',
                                 'end' => '52999'
                               },
                    '75000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '75999'
                               },
                    '80000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '80999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '33999'
                               },
                    '48000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Cahir',
                                 'status' => 'Allocated',
                                 'end' => '48999'
                               },
                    '73000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Clonmel',
                                 'status' => 'Allocated',
                                 'end' => '73999'
                               },
                    '44000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cahir',
                                 'status' => 'Allocated',
                                 'end' => '44999'
                               },
                    '68000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cahir',
                                 'status' => 'Allocated',
                                 'end' => '68999'
                               }
                  },
          '56' => {
                    '7701000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7701999'
                                 },
                    '9000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9099999'
                                 },
                    '7726000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7726999'
                                 },
                    '7702000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7702999'
                                 },
                    '8600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8699999'
                                 },
                    '7779000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7779999'
                                 },
                    '4445000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Castlecomer',
                                   'status' => 'Reserved',
                                   'end' => '4445999'
                                 },
                    '9100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9199999'
                                 },
                    '8500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8599999'
                                 },
                    '4100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4199999'
                                 },
                    '7723000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7723999'
                                 },
                    '4200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4299999'
                                 },
                    '7767000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7767999'
                                 },
                    '8835000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Freshford',
                                   'status' => 'Allocated',
                                   'end' => '8835999'
                                 },
                    '8100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8199999'
                                 },
                    '5000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5999999'
                                 },
                    '4300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4399999'
                                 },
                    '7798000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7798999'
                                 },
                    '7794000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7794999'
                                 },
                    '7780000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7780999'
                                 },
                    '7761000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7761999'
                                 },
                    '7703000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7703999'
                                 },
                    '7793000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7793999'
                                 },
                    '7760000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7760999'
                                 },
                    '6000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6999999'
                                 },
                    '7786000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7786999'
                                 },
                    '7789000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7789999'
                                 },
                    '7774000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7774999'
                                 },
                    '8832000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Freshford',
                                   'status' => 'Allocated',
                                   'end' => '8832999'
                                 },
                    '7770000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7770999'
                                 },
                    '7758000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7758999'
                                 },
                    '7725000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7725999'
                                 },
                    '7400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7499999'
                                 },
                    '7752000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7752999'
                                 },
                    '4800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4899999'
                                 },
                    '4444000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Castlecomer',
                                   'status' => 'Reserved',
                                   'end' => '4444999'
                                 },
                    '7500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7599999'
                                 },
                    '8881000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Freshford',
                                   'status' => 'Allocated',
                                   'end' => '8881999'
                                 },
                    '7700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7700999'
                                 },
                    '9900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9999999'
                                 },
                    '7772000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7772999'
                                 },
                    '7785000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7785999'
                                 },
                    '7706000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7706999'
                                 },
                    '7724000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7724999'
                                 },
                    '4447000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Castlecomer',
                                   'status' => 'Allocated',
                                   'end' => '4447999'
                                 },
                    '8882000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Freshford',
                                   'status' => 'Allocated',
                                   'end' => '8882999'
                                 },
                    '4446000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlecomer',
                                   'status' => 'Allocated',
                                   'end' => '4446999'
                                 },
                    '7900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7999999'
                                 },
                    '4442000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlecomer',
                                   'status' => 'Allocated',
                                   'end' => '4442999'
                                 },
                    '7763000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7763999'
                                 },
                    '4441000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlecomer',
                                   'status' => 'Allocated',
                                   'end' => '4441999'
                                 },
                    '7300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7399999'
                                 },
                    '7773000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7773999'
                                 },
                    '7765000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7765999'
                                 },
                    '7769000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7769999'
                                 },
                    '9400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9499999'
                                 },
                    '7753000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7753999'
                                 },
                    '7755000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7755999'
                                 },
                    '9200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9299999'
                                 },
                    '8400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8499999'
                                 },
                    '8830000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Freshford',
                                   'status' => 'Allocated',
                                   'end' => '8830999'
                                 },
                    '7704000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7704999'
                                 },
                    '4440000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlecomer',
                                   'status' => 'Allocated',
                                   'end' => '4440999'
                                 },
                    '4448000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Castlecomer',
                                   'status' => 'Allocated',
                                   'end' => '4448999'
                                 },
                    '7720000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7720999'
                                 },
                    '7751000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7751999'
                                 },
                    '7766000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7766999'
                                 },
                    '8833000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Freshford',
                                   'status' => 'Allocated',
                                   'end' => '8833999'
                                 },
                    '7784000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7784999'
                                 },
                    '7729000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7729999'
                                 },
                    '4600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4699999'
                                 },
                    '8831000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Freshford',
                                   'status' => 'Allocated',
                                   'end' => '8831999'
                                 },
                    '4000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4099999'
                                 },
                    '7754000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7754999'
                                 },
                    '7788000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7788999'
                                 },
                    '7768000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7768999'
                                 },
                    '4400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlecomer',
                                   'status' => 'Allocated',
                                   'end' => '4400999'
                                 },
                    '3000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3999999'
                                 },
                    '7707000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7707999'
                                 },
                    '7800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7899999'
                                 },
                    '7728000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7728999'
                                 },
                    '8838000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Freshford',
                                   'status' => 'Allocated',
                                   'end' => '8838999'
                                 },
                    '8000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8099999'
                                 },
                    '7771000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7771999'
                                 },
                    '7796000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7796999'
                                 },
                    '4443000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlecomer',
                                   'status' => 'Allocated',
                                   'end' => '4443999'
                                 },
                    '9300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9399999'
                                 },
                    '7795000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7795999'
                                 },
                    '4500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4599999'
                                 },
                    '8883000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Freshford',
                                   'status' => 'Allocated',
                                   'end' => '8883999'
                                 },
                    '7756000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7756999'
                                 },
                    '8700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8799999'
                                 },
                    '7790000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7790999'
                                 },
                    '7778000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7778999'
                                 },
                    '8300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8399999'
                                 },
                    '7775000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7775999'
                                 },
                    '7757000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7757999'
                                 },
                    '7721000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7721999'
                                 },
                    '7792000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7792999'
                                 },
                    '2000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2999999'
                                 },
                    '8900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8999999'
                                 },
                    '7100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7199999'
                                 },
                    '9800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9899999'
                                 },
                    '8836000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Freshford',
                                   'status' => 'Allocated',
                                   'end' => '8836999'
                                 },
                    '7764000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7764999'
                                 },
                    '8839000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Freshford',
                                   'status' => 'Allocated',
                                   'end' => '8839999'
                                 },
                    '7791000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7791999'
                                 },
                    '4900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4999999'
                                 },
                    '7722000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7722999'
                                 },
                    '7750000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7750999'
                                 },
                    '7727000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7727999'
                                 },
                    '8834000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Freshford',
                                   'status' => 'Allocated',
                                   'end' => '8834999'
                                 },
                    '7787000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7787999'
                                 },
                    '9500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9599999'
                                 },
                    '8837000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Freshford',
                                   'status' => 'Allocated',
                                   'end' => '8837999'
                                 },
                    '7776000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7776999'
                                 },
                    '7600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7699999'
                                 },
                    '4700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4799999'
                                 },
                    '7705000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7705999'
                                 },
                    '7200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7299999'
                                 },
                    '8200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8299999'
                                 },
                    '7000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7099999'
                                 },
                    '7762000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7762999'
                                 },
                    '7759000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7759999'
                                 },
                    '7797000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7797999'
                                 },
                    '7783000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kilkenny',
                                   'status' => 'Allocated',
                                   'end' => '7783999'
                                 },
                    '4401000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlecomer',
                                   'status' => 'Allocated',
                                   'end' => '4401999'
                                 }
                  },
          '66' => {
                    '9151000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9151999'
                                 },
                    '7124000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7124999'
                                 },
                    '7184000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7184999'
                                 },
                    '9485000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9485999'
                                 },
                    '7199000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7199999'
                                 },
                    '8600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8699999'
                                 },
                    '7119000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7119999'
                                 },
                    '7117000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7117999'
                                 },
                    '9768000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9768999'
                                 },
                    '9470000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9470999'
                                 },
                    '7152000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7152999'
                                 },
                    '2100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Tralee',
                                   'status' => 'Reserved',
                                   'end' => '2199999'
                                 },
                    '9403000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9403999'
                                 },
                    '2600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Tralee',
                                   'status' => 'Reserved',
                                   'end' => '2699999'
                                 },
                    '7121000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7121999'
                                 },
                    '7110000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7110999'
                                 },
                    '8100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8199999'
                                 },
                    '9111000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9111999'
                                 },
                    '7148000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7148999'
                                 },
                    '7196000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7196999'
                                 },
                    '7192000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7192999'
                                 },
                    '9701000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9701999'
                                 },
                    '9401000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9401999'
                                 },
                    '9110000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9110999'
                                 },
                    '9763000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9763999'
                                 },
                    '9155000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9155999'
                                 },
                    '9120000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9120999'
                                 },
                    '7141000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7141999'
                                 },
                    '7140000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7140999'
                                 },
                    '9479000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9479999'
                                 },
                    '7191000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7191999'
                                 },
                    '7193000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7193999'
                                 },
                    '9486000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9486999'
                                 },
                    '7155000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7155999'
                                 },
                    '7153000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7153999'
                                 },
                    '7137000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7137999'
                                 },
                    '7151000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7151999'
                                 },
                    '7134000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7134999'
                                 },
                    '7136000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7136999'
                                 },
                    '9769000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9769999'
                                 },
                    '7144000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7144999'
                                 },
                    '7111000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7111999'
                                 },
                    '9480000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9480999'
                                 },
                    '9157000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9157999'
                                 },
                    '7185000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7185999'
                                 },
                    '9703000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9703999'
                                 },
                    '9114000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9114999'
                                 },
                    '9406000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9406999'
                                 },
                    '7181000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7181999'
                                 },
                    '9760000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9760999'
                                 },
                    '9483000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9483999'
                                 },
                    '9150000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9150999'
                                 },
                    '7129000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7129999'
                                 },
                    '2900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Tralee',
                                   'status' => 'Reserved',
                                   'end' => '2999999'
                                 },
                    '9790000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9790999'
                                 },
                    '9113000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9113999'
                                 },
                    '7163000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7163999'
                                 },
                    '9473000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9473999'
                                 },
                    '7159000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7159999'
                                 },
                    '9115000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9115999'
                                 },
                    '2700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Tralee',
                                   'status' => 'Reserved',
                                   'end' => '2799999'
                                 },
                    '9705000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9705999'
                                 },
                    '7143000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7143999'
                                 },
                    '4400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Tralee',
                                   'status' => 'Reserved',
                                   'end' => '4499999'
                                 },
                    '7123000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7123999'
                                 },
                    '9156000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9156999'
                                 },
                    '7147000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7147999'
                                 },
                    '9797000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9797999'
                                 },
                    '9707000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9707999'
                                 },
                    '8700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8799999'
                                 },
                    '7120000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7120999'
                                 },
                    '9474000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9474999'
                                 },
                    '7154000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7154999'
                                 },
                    '9764000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9764999'
                                 },
                    '9708000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9708999'
                                 },
                    '7164000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7164999'
                                 },
                    '8900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8999999'
                                 },
                    '9795000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9795999'
                                 },
                    '7100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7100999'
                                 },
                    '9478000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9478999'
                                 },
                    '9158000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9158999'
                                 },
                    '7115000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7115999'
                                 },
                    '7149000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7149999'
                                 },
                    '7102000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7102999'
                                 },
                    '9117000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9117999'
                                 },
                    '9475000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9475999'
                                 },
                    '7135000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7135999'
                                 },
                    '9404000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9404999'
                                 },
                    '8200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8299999'
                                 },
                    '9153000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9153999'
                                 },
                    '7139000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7139999'
                                 },
                    '2400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Tralee',
                                   'status' => 'Reserved',
                                   'end' => '2499999'
                                 },
                    '9477000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9477999'
                                 },
                    '7189000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7189999'
                                 },
                    '9700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9700999'
                                 },
                    '9118000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9118999'
                                 },
                    '9799000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9799999'
                                 },
                    '9482000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9482999'
                                 },
                    '9792000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9792999'
                                 },
                    '7190000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7190999'
                                 },
                    '8800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8899999'
                                 },
                    '9766000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9766999'
                                 },
                    '7150000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7150999'
                                 },
                    '9100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9100999'
                                 },
                    '9116000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9116999'
                                 },
                    '9704000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9704999'
                                 },
                    '7130000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7130999'
                                 },
                    '8500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8599999'
                                 },
                    '9765000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9765999'
                                 },
                    '9152000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9152999'
                                 },
                    '9112000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9112999'
                                 },
                    '7187000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7187999'
                                 },
                    '9154000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9154999'
                                 },
                    '7161000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7161999'
                                 },
                    '9119000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9119999'
                                 },
                    '7194000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7194999'
                                 },
                    '9767000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9767999'
                                 },
                    '7182000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7182999'
                                 },
                    '7112000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7112999'
                                 },
                    '7146000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7146999'
                                 },
                    '7101000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7101999'
                                 },
                    '7700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Tralee',
                                   'status' => 'Reserved',
                                   'end' => '7799999'
                                 },
                    '9476000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9476999'
                                 },
                    '7132000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7132999'
                                 },
                    '7116000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7116999'
                                 },
                    '9481000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9481999'
                                 },
                    '2200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Tralee',
                                   'status' => 'Reserved',
                                   'end' => '2299999'
                                 },
                    '7186000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7186999'
                                 },
                    '7195000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7195999'
                                 },
                    '9407000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9407999'
                                 },
                    '9798000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9798999'
                                 },
                    '7188000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7188999'
                                 },
                    '9400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9400999'
                                 },
                    '7128000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7128999'
                                 },
                    '6600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Tralee',
                                   'status' => 'Reserved',
                                   'end' => '6699999'
                                 },
                    '9793000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9793999'
                                 },
                    '8400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8499999'
                                 },
                    '7162000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7162999'
                                 },
                    '9484000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9484999'
                                 },
                    '9410000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9410999'
                                 },
                    '7157000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7157999'
                                 },
                    '9160000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9160999'
                                 },
                    '2300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Tralee',
                                   'status' => 'Reserved',
                                   'end' => '2399999'
                                 },
                    '3300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Tralee',
                                   'status' => 'Reserved',
                                   'end' => '3399999'
                                 },
                    '2500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Tralee',
                                   'status' => 'Reserved',
                                   'end' => '2599999'
                                 },
                    '7180000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7180999'
                                 },
                    '9702000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9702999'
                                 },
                    '9796000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9796999'
                                 },
                    '9405000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9405999'
                                 },
                    '9402000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9402999'
                                 },
                    '8000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8099999'
                                 },
                    '9472000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9472999'
                                 },
                    '7131000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7131999'
                                 },
                    '5500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Tralee',
                                   'status' => 'Reserved',
                                   'end' => '5599999'
                                 },
                    '9762000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9762999'
                                 },
                    '9706000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9706999'
                                 },
                    '7125000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7125999'
                                 },
                    '7122000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7122999'
                                 },
                    '9761000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9761999'
                                 },
                    '9709000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9709999'
                                 },
                    '9409000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9409999'
                                 },
                    '2800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Tralee',
                                   'status' => 'Reserved',
                                   'end' => '2899999'
                                 },
                    '8300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8399999'
                                 },
                    '7145000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7145999'
                                 },
                    '9791000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9791999'
                                 },
                    '2000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Tralee',
                                   'status' => 'Reserved',
                                   'end' => '2099999'
                                 },
                    '7197000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7197999'
                                 },
                    '7127000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7127999'
                                 },
                    '7183000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7183999'
                                 },
                    '7158000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7158999'
                                 },
                    '9794000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Killorglin',
                                   'status' => 'Allocated',
                                   'end' => '9794999'
                                 },
                    '7118000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7118999'
                                 },
                    '7142000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7142999'
                                 },
                    '7138000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7138999'
                                 },
                    '9161000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9161999'
                                 },
                    '7126000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7126999'
                                 },
                    '7198000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7198999'
                                 },
                    '9159000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dingle',
                                   'status' => 'Allocated',
                                   'end' => '9159999'
                                 },
                    '9471000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9471999'
                                 },
                    '7133000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7133999'
                                 },
                    '7156000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Tralee',
                                   'status' => 'Allocated',
                                   'end' => '7156999'
                                 },
                    '9408000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cahirciveen',
                                   'status' => 'Allocated',
                                   'end' => '9408999'
                                 }
                  },
          '45' => {
                    '902000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '902999'
                                },
                    '270000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '279999'
                                },
                    '910000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '910999'
                                },
                    '550000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Kildare',
                                  'status' => 'Allocated',
                                  'end' => '559999'
                                },
                    '450000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Curragh',
                                  'status' => 'Allocated',
                                  'end' => '459999'
                                },
                    '907000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '907999'
                                },
                    '970000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Energis',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '979999'
                                },
                    '540000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Kildare',
                                  'status' => 'Allocated',
                                  'end' => '549999'
                                },
                    '560000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Kildare',
                                  'status' => 'Allocated',
                                  'end' => '569999'
                                },
                    '440000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Curragh',
                                  'status' => 'Allocated',
                                  'end' => '449999'
                                },
                    '903000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '903999'
                                },
                    '340000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '349999'
                                },
                    '900000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '900999'
                                },
                    '290000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '299999'
                                },
                    '330000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '339999'
                                },
                    '470000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Curragh',
                                  'status' => 'Allocated',
                                  'end' => '479999'
                                },
                    '901000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '901999'
                                },
                    '530000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Kildare',
                                  'status' => 'Allocated',
                                  'end' => '539999'
                                },
                    '260000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '269999'
                                },
                    '940000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '949999'
                                },
                    '820000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '829999'
                                },
                    '280000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '289999'
                                },
                    '904000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '904999'
                                },
                    '480000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Curragh',
                                  'status' => 'Allocated',
                                  'end' => '489999'
                                },
                    '420000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Curragh',
                                  'status' => 'Allocated',
                                  'end' => '429999'
                                },
                    '410000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Curragh',
                                  'status' => 'Allocated',
                                  'end' => '419999'
                                },
                    '860000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '869999'
                                },
                    '840000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '849999'
                                },
                    '850000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '859999'
                                },
                    '800000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '809999'
                                },
                    '905000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '905999'
                                },
                    '400000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Curragh',
                                  'status' => 'Allocated',
                                  'end' => '409999'
                                },
                    '909000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '909999'
                                },
                    '908000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '908999'
                                },
                    '460000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Curragh',
                                  'status' => 'Allocated',
                                  'end' => '469999'
                                },
                    '870000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '879999'
                                },
                    '980000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '989999'
                                },
                    '990000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Naas',
                                  'status' => 'Reserved',
                                  'end' => '999999'
                                },
                    '510000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Kildare',
                                  'status' => 'Allocated',
                                  'end' => '519999'
                                },
                    '500000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Kildare',
                                  'status' => 'Allocated',
                                  'end' => '509999'
                                },
                    '220000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '229999'
                                },
                    '906000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '906999'
                                },
                    '960000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '969999'
                                },
                    '880000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '889999'
                                },
                    '350000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '359999'
                                },
                    '580000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Energis',
                                  'location' => 'Kildare',
                                  'status' => 'Allocated',
                                  'end' => '589999'
                                },
                    '950000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '959999'
                                },
                    '430000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Curragh',
                                  'status' => 'Allocated',
                                  'end' => '439999'
                                },
                    '520000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Kildare',
                                  'status' => 'Allocated',
                                  'end' => '529999'
                                },
                    '890000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Naas',
                                  'status' => 'Allocated',
                                  'end' => '899999'
                                }
                  },
          '86' => {
                    '59020000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59029999'
                                  },
                    '52040000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52049999'
                                  },
                    '8600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8699999'
                                 },
                    '52030000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52039999'
                                  },
                    '1400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1499999'
                                 },
                    '1600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1699999'
                                 },
                    '58950000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58959999'
                                  },
                    '57900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57999999'
                                  },
                    '3400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '3499999'
                                 },
                    '6000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '6099999'
                                 },
                    '58930000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58939999'
                                  },
                    '6300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6399999'
                                 },
                    '58090000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58099999'
                                  },
                    '2060000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2069999'
                                 },
                    '58920000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58929999'
                                  },
                    '51600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51699999'
                                  },
                    '3900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '3999999'
                                 },
                    '7400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7499999'
                                 },
                    '58990000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58999999'
                                  },
                    '58960000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58969999'
                                  },
                    '55780000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55789999'
                                  },
                    '8940000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8949999'
                                 },
                    '1800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1899999'
                                 },
                    '7900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7999999'
                                 },
                    '53800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '53899999'
                                  },
                    '7300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7399999'
                                 },
                    '59010000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59019999'
                                  },
                    '55300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55399999'
                                  },
                    '51100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51199999'
                                  },
                    '50700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '50799999'
                                  },
                    '52080000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52089999'
                                  },
                    '52100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52199999'
                                  },
                    '57500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57599999'
                                  },
                    '5300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5399999'
                                 },
                    '2050000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2059999'
                                 },
                    '51200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51299999'
                                  },
                    '4600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4699999'
                                 },
                    '5780000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5789999'
                                 },
                    '2700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2799999'
                                 },
                    '50900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '50999999'
                                  },
                    '8990000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8999999'
                                 },
                    '52000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52009999'
                                  },
                    '4400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4499999'
                                 },
                    '9070000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9079999'
                                 },
                    '56200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56299999'
                                  },
                    '2090000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2099999'
                                 },
                    '58000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58009999'
                                  },
                    '8700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8799999'
                                 },
                    '57800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57899999'
                                  },
                    '55700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55799999'
                                  },
                    '52200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52299999'
                                  },
                    '52070000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52079999'
                                  },
                    '8020000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8029999'
                                 },
                    '51400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51499999'
                                  },
                    '58100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58199999'
                                  },
                    '5380000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '5389999'
                                 },
                    '8200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8299999'
                                 },
                    '8040000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8049999'
                                 },
                    '5900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5999999'
                                 },
                    '53400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '53499999'
                                  },
                    '9950000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9959999'
                                 },
                    '9700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9799999'
                                 },
                    '58910000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58919999'
                                  },
                    '6700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6799999'
                                 },
                    '58070000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58079999'
                                  },
                    '55330000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => '',
                                    'status' => 'Allocated',
                                    'end' => '55339999'
                                  },
                    '52020000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52029999'
                                  },
                    '59500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59599999'
                                  },
                    '5700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5799999'
                                 },
                    '9920000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9929999'
                                 },
                    '2030000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2039999'
                                 },
                    '5310000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '5319999'
                                 },
                    '9100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9199999'
                                 },
                    '58030000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58039999'
                                  },
                    '58080000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58089999'
                                  },
                    '55310000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => '',
                                    'status' => 'Allocated',
                                    'end' => '55319999'
                                  },
                    '59050000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59059999'
                                  },
                    '52010000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52019999'
                                  },
                    '53500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '53599999'
                                  },
                    '56700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56799999'
                                  },
                    '58200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58299999'
                                  },
                    '55150000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55159999'
                                  },
                    '1700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1799999'
                                 },
                    '900000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '999999'
                                },
                    '9930000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9939999'
                                 },
                    '6800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6899999'
                                 },
                    '58010000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58019999'
                                  },
                    '6400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6499999'
                                 },
                    '55800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55899999'
                                  },
                    '56100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56199999'
                                  },
                    '5200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5299999'
                                 },
                    '53100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '53199999'
                                  },
                    '59910000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59919999'
                                  },
                    '59100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59199999'
                                  },
                    '5100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5199999'
                                 },
                    '58300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58399999'
                                  },
                    '9900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9909999'
                                 },
                    '59000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59009999'
                                  },
                    '53700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '53799999'
                                  },
                    '59700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59799999'
                                  },
                    '53200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '53299999'
                                  },
                    '9400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9499999'
                                 },
                    '59980000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59989999'
                                  },
                    '8980000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8989999'
                                 },
                    '6600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6699999'
                                 },
                    '8400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8499999'
                                 },
                    '9020000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9029999'
                                 },
                    '53000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '53099999'
                                  },
                    '1300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1399999'
                                 },
                    '2300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2399999'
                                 },
                    '56400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56499999'
                                  },
                    '54400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54499999'
                                  },
                    '3000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '3099999'
                                 },
                    '58980000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58989999'
                                  },
                    '58500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58599999'
                                  },
                    '8000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8009999'
                                 },
                    '59900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59909999'
                                  },
                    '52090000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52099999'
                                  },
                    '5500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5599999'
                                 },
                    '8950000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8959999'
                                 },
                    '55400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55499999'
                                  },
                    '54000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '54099999'
                                  },
                    '54900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54999999'
                                  },
                    '2800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2899999'
                                 },
                    '8300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8399999'
                                 },
                    '51800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51899999'
                                  },
                    '5350000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5359999'
                                 },
                    '3800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '3899999'
                                 },
                    '2000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2009999'
                                 },
                    '800000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => 'O2 Communications (Ireland) Ltd',
                                  'location' => 'Not Applicable',
                                  'status' => 'Allocated',
                                  'end' => '899999'
                                },
                    '51700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51799999'
                                  },
                    '4900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4999999'
                                 },
                    '9980000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9989999'
                                 },
                    '58050000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58059999'
                                  },
                    '9040000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9049999'
                                 },
                    '9500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9599999'
                                 },
                    '4700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4799999'
                                 },
                    '5330000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '5339999'
                                 },
                    '8030000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8039999'
                                 },
                    '55600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55699999'
                                  },
                    '55160000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => '',
                                    'status' => 'Allocated',
                                    'end' => '55169999'
                                  },
                    '1100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1199999'
                                 },
                    '9010000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9019999'
                                 },
                    '5720000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5729999'
                                 },
                    '2020000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2029999'
                                 },
                    '9000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9009999'
                                 },
                    '3100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '3199999'
                                 },
                    '52900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52999999'
                                  },
                    '59920000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59929999'
                                  },
                    '9910000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9919999'
                                 },
                    '59090000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59099999'
                                  },
                    '2100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2199999'
                                 },
                    '51300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51399999'
                                  },
                    '58400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58499999'
                                  },
                    '9970000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9979999'
                                 },
                    '4100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4199999'
                                 },
                    '50500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '50599999'
                                  },
                    '2600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2699999'
                                 },
                    '55380000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => '',
                                    'status' => 'Allocated',
                                    'end' => '55389999'
                                  },
                    '8100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8199999'
                                 },
                    '5000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5099999'
                                 },
                    '57200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57299999'
                                  },
                    '53600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '53699999'
                                  },
                    '55170000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => '',
                                    'status' => 'Allocated',
                                    'end' => '55179999'
                                  },
                    '58940000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58949999'
                                  },
                    '2080000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2089999'
                                 },
                    '55080000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => '',
                                    'status' => 'Allocated',
                                    'end' => '55089999'
                                  },
                    '6900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6999999'
                                 },
                    '2010000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2019999'
                                 },
                    '1200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1299999'
                                 },
                    '55320000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55329999'
                                  },
                    '1900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1999999'
                                 },
                    '58800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58899999'
                                  },
                    '55130000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55139999'
                                  },
                    '54700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54799999'
                                  },
                    '4800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4899999'
                                 },
                    '8060000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8069999'
                                 },
                    '9060000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9069999'
                                 },
                    '56300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56399999'
                                  },
                    '53900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '53999999'
                                  },
                    '59080000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59089999'
                                  },
                    '6200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6299999'
                                 },
                    '51900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51999999'
                                  },
                    '55720000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55729999'
                                  },
                    '59300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59399999'
                                  },
                    '55500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55599999'
                                  },
                    '9080000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9089999'
                                 },
                    '600000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => 'O2 Communications (Ireland) Ltd',
                                  'location' => 'Not Applicable',
                                  'status' => 'Allocated',
                                  'end' => '699999'
                                },
                    '55360000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => '',
                                    'status' => 'Allocated',
                                    'end' => '55369999'
                                  },
                    '9940000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9949999'
                                 },
                    '59600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59699999'
                                  },
                    '59060000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59069999'
                                  },
                    '9200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9299999'
                                 },
                    '2900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2999999'
                                 },
                    '59960000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59969999'
                                  },
                    '55350000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55359999'
                                  },
                    '56600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56699999'
                                  },
                    '52400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52499999'
                                  },
                    '57300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57399999'
                                  },
                    '52700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52799999'
                                  },
                    '5340000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5349999'
                                 },
                    '5800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5899999'
                                 },
                    '4000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '4099999'
                                 },
                    '5130000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5139999'
                                 },
                    '54600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54699999'
                                  },
                    '6500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6599999'
                                 },
                    '54500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54599999'
                                  },
                    '58020000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58029999'
                                  },
                    '57600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57699999'
                                  },
                    '5160000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '5169999'
                                 },
                    '58900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58909999'
                                  },
                    '9090000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9099999'
                                 },
                    '3700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '3799999'
                                 },
                    '8010000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8019999'
                                 },
                    '54200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54299999'
                                  },
                    '55100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55199999'
                                  },
                    '57100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57199999'
                                  },
                    '5080000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '5089999'
                                 },
                    '58600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58699999'
                                  },
                    '8900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8909999'
                                 },
                    '7100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7199999'
                                 },
                    '5600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5699999'
                                 },
                    '9990000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9999999'
                                 },
                    '59990000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59999999'
                                  },
                    '5320000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5329999'
                                 },
                    '58060000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58069999'
                                  },
                    '8960000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8969999'
                                 },
                    '50600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '50699999'
                                  },
                    '56500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56599999'
                                  },
                    '58970000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58979999'
                                  },
                    '2400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2499999'
                                 },
                    '7000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7099999'
                                 },
                    '1500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1599999'
                                 },
                    '51000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51099999'
                                  },
                    '6100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6199999'
                                 },
                    '52060000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52069999'
                                  },
                    '52800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52899999'
                                  },
                    '8920000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8929999'
                                 },
                    '58700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58799999'
                                  },
                    '8800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8899999'
                                 },
                    '8910000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8919999'
                                 },
                    '54100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54199999'
                                  },
                    '59030000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59039999'
                                  },
                    '5360000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '5369999'
                                 },
                    '1000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1099999'
                                 },
                    '8500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8599999'
                                 },
                    '59930000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59939999'
                                  },
                    '54300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54399999'
                                  },
                    '3200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '3299999'
                                 },
                    '2040000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2049999'
                                 },
                    '52300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52399999'
                                  },
                    '9030000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9039999'
                                 },
                    '4200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4299999'
                                 },
                    '4300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4399999'
                                 },
                    '58040000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '58049999'
                                  },
                    '59400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59499999'
                                  },
                    '9050000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9059999'
                                 },
                    '54800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54899999'
                                  },
                    '5370000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '5379999'
                                 },
                    '56000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '56099999'
                                  },
                    '59950000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59959999'
                                  },
                    '7500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7599999'
                                 },
                    '8070000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8079999'
                                 },
                    '52050000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52059999'
                                  },
                    '7700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7799999'
                                 },
                    '57000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57099999'
                                  },
                    '8970000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8979999'
                                 },
                    '3600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '3699999'
                                 },
                    '59040000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59049999'
                                  },
                    '2200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2299999'
                                 },
                    '59070000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59079999'
                                  },
                    '59200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59299999'
                                  },
                    '57700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57799999'
                                  },
                    '55370000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => '',
                                    'status' => 'Allocated',
                                    'end' => '55379999'
                                  },
                    '55340000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55349999'
                                  },
                    '59940000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59949999'
                                  },
                    '8930000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8939999'
                                 },
                    '8080000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8089999'
                                 },
                    '59800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59899999'
                                  },
                    '3300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '3399999'
                                 },
                    '55200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55299999'
                                  },
                    '55000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55099999'
                                  },
                    '2500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2599999'
                                 },
                    '51500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51599999'
                                  },
                    '9600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9699999'
                                 },
                    '9960000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9969999'
                                 },
                    '5400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5499999'
                                 },
                    '700000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => 'O2 Communications (Ireland) Ltd',
                                  'location' => 'Not Applicable',
                                  'status' => 'Allocated',
                                  'end' => '799999'
                                },
                    '7800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7899999'
                                 },
                    '56900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56999999'
                                  },
                    '9300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9399999'
                                 },
                    '4500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4599999'
                                 },
                    '2070000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2079999'
                                 },
                    '55900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55999999'
                                  },
                    '8050000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8059999'
                                 },
                    '57400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57499999'
                                  },
                    '9800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9899999'
                                 },
                    '59970000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59979999'
                                  },
                    '8090000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '8099999'
                                 },
                    '3500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '3599999'
                                 },
                    '5170000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '5179999'
                                 },
                    '7600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7699999'
                                 },
                    '500000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => 'O2 Communications (Ireland) Ltd',
                                  'location' => 'Not Applicable',
                                  'status' => 'Allocated',
                                  'end' => '599999'
                                },
                    '56800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56899999'
                                  },
                    '7200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7299999'
                                 },
                    '5150000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'O2 Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5159999'
                                 },
                    '5120000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5129999'
                                 },
                    '53300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '53399999'
                                  },
                    '52500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52599999'
                                  },
                    '52600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52699999'
                                  },
                    '50800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'O2 Communications (Ireland) Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '50899999'
                                  },
                    '55120000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55129999'
                                  }
                  },
          '76' => {
                    '2000000' => {
                                   'designation' => 'VoIP',
                                   'licensee' => 'Esat BT',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '2009999'
                                 },
                    '7770000' => {
                                   'designation' => 'VoIP',
                                   'licensee' => 'Wireless Projects',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '7779999'
                                 },
                    '7670000' => {
                                   'designation' => 'VoIP',
                                   'licensee' => 'Colt',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '7679999'
                                 },
                    '9300000' => {
                                   'designation' => 'VoIP',
                                   'licensee' => 'MCI',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '9309999'
                                 },
                    '0' => {
                             'designation' => 'VoIP',
                             'licensee' => 'BlueFace Ltd.',
                             'location' => '',
                             'status' => 'Allocated',
                             'end' => '9999'
                           },
                    '6660000' => {
                                   'designation' => 'VoIP',
                                   'licensee' => 'Tele 2',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '6669999'
                                 },
                    '6000000' => {
                                   'designation' => 'VoIP',
                                   'licensee' => 'Skytel Networks',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '6009999'
                                 },
                    '8880000' => {
                                   'designation' => 'VoIP',
                                   'licensee' => 'Eircom',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '8889999'
                                 },
                    '2100000' => {
                                   'designation' => 'VoIP',
                                   'licensee' => 'Esat BT',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '2109999'
                                 },
                    '3000000' => {
                                   'designation' => 'VoIP',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '3009999'
                                 }
                  },
          '62' => {
                    '39000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '39999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '47000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '47999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Tipperary',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '61000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cashel',
                                 'status' => 'Allocated',
                                 'end' => '61999'
                               },
                    '54000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '54999'
                               },
                    '64000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cashel',
                                 'status' => 'Allocated',
                                 'end' => '64999'
                               },
                    '53000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '53999'
                               },
                    '74000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cashel',
                                 'status' => 'Allocated',
                                 'end' => '74999'
                               },
                    '56000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '56999'
                               },
                    '58000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '58999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Cashel',
                                 'status' => 'Allocated',
                                 'end' => '66999'
                               },
                    '78000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cashel',
                                 'status' => 'Allocated',
                                 'end' => '78999'
                               },
                    '55000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '55999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Cashel',
                                 'status' => 'Reserved',
                                 'end' => '22999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '36999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '57000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '57999'
                               },
                    '62000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cashel',
                                 'status' => 'Allocated',
                                 'end' => '62999'
                               },
                    '77000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cashel',
                                 'status' => 'Allocated',
                                 'end' => '77999'
                               },
                    '76000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cashel',
                                 'status' => 'Allocated',
                                 'end' => '76999'
                               },
                    '46000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '46999'
                               },
                    '72000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cashel',
                                 'status' => 'Allocated',
                                 'end' => '72999'
                               },
                    '63000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cashel',
                                 'status' => 'Allocated',
                                 'end' => '63999'
                               },
                    '71000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cashel',
                                 'status' => 'Allocated',
                                 'end' => '71999'
                               },
                    '38000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '38999'
                               },
                    '82000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '82999'
                               },
                    '70000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cashel',
                                 'status' => 'Allocated',
                                 'end' => '70999'
                               },
                    '37000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '37999'
                               },
                    '35000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '35999'
                               },
                    '51000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '51999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '52000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '52999'
                               },
                    '75000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cashel',
                                 'status' => 'Allocated',
                                 'end' => '75999'
                               },
                    '80000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '80999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Tipperary',
                                 'status' => 'Allocated',
                                 'end' => '33999'
                               },
                    '79000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cashel',
                                 'status' => 'Allocated',
                                 'end' => '79999'
                               },
                    '73000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Cashel',
                                 'status' => 'Allocated',
                                 'end' => '73999'
                               },
                    '44000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Tipperary',
                                 'status' => 'Reserved',
                                 'end' => '44999'
                               },
                    '68000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Cashel',
                                 'status' => 'Allocated',
                                 'end' => '68999'
                               }
                  },
          '54' => {
                    '83000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ferns',
                                 'status' => 'Allocated',
                                 'end' => '83999'
                               },
                    '39000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '39999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '47000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '47999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '43000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '43999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '64000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Ferns',
                                 'status' => 'Allocated',
                                 'end' => '64999'
                               },
                    '74000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ferns',
                                 'status' => 'Allocated',
                                 'end' => '74999'
                               },
                    '56000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '56999'
                               },
                    '67000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ferns',
                                 'status' => 'Allocated',
                                 'end' => '67999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ferns',
                                 'status' => 'Allocated',
                                 'end' => '66999'
                               },
                    '60000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Ferns',
                                 'status' => 'Allocated',
                                 'end' => '60999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '42000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '42999'
                               },
                    '78000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ferns',
                                 'status' => 'Allocated',
                                 'end' => '78999'
                               },
                    '55000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '55999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Reserved',
                                 'end' => '22999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '36999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '40000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '40999'
                               },
                    '88000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ferns',
                                 'status' => 'Allocated',
                                 'end' => '88999'
                               },
                    '77000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ferns',
                                 'status' => 'Allocated',
                                 'end' => '77999'
                               },
                    '76000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ferns',
                                 'status' => 'Allocated',
                                 'end' => '76999'
                               },
                    '46000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'NTL Communications (Ireland) Ltd',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '46999'
                               },
                    '49000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '49999'
                               },
                    '72000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ferns',
                                 'status' => 'Allocated',
                                 'end' => '72999'
                               },
                    '89000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ferns',
                                 'status' => 'Allocated',
                                 'end' => '89999'
                               },
                    '38000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '38999'
                               },
                    '92000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Ferns',
                                 'status' => 'Reserved',
                                 'end' => '92999'
                               },
                    '37000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '37999'
                               },
                    '35000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '35999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '75000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ferns',
                                 'status' => 'Allocated',
                                 'end' => '75999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '33999'
                               },
                    '48000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '48999'
                               },
                    '79000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ferns',
                                 'status' => 'Allocated',
                                 'end' => '79999'
                               },
                    '73000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ferns',
                                 'status' => 'Allocated',
                                 'end' => '73999'
                               },
                    '44000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Enniscorthy',
                                 'status' => 'Allocated',
                                 'end' => '44999'
                               },
                    '68000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Ferns',
                                 'status' => 'Allocated',
                                 'end' => '68999'
                               }
                  },
          '67' => {
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '39000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '39999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '47000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '47999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Nenagh',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '43000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '43999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Nenagh',
                                 'status' => 'Reserved',
                                 'end' => '66999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '42000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '42999'
                               },
                    '55000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Nenagh',
                                 'status' => 'Reserved',
                                 'end' => '55999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '36999'
                               },
                    '50000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '50999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '40000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '40999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '77000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Nenagh',
                                 'status' => 'Reserved',
                                 'end' => '77999'
                               },
                    '46000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '46999'
                               },
                    '49000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '49999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '63000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '63999'
                               },
                    '29000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '29999'
                               },
                    '38000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '38999'
                               },
                    '37000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '37999'
                               },
                    '35000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '35999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '33999'
                               },
                    '48000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '48999'
                               },
                    '44000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Nenagh',
                                 'status' => 'Allocated',
                                 'end' => '44999'
                               }
                  },
          '68' => {
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '39000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '39999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '47000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '47999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '43000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '43999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '61000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Listowel',
                                 'status' => 'Reserved',
                                 'end' => '61999'
                               },
                    '54000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '54999'
                               },
                    '53000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '53999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '42000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '42999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '36999'
                               },
                    '50000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '50999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '40000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '40999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '46000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '46999'
                               },
                    '49000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '49999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '29000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '29999'
                               },
                    '38000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '38999'
                               },
                    '37000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '37999'
                               },
                    '35000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '35999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '51000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '51999'
                               },
                    '52000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '52999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '33999'
                               },
                    '48000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '48999'
                               },
                    '44000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Listowel',
                                 'status' => 'Allocated',
                                 'end' => '44999'
                               }
                  },
          '402' => {
                     '27000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '27999'
                                },
                     '39000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '39999'
                                },
                     '21000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '21999'
                                },
                     '34000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '34999'
                                },
                     '98000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '98999'
                                },
                     '23000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '23999'
                                },
                     '99000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Arklow',
                                  'status' => 'Reserved',
                                  'end' => '99999'
                                },
                     '96000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '96999'
                                },
                     '20000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '20999'
                                },
                     '25000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '25999'
                                },
                     '43000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '43999'
                                },
                     '41000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '41999'
                                },
                     '91000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '91999'
                                },
                     '56000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Arklow',
                                  'status' => 'Reserved',
                                  'end' => '56999'
                                },
                     '30000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '30999'
                                },
                     '42000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '42999'
                                },
                     '22000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '22999'
                                },
                     '26000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '26999'
                                },
                     '90000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '90999'
                                },
                     '95000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Arklow',
                                  'status' => 'Reserved',
                                  'end' => '95999'
                                },
                     '36000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '36999'
                                },
                     '32000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '32999'
                                },
                     '40000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '40999'
                                },
                     '24000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '24999'
                                },
                     '77000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Arklow',
                                  'status' => 'Reserved',
                                  'end' => '77999'
                                },
                     '93000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '93999'
                                },
                     '28000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '28999'
                                },
                     '29000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '29999'
                                },
                     '38000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '38999'
                                },
                     '92000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '92999'
                                },
                     '94000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '94999'
                                },
                     '97000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '97999'
                                },
                     '37000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '37999'
                                },
                     '35000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '35999'
                                },
                     '31000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '31999'
                                },
                     '33000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Arklow',
                                  'status' => 'Allocated',
                                  'end' => '33999'
                                }
                   },
          '1' => {
                   '8561000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8561999'
                                },
                   '7030000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7039999'
                                },
                   '2577000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2577999'
                                },
                   '6247000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6247999'
                                },
                   '8370000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8379999'
                                },
                   '4494000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4494999'
                                },
                   '6158500' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6158599'
                                },
                   '6360000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6360999'
                                },
                   '8410000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '8419999'
                                },
                   '4848000' => {
                                  'designation' => 'Dublin Central',
                                  'licensee' => '"Opera Telecom Ireland Ltd.',
                                  'location' => '"',
                                  'status' => 'Geographic',
                                  'end' => '4848999'
                                },
                   '3400000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '3499999'
                                },
                   '4170000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4179999'
                                },
                   '4140000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4149999'
                                },
                   '6650000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6650999'
                                },
                   '6000000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6009999'
                                },
                   '6310000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6319999'
                                },
                   '6300000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6300999'
                                },
                   '6287000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6287999'
                                },
                   '8590000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8599999'
                                },
                   '2060000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2069999'
                                },
                   '6814000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6814999'
                                },
                   '2559000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Swiftcall',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2559999'
                                },
                   '4839000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4839999'
                                },
                   '5077000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Smart Telecom Limited',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5077999'
                                },
                   '2814000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2814999'
                                },
                   '8280000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8289999'
                                },
                   '6020000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6029999'
                                },
                   '4817000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4817999'
                                },
                   '4520000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4529999'
                                },
                   '7090000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7099999'
                                },
                   '4582000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '4582999'
                                },
                   '7900000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7999999'
                                },
                   '6651000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6651999'
                                },
                   '5043000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5043999'
                                },
                   '8430000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8439999'
                                },
                   '2014000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2014999'
                                },
                   '6816000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6816999'
                                },
                   '4370000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Access Telecom (Ireland) Ltd',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4379999'
                                },
                   '4499000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4499999'
                                },
                   '4497000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4497999'
                                },
                   '5300000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '5399999'
                                },
                   '6290000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6290999'
                                },
                   '6252000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6252999'
                                },
                   '4010000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '4019999'
                                },
                   '4847000' => {
                                  'designation' => 'Dublin Central',
                                  'licensee' => '"Opera Telecom Ireland Ltd.',
                                  'location' => '"',
                                  'status' => 'Geographic',
                                  'end' => '4847999'
                                },
                   '4600000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4699999'
                                },
                   '2700000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2799999'
                                },
                   '8107000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8107999'
                                },
                   '6364000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6364999'
                                },
                   '4125000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4125999'
                                },
                   '4120000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4120999'
                                },
                   '4400000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4409999'
                                },
                   '8210000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8219999'
                                },
                   '4804000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4804999'
                                },
                   '2592000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2592999'
                                },
                   '6880000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Energis',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6889999'
                                },
                   '6151000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6151999'
                                },
                   '8106000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '8106999'
                                },
                   '8836000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8836999'
                                },
                   '8020000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '8020999'
                                },
                   '8870000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8879999'
                                },
                   '6510000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6510999'
                                },
                   '7080000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7089999'
                                },
                   '8200000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8209999'
                                },
                   '8028000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '8028999'
                                },
                   '2815000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2815999'
                                },
                   '8170000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8179999'
                                },
                   '6700000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6799999'
                                },
                   '7045000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7045999'
                                },
                   '5042000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5042999'
                                },
                   '6654000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6654999'
                                },
                   '6250000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6250999'
                                },
                   '2012000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2012999'
                                },
                   '6640000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6649999'
                                },
                   '8150000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8159999'
                                },
                   '8025000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8025999'
                                },
                   '8103000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8103999'
                                },
                   '8810000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8819999'
                                },
                   '4869000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4869999'
                                },
                   '6272000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6272999'
                                },
                   '6293000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6293999'
                                },
                   '4482000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4482999'
                                },
                   '8108000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8108999'
                                },
                   '8350000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '8359999'
                                },
                   '8248000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8248999'
                                },
                   '6907000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Swiftcall',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6907999'
                                },
                   '2874000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2874999'
                                },
                   '2830000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2839999'
                                },
                   '4863000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4863999'
                                },
                   '6697000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6697999'
                                },
                   '4040000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4049999'
                                },
                   '6281000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6281999'
                                },
                   '4831000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4831999'
                                },
                   '6670000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6679999'
                                },
                   '4821000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4821999'
                                },
                   '6158700' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6158799'
                                },
                   '4589000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4589999'
                                },
                   '6274000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6274999'
                                },
                   '4813000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4813999'
                                },
                   '2557000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2557999'
                                },
                   '6365000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6365999'
                                },
                   '5070000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5070999'
                                },
                   '2553000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2553999'
                                },
                   '7047000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7047999'
                                },
                   '6243000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6243999'
                                },
                   '2960000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2969999'
                                },
                   '6525000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6525999'
                                },
                   '5073000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5073999'
                                },
                   '7042000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7042999'
                                },
                   '9400000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '9499999'
                                },
                   '4887000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Budget Telecom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4887999'
                                },
                   '6152000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6152999'
                                },
                   '6158600' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6158699'
                                },
                   '8244000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8244999'
                                },
                   '4440000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4449999'
                                },
                   '6160000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6169999'
                                },
                   '6680000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6689999'
                                },
                   '4121000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4121999'
                                },
                   '2015000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2015999'
                                },
                   '4882000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4882999'
                                },
                   '6526000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6526999'
                                },
                   '8420000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8429999'
                                },
                   '8105000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '8105999'
                                },
                   '6120000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6129999'
                                },
                   '8530000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8539999'
                                },
                   '8242000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8242999'
                                },
                   '4350000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4359999'
                                },
                   '8022000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8022999'
                                },
                   '3000000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '3099999'
                                },
                   '6259000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6259999'
                                },
                   '8000000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '8009999'
                                },
                   '6811000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6811999'
                                },
                   '8820000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8829999'
                                },
                   '6280000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6280999'
                                },
                   '2572000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2572999'
                                },
                   '2800000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2809999'
                                },
                   '8300000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8309999'
                                },
                   '6520000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6520999'
                                },
                   '6810000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6810999'
                                },
                   '4495000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4495999'
                                },
                   '2675000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2675999'
                                },
                   '2818000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2818999'
                                },
                   '2000000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2009999'
                                },
                   '6909000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Smart Telecom Limited',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6909999'
                                },
                   '4550000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4559999'
                                },
                   '8470000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8479999'
                                },
                   '6284000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6284999'
                                },
                   '4802000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4802999'
                                },
                   '8837000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8837999'
                                },
                   '6307000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6307999'
                                },
                   '4814000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4814999'
                                },
                   '4080000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4089999'
                                },
                   '2919000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2919999'
                                },
                   '8030000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8039999'
                                },
                   '2840000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2849999'
                                },
                   '2578000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2578999'
                                },
                   '6080000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6089999'
                                },
                   '6216000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6216999'
                                },
                   '4180000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4189999'
                                },
                   '2590000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2590999'
                                },
                   '2574000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2574999'
                                },
                   '8880000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8889999'
                                },
                   '7044000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7044999'
                                },
                   '6303000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6303999'
                                },
                   '2490000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Cable & Wireless',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2499999'
                                },
                   '8245000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8245999'
                                },
                   '6370000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6379999'
                                },
                   '7046000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7046999'
                                },
                   '6690000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6690999'
                                },
                   '6260000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6269999'
                                },
                   '6960000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6969999'
                                },
                   '6517000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6517999'
                                },
                   '6253000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6253999'
                                },
                   '2100000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2199999'
                                },
                   '4100000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4109999'
                                },
                   '2510000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2519999'
                                },
                   '4835000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4835999'
                                },
                   '2990000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2999999'
                                },
                   '4801000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4801999'
                                },
                   '6256000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6256999'
                                },
                   '4491000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4491999'
                                },
                   '6180000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6189999'
                                },
                   '2010000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2010999'
                                },
                   '6279000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6279999'
                                },
                   '4320000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4329999'
                                },
                   '4580000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '4580999'
                                },
                   '4819000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4819999'
                                },
                   '4837000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4837999'
                                },
                   '8060000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8069999'
                                },
                   '6276000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6276999'
                                },
                   '6292000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6292999'
                                },
                   '8320000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8329999'
                                },
                   '6211000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6211999'
                                },
                   '5090000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5099999'
                                },
                   '4587000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '4587999'
                                },
                   '6156000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6156999'
                                },
                   '6218000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6218999'
                                },
                   '2860000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2869999'
                                },
                   '2873000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2873999'
                                },
                   '4493000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4493999'
                                },
                   '6902000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6902999'
                                },
                   '4540000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4549999'
                                },
                   '6390000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6399999'
                                },
                   '5071000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5071999'
                                },
                   '6655000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6655999'
                                },
                   '6302000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6302999'
                                },
                   '2011000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2011999'
                                },
                   '2970000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2979999'
                                },
                   '7060000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7069999'
                                },
                   '6817000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6817999'
                                },
                   '4584000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4584999'
                                },
                   '6297000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6297999'
                                },
                   '4000000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4009999'
                                },
                   '6812000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6812999'
                                },
                   '8120000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8129999'
                                },
                   '8021000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '8021999'
                                },
                   '6213000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6213999'
                                },
                   '8109000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8109999'
                                },
                   '2555000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2555999'
                                },
                   '2430000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2439999'
                                },
                   '8230000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8239999'
                                },
                   '6309000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6309999'
                                },
                   '2551000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2551999'
                                },
                   '8104000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8104999'
                                },
                   '6514000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6514999'
                                },
                   '4123000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4123999'
                                },
                   '8010000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '8019999'
                                },
                   '8249000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8249999'
                                },
                   '8220000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8229999'
                                },
                   '2579000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2579999'
                                },
                   '7100000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7199999'
                                },
                   '2597000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2597999'
                                },
                   '5600000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '5699999'
                                },
                   '8490000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '8499999'
                                },
                   '6901000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6901999'
                                },
                   '6820000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6829999'
                                },
                   '6255000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6255999'
                                },
                   '6530000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6539999'
                                },
                   '4590000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4599999'
                                },
                   '2591000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2591999'
                                },
                   '2878000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2878999'
                                },
                   '6363000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6363999'
                                },
                   '2554000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2554999'
                                },
                   '4020000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4029999'
                                },
                   '6361000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6361999'
                                },
                   '2400000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2409999'
                                },
                   '6277000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6277999'
                                },
                   '4803000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4803999'
                                },
                   '8440000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8449999'
                                },
                   '6904000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6904999'
                                },
                   '2540000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2549999'
                                },
                   '4811000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4811999'
                                },
                   '4849000' => {
                                  'designation' => 'Dublin Central',
                                  'licensee' => '"Opera Telecom Ireland Ltd.',
                                  'location' => '"',
                                  'status' => 'Geographic',
                                  'end' => '4849999'
                                },
                   '4890000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4899999'
                                },
                   '2420000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2429999'
                                },
                   '2560000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2569999'
                                },
                   '8360000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8369999'
                                },
                   '7050000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7059999'
                                },
                   '6693000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6693999'
                                },
                   '2040000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2049999'
                                },
                   '8243000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8243999'
                                },
                   '8390000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8399999'
                                },
                   '6652000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6652999'
                                },
                   '8835000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8835999'
                                },
                   '8102000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8102999'
                                },
                   '4300000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4309999'
                                },
                   '8023000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8023999'
                                },
                   '4866000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4866999'
                                },
                   '6251000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6251999'
                                },
                   '4889000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Budget Telecom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4889999'
                                },
                   '6291000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6291999'
                                },
                   '6212000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6212999'
                                },
                   '8070000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8079999'
                                },
                   '2450000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2459999'
                                },
                   '8520000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8529999'
                                },
                   '6511000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6511999'
                                },
                   '6304000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6304999'
                                },
                   '2872000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2872999'
                                },
                   '3600000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '3699999'
                                },
                   '8380000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8389999'
                                },
                   '6158100' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6158199'
                                },
                   '2440000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2449999'
                                },
                   '4816000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4816999'
                                },
                   '8080000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8089999'
                                },
                   '4360000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4369999'
                                },
                   '6657000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6657999'
                                },
                   '4122000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4122999'
                                },
                   '8180000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8189999'
                                },
                   '8160000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8169999'
                                },
                   '2500000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2509999'
                                },
                   '4861000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4861999'
                                },
                   '9600000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '9699999'
                                },
                   '4838000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4838999'
                                },
                   '2552000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2552999'
                                },
                   '6691000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6691999'
                                },
                   '6210000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6210999'
                                },
                   '4489000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4489999'
                                },
                   '7800000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7899999'
                                },
                   '6306000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6306999'
                                },
                   '5400000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '5499999'
                                },
                   '2880000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2889999'
                                },
                   '6158200' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6158299'
                                },
                   '5076000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5076999'
                                },
                   '9300000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '9399999'
                                },
                   '4500000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4509999'
                                },
                   '6295000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6295999'
                                },
                   '4488000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Swiftcall',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4488999'
                                },
                   '6840000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6849999'
                                },
                   '6155000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6155999'
                                },
                   '2890000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2899999'
                                },
                   '2575000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2575999'
                                },
                   '6070000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6079999'
                                },
                   '5072000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5072999'
                                },
                   '2070000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2079999'
                                },
                   '8050000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8059999'
                                },
                   '2879000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2879999'
                                },
                   '2817000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2817999'
                                },
                   '4450000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4459999'
                                },
                   '6906000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6906999'
                                },
                   '3500000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '3599999'
                                },
                   '7600000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7699999'
                                },
                   '8240000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '8240999'
                                },
                   '6818000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6818999'
                                },
                   '7200000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7299999'
                                },
                   '6630000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6639999'
                                },
                   '2520000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2529999'
                                },
                   '6369000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6369999'
                                },
                   '4822000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4822999'
                                },
                   '4498000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4498999'
                                },
                   '5041000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'TalkTelecom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5041999'
                                },
                   '8330000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8339999'
                                },
                   '8510000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8519999'
                                },
                   '4330000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4339999'
                                },
                   '4460000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Cable & Wireless',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4469999'
                                },
                   '2019000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2019999'
                                },
                   '8565000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8565999'
                                },
                   '4487000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4487999'
                                },
                   '2876000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2876999'
                                },
                   '5044000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5044999'
                                },
                   '8600000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8699999'
                                },
                   '6130000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6139999'
                                },
                   '6320000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6329999'
                                },
                   '6110000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6119999'
                                },
                   '6219000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6219999'
                                },
                   '8130000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8139999'
                                },
                   '6010000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6019999'
                                },
                   '6908000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Smart Telecom Limited',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6908999'
                                },
                   '2917000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2917999'
                                },
                   '4160000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4169999'
                                },
                   '6030000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6039999'
                                },
                   '8550000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8559999'
                                },
                   '4530000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4539999'
                                },
                   '6215000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6215999'
                                },
                   '2871000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2871999'
                                },
                   '3900000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '3999999'
                                },
                   '7400000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7499999'
                                },
                   '6258000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6258999'
                                },
                   '6294000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6294999'
                                },
                   '2571000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2571999'
                                },
                   '6154000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6154999'
                                },
                   '4390000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4399999'
                                },
                   '2812000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2812999'
                                },
                   '4127000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4127999'
                                },
                   '6519000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6519999'
                                },
                   '7300000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7399999'
                                },
                   '2530000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2539999'
                                },
                   '8029000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '8029999'
                                },
                   '8241000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '8241999'
                                },
                   '4110000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4119999'
                                },
                   '2950000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2959999'
                                },
                   '6257000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6257999'
                                },
                   '8560000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8560999'
                                },
                   '5010000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5019999'
                                },
                   '8833000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8833999'
                                },
                   '6524000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6524999'
                                },
                   '2050000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2059999'
                                },
                   '4884000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4884999'
                                },
                   '8831000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8831999'
                                },
                   '2470000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2479999'
                                },
                   '4820000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Conduit Europe',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4820999'
                                },
                   '2598000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2598999'
                                },
                   '4823000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4823999'
                                },
                   '6040000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6049999'
                                },
                   '6230000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6239999'
                                },
                   '4888000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Budget Telecom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4888999'
                                },
                   '6522000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6522999'
                                },
                   '6940000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6949999'
                                },
                   '2090000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2099999'
                                },
                   '8838000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8838999'
                                },
                   '4060000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4069999'
                                },
                   '6220000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6229999'
                                },
                   '6288000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6288999'
                                },
                   '8700000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8799999'
                                },
                   '4808000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4808999'
                                },
                   '8247000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8247999'
                                },
                   '2570000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2570999'
                                },
                   '8563000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8563999'
                                },
                   '2918000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2918999'
                                },
                   '4485000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4485999'
                                },
                   '4492000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4492999'
                                },
                   '4128000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4128999'
                                },
                   '2594000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2594999'
                                },
                   '2013000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2013999'
                                },
                   '6050000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6059999'
                                },
                   '6285000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6285999'
                                },
                   '4496000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4496999'
                                },
                   '6217000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6217999'
                                },
                   '6350000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6359999'
                                },
                   '4883000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4883999'
                                },
                   '4510000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4519999'
                                },
                   '8040000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8049999'
                                },
                   '5074000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5074999'
                                },
                   '8850000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8859999'
                                },
                   '5900000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Dublin South',
                                  'status' => 'Reserved',
                                  'end' => '5999999'
                                },
                   '9700000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '9799999'
                                },
                   '4865000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4865999'
                                },
                   '5700000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Dublin South',
                                  'status' => 'Reserved',
                                  'end' => '5799999'
                                },
                   '5045000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5049999'
                                },
                   '2030000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2039999'
                                },
                   '2877000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2877999'
                                },
                   '2593000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2593999'
                                },
                   '6248000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6248999'
                                },
                   '9100000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '9199999'
                                },
                   '8290000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8299999'
                                },
                   '6242000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6242999'
                                },
                   '4070000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4079999'
                                },
                   '6653000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6653999'
                                },
                   '6656000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6656999'
                                },
                   '6800000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6809999'
                                },
                   '7048000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7048999'
                                },
                   '7020000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7029999'
                                },
                   '6400000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6499999'
                                },
                   '8570000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8579999'
                                },
                   '2016000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2016999'
                                },
                   '4832000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4832999'
                                },
                   '6299000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6299999'
                                },
                   '5200000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '5299999'
                                },
                   '2930000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2939999'
                                },
                   '4833000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4833999'
                                },
                   '8110000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8119999'
                                },
                   '4864000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4864999'
                                },
                   '4807000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4807999'
                                },
                   '2913000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2913999'
                                },
                   '5100000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Dublin South',
                                  'status' => 'Reserved',
                                  'end' => '5199999'
                                },
                   '2980000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2989999'
                                },
                   '5040000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5040999'
                                },
                   '6283000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6283999'
                                },
                   '4812000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4812999'
                                },
                   '9900000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '9999999'
                                },
                   '8580000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8589999'
                                },
                   '6157000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6157999'
                                },
                   '2816000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2816999'
                                },
                   '6271000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6271999'
                                },
                   '6301000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6301999'
                                },
                   '6600000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6609999'
                                },
                   '8400000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8409999'
                                },
                   '4886000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4886999'
                                },
                   '8830000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8830999'
                                },
                   '2580000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Energis',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2589999'
                                },
                   '5030000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5039999'
                                },
                   '4420000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4429999'
                                },
                   '8270000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8279999'
                                },
                   '4809000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4809999'
                                },
                   '2300000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2399999'
                                },
                   '7043000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7043999'
                                },
                   '6298000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6298999'
                                },
                   '6660000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6669999'
                                },
                   '5050000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5059999'
                                },
                   '8566000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8566999'
                                },
                   '8250000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '8259999'
                                },
                   '6521000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6521999'
                                },
                   '6930000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6939999'
                                },
                   '4836000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4836999'
                                },
                   '4481000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4481999'
                                },
                   '6980000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Energis',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6989999'
                                },
                   '5500000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '5599999'
                                },
                   '7049000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7049999'
                                },
                   '2480000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Energis',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2489999'
                                },
                   '8027000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '8027999'
                                },
                   '2573000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2573999'
                                },
                   '6330000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6339999'
                                },
                   '6244000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6244999'
                                },
                   '3800000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '3899999'
                                },
                   '8340000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8349999'
                                },
                   '6920000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6929999'
                                },
                   '6515000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6515999'
                                },
                   '4560000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4569999'
                                },
                   '4824000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4824999'
                                },
                   '6090000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6099999'
                                },
                   '4900000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4999999'
                                },
                   '8834000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '8834999'
                                },
                   '4490000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4490999'
                                },
                   '4805000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4805999'
                                },
                   '9500000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '9599999'
                                },
                   '4700000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4799999'
                                },
                   '6245000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6245999'
                                },
                   '4581000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '4581999'
                                },
                   '6523000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6523999'
                                },
                   '2017000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2017999'
                                },
                   '2558000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'TalkTelecom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2558999'
                                },
                   '4470000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4479999'
                                },
                   '6516000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6516999'
                                },
                   '2020000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2029999'
                                },
                   '9000000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '9099999'
                                },
                   '4124000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '4124999'
                                },
                   '3100000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '3199999'
                                },
                   '6366000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6366999'
                                },
                   '6692000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6692999'
                                },
                   '6282000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6282999'
                                },
                   '6699000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6699999'
                                },
                   '4850000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Smart Telecom Limited',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4850999'
                                },
                   '5020000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5029999'
                                },
                   '4583000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '4583999'
                                },
                   '6159000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6159999'
                                },
                   '4834000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4834999'
                                },
                   '2600000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2673999'
                                },
                   '6512000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6512999'
                                },
                   '2820000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2829999'
                                },
                   '4410000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4419999'
                                },
                   '8100000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8100999'
                                },
                   '5000000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5009999'
                                },
                   '2811000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2811999'
                                },
                   '6240000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6240999'
                                },
                   '2080000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2089999'
                                },
                   '6900000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6900999'
                                },
                   '6170000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6179999'
                                },
                   '8860000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8869999'
                                },
                   '2875000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2875999'
                                },
                   '6140000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6149999'
                                },
                   '6695000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6695999'
                                },
                   '4881000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4881999'
                                },
                   '8832000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8832999'
                                },
                   '4800000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4800999'
                                },
                   '6860000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6869999'
                                },
                   '4885000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4885999'
                                },
                   '6241000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6241999'
                                },
                   '4126000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4126999'
                                },
                   '4806000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4806999'
                                },
                   '6249000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6249999'
                                },
                   '8024000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '8024999'
                                },
                   '4129000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4129999'
                                },
                   '6200000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6209999'
                                },
                   '8890000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8899999'
                                },
                   '6246000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6246999'
                                },
                   '6308000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6308999'
                                },
                   '4380000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4389999'
                                },
                   '4862000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4862999'
                                },
                   '6340000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6349999'
                                },
                   '4588000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '4588999'
                                },
                   '6620000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6629999'
                                },
                   '6830000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6839999'
                                },
                   '4868000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4868999'
                                },
                   '9200000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '9299999'
                                },
                   '7070000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7079999'
                                },
                   '2900000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2909999'
                                },
                   '6158900' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6158999'
                                },
                   '2676000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2699999'
                                },
                   '2556000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2556999'
                                },
                   '2596000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2596999'
                                },
                   '6380000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6389999'
                                },
                   '5800000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Dublin South',
                                  'status' => 'Reserved',
                                  'end' => '5899999'
                                },
                   '2915000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2915999'
                                },
                   '4810000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Dome Telecom Ltd',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4810999'
                                },
                   '6658000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6658999'
                                },
                   '8564000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8564999'
                                },
                   '4586000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '4586999'
                                },
                   '6367000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6367999'
                                },
                   '6286000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6286999'
                                },
                   '7040000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7040999'
                                },
                   '6694000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6694999'
                                },
                   '2916000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2916999'
                                },
                   '3700000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '3799999'
                                },
                   '8480000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8489999'
                                },
                   '6513000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6513999'
                                },
                   '2920000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2929999'
                                },
                   '2410000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2419999'
                                },
                   '5080000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Energis',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5089999'
                                },
                   '6696000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6696999'
                                },
                   '8900000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8999999'
                                },
                   '4030000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4039999'
                                },
                   '4486000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4486999'
                                },
                   '8450000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8459999'
                                },
                   '4190000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4199999'
                                },
                   '2911000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2911999'
                                },
                   '6305000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6305999'
                                },
                   '6278000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6278999'
                                },
                   '6518000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6518999'
                                },
                   '6903000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6903999'
                                },
                   '4480000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4480999'
                                },
                   '2018000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2018999'
                                },
                   '5075000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5075999'
                                },
                   '4830000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4830999'
                                },
                   '4430000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4439999'
                                },
                   '7000000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7009999'
                                },
                   '8567000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8567999'
                                },
                   '6270000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6270999'
                                },
                   '6698000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6698999'
                                },
                   '6100000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6109999'
                                },
                   '6590000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6599999'
                                },
                   '2940000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2949999'
                                },
                   '4860000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4860999'
                                },
                   '8140000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8149999'
                                },
                   '8800000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8809999'
                                },
                   '4815000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4815999'
                                },
                   '6158000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6158099'
                                },
                   '4570000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4579999'
                                },
                   '8500000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8509999'
                                },
                   '3200000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '3299999'
                                },
                   '2914000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2914999'
                                },
                   '4200000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4299999'
                                },
                   '8568000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8568999'
                                },
                   '6659000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6659999'
                                },
                   '6610000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6619999'
                                },
                   '2674000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2674999'
                                },
                   '5078000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Smart Telecom Limited',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5078999'
                                },
                   '4130000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4139999'
                                },
                   '6150000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6150999'
                                },
                   '4484000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4484999'
                                },
                   '6158800' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6158899'
                                },
                   '7041000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7041999'
                                },
                   '4090000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4099999'
                                },
                   '2595000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2595999'
                                },
                   '6580000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Smart Telecom Limited',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6589999'
                                },
                   '2550000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2550999'
                                },
                   '6060000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6069999'
                                },
                   '6158400' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6158499'
                                },
                   '7500000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7599999'
                                },
                   '8190000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8199999'
                                },
                   '7700000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7799999'
                                },
                   '6905000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6905999'
                                },
                   '5060000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '5069999'
                                },
                   '4050000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4059999'
                                },
                   '8540000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8549999'
                                },
                   '2200000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2299999'
                                },
                   '2576000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2576999'
                                },
                   '6254000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6254999'
                                },
                   '2599000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2599999'
                                },
                   '2810000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2810999'
                                },
                   '6813000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6813999'
                                },
                   '6527000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6527999'
                                },
                   '4310000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4319999'
                                },
                   '4585000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4585999'
                                },
                   '8246000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8246999'
                                },
                   '6190000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6199999'
                                },
                   '4483000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4483999'
                                },
                   '4340000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Cable & Wireless',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4349999'
                                },
                   '3300000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '3399999'
                                },
                   '2850000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2859999'
                                },
                   '6362000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6362999'
                                },
                   '6368000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6368999'
                                },
                   '2813000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2813999'
                                },
                   '2819000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2819999'
                                },
                   '4150000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4159999'
                                },
                   '8260000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8269999'
                                },
                   '2910000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2910999'
                                },
                   '8026000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '8026999'
                                },
                   '8101000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8101999'
                                },
                   '6815000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Magnet Networks',
                                  'location' => 'Dublin North',
                                  'status' => 'Allocated',
                                  'end' => '6815999'
                                },
                   '8310000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8319999'
                                },
                   '6273000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6273999'
                                },
                   '2870000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '2870999'
                                },
                   '6289000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6289999'
                                },
                   '9800000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '9899999'
                                },
                   '8839000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8839999'
                                },
                   '8090000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8099999'
                                },
                   '2912000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2912999'
                                },
                   '8562000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8562999'
                                },
                   '6275000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6275999'
                                },
                   '6296000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6296999'
                                },
                   '7010000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '7019999'
                                },
                   '8569000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8569999'
                                },
                   '4867000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Colt',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4867999'
                                },
                   '2460000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '2469999'
                                },
                   '6153000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6153999'
                                },
                   '6214000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin South',
                                  'status' => 'Allocated',
                                  'end' => '6214999'
                                },
                   '4818000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '4818999'
                                },
                   '8840000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8849999'
                                },
                   '8460000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '8469999'
                                },
                   '6158300' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Dublin Central',
                                  'status' => 'Allocated',
                                  'end' => '6158399'
                                }
                 },
          '506' => {
                     '86000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Tullamore',
                                  'status' => 'Reserved',
                                  'end' => '86999'
                                },
                     '27000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '27999'
                                },
                     '39000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '39999'
                                },
                     '21000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '21999'
                                },
                     '34000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '34999'
                                },
                     '47000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '47999'
                                },
                     '45000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '45999'
                                },
                     '23000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '23999'
                                },
                     '99000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Tullamore',
                                  'status' => 'Reserved',
                                  'end' => '99999'
                                },
                     '20000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '20999'
                                },
                     '25000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '25999'
                                },
                     '43000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '43999'
                                },
                     '41000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '41999'
                                },
                     '61000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '61999'
                                },
                     '54000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '54999'
                                },
                     '64000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '64999'
                                },
                     '53000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '53999'
                                },
                     '91000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Tullamore',
                                  'status' => 'Reserved',
                                  'end' => '91999'
                                },
                     '56000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '56999'
                                },
                     '58000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '58999'
                                },
                     '60000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '60999'
                                },
                     '30000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '30999'
                                },
                     '42000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '42999'
                                },
                     '55000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '55999'
                                },
                     '59000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '59999'
                                },
                     '22000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '22999'
                                },
                     '26000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '26999'
                                },
                     '87000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Tullamore',
                                  'status' => 'Reserved',
                                  'end' => '87999'
                                },
                     '36000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '36999'
                                },
                     '50000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '50999'
                                },
                     '57000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '57999'
                                },
                     '32000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '32999'
                                },
                     '40000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '40999'
                                },
                     '24000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '24999'
                                },
                     '62000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '62999'
                                },
                     '46000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '46999'
                                },
                     '49000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '49999'
                                },
                     '93000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Tullamore',
                                  'status' => 'Reserved',
                                  'end' => '93999'
                                },
                     '63000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '63999'
                                },
                     '28000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '28999'
                                },
                     '29000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '29999'
                                },
                     '38000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '38999'
                                },
                     '97000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Tullamore',
                                  'status' => 'Reserved',
                                  'end' => '97999'
                                },
                     '37000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '37999'
                                },
                     '35000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '35999'
                                },
                     '31000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '31999'
                                },
                     '51000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '51999'
                                },
                     '52000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '52999'
                                },
                     '33000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '33999'
                                },
                     '48000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '48999'
                                },
                     '44000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Tullamore',
                                  'status' => 'Allocated',
                                  'end' => '44999'
                                }
                   },
          '25' => {
                    '86000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '86999'
                               },
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '39000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '39999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'NTL Communications (Ireland) Ltd',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '85000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '85999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Fermoy',
                                 'status' => 'Reserved',
                                 'end' => '66999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '42000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '42999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               },
                    '84000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '84999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '36999'
                               },
                    '87000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '87999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '40000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '40999'
                               },
                    '88000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '88999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '46000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '46999'
                               },
                    '49000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '49999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '29000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '29999'
                               },
                    '38000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '38999'
                               },
                    '82000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '82999'
                               },
                    '37000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '37999'
                               },
                    '35000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '35999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '33999'
                               },
                    '44000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Fermoy',
                                 'status' => 'Allocated',
                                 'end' => '44999'
                               }
                  },
          '28' => {
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '36999'
                               },
                    '40000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '40999'
                               },
                    '39000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '39999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '88000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Skibbereen',
                                 'status' => 'Reserved',
                                 'end' => '88999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '77000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Skibbereen',
                                 'status' => 'Reserved',
                                 'end' => '77999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Skibbereen',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '46000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '46999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '49000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '49999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '38000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '38999'
                               },
                    '35000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '35999'
                               },
                    '37000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '37999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '33999'
                               },
                    '42000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '42999'
                               },
                    '44000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '44999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Skibbereen',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               }
                  },
          '83' => {
                    '5700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5799999'
                                 },
                    '5300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5399999'
                                 },
                    '53000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Hutchison 3G Ireland Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '53099999'
                                  },
                    '3100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Hutchison 3G Ireland Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '3199999'
                                 },
                    '5520000' => {
                                   'designation' => '',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5529999'
                                 },
                    '5800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5899999'
                                 },
                    '5550000' => {
                                   'designation' => '',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5559999'
                                 },
                    '55200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55299999'
                                  },
                    '3300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Hutchison 3G Ireland Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '3399999'
                                 },
                    '55000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55099999'
                                  },
                    '55540000' => {
                                    'designation' => '',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55549999'
                                  },
                    '3000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Hutchison 3G Ireland Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '3099999'
                                 },
                    '5400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5499999'
                                 },
                    '5000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5099999'
                                 },
                    '5560000' => {
                                   'designation' => '',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5569999'
                                 },
                    '5500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5599999'
                                 },
                    '55400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55499999'
                                  },
                    '55800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55899999'
                                  },
                    '55100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55199999'
                                  },
                    '50000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Hutchison 3G Ireland Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '50099999'
                                  },
                    '55700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55799999'
                                  },
                    '5200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5299999'
                                 },
                    '55900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55999999'
                                  },
                    '53100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Hutchison 3G Ireland Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '53199999'
                                  },
                    '5510000' => {
                                   'designation' => '',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5519999'
                                 },
                    '5100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5199999'
                                 },
                    '5530000' => {
                                   'designation' => '',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5539999'
                                 },
                    '55560000' => {
                                    'designation' => '',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55569999'
                                  },
                    '55520000' => {
                                    'designation' => '',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55529999'
                                  },
                    '5600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5699999'
                                 },
                    '9990000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9999999'
                                 },
                    '59990000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59999999'
                                  },
                    '55550000' => {
                                    'designation' => '',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55559999'
                                  },
                    '0' => {
                             'designation' => '',
                             'licensee' => '',
                             'location' => '',
                             'status' => 'Reserved',
                             'end' => '49999999'
                           },
                    '55570000' => {
                                    'designation' => '',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55579999'
                                  },
                    '5580000' => {
                                   'designation' => '',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5589999'
                                 },
                    '55510000' => {
                                    'designation' => '',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55519999'
                                  },
                    '5540000' => {
                                   'designation' => '',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5549999'
                                 },
                    '55500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55599999'
                                  },
                    '55300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55399999'
                                  },
                    '5570000' => {
                                   'designation' => '',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5579999'
                                 },
                    '55600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55699999'
                                  },
                    '55580000' => {
                                    'designation' => '',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55589999'
                                  },
                    '53300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Hutchison 3G Ireland Ltd',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '53399999'
                                  },
                    '5900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5999999'
                                 },
                    '55530000' => {
                                    'designation' => '',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55539999'
                                  }
                  },
          '59' => {
                    '8005000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8005999'
                                 },
                    '6841000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6841999'
                                 },
                    '6665000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6665999'
                                 },
                    '8391000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8391999'
                                 },
                    '6642000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6642999'
                                 },
                    '6176000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6176999'
                                 },
                    '8193000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8193999'
                                 },
                    '9937000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9937999'
                                 },
                    '9973000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9973999'
                                 },
                    '9138000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9138999'
                                 },
                    '8370000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8370999'
                                 },
                    '6648000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6648999'
                                 },
                    '6134000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6134999'
                                 },
                    '6506000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6506999'
                                 },
                    '8163000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8163999'
                                 },
                    '6127000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6127999'
                                 },
                    '8393000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8393999'
                                 },
                    '6898000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6898999'
                                 },
                    '6583000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6583999'
                                 },
                    '6109000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6109999'
                                 },
                    '6310000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6310999'
                                 },
                    '6300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6300999'
                                 },
                    '6829000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6829999'
                                 },
                    '6814000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6814999'
                                 },
                    '6947000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6947999'
                                 },
                    '6381000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6381999'
                                 },
                    '8227000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8227999'
                                 },
                    '8285000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8285999'
                                 },
                    '6822000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6822999'
                                 },
                    '8209000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8209999'
                                 },
                    '9157000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9157999'
                                 },
                    '6651000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6651999'
                                 },
                    '6336000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6336999'
                                 },
                    '6540000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6540999'
                                 },
                    '6129000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6129999'
                                 },
                    '8086000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8086999'
                                 },
                    '6816000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6816999'
                                 },
                    '6874000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6874999'
                                 },
                    '8395000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8395999'
                                 },
                    '6614000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6614999'
                                 },
                    '8134000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8134999'
                                 },
                    '6148000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6148999'
                                 },
                    '8321000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8321999'
                                 },
                    '8326000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8326999'
                                 },
                    '8153000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8153999'
                                 },
                    '8210000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8210999'
                                 },
                    '9156000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9156999'
                                 },
                    '8289000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8289999'
                                 },
                    '8115000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8115999'
                                 },
                    '8335000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8335999'
                                 },
                    '6880000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6880999'
                                 },
                    '6327000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6327999'
                                 },
                    '6887000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6887999'
                                 },
                    '8106000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8106999'
                                 },
                    '8627000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8627999'
                                 },
                    '6192000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6192999'
                                 },
                    '6827000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6827999'
                                 },
                    '6982000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6982999'
                                 },
                    '6510000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6510999'
                                 },
                    '8211000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8211999'
                                 },
                    '6895000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6895999'
                                 },
                    '6119000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6119999'
                                 },
                    '6883000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6883999'
                                 },
                    '8170000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8170999'
                                 },
                    '8015000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8015999'
                                 },
                    '6397000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6397999'
                                 },
                    '6318000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6318999'
                                 },
                    '6870000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6870999'
                                 },
                    '9950000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9950999'
                                 },
                    '6849000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6849999'
                                 },
                    '6834000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6834999'
                                 },
                    '6654000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6654999'
                                 },
                    '9920000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9920999'
                                 },
                    '8150000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8150999'
                                 },
                    '8103000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8103999'
                                 },
                    '8006000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8006999'
                                 },
                    '9728000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Mhuine Beag',
                                   'status' => 'Allocated',
                                   'end' => '9728999'
                                 },
                    '6606000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6606999'
                                 },
                    '8037000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8037999'
                                 },
                    '8377000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8377999'
                                 },
                    '9140000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9140999'
                                 },
                    '8350000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8350999'
                                 },
                    '6639000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6639999'
                                 },
                    '8139000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8139999'
                                 },
                    '6359000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6359999'
                                 },
                    '8217000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8217999'
                                 },
                    '8138000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8138999'
                                 },
                    '6533000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6533999'
                                 },
                    '9948000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9948999'
                                 },
                    '8369000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8369999'
                                 },
                    '6824000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6824999'
                                 },
                    '8365000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8365999'
                                 },
                    '6687000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6687999'
                                 },
                    '6670000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6670999'
                                 },
                    '6475000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Baltinglass',
                                   'status' => 'Allocated',
                                   'end' => '6475999'
                                 },
                    '6478000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Baltinglass',
                                   'status' => 'Allocated',
                                   'end' => '6478999'
                                 },
                    '8144000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8144999'
                                 },
                    '8038000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8038999'
                                 },
                    '6525000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6525999'
                                 },
                    '8637000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8637999'
                                 },
                    '9906000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9906999'
                                 },
                    '6868000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6868999'
                                 },
                    '6160000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6160999'
                                 },
                    '9978000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9978999'
                                 },
                    '6680000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6680999'
                                 },
                    '6636000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6636999'
                                 },
                    '6619000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6619999'
                                 },
                    '6182000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6182999'
                                 },
                    '6594000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6594999'
                                 },
                    '6526000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6526999'
                                 },
                    '6331000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6331999'
                                 },
                    '6474000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Baltinglass',
                                   'status' => 'Allocated',
                                   'end' => '6474999'
                                 },
                    '6125000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6125999'
                                 },
                    '6854000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6854999'
                                 },
                    '9168000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9168999'
                                 },
                    '8242000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8242999'
                                 },
                    '6477000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Baltinglass',
                                   'status' => 'Allocated',
                                   'end' => '6477999'
                                 },
                    '6956000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6956999'
                                 },
                    '3000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3999999'
                                 },
                    '8000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8000999'
                                 },
                    '6811000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6811999'
                                 },
                    '6662000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6662999'
                                 },
                    '9944000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9944999'
                                 },
                    '8345000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8345999'
                                 },
                    '8205000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8205999'
                                 },
                    '6913000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6913999'
                                 },
                    '6553000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6553999'
                                 },
                    '2000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2999999'
                                 },
                    '8196000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8196999'
                                 },
                    '8358000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8358999'
                                 },
                    '6347000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6347999'
                                 },
                    '9135000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9135999'
                                 },
                    '8225000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8225999'
                                 },
                    '6373000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6373999'
                                 },
                    '6607000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6607999'
                                 },
                    '9942000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9942999'
                                 },
                    '8322000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8322999'
                                 },
                    '9987000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9987999'
                                 },
                    '6679000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6679999'
                                 },
                    '8268000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8268999'
                                 },
                    '8264000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8264999'
                                 },
                    '6303000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6303999'
                                 },
                    '8172000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8172999'
                                 },
                    '6370000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6370999'
                                 },
                    '8122000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8122999'
                                 },
                    '6690000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6690999'
                                 },
                    '9968000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9968999'
                                 },
                    '6802000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6802999'
                                 },
                    '8198000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8198999'
                                 },
                    '9729000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Mhuine Beag',
                                   'status' => 'Allocated',
                                   'end' => '9729999'
                                 },
                    '8301000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8301999'
                                 },
                    '6504000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6504999'
                                 },
                    '6329000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6329999'
                                 },
                    '8143000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8143999'
                                 },
                    '9143000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9143999'
                                 },
                    '6878000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6878999'
                                 },
                    '6647000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6647999'
                                 },
                    '6180000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6180999'
                                 },
                    '9155000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9155999'
                                 },
                    '6911000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6911999'
                                 },
                    '6169000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6169999'
                                 },
                    '8079000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8079999'
                                 },
                    '6324000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6324999'
                                 },
                    '8187000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8187999'
                                 },
                    '6910000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6910999'
                                 },
                    '9181000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9181999'
                                 },
                    '8398000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8398999'
                                 },
                    '6539000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6539999'
                                 },
                    '9993000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9993999'
                                 },
                    '9775000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Mhuine Beag',
                                   'status' => 'Allocated',
                                   'end' => '9775999'
                                 },
                    '8320000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8320999'
                                 },
                    '6917000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6917999'
                                 },
                    '6889000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6889999'
                                 },
                    '6156000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6156999'
                                 },
                    '9923000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9923999'
                                 },
                    '6536000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6536999'
                                 },
                    '6339000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6339999'
                                 },
                    '6902000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6902999'
                                 },
                    '6634000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6634999'
                                 },
                    '9134000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9134999'
                                 },
                    '6851000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6851999'
                                 },
                    '6390000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6390999'
                                 },
                    '6828000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6828999'
                                 },
                    '6655000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6655999'
                                 },
                    '6385000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6385999'
                                 },
                    '6113000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6113999'
                                 },
                    '9932000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9932999'
                                 },
                    '6579000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6579999'
                                 },
                    '6681000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6681999'
                                 },
                    '6669000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6669999'
                                 },
                    '9727000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Mhuine Beag',
                                   'status' => 'Allocated',
                                   'end' => '9727999'
                                 },
                    '8253000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8253999'
                                 },
                    '8195000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8195999'
                                 },
                    '6812000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6812999'
                                 },
                    '9912000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9912999'
                                 },
                    '8120000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8120999'
                                 },
                    '8379000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8379999'
                                 },
                    '6957000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6957999'
                                 },
                    '8104000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8104999'
                                 },
                    '6514000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6514999'
                                 },
                    '9996000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9996999'
                                 },
                    '8084000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8084999'
                                 },
                    '9928000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9928999'
                                 },
                    '8069000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8069999'
                                 },
                    '6387000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6387999'
                                 },
                    '8291000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8291999'
                                 },
                    '8324000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8324999'
                                 },
                    '8201000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8201999'
                                 },
                    '6592000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6592999'
                                 },
                    '9979000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9979999'
                                 },
                    '6394000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6394999'
                                 },
                    '6928000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6928999'
                                 },
                    '6820000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6820999'
                                 },
                    '8184000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8184999'
                                 },
                    '6638000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6638999'
                                 },
                    '8008000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8008999'
                                 },
                    '6602000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6602999'
                                 },
                    '6953000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6953999'
                                 },
                    '6530000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6530999'
                                 },
                    '9915000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9915999'
                                 },
                    '8363000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8363999'
                                 },
                    '8296000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8296999'
                                 },
                    '8261000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8261999'
                                 },
                    '6363000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6363999'
                                 },
                    '6972000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6972999'
                                 },
                    '9907000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9907999'
                                 },
                    '6139000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6139999'
                                 },
                    '8292000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8292999'
                                 },
                    '6361000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6361999'
                                 },
                    '6547000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6547999'
                                 },
                    '9131000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9131999'
                                 },
                    '6853000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6853999'
                                 },
                    '9913000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9913999'
                                 },
                    '6146000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6146999'
                                 },
                    '6904000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6904999'
                                 },
                    '6372000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6372999'
                                 },
                    '8371000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8371999'
                                 },
                    '8236000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8236999'
                                 },
                    '6857000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6857999'
                                 },
                    '8360000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8360999'
                                 },
                    '6618000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6618999'
                                 },
                    '8347000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8347999'
                                 },
                    '6693000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6693999'
                                 },
                    '8286000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8286999'
                                 },
                    '6899000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6899999'
                                 },
                    '8155000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8155999'
                                 },
                    '8243000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8243999'
                                 },
                    '8121000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8121999'
                                 },
                    '8102000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8102999'
                                 },
                    '6317000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6317999'
                                 },
                    '6926000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6926999'
                                 },
                    '8328000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8328999'
                                 },
                    '8023000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8023999'
                                 },
                    '6641000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6641999'
                                 },
                    '9998000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9998999'
                                 },
                    '8364000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8364999'
                                 },
                    '8279000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8279999'
                                 },
                    '6863000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6863999'
                                 },
                    '6570000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6570999'
                                 },
                    '9176000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9176999'
                                 },
                    '6996000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6996999'
                                 },
                    '8234000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8234999'
                                 },
                    '8216000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8216999'
                                 },
                    '6946000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6946999'
                                 },
                    '9962000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9962999'
                                 },
                    '8356000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8356999'
                                 },
                    '6873000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6873999'
                                 },
                    '6358000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6358999'
                                 },
                    '8044000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8044999'
                                 },
                    '8625000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8625999'
                                 },
                    '6601000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6601999'
                                 },
                    '6661000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6661999'
                                 },
                    '6541000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6541999'
                                 },
                    '6605000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6605999'
                                 },
                    '6166000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6166999'
                                 },
                    '6855000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6855999'
                                 },
                    '6174000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6174999'
                                 },
                    '8158000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8158999'
                                 },
                    '6649000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6649999'
                                 },
                    '8213000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8213999'
                                 },
                    '8080000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8080999'
                                 },
                    '9972000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9972999'
                                 },
                    '6657000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6657999'
                                 },
                    '8284000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8284999'
                                 },
                    '6912000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6912999'
                                 },
                    '6808000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6808999'
                                 },
                    '8180000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8180999'
                                 },
                    '6990000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6990999'
                                 },
                    '9986000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9986999'
                                 },
                    '8199000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8199999'
                                 },
                    '6608000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6608999'
                                 },
                    '6376000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6376999'
                                 },
                    '8089000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8089999'
                                 },
                    '8302000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8302999'
                                 },
                    '8257000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8257999'
                                 },
                    '6102000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6102999'
                                 },
                    '6840000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6840999'
                                 },
                    '6155000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6155999'
                                 },
                    '8212000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8212999'
                                 },
                    '6637000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6637999'
                                 },
                    '9952000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9952999'
                                 },
                    '8232000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8232999'
                                 },
                    '6674000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6674999'
                                 },
                    '6906000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6906999'
                                 },
                    '8308000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8308999'
                                 },
                    '8075000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8075999'
                                 },
                    '6949000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6949999'
                                 },
                    '6630000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6630999'
                                 },
                    '6501000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6501999'
                                 },
                    '8039000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8039999'
                                 },
                    '8330000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8330999'
                                 },
                    '6528000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6528999'
                                 },
                    '6805000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6805999'
                                 },
                    '6862000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6862999'
                                 },
                    '6130000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6130999'
                                 },
                    '6114000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6114999'
                                 },
                    '6320000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6320999'
                                 },
                    '6110000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6110999'
                                 },
                    '9901000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9901999'
                                 },
                    '6147000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6147999'
                                 },
                    '6106000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6106999'
                                 },
                    '8125000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8125999'
                                 },
                    '6869000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6869999'
                                 },
                    '6631000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6631999'
                                 },
                    '6965000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6965999'
                                 },
                    '6803000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6803999'
                                 },
                    '6587000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6587999'
                                 },
                    '8113000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8113999'
                                 },
                    '8118000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8118999'
                                 },
                    '6328000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6328999'
                                 },
                    '8299000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8299999'
                                 },
                    '8036000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8036999'
                                 },
                    '6859000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6859999'
                                 },
                    '6375000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6375999'
                                 },
                    '6922000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6922999'
                                 },
                    '9918000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9918999'
                                 },
                    '6979000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6979999'
                                 },
                    '6144000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6144999'
                                 },
                    '8058000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8058999'
                                 },
                    '8067000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8067999'
                                 },
                    '6482000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Baltinglass',
                                   'status' => 'Allocated',
                                   'end' => '6482999'
                                 },
                    '8293000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8293999'
                                 },
                    '8307000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8307999'
                                 },
                    '6962000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6962999'
                                 },
                    '9989000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9989999'
                                 },
                    '6123000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6123999'
                                 },
                    '8342000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8342999'
                                 },
                    '9917000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9917999'
                                 },
                    '8029000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8029999'
                                 },
                    '8214000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8214999'
                                 },
                    '6107000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6107999'
                                 },
                    '8241000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8241999'
                                 },
                    '6836000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6836999'
                                 },
                    '6177000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6177999'
                                 },
                    '6196000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6196999'
                                 },
                    '6876000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6876999'
                                 },
                    '8081000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8081999'
                                 },
                    '8319000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8319999'
                                 },
                    '8059000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8059999'
                                 },
                    '8368000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8368999'
                                 },
                    '8116000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8116999'
                                 },
                    '6872000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6872999'
                                 },
                    '9145000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9145999'
                                 },
                    '6985000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6985999'
                                 },
                    '6885000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6885999'
                                 },
                    '8247000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8247999'
                                 },
                    '9936000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9936999'
                                 },
                    '6685000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6685999'
                                 },
                    '8218000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8218999'
                                 },
                    '6891000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6891999'
                                 },
                    '6924000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6924999'
                                 },
                    '8626000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8626999'
                                 },
                    '8396000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8396999'
                                 },
                    '9778000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Muine Bheag',
                                   'status' => 'Allocated',
                                   'end' => '9778999'
                                 },
                    '8315000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8315999'
                                 },
                    '6565000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6565999'
                                 },
                    '6596000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6596999'
                                 },
                    '9164000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9164999'
                                 },
                    '9995000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9995999'
                                 },
                    '8238000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8238999'
                                 },
                    '8141000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8141999'
                                 },
                    '8078000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8078999'
                                 },
                    '8349000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8349999'
                                 },
                    '6993000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6993999'
                                 },
                    '9982000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9982999'
                                 },
                    '8011000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8011999'
                                 },
                    '8185000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8185999'
                                 },
                    '9985000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9985999'
                                 },
                    '8124000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8124999'
                                 },
                    '8154000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8154999'
                                 },
                    '8620000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8620999'
                                 },
                    '6598000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6598999'
                                 },
                    '8290000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8290999'
                                 },
                    '8384000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8384999'
                                 },
                    '8223000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8223999'
                                 },
                    '8129000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8129999'
                                 },
                    '8171000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8171999'
                                 },
                    '6931000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6931999'
                                 },
                    '9938000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9938999'
                                 },
                    '6538000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6538999'
                                 },
                    '6179000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6179999'
                                 },
                    '6800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6800999'
                                 },
                    '8228000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8228999'
                                 },
                    '6378000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6378999'
                                 },
                    '6149000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6149999'
                                 },
                    '9162000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9162999'
                                 },
                    '6338000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6338999'
                                 },
                    '8007000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8007999'
                                 },
                    '6578000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6578999'
                                 },
                    '9180000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9180999'
                                 },
                    '8110000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8110999'
                                 },
                    '8628000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8628999'
                                 },
                    '8387000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8387999'
                                 },
                    '8054000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8054999'
                                 },
                    '6566000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6566999'
                                 },
                    '6351000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6351999'
                                 },
                    '8338000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8338999'
                                 },
                    '6157000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6157999'
                                 },
                    '6531000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6531999'
                                 },
                    '8239000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8239999'
                                 },
                    '8033000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8033999'
                                 },
                    '6600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6600999'
                                 },
                    '8014000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8014999'
                                 },
                    '8111000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8111999'
                                 },
                    '8270000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8270999'
                                 },
                    '9971000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9971999'
                                 },
                    '6675000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6675999'
                                 },
                    '6660000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6660999'
                                 },
                    '8250000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8250999'
                                 },
                    '6521000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6521999'
                                 },
                    '6184000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6184999'
                                 },
                    '6930000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6930999'
                                 },
                    '8251000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8251999'
                                 },
                    '9999000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9999999'
                                 },
                    '6635000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6635999'
                                 },
                    '6952000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6952999'
                                 },
                    '8082000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8082999'
                                 },
                    '6330000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6330999'
                                 },
                    '6838000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6838999'
                                 },
                    '6392000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6392999'
                                 },
                    '9712000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Muine Bheag',
                                   'status' => 'Allocated',
                                   'end' => '9712999'
                                 },
                    '8278000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8278999'
                                 },
                    '8112000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8112999'
                                 },
                    '6961000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6961999'
                                 },
                    '6476000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Baltinglass',
                                   'status' => 'Allocated',
                                   'end' => '6476999'
                                 },
                    '9161000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9161999'
                                 },
                    '6537000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6537999'
                                 },
                    '8056000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8056999'
                                 },
                    '9933000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9933999'
                                 },
                    '8381000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8381999'
                                 },
                    '8281000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8281999'
                                 },
                    '6516000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6516999'
                                 },
                    '6991000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6991999'
                                 },
                    '9925000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9925999'
                                 },
                    '8298000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8298999'
                                 },
                    '6804000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6804999'
                                 },
                    '6326000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6326999'
                                 },
                    '6692000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6692999'
                                 },
                    '8254000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8254999'
                                 },
                    '8175000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8175999'
                                 },
                    '6986000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6986999'
                                 },
                    '8018000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8018999'
                                 },
                    '9970000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9970999'
                                 },
                    '6992000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6992999'
                                 },
                    '6159000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6159999'
                                 },
                    '8630000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8630999'
                                 },
                    '6879000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6879999'
                                 },
                    '6512000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6512999'
                                 },
                    '9927000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9927999'
                                 },
                    '6164000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6164999'
                                 },
                    '9935000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9935999'
                                 },
                    '9132000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9132999'
                                 },
                    '6944000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6944999'
                                 },
                    '8267000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8267999'
                                 },
                    '6170000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6170999'
                                 },
                    '6861000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6861999'
                                 },
                    '6688000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6688999'
                                 },
                    '8136000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8136999'
                                 },
                    '8094000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8094999'
                                 },
                    '6695000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6695999'
                                 },
                    '9904000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9904999'
                                 },
                    '9166000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9166999'
                                 },
                    '6382000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6382999'
                                 },
                    '6950000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6950999'
                                 },
                    '8383000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8383999'
                                 },
                    '8367000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8367999'
                                 },
                    '6967000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6967999'
                                 },
                    '6189000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6189999'
                                 },
                    '8332000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8332999'
                                 },
                    '6999000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6999999'
                                 },
                    '8633000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8633999'
                                 },
                    '8204000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8204999'
                                 },
                    '8051000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8051999'
                                 },
                    '9905000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9905999'
                                 },
                    '6916000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6916999'
                                 },
                    '6620000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6620999'
                                 },
                    '9940000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9940999'
                                 },
                    '8283000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8283999'
                                 },
                    '6935000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6935999'
                                 },
                    '6603000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6603999'
                                 },
                    '8072000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8072999'
                                 },
                    '8287000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8287999'
                                 },
                    '8148000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8148999'
                                 },
                    '6103000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6103999'
                                 },
                    '6807000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6807999'
                                 },
                    '6380000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6380999'
                                 },
                    '6632000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6632999'
                                 },
                    '6334000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6334999'
                                 },
                    '6658000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6658999'
                                 },
                    '6505000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6505999'
                                 },
                    '6367000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6367999'
                                 },
                    '8035000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8035999'
                                 },
                    '6978000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6978999'
                                 },
                    '8252000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8252999'
                                 },
                    '6871000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6871999'
                                 },
                    '8263000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8263999'
                                 },
                    '6389000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6389999'
                                 },
                    '6694000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6694999'
                                 },
                    '6396000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6396999'
                                 },
                    '9169000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9169999'
                                 },
                    '6105000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6105999'
                                 },
                    '6696000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6696999'
                                 },
                    '6534000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6534999'
                                 },
                    '9959000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9959999'
                                 },
                    '9158000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9158999'
                                 },
                    '6939000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6939999'
                                 },
                    '6305000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6305999'
                                 },
                    '8331000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8331999'
                                 },
                    '8314000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8314999'
                                 },
                    '8119000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8119999'
                                 },
                    '6335000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6335999'
                                 },
                    '6903000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6903999'
                                 },
                    '8017000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8017999'
                                 },
                    '6973000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6973999'
                                 },
                    '6576000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6576999'
                                 },
                    '6100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6100999'
                                 },
                    '6590000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6590999'
                                 },
                    '9903000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9903999'
                                 },
                    '6664000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6664999'
                                 },
                    '9997000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9997999'
                                 },
                    '6938000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6938999'
                                 },
                    '8140000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8140999'
                                 },
                    '8352000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8352999'
                                 },
                    '9139000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9139999'
                                 },
                    '8306000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8306999'
                                 },
                    '6678000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6678999'
                                 },
                    '6998000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6998999'
                                 },
                    '6158000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6158999'
                                 },
                    '8117000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8117999'
                                 },
                    '6927000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6927999'
                                 },
                    '9723000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Mhuine Beag',
                                   'status' => 'Allocated',
                                   'end' => '9723999'
                                 },
                    '6633000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6633999'
                                 },
                    '8162000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8162999'
                                 },
                    '6150000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6150999'
                                 },
                    '8266000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8266999'
                                 },
                    '6356000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6356999'
                                 },
                    '8053000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8053999'
                                 },
                    '6185000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6185999'
                                 },
                    '8372000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8372999'
                                 },
                    '8132000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8132999'
                                 },
                    '6918000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6918999'
                                 },
                    '6161000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6161999'
                                 },
                    '6104000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6104999'
                                 },
                    '6958000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6958999'
                                 },
                    '8190000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8190999'
                                 },
                    '8071000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8071999'
                                 },
                    '8375000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8375999'
                                 },
                    '8181000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8181999'
                                 },
                    '9966000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9966999'
                                 },
                    '6955000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6955999'
                                 },
                    '6801000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6801999'
                                 },
                    '9961000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9961999'
                                 },
                    '8183000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8183999'
                                 },
                    '6133000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6133999'
                                 },
                    '6190000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6190999'
                                 },
                    '6473000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Baltinglass',
                                   'status' => 'Allocated',
                                   'end' => '6473999'
                                 },
                    '9983000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9983999'
                                 },
                    '6929000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6929999'
                                 },
                    '8073000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8073999'
                                 },
                    '6532000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6532999'
                                 },
                    '9146000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9146999'
                                 },
                    '8638000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8638999'
                                 },
                    '8095000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8095999'
                                 },
                    '8182000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8182999'
                                 },
                    '6368000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6368999'
                                 },
                    '8392000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8392999'
                                 },
                    '6987000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6987999'
                                 },
                    '9960000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9960999'
                                 },
                    '9994000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9994999'
                                 },
                    '6341000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6341999'
                                 },
                    '6395000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6395999'
                                 },
                    '8002000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8002999'
                                 },
                    '8173000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8173999'
                                 },
                    '6171000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6171999'
                                 },
                    '6126000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6126999'
                                 },
                    '6315000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6315999'
                                 },
                    '6677000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6677999'
                                 },
                    '6666000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6666999'
                                 },
                    '8013000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8013999'
                                 },
                    '8166000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8166999'
                                 },
                    '9945000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9945999'
                                 },
                    '8237000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8237999'
                                 },
                    '9967000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9967999'
                                 },
                    '6971000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6971999'
                                 },
                    '6613000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6613999'
                                 },
                    '8090000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8090999'
                                 },
                    '8066000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8066999'
                                 },
                    '6599000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6599999'
                                 },
                    '8271000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8271999'
                                 },
                    '6968000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6968999'
                                 },
                    '6914000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6914999'
                                 },
                    '6117000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6117999'
                                 },
                    '6835000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6835999'
                                 },
                    '6832000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6832999'
                                 },
                    '6121000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6121999'
                                 },
                    '6645000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6645999'
                                 },
                    '9724000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Mhuine Beag',
                                   'status' => 'Allocated',
                                   'end' => '9724999'
                                 },
                    '8366000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8366999'
                                 },
                    '8318000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8318999'
                                 },
                    '8189000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8189999'
                                 },
                    '8192000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8192999'
                                 },
                    '9130000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9130999'
                                 },
                    '8642000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8642999'
                                 },
                    '9772000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Mhuine Beag',
                                   'status' => 'Allocated',
                                   'end' => '9772999'
                                 },
                    '6357000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6357999'
                                 },
                    '8145000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8145999'
                                 },
                    '6314000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6314999'
                                 },
                    '8087000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8087999'
                                 },
                    '6118000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6118999'
                                 },
                    '8061000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8061999'
                                 },
                    '9922000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9922999'
                                 },
                    '6360000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6360999'
                                 },
                    '6471000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Baltinglass',
                                   'status' => 'Allocated',
                                   'end' => '6471999'
                                 },
                    '8098000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8098999'
                                 },
                    '6650000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6650999'
                                 },
                    '8348000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8348999'
                                 },
                    '8382000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8382999'
                                 },
                    '9992000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9992999'
                                 },
                    '6311000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6311999'
                                 },
                    '8255000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8255999'
                                 },
                    '6377000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6377999'
                                 },
                    '9964000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9964999'
                                 },
                    '8096000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8096999'
                                 },
                    '8146000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8146999'
                                 },
                    '8316000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8316999'
                                 },
                    '8636000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8636999'
                                 },
                    '6181000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6181999'
                                 },
                    '8280000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8280999'
                                 },
                    '6936000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6936999'
                                 },
                    '6622000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6622999'
                                 },
                    '8012000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8012999'
                                 },
                    '8333000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8333999'
                                 },
                    '8231000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8231999'
                                 },
                    '8394000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8394999'
                                 },
                    '8337000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8337999'
                                 },
                    '8622000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8622999'
                                 },
                    '6682000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6682999'
                                 },
                    '6858000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6858999'
                                 },
                    '6644000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6644999'
                                 },
                    '6676000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6676999'
                                 },
                    '6915000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6915999'
                                 },
                    '6111000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6111999'
                                 },
                    '6556000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6556999'
                                 },
                    '8041000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8041999'
                                 },
                    '6322000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6322999'
                                 },
                    '8107000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8107999'
                                 },
                    '6364000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6364999'
                                 },
                    '6558000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6558999'
                                 },
                    '6989000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6989999'
                                 },
                    '6194000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6194999'
                                 },
                    '8385000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8385999'
                                 },
                    '8339000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8339999'
                                 },
                    '9720000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Mhuine Beag',
                                   'status' => 'Allocated',
                                   'end' => '9720999'
                                 },
                    '8003000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8003999'
                                 },
                    '8635000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8635999'
                                 },
                    '6151000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6151999'
                                 },
                    '6643000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6643999'
                                 },
                    '9147000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9147999'
                                 },
                    '8020000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8020999'
                                 },
                    '9981000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9981999'
                                 },
                    '6881000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6881999'
                                 },
                    '6197000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6197999'
                                 },
                    '8164000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8164999'
                                 },
                    '9941000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9941999'
                                 },
                    '8200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8200999'
                                 },
                    '9153000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9153999'
                                 },
                    '8028000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8028999'
                                 },
                    '6823000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6823999'
                                 },
                    '9955000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9955999'
                                 },
                    '8177000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8177999'
                                 },
                    '6550000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6550999'
                                 },
                    '6640000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6640999'
                                 },
                    '8025000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8025999'
                                 },
                    '8397000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8397999'
                                 },
                    '6976000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6976999'
                                 },
                    '8004000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8004999'
                                 },
                    '9939000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9939999'
                                 },
                    '8108000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8108999'
                                 },
                    '6344000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6344999'
                                 },
                    '6616000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6616999'
                                 },
                    '6907000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6907999'
                                 },
                    '8248000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8248999'
                                 },
                    '6393000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6393999'
                                 },
                    '6595000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6595999'
                                 },
                    '9154000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9154999'
                                 },
                    '6571000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6571999'
                                 },
                    '8206000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8206999'
                                 },
                    '8346000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8346999'
                                 },
                    '6187000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6187999'
                                 },
                    '6577000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6577999'
                                 },
                    '6697000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6697999'
                                 },
                    '8009000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8009999'
                                 },
                    '9914000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9914999'
                                 },
                    '9911000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9911999'
                                 },
                    '6994000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6994999'
                                 },
                    '9144000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9144999'
                                 },
                    '8357000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8357999'
                                 },
                    '6365000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6365999'
                                 },
                    '8085000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8085999'
                                 },
                    '6919000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6919999'
                                 },
                    '8309000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8309999'
                                 },
                    '6152000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6152999'
                                 },
                    '8063000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8063999'
                                 },
                    '8244000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8244999'
                                 },
                    '6826000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6826999'
                                 },
                    '8188000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8188999'
                                 },
                    '6342000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6342999'
                                 },
                    '6572000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6572999'
                                 },
                    '6984000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6984999'
                                 },
                    '6141000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6141999'
                                 },
                    '6561000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6561999'
                                 },
                    '6120000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6120999'
                                 },
                    '8105000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8105999'
                                 },
                    '8022000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8022999'
                                 },
                    '8179000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8179999'
                                 },
                    '6316000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6316999'
                                 },
                    '6893000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6893999'
                                 },
                    '6864000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6864999'
                                 },
                    '9141000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9141999'
                                 },
                    '6983000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6983999'
                                 },
                    '6581000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6581999'
                                 },
                    '6844000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6844999'
                                 },
                    '6970000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6970999'
                                 },
                    '9149000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9149999'
                                 },
                    '8300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8300999'
                                 },
                    '6520000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6520999'
                                 },
                    '6810000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6810999'
                                 },
                    '9182000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9182999'
                                 },
                    '6909000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6909999'
                                 },
                    '6974000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6974999'
                                 },
                    '6384000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6384999'
                                 },
                    '9965000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9965999'
                                 },
                    '6673000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6673999'
                                 },
                    '9974000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9974999'
                                 },
                    '9980000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9980999'
                                 },
                    '9908000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9908999'
                                 },
                    '8123000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8123999'
                                 },
                    '6307000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6307999'
                                 },
                    '6988000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6988999'
                                 },
                    '6349000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6349999'
                                 },
                    '9991000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9991999'
                                 },
                    '6877000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6877999'
                                 },
                    '8001000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8001999'
                                 },
                    '8135000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8135999'
                                 },
                    '6563000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6563999'
                                 },
                    '8030000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8030999'
                                 },
                    '6667000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6667999'
                                 },
                    '8114000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8114999'
                                 },
                    '8245000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8245999'
                                 },
                    '9151000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9151999'
                                 },
                    '9148000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9148999'
                                 },
                    '6332000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6332999'
                                 },
                    '6960000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6960999'
                                 },
                    '8325000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8325999'
                                 },
                    '6517000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6517999'
                                 },
                    '6128000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6128999'
                                 },
                    '6115000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6115999'
                                 },
                    '6969000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6969999'
                                 },
                    '9183000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9183999'
                                 },
                    '6925000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6925999'
                                 },
                    '8226000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8226999'
                                 },
                    '8399000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8399999'
                                 },
                    '8262000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8262999'
                                 },
                    '9957000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9957999'
                                 },
                    '8060000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8060999'
                                 },
                    '9919000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9919999'
                                 },
                    '6188000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6188999'
                                 },
                    '6923000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6923999'
                                 },
                    '6865000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6865999'
                                 },
                    '6167000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6167999'
                                 },
                    '6163000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6163999'
                                 },
                    '6388000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6388999'
                                 },
                    '6848000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6848999'
                                 },
                    '8088000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8088999'
                                 },
                    '8142000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8142999'
                                 },
                    '6379000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6379999'
                                 },
                    '6546000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6546999'
                                 },
                    '9150000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9150999'
                                 },
                    '6302000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6302999'
                                 },
                    '6568000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6568999'
                                 },
                    '6374000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6374999'
                                 },
                    '9165000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9165999'
                                 },
                    '6817000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6817999'
                                 },
                    '8131000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8131999'
                                 },
                    '9721000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Mhuine Beag',
                                   'status' => 'Allocated',
                                   'end' => '9721999'
                                 },
                    '6116000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6116999'
                                 },
                    '8042000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8042999'
                                 },
                    '6137000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6137999'
                                 },
                    '4000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4999999'
                                 },
                    '6337000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6337999'
                                 },
                    '8021000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8021999'
                                 },
                    '8388000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8388999'
                                 },
                    '8109000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8109999'
                                 },
                    '8230000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8230999'
                                 },
                    '6585000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6585999'
                                 },
                    '8273000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8273999'
                                 },
                    '6309000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6309999'
                                 },
                    '6847000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6847999'
                                 },
                    '6354000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6354999'
                                 },
                    '6942000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6942999'
                                 },
                    '6162000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6162999'
                                 },
                    '8010000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8010999'
                                 },
                    '8317000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8317999'
                                 },
                    '9921000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9921999'
                                 },
                    '6977000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6977999'
                                 },
                    '6559000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6559999'
                                 },
                    '6995000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6995999'
                                 },
                    '8220000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8220999'
                                 },
                    '8249000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8249999'
                                 },
                    '6178000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6178999'
                                 },
                    '6901000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6901999'
                                 },
                    '9990000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9990999'
                                 },
                    '6143000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6143999'
                                 },
                    '6684000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6684999'
                                 },
                    '8077000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8077999'
                                 },
                    '6626000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6626999'
                                 },
                    '6951000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6951999'
                                 },
                    '8640000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8640999'
                                 },
                    '6833000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6833999'
                                 },
                    '6535000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6535999'
                                 },
                    '6168000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6168999'
                                 },
                    '6609000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6609999'
                                 },
                    '9934000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9934999'
                                 },
                    '8169000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8169999'
                                 },
                    '6355000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6355999'
                                 },
                    '9142000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9142999'
                                 },
                    '6165000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6165999'
                                 },
                    '8127000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8127999'
                                 },
                    '6557000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6557999'
                                 },
                    '8390000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8390999'
                                 },
                    '6652000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6652999'
                                 },
                    '8149000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8149999'
                                 },
                    '8624000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8624999'
                                 },
                    '6888000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6888999'
                                 },
                    '6837000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6837999'
                                 },
                    '6588000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6588999'
                                 },
                    '8294000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8294999'
                                 },
                    '6145000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6145999'
                                 },
                    '9958000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9958999'
                                 },
                    '6124000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6124999'
                                 },
                    '8152000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8152999'
                                 },
                    '8297000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8297999'
                                 },
                    '8070000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8070999'
                                 },
                    '6511000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6511999'
                                 },
                    '6383000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6383999'
                                 },
                    '6304000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6304999'
                                 },
                    '8380000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8380999'
                                 },
                    '9916000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9916999'
                                 },
                    '8099000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8099999'
                                 },
                    '8258000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8258999'
                                 },
                    '6333000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6333999'
                                 },
                    '6323000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6323999'
                                 },
                    '9963000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9963999'
                                 },
                    '8032000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8032999'
                                 },
                    '8389000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8389999'
                                 },
                    '6552000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6552999'
                                 },
                    '9943000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9943999'
                                 },
                    '6198000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6198999'
                                 },
                    '6852000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6852999'
                                 },
                    '8160000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8160999'
                                 },
                    '6101000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6101999'
                                 },
                    '8203000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8203999'
                                 },
                    '6353000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6353999'
                                 },
                    '6691000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6691999'
                                 },
                    '6306000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6306999'
                                 },
                    '6549000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6549999'
                                 },
                    '6569000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6569999'
                                 },
                    '8097000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8097999'
                                 },
                    '8303000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8303999'
                                 },
                    '6183000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6183999'
                                 },
                    '9949000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9949999'
                                 },
                    '8050000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8050999'
                                 },
                    '6135000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6135999'
                                 },
                    '6136000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6136999'
                                 },
                    '8161000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8161999'
                                 },
                    '6894000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6894999'
                                 },
                    '6507000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6507999'
                                 },
                    '6472000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Baltinglass',
                                   'status' => 'Allocated',
                                   'end' => '6472999'
                                 },
                    '6818000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6818999'
                                 },
                    '8240000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8240999'
                                 },
                    '6555000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6555999'
                                 },
                    '9951000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9951999'
                                 },
                    '6529000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6529999'
                                 },
                    '6369000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6369999'
                                 },
                    '6545000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6545999'
                                 },
                    '8275000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8275999'
                                 },
                    '8049000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8049999'
                                 },
                    '6963000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6963999'
                                 },
                    '6921000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6921999'
                                 },
                    '6573000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6573999'
                                 },
                    '9909000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9909999'
                                 },
                    '6843000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6843999'
                                 },
                    '6850000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6850999'
                                 },
                    '6575000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6575999'
                                 },
                    '8256000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8256999'
                                 },
                    '6391000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6391999'
                                 },
                    '6663000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6663999'
                                 },
                    '6629000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6629999'
                                 },
                    '6896000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6896999'
                                 },
                    '6544000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6544999'
                                 },
                    '8353000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8353999'
                                 },
                    '6186000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6186999'
                                 },
                    '8031000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8031999'
                                 },
                    '6591000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6591999'
                                 },
                    '6175000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6175999'
                                 },
                    '8130000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8130999'
                                 },
                    '8277000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8277999'
                                 },
                    '8355000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8355999'
                                 },
                    '6481000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Baltinglass',
                                   'status' => 'Allocated',
                                   'end' => '6481999'
                                 },
                    '6908000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6908999'
                                 },
                    '8336000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8336999'
                                 },
                    '6371000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6371999'
                                 },
                    '6954000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6954999'
                                 },
                    '8092000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8092999'
                                 },
                    '8207000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8207999'
                                 },
                    '8343000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8343999'
                                 },
                    '8643000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8643999'
                                 },
                    '6343000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6343999'
                                 },
                    '8362000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8362999'
                                 },
                    '8386000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8386999'
                                 },
                    '6154000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6154999'
                                 },
                    '8215000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8215999'
                                 },
                    '8295000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8295999'
                                 },
                    '8157000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8157999'
                                 },
                    '6519000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6519999'
                                 },
                    '6672000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6672999'
                                 },
                    '6142000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6142999'
                                 },
                    '8045000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8045999'
                                 },
                    '6132000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6132999'
                                 },
                    '6509000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6509999'
                                 },
                    '6668000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6668999'
                                 },
                    '6524000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6524999'
                                 },
                    '8151000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8151999'
                                 },
                    '6567000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6567999'
                                 },
                    '6502000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6502999'
                                 },
                    '8202000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8202999'
                                 },
                    '6522000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6522999'
                                 },
                    '8197000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8197999'
                                 },
                    '6940000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6940999'
                                 },
                    '9926000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9926999'
                                 },
                    '6842000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6842999'
                                 },
                    '6542000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6542999'
                                 },
                    '8269000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8269999'
                                 },
                    '6846000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6846999'
                                 },
                    '6806000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6806999'
                                 },
                    '9137000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9137999'
                                 },
                    '8327000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8327999'
                                 },
                    '8235000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8235999'
                                 },
                    '9931000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9931999'
                                 },
                    '8074000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8074999'
                                 },
                    '6350000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6350999'
                                 },
                    '8040000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8040999'
                                 },
                    '9956000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9956999'
                                 },
                    '8312000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8312999'
                                 },
                    '8276000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8276999'
                                 },
                    '6398000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6398999'
                                 },
                    '9946000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9946999'
                                 },
                    '6884000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6884999'
                                 },
                    '8374000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8374999'
                                 },
                    '8065000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8065999'
                                 },
                    '6623000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6623999'
                                 },
                    '6825000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6825999'
                                 },
                    '6653000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6653999'
                                 },
                    '9988000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9988999'
                                 },
                    '6875000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6875999'
                                 },
                    '6656000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6656999'
                                 },
                    '8334000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8334999'
                                 },
                    '9930000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9930999'
                                 },
                    '9152000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9152999'
                                 },
                    '6932000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6932999'
                                 },
                    '8043000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8043999'
                                 },
                    '8219000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8219999'
                                 },
                    '8147000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8147999'
                                 },
                    '8133000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8133999'
                                 },
                    '6845000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6845999'
                                 },
                    '8323000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8323999'
                                 },
                    '8621000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8621999'
                                 },
                    '6548000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6548999'
                                 },
                    '6628000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6628999'
                                 },
                    '9900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9900999'
                                 },
                    '6586000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6586999'
                                 },
                    '8093000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8093999'
                                 },
                    '8055000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8055999'
                                 },
                    '6975000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6975999'
                                 },
                    '8156000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8156999'
                                 },
                    '8062000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8062999'
                                 },
                    '6966000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6966999'
                                 },
                    '6301000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6301999'
                                 },
                    '9725000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Mhuine Beag',
                                   'status' => 'Allocated',
                                   'end' => '9725999'
                                 },
                    '6945000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6945999'
                                 },
                    '9170000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9170999'
                                 },
                    '9929000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9929999'
                                 },
                    '8623000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8623999'
                                 },
                    '6646000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6646999'
                                 },
                    '6933000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6933999'
                                 },
                    '8233000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8233999'
                                 },
                    '8351000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8351999'
                                 },
                    '6997000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6997999'
                                 },
                    '6138000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6138999'
                                 },
                    '9773000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Mhuine Beag',
                                   'status' => 'Allocated',
                                   'end' => '9773999'
                                 },
                    '8632000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8632999'
                                 },
                    '6589000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6589999'
                                 },
                    '6980000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6980999'
                                 },
                    '6612000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6612999'
                                 },
                    '8027000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8027999'
                                 },
                    '6615000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6615999'
                                 },
                    '6108000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6108999'
                                 },
                    '8340000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8340999'
                                 },
                    '6831000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6831999'
                                 },
                    '6920000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6920999'
                                 },
                    '8376000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8376999'
                                 },
                    '6897000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6897999'
                                 },
                    '6515000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6515999'
                                 },
                    '9975000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9975999'
                                 },
                    '6450000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Baltinglass',
                                   'status' => 'Allocated',
                                   'end' => '6450999'
                                 },
                    '6325000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6325999'
                                 },
                    '8221000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8221999'
                                 },
                    '6621000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6621999'
                                 },
                    '9159000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9159999'
                                 },
                    '6523000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6523999'
                                 },
                    '6543000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6543999'
                                 },
                    '8265000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8265999'
                                 },
                    '8329000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8329999'
                                 },
                    '8639000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8639999'
                                 },
                    '6345000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6345999'
                                 },
                    '8194000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8194999'
                                 },
                    '6366000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6366999'
                                 },
                    '9969000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9969999'
                                 },
                    '8344000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8344999'
                                 },
                    '6451000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Baltinglass',
                                   'status' => 'Allocated',
                                   'end' => '6451999'
                                 },
                    '6195000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6195999'
                                 },
                    '6699000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6699999'
                                 },
                    '6399000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6399999'
                                 },
                    '9910000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9910999'
                                 },
                    '6508000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6508999'
                                 },
                    '9953000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9953999'
                                 },
                    '8167000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8167999'
                                 },
                    '8186000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8186999'
                                 },
                    '6821000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6821999'
                                 },
                    '5000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5999999'
                                 },
                    '8100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8100999'
                                 },
                    '8222000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8222999'
                                 },
                    '9976000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9976999'
                                 },
                    '6191000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6191999'
                                 },
                    '6193000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6193999'
                                 },
                    '8165000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8165999'
                                 },
                    '8174000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8174999'
                                 },
                    '9984000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9984999'
                                 },
                    '6574000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6574999'
                                 },
                    '6900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6900999'
                                 },
                    '6140000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6140999'
                                 },
                    '6866000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6866999'
                                 },
                    '6627000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6627999'
                                 },
                    '8068000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8068999'
                                 },
                    '6860000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6860999'
                                 },
                    '8361000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8361999'
                                 },
                    '6948000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6948999'
                                 },
                    '8631000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8631999'
                                 },
                    '6112000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6112999'
                                 },
                    '6199000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6199999'
                                 },
                    '8024000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8024999'
                                 },
                    '6886000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6886999'
                                 },
                    '8341000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8341999'
                                 },
                    '6617000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6617999'
                                 },
                    '6308000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6308999'
                                 },
                    '8176000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8176999'
                                 },
                    '9774000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Mhuine Beag',
                                   'status' => 'Allocated',
                                   'end' => '9774999'
                                 },
                    '6839000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6839999'
                                 },
                    '6689000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6689999'
                                 },
                    '6340000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6340999'
                                 },
                    '9954000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9954999'
                                 },
                    '6830000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6830999'
                                 },
                    '6560000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6560999'
                                 },
                    '6671000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6671999'
                                 },
                    '9924000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9924999'
                                 },
                    '6890000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6890999'
                                 },
                    '8083000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8083999'
                                 },
                    '8304000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8304999'
                                 },
                    '8191000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8191999'
                                 },
                    '9726000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Mhuine Beag',
                                   'status' => 'Allocated',
                                   'end' => '9726999'
                                 },
                    '9136000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9136999'
                                 },
                    '8373000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8373999'
                                 },
                    '8634000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8634999'
                                 },
                    '6856000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6856999'
                                 },
                    '6321000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6321999'
                                 },
                    '8313000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8313999'
                                 },
                    '8159000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8159999'
                                 },
                    '6500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6500999'
                                 },
                    '6503000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6503999'
                                 },
                    '6809000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6809999'
                                 },
                    '6319000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6319999'
                                 },
                    '8311000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8311999'
                                 },
                    '8224000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8224999'
                                 },
                    '9977000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9977999'
                                 },
                    '8305000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8305999'
                                 },
                    '6964000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6964999'
                                 },
                    '6513000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6513999'
                                 },
                    '6943000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6943999'
                                 },
                    '8274000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8274999'
                                 },
                    '6562000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6562999'
                                 },
                    '6593000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6593999'
                                 },
                    '6346000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6346999'
                                 },
                    '8076000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8076999'
                                 },
                    '9722000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Mhuine Beag',
                                   'status' => 'Allocated',
                                   'end' => '9722999'
                                 },
                    '6882000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6882999'
                                 },
                    '6312000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6312999'
                                 },
                    '8048000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8048999'
                                 },
                    '6122000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6122999'
                                 },
                    '6625000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6625999'
                                 },
                    '6518000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6518999'
                                 },
                    '8378000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8378999'
                                 },
                    '8354000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8354999'
                                 },
                    '8126000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8126999'
                                 },
                    '6173000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6173999'
                                 },
                    '7000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7999999'
                                 },
                    '6698000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6698999'
                                 },
                    '8168000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8168999'
                                 },
                    '8016000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8016999'
                                 },
                    '6564000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6564999'
                                 },
                    '8057000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8057999'
                                 },
                    '8288000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8288999'
                                 },
                    '6934000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6934999'
                                 },
                    '6659000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6659999'
                                 },
                    '6610000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6610999'
                                 },
                    '6470000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Baltinglass',
                                   'status' => 'Allocated',
                                   'end' => '6470999'
                                 },
                    '9731000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Muine Bheag',
                                   'status' => 'Allocated',
                                   'end' => '9731999'
                                 },
                    '6386000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6386999'
                                 },
                    '8128000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8128999'
                                 },
                    '6580000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6580999'
                                 },
                    '6981000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6981999'
                                 },
                    '6611000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6611999'
                                 },
                    '6597000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6597999'
                                 },
                    '9902000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9902999'
                                 },
                    '6959000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6959999'
                                 },
                    '8091000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8091999'
                                 },
                    '6172000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6172999'
                                 },
                    '6905000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6905999'
                                 },
                    '6892000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6892999'
                                 },
                    '8034000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8034999'
                                 },
                    '8282000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8282999'
                                 },
                    '6554000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6554999'
                                 },
                    '8064000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8064999'
                                 },
                    '6813000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6813999'
                                 },
                    '8046000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8046999'
                                 },
                    '6527000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6527999'
                                 },
                    '6683000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6683999'
                                 },
                    '8246000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8246999'
                                 },
                    '6582000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6582999'
                                 },
                    '6624000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6624999'
                                 },
                    '9160000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9160999'
                                 },
                    '9947000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9947999'
                                 },
                    '8272000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8272999'
                                 },
                    '6348000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6348999'
                                 },
                    '8208000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8208999'
                                 },
                    '6362000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6362999'
                                 },
                    '8641000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Athy',
                                   'status' => 'Allocated',
                                   'end' => '8641999'
                                 },
                    '8259000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8259999'
                                 },
                    '6313000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6313999'
                                 },
                    '8229000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8229999'
                                 },
                    '6686000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6686999'
                                 },
                    '6867000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6867999'
                                 },
                    '8260000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8260999'
                                 },
                    '8026000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8026999'
                                 },
                    '8101000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8101999'
                                 },
                    '6815000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6815999'
                                 },
                    '8052000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8052999'
                                 },
                    '8310000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8310999'
                                 },
                    '8137000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8137999'
                                 },
                    '9163000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9163999'
                                 },
                    '6131000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6131999'
                                 },
                    '6551000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6551999'
                                 },
                    '6941000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6941999'
                                 },
                    '8359000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8359999'
                                 },
                    '6937000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6937999'
                                 },
                    '9771000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Mhuine Beag',
                                   'status' => 'Allocated',
                                   'end' => '9771999'
                                 },
                    '6352000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6352999'
                                 },
                    '8178000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8178999'
                                 },
                    '6153000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6153999'
                                 },
                    '9133000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carlow',
                                   'status' => 'Allocated',
                                   'end' => '9133999'
                                 },
                    '6819000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6819999'
                                 },
                    '8019000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8019999'
                                 },
                    '6604000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6604999'
                                 },
                    '6584000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6584999'
                                 },
                    '8047000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8047999'
                                 }
                  },
          '69' => {
                    '84000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '84999'
                               },
                    '83000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '83999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '81000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '81999'
                               },
                    '62000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '62999'
                               },
                    '77000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '77999'
                               },
                    '76000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '76999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '72000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '72999'
                               },
                    '63000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '63999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '61000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '61999'
                               },
                    '64000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '64999'
                               },
                    '91000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Newcastle West',
                                 'status' => 'Reserved',
                                 'end' => '91999'
                               },
                    '82000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '82999'
                               },
                    '85000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '85999'
                               },
                    '67000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '67999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '66999'
                               },
                    '60000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '60999'
                               },
                    '65000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '65999'
                               },
                    '79000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '79999'
                               },
                    '78000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '78999'
                               },
                    '73000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '73999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '68000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '68999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Newcastle West',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               }
                  },
          '49' => {
                    '8532000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8532999'
                                 },
                    '5546000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5546999'
                                 },
                    '4321000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4321999'
                                 },
                    '5504000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5504999'
                                 },
                    '4361000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4361999'
                                 },
                    '8507000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8507999'
                                 },
                    '9517000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9517999'
                                 },
                    '8534000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8534999'
                                 },
                    '9539000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9539999'
                                 },
                    '9534000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9534999'
                                 },
                    '4379000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4379999'
                                 },
                    '4410000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4419999'
                                 },
                    '4345000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4345999'
                                 },
                    '4368000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4368999'
                                 },
                    '8550000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8550999'
                                 },
                    '9509000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9509999'
                                 },
                    '9508000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9508999'
                                 },
                    '4320000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4320999'
                                 },
                    '5544000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5544999'
                                 },
                    '4329000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4329999'
                                 },
                    '5510000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5510999'
                                 },
                    '3900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Belturbet',
                                   'status' => 'Reserved',
                                   'end' => '3999999'
                                 },
                    '4372000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4372999'
                                 },
                    '9531000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9531999'
                                 },
                    '4362000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4362999'
                                 },
                    '9527000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9527999'
                                 },
                    '4375000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4375999'
                                 },
                    '9521000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9521999'
                                 },
                    '5553000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5553999'
                                 },
                    '8548000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8548999'
                                 },
                    '8547000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8547999'
                                 },
                    '8505000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8505999'
                                 },
                    '9540000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9540999'
                                 },
                    '8549000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8549999'
                                 },
                    '4338000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4338999'
                                 },
                    '4370000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4370999'
                                 },
                    '4348000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4348999'
                                 },
                    '9507000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9507999'
                                 },
                    '9519000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9519999'
                                 },
                    '9502000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9502999'
                                 },
                    '4323000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4323999'
                                 },
                    '9538000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9538999'
                                 },
                    '8537000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8537999'
                                 },
                    '8503000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8503999'
                                 },
                    '8531000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8531999'
                                 },
                    '9525000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9525999'
                                 },
                    '8535000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8535999'
                                 },
                    '4600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4699999'
                                 },
                    '4344000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4344999'
                                 },
                    '4400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4409999'
                                 },
                    '9511000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9511999'
                                 },
                    '5509000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5509999'
                                 },
                    '8508000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8508999'
                                 },
                    '5551000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5551999'
                                 },
                    '4325000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4325999'
                                 },
                    '4369000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4369999'
                                 },
                    '4327000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4327999'
                                 },
                    '8538000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8538999'
                                 },
                    '8501000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8501999'
                                 },
                    '4336000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4336999'
                                 },
                    '4364000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4364999'
                                 },
                    '9513000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9513999'
                                 },
                    '9501000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9501999'
                                 },
                    '9514000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9514999'
                                 },
                    '8509000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8509999'
                                 },
                    '9506000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9506999'
                                 },
                    '9515000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9515999'
                                 },
                    '8546000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8546999'
                                 },
                    '5548000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5548999'
                                 },
                    '5506000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5506999'
                                 },
                    '8533000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8533999'
                                 },
                    '4480000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4489999'
                                 },
                    '5555000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5555999'
                                 },
                    '4342000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4342999'
                                 },
                    '8545000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8545999'
                                 },
                    '4346000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4346999'
                                 },
                    '4430000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4439999'
                                 },
                    '5541000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5541999'
                                 },
                    '5545000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5545999'
                                 },
                    '5552000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5552999'
                                 },
                    '9529000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9529999'
                                 },
                    '5559000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5559999'
                                 },
                    '8800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8899999'
                                 },
                    '5556000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5556999'
                                 },
                    '4367000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4367999'
                                 },
                    '9528000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9528999'
                                 },
                    '5503000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5503999'
                                 },
                    '8500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8500999'
                                 },
                    '4328000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4328999'
                                 },
                    '4300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4300999'
                                 },
                    '9512000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9512999'
                                 },
                    '4326000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4326999'
                                 },
                    '5501000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5501999'
                                 },
                    '9503000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9503999'
                                 },
                    '4324000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4324999'
                                 },
                    '4341000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4341999'
                                 },
                    '5543000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5543999'
                                 },
                    '9520000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9520999'
                                 },
                    '9518000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9518999'
                                 },
                    '5502000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5502999'
                                 },
                    '5549000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5549999'
                                 },
                    '8502000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8502999'
                                 },
                    '4371000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4371999'
                                 },
                    '4365000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4365999'
                                 },
                    '4376000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4376999'
                                 },
                    '9524000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9524999'
                                 },
                    '4378000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4378999'
                                 },
                    '5542000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5542999'
                                 },
                    '4333000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4333999'
                                 },
                    '9504000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9504999'
                                 },
                    '5540000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5540999'
                                 },
                    '4337000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4337999'
                                 },
                    '9535000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9535999'
                                 },
                    '9523000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9523999'
                                 },
                    '2200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Cootehill',
                                   'status' => 'Reserved',
                                   'end' => '2299999'
                                 },
                    '5558000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5558999'
                                 },
                    '8540000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8540999'
                                 },
                    '4373000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4373999'
                                 },
                    '4310000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4310999'
                                 },
                    '4440000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4449999'
                                 },
                    '8543000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8543999'
                                 },
                    '5554000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5554999'
                                 },
                    '8541000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8541999'
                                 },
                    '4420000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4429999'
                                 },
                    '4360000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4360999'
                                 },
                    '4363000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4363999'
                                 },
                    '4340000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4340999'
                                 },
                    '3300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Belturbet',
                                   'status' => 'Reserved',
                                   'end' => '3399999'
                                 },
                    '5550000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5550999'
                                 },
                    '8506000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8506999'
                                 },
                    '4366000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4366999'
                                 },
                    '4350000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4350999'
                                 },
                    '2500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => 'Cootehill',
                                   'status' => 'Reserved',
                                   'end' => '2599999'
                                 },
                    '8530000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8530999'
                                 },
                    '9537000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9537999'
                                 },
                    '4335000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4335999'
                                 },
                    '9530000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9530999'
                                 },
                    '5500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5500999'
                                 },
                    '5557000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5557999'
                                 },
                    '9533000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9533999'
                                 },
                    '9532000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9532999'
                                 },
                    '9526000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9526999'
                                 },
                    '8542000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8542999'
                                 },
                    '4374000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4374999'
                                 },
                    '4343000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4343999'
                                 },
                    '8536000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8536999'
                                 },
                    '5505000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5505999'
                                 },
                    '4377000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4377999'
                                 },
                    '4349000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4349999'
                                 },
                    '4450000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4459999'
                                 },
                    '4347000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4347999'
                                 },
                    '8504000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8504999'
                                 },
                    '9522000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9522999'
                                 },
                    '4339000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4339999'
                                 },
                    '4490000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4499999'
                                 },
                    '5508000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5508999'
                                 },
                    '9500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9500999'
                                 },
                    '4331000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4331999'
                                 },
                    '4700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4799999'
                                 },
                    '5507000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5507999'
                                 },
                    '8544000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8544999'
                                 },
                    '9536000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9536999'
                                 },
                    '8539000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8539999'
                                 },
                    '4470000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4479999'
                                 },
                    '4332000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4332999'
                                 },
                    '9505000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9505999'
                                 },
                    '4334000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4334999'
                                 },
                    '9516000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Belturbet',
                                   'status' => 'Allocated',
                                   'end' => '9516999'
                                 },
                    '8551000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8551999'
                                 },
                    '5547000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Cootehill',
                                   'status' => 'Allocated',
                                   'end' => '5547999'
                                 },
                    '4460000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4469999'
                                 },
                    '4330000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Cavan',
                                   'status' => 'Allocated',
                                   'end' => '4330999'
                                 },
                    '8510000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Oldcastle',
                                   'status' => 'Allocated',
                                   'end' => '8510999'
                                 }
                  },
          '24' => {
                    '84000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '84999'
                               },
                    '83000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '83999'
                               },
                    '95000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '95999'
                               },
                    '90000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '90999'
                               },
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'NTL Communications (Ireland) Ltd',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '98000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '98999'
                               },
                    '81000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '81999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Youghal',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '96000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '96999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '93000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '93999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '92000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '92999'
                               },
                    '82000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '82999'
                               },
                    '91000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '91999'
                               },
                    '94000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '94999'
                               },
                    '97000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '97999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '33999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Youghal',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               }
                  },
          '818' => {
                     '268000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '268999'
                                 },
                     '15000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '15999'
                                },
                     '112000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '112999'
                                 },
                     '218000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '218999'
                                 },
                     '185000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '185999'
                                 },
                     '719500' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '719599'
                                 },
                     '161000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '161999'
                                 },
                     '951000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '951999'
                                 },
                     '107000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '107999'
                                 },
                     '891000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '891999'
                                 },
                     '444000' => {
                                   'designation' => 'Not Applicable',
                                   'licensee' => '"Opera Telecom Ireland Ltd.',
                                   'location' => '"',
                                   'status' => 'Universal Access',
                                   'end' => '444999'
                                 },
                     '260000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '260999'
                                 },
                     '811000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '811999'
                                 },
                     '196000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '196999'
                                 },
                     '166000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '166999'
                                 },
                     '207000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '207999'
                                 },
                     '65000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '65999'
                                },
                     '857000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '857999'
                                 },
                     '238000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '238999'
                                 },
                     '133000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '133999'
                                 },
                     '374000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '374999'
                                 },
                     '186000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '186999'
                                 },
                     '22000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '22999'
                                },
                     '8000' => {
                                 'designation' => 'Universal Access',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '8999'
                               },
                     '879000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '879999'
                                 },
                     '36000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '36999'
                                },
                     '402000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '402999'
                                 },
                     '145000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '145999'
                                 },
                     '121000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '121999'
                                 },
                     '306000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '306999'
                                 },
                     '200000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '200999'
                                 },
                     '172000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '172999'
                                 },
                     '113000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '113999'
                                 },
                     '49000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '49999'
                                },
                     '109000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '109999'
                                 },
                     '2000' => {
                                 'designation' => 'Universal Access',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '2999'
                               },
                     '189000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '189999'
                                 },
                     '100000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '100999'
                                 },
                     '35000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '35999'
                                },
                     '17000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '17999'
                                },
                     '267000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '267999'
                                 },
                     '784000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '784999'
                                 },
                     '215000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '215999'
                                 },
                     '80000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '80999'
                                },
                     '830000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '830999'
                                 },
                     '164000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '164999'
                                 },
                     '893000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '893999'
                                 },
                     '834000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '834999'
                                 },
                     '950000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '950999'
                                 },
                     '372000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '372999'
                                 },
                     '136000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '136999'
                                 },
                     '123000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '123999'
                                 },
                     '44000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '44999'
                                },
                     '890000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '890999'
                                 },
                     '874000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '874999'
                                 },
                     '83000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '83999'
                                },
                     '717200' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '717299'
                                 },
                     '719600' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '719699'
                                 },
                     '715600' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '715699'
                                 },
                     '717100' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '717199'
                                 },
                     '212000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '212999'
                                 },
                     '462000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '462999'
                                 },
                     '4000' => {
                                 'designation' => 'Universal Access',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '4999'
                               },
                     '102000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '102999'
                                 },
                     '167000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '167999'
                                 },
                     '820000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '820999'
                                 },
                     '357000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '357999'
                                 },
                     '9000' => {
                                 'designation' => 'Universal Access',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '9999'
                               },
                     '60000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '60999'
                                },
                     '875000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '875999'
                                 },
                     '153000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '153999'
                                 },
                     '59000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '59999'
                                },
                     '871000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '871999'
                                 },
                     '90000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '90999'
                                },
                     '87000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '87999'
                                },
                     '50000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '50999'
                                },
                     '179000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '179999'
                                 },
                     '838000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '838999'
                                 },
                     '815000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '815999'
                                 },
                     '887000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '887999'
                                 },
                     '719700' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '719799'
                                 },
                     '178000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '178999'
                                 },
                     '191000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '191999'
                                 },
                     '952000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '952999'
                                 },
                     '881000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '881999'
                                 },
                     '404000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '404999'
                                 },
                     '333000' => {
                                   'designation' => 'Not Applicable',
                                   'licensee' => '"Opera Telecom Ireland Ltd.',
                                   'location' => '"',
                                   'status' => 'Universal Access',
                                   'end' => '333999'
                                 },
                     '110000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '110999'
                                 },
                     '181000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '181999'
                                 },
                     '19000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '19999'
                                },
                     '0' => {
                              'designation' => 'Universal Access',
                              'licensee' => '',
                              'location' => 'Not Applicable',
                              'status' => 'Reserved',
                              'end' => '999'
                            },
                     '122000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '122999'
                                 },
                     '718800' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '718899'
                                 },
                     '411000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '411999'
                                 },
                     '888000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '888999'
                                 },
                     '173000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '173999'
                                 },
                     '776000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '776999'
                                 },
                     '5000' => {
                                 'designation' => 'Universal Access',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '5999'
                               },
                     '243000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '243999'
                                 },
                     '176000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '176999'
                                 },
                     '376000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '376999'
                                 },
                     '836000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '836999'
                                 },
                     '155000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '155999'
                                 },
                     '377000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '377999'
                                 },
                     '867000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '867999'
                                 },
                     '816000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '816999'
                                 },
                     '802000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '802999'
                                 },
                     '79000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '79999'
                                },
                     '946000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '946999'
                                 },
                     '1000' => {
                                 'designation' => 'Universal Access',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '1999'
                               },
                     '719000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '719099'
                                 },
                     '416000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '416999'
                                 },
                     '190000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '190999'
                                 },
                     '406000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '406999'
                                 },
                     '235000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '235999'
                                 },
                     '175000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '175999'
                                 },
                     '821000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '821999'
                                 },
                     '313000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '313999'
                                 },
                     '370000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '370999'
                                 },
                     '899000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '899999'
                                 },
                     '900000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '900999'
                                 },
                     '265000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '265999'
                                 },
                     '809000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '809999'
                                 },
                     '135000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '135999'
                                 },
                     '16000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '16999'
                                },
                     '30000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '30999'
                                },
                     '266000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '266999'
                                 },
                     '115000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '115999'
                                 },
                     '217000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '217999'
                                 },
                     '955000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '955999'
                                 },
                     '885000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '885999'
                                 },
                     '26000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '26999'
                                },
                     '84000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '84999'
                                },
                     '18000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '18999'
                                },
                     '400000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '400999'
                                 },
                     '262000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '262999'
                                 },
                     '131000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '131999'
                                 },
                     '119000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '119999'
                                 },
                     '847000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '847999'
                                 },
                     '171000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '171999'
                                 },
                     '269000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '269999'
                                 },
                     '148000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '148999'
                                 },
                     '93000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '93999'
                                },
                     '399000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '399999'
                                 },
                     '28000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '28999'
                                },
                     '63000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '63999'
                                },
                     '38000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '38999'
                                },
                     '177000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '177999'
                                 },
                     '842000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '842999'
                                 },
                     '140000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '140999'
                                 },
                     '82000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '82999'
                                },
                     '106000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '106999'
                                 },
                     '97000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '97999'
                                },
                     '132000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '132999'
                                 },
                     '835000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '835999'
                                 },
                     '715100' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '715199'
                                 },
                     '373000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '373999'
                                 },
                     '832000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '832999'
                                 },
                     '880000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '880999'
                                 },
                     '11000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '11999'
                                },
                     '73000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '73999'
                                },
                     '272000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '272999'
                                 },
                     '144000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '144999'
                                 },
                     '715800' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '715899'
                                 },
                     '822000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '822999'
                                 },
                     '309000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '309999'
                                 },
                     '274000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '274999'
                                 },
                     '886000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '886999'
                                 },
                     '719300' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '719399'
                                 },
                     '188000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '188999'
                                 },
                     '810000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '810999'
                                 },
                     '198000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '198999'
                                 },
                     '96000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '96999'
                                },
                     '6000' => {
                                 'designation' => 'Universal Access',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '6999'
                               },
                     '878000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '878999'
                                 },
                     '302000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '302999'
                                 },
                     '128000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '128999'
                                 },
                     '143000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '143999'
                                 },
                     '91000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '91999'
                                },
                     '182000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '182999'
                                 },
                     '825000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '825999'
                                 },
                     '194000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '194999'
                                 },
                     '371000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '371999'
                                 },
                     '959000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '959999'
                                 },
                     '788000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '788999'
                                 },
                     '840000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '840999'
                                 },
                     '719800' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '719899'
                                 },
                     '108000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '108999'
                                 },
                     '40000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '40999'
                                },
                     '88000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '88999'
                                },
                     '849000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '849999'
                                 },
                     '800000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '800999'
                                 },
                     '807000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '807999'
                                 },
                     '777000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '777999'
                                 },
                     '403000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '403999'
                                 },
                     '896000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '896999'
                                 },
                     '159000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '159999'
                                 },
                     '817000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '817999'
                                 },
                     '71000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '71999'
                                },
                     '130000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '130999'
                                 },
                     '29000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '29999'
                                },
                     '138000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '138999'
                                 },
                     '332000' => {
                                   'designation' => 'Not Applicable',
                                   'licensee' => '"Opera Telecom Ireland Ltd.',
                                   'location' => '"',
                                   'status' => 'Universal Access',
                                   'end' => '332999'
                                 },
                     '169000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '169999'
                                 },
                     '276000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '276999'
                                 },
                     '51000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '51999'
                                },
                     '10000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '10999'
                                },
                     '806000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '806999'
                                 },
                     '225000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Swiftcall',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '225999'
                                 },
                     '300000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '300999'
                                 },
                     '401000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '401999'
                                 },
                     '365000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '365999'
                                 },
                     '414000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '414999'
                                 },
                     '839000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '839999'
                                 },
                     '999000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '999999'
                                 },
                     '858000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '858999'
                                 },
                     '555000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '555999'
                                 },
                     '174000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '174999'
                                 },
                     '484000' => {
                                   'designation' => 'Not Applicable',
                                   'licensee' => '"Opera Telecom Ireland Ltd.',
                                   'location' => '"',
                                   'status' => 'Universal Access',
                                   'end' => '484999'
                                 },
                     '407000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '407999'
                                 },
                     '866000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '866999'
                                 },
                     '154000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '154999'
                                 },
                     '897000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '897999'
                                 },
                     '277000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '277999'
                                 },
                     '162000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '162999'
                                 },
                     '958000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '958999'
                                 },
                     '310000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '310999'
                                 },
                     '41000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '41999'
                                },
                     '844000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '844999'
                                 },
                     '281000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '281999'
                                 },
                     '120000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '120999'
                                 },
                     '147000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '147999'
                                 },
                     '286000' => {
                                   'designation' => 'Not Applicable',
                                   'licensee' => '"Opera Telecom Ireland Ltd.',
                                   'location' => '"',
                                   'status' => 'Universal Access',
                                   'end' => '286999'
                                 },
                     '851000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '851999'
                                 },
                     '379000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '379999'
                                 },
                     '378000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '378999'
                                 },
                     '206000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '206999'
                                 },
                     '129000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '129999'
                                 },
                     '57000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '57999'
                                },
                     '868000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '868999'
                                 },
                     '139000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '139999'
                                 },
                     '203000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '203999'
                                 },
                     '210000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '210999'
                                 },
                     '232000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '232999'
                                 },
                     '242000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '242999'
                                 },
                     '118000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '118999'
                                 },
                     '304000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '304999'
                                 },
                     '719900' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '719999'
                                 },
                     '89000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '89999'
                                },
                     '92000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '92999'
                                },
                     '831000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '831999'
                                 },
                     '94000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '94999'
                                },
                     '303000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '303999'
                                 },
                     '412000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '412999'
                                 },
                     '52000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '52999'
                                },
                     '114000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '114999'
                                 },
                     '894000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '894999'
                                 },
                     '116000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '116999'
                                 },
                     '208000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '208999'
                                 },
                     '209000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '209999'
                                 },
                     '863000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '863999'
                                 },
                     '86000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '86999'
                                },
                     '889000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '889999'
                                 },
                     '845000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '845999'
                                 },
                     '240000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '240999'
                                 },
                     '264000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '264999'
                                 },
                     '21000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '21999'
                                },
                     '211000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '211999'
                                 },
                     '34000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '34999'
                                },
                     '163000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '163999'
                                 },
                     '237000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '237999'
                                 },
                     '23000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '23999'
                                },
                     '187000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '187999'
                                 },
                     '852000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '852999'
                                 },
                     '20000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '20999'
                                },
                     '898000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '898999'
                                 },
                     '823000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '823999'
                                 },
                     '818000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '818999'
                                 },
                     '859000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '859999'
                                 },
                     '408000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '408999'
                                 },
                     '13000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '13999'
                                },
                     '241000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '241999'
                                 },
                     '833000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '833999'
                                 },
                     '53000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '53999'
                                },
                     '64000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '64999'
                                },
                     '872000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '872999'
                                 },
                     '56000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '56999'
                                },
                     '14000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '14999'
                                },
                     '234000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '234999'
                                 },
                     '801000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '801999'
                                 },
                     '308000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '308999'
                                 },
                     '3000' => {
                                 'designation' => 'Universal Access',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '3999'
                               },
                     '58000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '58999'
                                },
                     '221000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '221999'
                                 },
                     '192000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '192999'
                                 },
                     '245000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '245999'
                                 },
                     '213000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '213999'
                                 },
                     '805000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '805999'
                                 },
                     '869000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '869999'
                                 },
                     '103000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '103999'
                                 },
                     '170000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '170999'
                                 },
                     '55000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '55999'
                                },
                     '236000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '236999'
                                 },
                     '883000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '883999'
                                 },
                     '183000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '183999'
                                 },
                     '715500' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '715599'
                                 },
                     '410000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '410999'
                                 },
                     '305000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '305999'
                                 },
                     '141000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '141999'
                                 },
                     '137000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '137999'
                                 },
                     '199000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '199999'
                                 },
                     '812000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '812999'
                                 },
                     '32000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '32999'
                                },
                     '219000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '219999'
                                 },
                     '413000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '413999'
                                 },
                     '124000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '124999'
                                 },
                     '957000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '957999'
                                 },
                     '954000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '954999'
                                 },
                     '862000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '862999'
                                 },
                     '877000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '877999'
                                 },
                     '895000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '895999'
                                 },
                     '214000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '214999'
                                 },
                     '762000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '762999'
                                 },
                     '804000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '804999'
                                 },
                     '70000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '70999'
                                },
                     '418000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '418999'
                                 },
                     '158000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '158999'
                                 },
                     '715900' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '715999'
                                 },
                     '75000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '75999'
                                },
                     '165000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '165999'
                                 },
                     '814000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '814999'
                                 },
                     '853000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '853999'
                                 },
                     '884000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '884999'
                                 },
                     '861000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '861999'
                                 },
                     '201000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '201999'
                                 },
                     '127000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '127999'
                                 },
                     '233000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '233999'
                                 },
                     '39000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '39999'
                                },
                     '12000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '12999'
                                },
                     '270000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '270999'
                                 },
                     '803000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '803999'
                                 },
                     '249000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '249999'
                                 },
                     '813000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '813999'
                                 },
                     '47000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '47999'
                                },
                     '307000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '307999'
                                 },
                     '157000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '157999'
                                 },
                     '43000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '43999'
                                },
                     '223000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '223999'
                                 },
                     '184000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '184999'
                                 },
                     '841000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '841999'
                                 },
                     '54000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '54999'
                                },
                     '150000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '150999'
                                 },
                     '323000' => {
                                   'designation' => 'Not Applicable',
                                   'licensee' => '"Opera Telecom Ireland Ltd.',
                                   'location' => '"',
                                   'status' => 'Universal Access',
                                   'end' => '323999'
                                 },
                     '74000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '74999'
                                },
                     '415000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '415999'
                                 },
                     '67000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '67999'
                                },
                     '146000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '146999'
                                 },
                     '882000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '882999'
                                 },
                     '66000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '66999'
                                },
                     '244000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '244999'
                                 },
                     '873000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '873999'
                                 },
                     '105000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '105999'
                                 },
                     '467000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '467999'
                                 },
                     '405000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '405999'
                                 },
                     '42000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '42999'
                                },
                     '78000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '78999'
                                },
                     '273000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '273999'
                                 },
                     '271000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '271999'
                                 },
                     '261000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '261999'
                                 },
                     '717000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '717099'
                                 },
                     '104000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '104999'
                                 },
                     '923000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '923999'
                                 },
                     '864000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '864999'
                                 },
                     '824000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '824999'
                                 },
                     '850000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '850999'
                                 },
                     '24000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '24999'
                                },
                     '81000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '81999'
                                },
                     '76000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '76999'
                                },
                     '876000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '876999'
                                 },
                     '46000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '46999'
                                },
                     '819000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '819999'
                                 },
                     '248000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '248999'
                                 },
                     '72000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '72999'
                                },
                     '828000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '828999'
                                 },
                     '197000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '197999'
                                 },
                     '375000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Access Telecom (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '375999'
                                 },
                     '419000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '419999'
                                 },
                     '204000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '204999'
                                 },
                     '220000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '220999'
                                 },
                     '125000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '125999'
                                 },
                     '111000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '111999'
                                 },
                     '31000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '31999'
                                },
                     '855000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '855999'
                                 },
                     '409000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Smart Telecom Limited',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '409999'
                                 },
                     '48000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '48999'
                                },
                     '195000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '195999'
                                 },
                     '193000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '193999'
                                 },
                     '216000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '216999'
                                 },
                     '68000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '68999'
                                },
                     '865000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '865999'
                                 },
                     '27000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '27999'
                                },
                     '856000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '856999'
                                 },
                     '279000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '279999'
                                 },
                     '152000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '152999'
                                 },
                     '98000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '98999'
                                },
                     '160000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '160999'
                                 },
                     '829000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '829999'
                                 },
                     '45000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '45999'
                                },
                     '99000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '99999'
                                },
                     '25000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '25999'
                                },
                     '230000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '230999'
                                 },
                     '892000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '892999'
                                 },
                     '117000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '117999'
                                 },
                     '239000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '239999'
                                 },
                     '956000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '956999'
                                 },
                     '61000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '61999'
                                },
                     '301000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Eircom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '301999'
                                 },
                     '85000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '85999'
                                },
                     '231000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'MCI',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '231999'
                                 },
                     '280000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Dome Telecom Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '280999'
                                 },
                     '69000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '69999'
                                },
                     '846000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '846999'
                                 },
                     '180000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '180999'
                                 },
                     '854000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '854999'
                                 },
                     '826000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '826999'
                                 },
                     '168000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '168999'
                                 },
                     '149000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '149999'
                                 },
                     '953000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Interoute',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '953999'
                                 },
                     '860000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '860999'
                                 },
                     '837000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '837999'
                                 },
                     '417000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Yac Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '417999'
                                 },
                     '95000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '95999'
                                },
                     '151000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '151999'
                                 },
                     '142000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '142999'
                                 },
                     '7000' => {
                                 'designation' => 'Universal Access',
                                 'licensee' => '',
                                 'location' => 'Not Applicable',
                                 'status' => 'Reserved',
                                 'end' => '7999'
                               },
                     '247000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '247999'
                                 },
                     '126000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '126999'
                                 },
                     '202000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '202999'
                                 },
                     '62000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '62999'
                                },
                     '715700' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '715799'
                                 },
                     '77000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '77999'
                                },
                     '278000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '278999'
                                 },
                     '870000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '870999'
                                 },
                     '808000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '808999'
                                 },
                     '827000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '827999'
                                 },
                     '500000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '500999'
                                 },
                     '222000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '222999'
                                 },
                     '37000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '37999'
                                },
                     '101000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '101999'
                                 },
                     '134000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '134999'
                                 },
                     '246000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Budget Telecom',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '246999'
                                 },
                     '843000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '843999'
                                 },
                     '156000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '156999'
                                 },
                     '33000' => {
                                  'designation' => 'Universal Access',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '33999'
                                },
                     '275000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Colt',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '275999'
                                 },
                     '263000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Chorus',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '263999'
                                 },
                     '423000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Energis',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '423999'
                                 },
                     '224000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '224999'
                                 },
                     '205000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '205999'
                                 },
                     '848000' => {
                                   'designation' => 'Universal Access',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '848999'
                                 }
                   },
          '404' => {
                     '27000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '27999'
                                },
                     '21000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '21999'
                                },
                     '47000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '47999'
                                },
                     '45000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '45999'
                                },
                     '23000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '23999'
                                },
                     '99000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '99999'
                                },
                     '20000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '20999'
                                },
                     '25000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '25999'
                                },
                     '43000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '43999'
                                },
                     '41000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '41999'
                                },
                     '61000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '61999'
                                },
                     '64000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '64999'
                                },
                     '56000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '56999'
                                },
                     '67000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '67999'
                                },
                     '69000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '69999'
                                },
                     '66000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '66999'
                                },
                     '60000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '60999'
                                },
                     '30000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '30999'
                                },
                     '65000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '65999'
                                },
                     '42000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '42999'
                                },
                     '22000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '22999'
                                },
                     '26000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '26999'
                                },
                     '95000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Wicklow',
                                  'status' => 'Reserved',
                                  'end' => '95999'
                                },
                     '32000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '32999'
                                },
                     '40000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '40999'
                                },
                     '24000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '24999'
                                },
                     '62000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '62999'
                                },
                     '77000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Wicklow',
                                  'status' => 'Reserved',
                                  'end' => '77999'
                                },
                     '46000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '46999'
                                },
                     '49000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '49999'
                                },
                     '28000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '28999'
                                },
                     '63000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '63999'
                                },
                     '29000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '29999'
                                },
                     '31000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '31999'
                                },
                     '48000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '48999'
                                },
                     '44000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '44999'
                                },
                     '68000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Wicklow',
                                  'status' => 'Allocated',
                                  'end' => '68999'
                                }
                   },
          '53' => {
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '39000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '39999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '47000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '47999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '43000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '43999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '61000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '61999'
                               },
                    '54000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '54999'
                               },
                    '64000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '64999'
                               },
                    '53000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '53999'
                               },
                    '74000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '74999'
                               },
                    '91000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '91999'
                               },
                    '56000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '56999'
                               },
                    '67000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '67999'
                               },
                    '58000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '58999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '66999'
                               },
                    '60000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '60999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '65000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '65999'
                               },
                    '42000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '42999'
                               },
                    '78000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '78999'
                               },
                    '55000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '55999'
                               },
                    '59000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '59999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '36999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '40000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '40999'
                               },
                    '57000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '57999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '62000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '62999'
                               },
                    '77000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '77999'
                               },
                    '76000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '76999'
                               },
                    '46000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '46999'
                               },
                    '49000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '49999'
                               },
                    '72000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '72999'
                               },
                    '71000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '71999'
                               },
                    '63000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '63999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '29000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '29999'
                               },
                    '38000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '38999'
                               },
                    '70000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '70999'
                               },
                    '37000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '37999'
                               },
                    '35000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '35999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '51000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '51999'
                               },
                    '52000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '52999'
                               },
                    '75000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '75999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '33999'
                               },
                    '48000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '48999'
                               },
                    '79000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '79999'
                               },
                    '73000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '73999'
                               },
                    '44000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '44999'
                               },
                    '68000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Wexford',
                                 'status' => 'Allocated',
                                 'end' => '68999'
                               }
                  },
          '502' => {
                     '39000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Abbeyleix',
                                  'status' => 'Allocated',
                                  'end' => '39999'
                                },
                     '47000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '47999'
                                },
                     '43000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '43999'
                                },
                     '41000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '41999'
                                },
                     '74000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '74999'
                                },
                     '67000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '67999'
                                },
                     '66000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '66999'
                                },
                     '30000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Abbeyleix',
                                  'status' => 'Allocated',
                                  'end' => '30999'
                                },
                     '65000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '65999'
                                },
                     '42000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '42999'
                                },
                     '78000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '78999'
                                },
                     '22000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '22999'
                                },
                     '26000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '26999'
                                },
                     '84000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '84999'
                                },
                     '36000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Abbeyleix',
                                  'status' => 'Allocated',
                                  'end' => '36999'
                                },
                     '57000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Abbeyleix',
                                  'status' => 'Allocated',
                                  'end' => '57999'
                                },
                     '24000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '24999'
                                },
                     '81000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '81999'
                                },
                     '76000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '76999'
                                },
                     '46000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '46999'
                                },
                     '49000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '49999'
                                },
                     '72000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '72999'
                                },
                     '93000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '93999'
                                },
                     '89000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '89999'
                                },
                     '63000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '63999'
                                },
                     '28000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '28999'
                                },
                     '38000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Abbeyleix',
                                  'status' => 'Allocated',
                                  'end' => '38999'
                                },
                     '92000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '92999'
                                },
                     '82000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '82999'
                                },
                     '97000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '97999'
                                },
                     '35000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Abbeyleix',
                                  'status' => 'Allocated',
                                  'end' => '35999'
                                },
                     '31000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Abbeyleix',
                                  'status' => 'Allocated',
                                  'end' => '31999'
                                },
                     '80000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '80999'
                                },
                     '48000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '48999'
                                },
                     '73000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '73999'
                                },
                     '44000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '44999'
                                },
                     '68000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '68999'
                                },
                     '83000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '83999'
                                },
                     '86000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Portlaoise',
                                  'status' => 'Reserved',
                                  'end' => '86999'
                                },
                     '27000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '27999'
                                },
                     '21000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '21999'
                                },
                     '34000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Abbeyleix',
                                  'status' => 'Allocated',
                                  'end' => '34999'
                                },
                     '23000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '23999'
                                },
                     '45000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '45999'
                                },
                     '99000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '99999'
                                },
                     '96000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '96999'
                                },
                     '20000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '20999'
                                },
                     '25000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '25999'
                                },
                     '61000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '61999'
                                },
                     '53000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Abbeyleix',
                                  'status' => 'Allocated',
                                  'end' => '53999'
                                },
                     '64000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '64999'
                                },
                     '56000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Abbeyleix',
                                  'status' => 'Allocated',
                                  'end' => '56999'
                                },
                     '91000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '91999'
                                },
                     '58000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Abbeyleix',
                                  'status' => 'Allocated',
                                  'end' => '58999'
                                },
                     '69000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '69999'
                                },
                     '60000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '60999'
                                },
                     '55000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Abbeyleix',
                                  'status' => 'Allocated',
                                  'end' => '55999'
                                },
                     '50000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Abbeyleix',
                                  'status' => 'Allocated',
                                  'end' => '50999'
                                },
                     '87000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Portlaoise',
                                  'status' => 'Reserved',
                                  'end' => '87999'
                                },
                     '40000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '40999'
                                },
                     '32000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Abbeyleix',
                                  'status' => 'Allocated',
                                  'end' => '32999'
                                },
                     '88000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '88999'
                                },
                     '62000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '62999'
                                },
                     '71000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '71999'
                                },
                     '29000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '29999'
                                },
                     '70000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '70999'
                                },
                     '37000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Abbeyleix',
                                  'status' => 'Allocated',
                                  'end' => '37999'
                                },
                     '33000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Abbeyleix',
                                  'status' => 'Allocated',
                                  'end' => '33999'
                                },
                     '79000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Portlaoise',
                                  'status' => 'Allocated',
                                  'end' => '79999'
                                }
                   },
          '42' => {
                    '9698000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9698999'
                                 },
                    '9753000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9753999'
                                 },
                    '3100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3199999'
                                 },
                    '9755000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9755999'
                                 },
                    '9670000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9670999'
                                 },
                    '9352000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9352999'
                                 },
                    '9666000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9666999'
                                 },
                    '2100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2199999'
                                 },
                    '4100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4199999'
                                 },
                    '2600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2699999'
                                 },
                    '6821000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '6821999'
                                 },
                    '9668000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9668999'
                                 },
                    '9333000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9333999'
                                 },
                    '9392000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9392999'
                                 },
                    '3400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3499999'
                                 },
                    '9701000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9701999'
                                 },
                    '9330000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9330999'
                                 },
                    '9351000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9351999'
                                 },
                    '9372000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9372999'
                                 },
                    '9382000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9382999'
                                 },
                    '9398000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9398999'
                                 },
                    '3900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3999999'
                                 },
                    '9606000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9606999'
                                 },
                    '4800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4899999'
                                 },
                    '9376000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9376999'
                                 },
                    '9667000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9667999'
                                 },
                    '9710000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9710999'
                                 },
                    '6822000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '6822999'
                                 },
                    '9341000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9341999'
                                 },
                    '9378000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9378999'
                                 },
                    '9350000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9350999'
                                 },
                    '9605000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9605999'
                                 },
                    '9703000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9703999'
                                 },
                    '9692000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9692999'
                                 },
                    '9609000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9609999'
                                 },
                    '9751000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9751999'
                                 },
                    '9380000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9380999'
                                 },
                    '9754000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9754999'
                                 },
                    '2900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2999999'
                                 },
                    '9370000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9370999'
                                 },
                    '4600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4699999'
                                 },
                    '2700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2799999'
                                 },
                    '9391000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9391999'
                                 },
                    '9358000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9358999'
                                 },
                    '4000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4099999'
                                 },
                    '9705000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9705999'
                                 },
                    '4400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4499999'
                                 },
                    '9748000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9748999'
                                 },
                    '9693000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9693999'
                                 },
                    '9359000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9359999'
                                 },
                    '9320000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9320999'
                                 },
                    '9340000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9340999'
                                 },
                    '9357000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9357999'
                                 },
                    '9339000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9339999'
                                 },
                    '9707000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9707999'
                                 },
                    '3700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3799999'
                                 },
                    '9384000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9384999'
                                 },
                    '9749000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9749999'
                                 },
                    '9377000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9377999'
                                 },
                    '9744000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9744999'
                                 },
                    '9671000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9671999'
                                 },
                    '9708000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9708999'
                                 },
                    '9662000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9662999'
                                 },
                    '9321000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9321999'
                                 },
                    '9756000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9756999'
                                 },
                    '9795000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9795999'
                                 },
                    '9397000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9397999'
                                 },
                    '9329000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9329999'
                                 },
                    '6820000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '6820999'
                                 },
                    '9691000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9691999'
                                 },
                    '9325000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9325999'
                                 },
                    '9355000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9355999'
                                 },
                    '9323000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9323999'
                                 },
                    '9741000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9741999'
                                 },
                    '9322000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9322999'
                                 },
                    '9742000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9742999'
                                 },
                    '9602000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9602999'
                                 },
                    '9752000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9752999'
                                 },
                    '9383000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9383999'
                                 },
                    '2400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2499999'
                                 },
                    '9335000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9335999'
                                 },
                    '9385000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9385999'
                                 },
                    '9700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9700999'
                                 },
                    '9353000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9353999'
                                 },
                    '9607000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9607999'
                                 },
                    '9672000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9672999'
                                 },
                    '9371000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9371999'
                                 },
                    '9610000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9610999'
                                 },
                    '9663000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9663999'
                                 },
                    '9690000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9690999'
                                 },
                    '9704000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9704999'
                                 },
                    '9665000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9665999'
                                 },
                    '3200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3299999'
                                 },
                    '4200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4299999'
                                 },
                    '4300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4399999'
                                 },
                    '9332000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9332999'
                                 },
                    '9327000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9327999'
                                 },
                    '9743000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9743999'
                                 },
                    '9673000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9673999'
                                 },
                    '9390000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Energis',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9390999'
                                 },
                    '9747000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9747999'
                                 },
                    '9381000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9381999'
                                 },
                    '9326000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9326999'
                                 },
                    '9336000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9336999'
                                 },
                    '9386000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9386999'
                                 },
                    '9387000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9387999'
                                 },
                    '9337000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9337999'
                                 },
                    '3600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3699999'
                                 },
                    '2200000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2299999'
                                 },
                    '9356000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9356999'
                                 },
                    '9374000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9374999'
                                 },
                    '9400000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9409999'
                                 },
                    '9746000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9746999'
                                 },
                    '9740000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9740999'
                                 },
                    '9379000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9379999'
                                 },
                    '9331000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9331999'
                                 },
                    '9660000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9660999'
                                 },
                    '9601000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9601999'
                                 },
                    '9750000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9750999'
                                 },
                    '2300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2399999'
                                 },
                    '9661000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9661999'
                                 },
                    '3300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3399999'
                                 },
                    '9608000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9608999'
                                 },
                    '2500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2599999'
                                 },
                    '9388000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9388999'
                                 },
                    '9702000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9702999'
                                 },
                    '9334000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9334999'
                                 },
                    '3000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3099999'
                                 },
                    '9600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9600999'
                                 },
                    '9650000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9650999'
                                 },
                    '9310000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9310999'
                                 },
                    '9604000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9604999'
                                 },
                    '9664000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9664999'
                                 },
                    '9395000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9395999'
                                 },
                    '9300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9300999'
                                 },
                    '4500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4599999'
                                 },
                    '9360000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9360999'
                                 },
                    '9706000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9706999'
                                 },
                    '9709000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9709999'
                                 },
                    '9324000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9324999'
                                 },
                    '2800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2899999'
                                 },
                    '9603000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9603999'
                                 },
                    '9393000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9393999'
                                 },
                    '9338000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9338999'
                                 },
                    '9399000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9399999'
                                 },
                    '9328000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9328999'
                                 },
                    '3800000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3899999'
                                 },
                    '2000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2099999'
                                 },
                    '9389000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9389999'
                                 },
                    '9373000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9373999'
                                 },
                    '9375000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9375999'
                                 },
                    '9694000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9694999'
                                 },
                    '9394000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9394999'
                                 },
                    '9354000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9354999'
                                 },
                    '4900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4999999'
                                 },
                    '3500000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3599999'
                                 },
                    '9669000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Carrickmacross',
                                   'status' => 'Allocated',
                                   'end' => '9669999'
                                 },
                    '4700000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4799999'
                                 },
                    '9745000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castleblaney',
                                   'status' => 'Allocated',
                                   'end' => '9745999'
                                 },
                    '9396000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Dundalk',
                                   'status' => 'Allocated',
                                   'end' => '9396999'
                                 }
                  },
          '22' => {
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '47000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '47999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '43000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '43999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '54000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '54999'
                               },
                    '64000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'NTL Communications (Ireland) Ltd',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '64999'
                               },
                    '53000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '53999'
                               },
                    '56000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '56999'
                               },
                    '58000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '58999'
                               },
                    '69000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '69999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '66999'
                               },
                    '60000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '60999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '42000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '42999'
                               },
                    '55000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '55999'
                               },
                    '59000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '59999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               },
                    '50000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '50999'
                               },
                    '40000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '40999'
                               },
                    '57000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '57999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '62000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '62999'
                               },
                    '77000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Mallow',
                                 'status' => 'Reserved',
                                 'end' => '77999'
                               },
                    '46000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '46999'
                               },
                    '49000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '49999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '29000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '29999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '51000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '51999'
                               },
                    '52000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '52999'
                               },
                    '48000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '48999'
                               },
                    '44000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '44999'
                               },
                    '68000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Mallow',
                                 'status' => 'Allocated',
                                 'end' => '68999'
                               }
                  },
          '46' => {
                    '9698000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9698999'
                                 },
                    '9680000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9680999'
                                 },
                    '9123000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9123999'
                                 },
                    '9644000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9644999'
                                 },
                    '9130000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9130999'
                                 },
                    '9937000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9937999'
                                 },
                    '9772000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Edenderry',
                                   'status' => 'Allocated',
                                   'end' => '9772999'
                                 },
                    '9973000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9973999'
                                 },
                    '9612000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9612999'
                                 },
                    '9138000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9138999'
                                 },
                    '9245000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9245999'
                                 },
                    '9194000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9194999'
                                 },
                    '9684000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9684999'
                                 },
                    '9052000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9052999'
                                 },
                    '9922000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9922999'
                                 },
                    '9281000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9281999'
                                 },
                    '9330000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9330999'
                                 },
                    '9110000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9110999'
                                 },
                    '9560000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9560999'
                                 },
                    '6000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6999999'
                                 },
                    '9992000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9992999'
                                 },
                    '9964000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9964999'
                                 },
                    '9642000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9642999'
                                 },
                    '9286000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9286999'
                                 },
                    '9064000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9064999'
                                 },
                    '9198000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9198999'
                                 },
                    '9653000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9653999'
                                 },
                    '9341000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9341999'
                                 },
                    '9021000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9021999'
                                 },
                    '9646000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9646999'
                                 },
                    '9157000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9157999'
                                 },
                    '9350000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9350999'
                                 },
                    '9122000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9122999'
                                 },
                    '9553000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9553999'
                                 },
                    '9114000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9114999'
                                 },
                    '9127000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9127999'
                                 },
                    '9196000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9196999'
                                 },
                    '9072000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9072999'
                                 },
                    '9177000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9177999'
                                 },
                    '9096000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9096999'
                                 },
                    '9115000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9115999'
                                 },
                    '9554000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9554999'
                                 },
                    '9242000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9242999'
                                 },
                    '9391000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9391999'
                                 },
                    '9107000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9107999'
                                 },
                    '9620000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9620999'
                                 },
                    '9191000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9191999'
                                 },
                    '9675000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9675999'
                                 },
                    '9156000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9156999'
                                 },
                    '9693000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9693999'
                                 },
                    '9357000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9357999'
                                 },
                    '9738000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Edenderry',
                                   'status' => 'Allocated',
                                   'end' => '9738999'
                                 },
                    '9321000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9321999'
                                 },
                    '9397000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9397999'
                                 },
                    '9147000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9147999'
                                 },
                    '9117000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9117999'
                                 },
                    '9981000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9981999'
                                 },
                    '9355000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9355999'
                                 },
                    '9192000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9192999'
                                 },
                    '9174000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9174999'
                                 },
                    '9091000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9091999'
                                 },
                    '9941000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9941999'
                                 },
                    '9323000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9323999'
                                 },
                    '9322000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9322999'
                                 },
                    '9153000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9153999'
                                 },
                    '9335000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9335999'
                                 },
                    '9955000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9955999'
                                 },
                    '9385000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9385999'
                                 },
                    '9950000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9950999'
                                 },
                    '9566000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9566999'
                                 },
                    '9920000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9920999'
                                 },
                    '9610000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9610999'
                                 },
                    '9053000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9053999'
                                 },
                    '9121000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9121999'
                                 },
                    '9690000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9690999'
                                 },
                    '9303000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9303999'
                                 },
                    '9098000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9098999'
                                 },
                    '9057000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9057999'
                                 },
                    '9092000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9092999'
                                 },
                    '9318000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9318999'
                                 },
                    '9024000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9024999'
                                 },
                    '9939000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9939999'
                                 },
                    '9112000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9112999'
                                 },
                    '9140000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9140999'
                                 },
                    '9327000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9327999'
                                 },
                    '9629000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9629999'
                                 },
                    '9154000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9154999'
                                 },
                    '9348000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9348999'
                                 },
                    '9948000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9948999'
                                 },
                    '9914000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9914999'
                                 },
                    '9390000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9390999'
                                 },
                    '9244000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9244999'
                                 },
                    '9643000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9643999'
                                 },
                    '9911000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9911999'
                                 },
                    '9144000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9144999'
                                 },
                    '9696000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9696999'
                                 },
                    '9906000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9906999'
                                 },
                    '9636000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9636999'
                                 },
                    '9106000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9106999'
                                 },
                    '9079000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9079999'
                                 },
                    '9293000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9293999'
                                 },
                    '9978000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9978999'
                                 },
                    '9020000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9020999'
                                 },
                    '9637000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9637999'
                                 },
                    '9681000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9681999'
                                 },
                    '9302000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9302999'
                                 },
                    '9095000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9095999'
                                 },
                    '9661000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9661999'
                                 },
                    '9541000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9541999'
                                 },
                    '9168000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9168999'
                                 },
                    '9094000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9094999'
                                 },
                    '9247000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9247999'
                                 },
                    '9650000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9650999'
                                 },
                    '9334000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9334999'
                                 },
                    '3000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3999999'
                                 },
                    '9141000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9141999'
                                 },
                    '9308000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9308999'
                                 },
                    '8000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8999999'
                                 },
                    '9652000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9652999'
                                 },
                    '9619000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9619999'
                                 },
                    '9699000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9699999'
                                 },
                    '9944000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9944999'
                                 },
                    '9654000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9654999'
                                 },
                    '9149000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9149999'
                                 },
                    '9361000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9361999'
                                 },
                    '9399000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9399999'
                                 },
                    '9338000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9338999'
                                 },
                    '2000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2999999'
                                 },
                    '9645000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9645999'
                                 },
                    '9182000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9182999'
                                 },
                    '9487000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9487999'
                                 },
                    '9965000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9965999'
                                 },
                    '9617000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9617999'
                                 },
                    '9974000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9974999'
                                 },
                    '9135000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9135999'
                                 },
                    '9980000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9980999'
                                 },
                    '9908000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9908999'
                                 },
                    '9991000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9991999'
                                 },
                    '9627000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9627999'
                                 },
                    '9345000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9345999'
                                 },
                    '9942000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9942999'
                                 },
                    '9776000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Edenderry',
                                   'status' => 'Allocated',
                                   'end' => '9776999'
                                 },
                    '9074000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9074999'
                                 },
                    '9987000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9987999'
                                 },
                    '9185000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9185999'
                                 },
                    '9151000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9151999'
                                 },
                    '9148000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9148999'
                                 },
                    '9968000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9968999'
                                 },
                    '9352000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9352999'
                                 },
                    '9312000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9312999'
                                 },
                    '9069000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9069999'
                                 },
                    '9634000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9634999'
                                 },
                    '9734000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Edenderry',
                                   'status' => 'Allocated',
                                   'end' => '9734999'
                                 },
                    '9545000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9545999'
                                 },
                    '9567000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9567999'
                                 },
                    '9333000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9333999'
                                 },
                    '9343000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9343999'
                                 },
                    '9392000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9392999'
                                 },
                    '9678000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9678999'
                                 },
                    '9178000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9178999'
                                 },
                    '9183000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9183999'
                                 },
                    '9143000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9143999'
                                 },
                    '9614000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9614999'
                                 },
                    '9155000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9155999'
                                 },
                    '9957000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9957999'
                                 },
                    '9186000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9186999'
                                 },
                    '9486000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9486999'
                                 },
                    '9638000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9638999'
                                 },
                    '9181000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9181999'
                                 },
                    '9628000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9628999'
                                 },
                    '9376000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9376999'
                                 },
                    '9919000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9919999'
                                 },
                    '9993000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9993999'
                                 },
                    '9775000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Edenderry',
                                   'status' => 'Allocated',
                                   'end' => '9775999'
                                 },
                    '9544000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9544999'
                                 },
                    '9686000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9686999'
                                 },
                    '9540000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9540999'
                                 },
                    '9923000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9923999'
                                 },
                    '9692000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9692999'
                                 },
                    '9626000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9626999'
                                 },
                    '9439000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9439999'
                                 },
                    '9609000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9609999'
                                 },
                    '9134000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9134999'
                                 },
                    '9483000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9483999'
                                 },
                    '9150000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9150999'
                                 },
                    '9027000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9027999'
                                 },
                    '9188000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9188999'
                                 },
                    '9165000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9165999'
                                 },
                    '9932000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9932999'
                                 },
                    '9075000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9075999'
                                 },
                    '9683000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9683999'
                                 },
                    '4000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4999999'
                                 },
                    '9912000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9912999'
                                 },
                    '9551000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9551999'
                                 },
                    '9430000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9430999'
                                 },
                    '9022000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9022999'
                                 },
                    '9320000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9320999'
                                 },
                    '9340000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9340999'
                                 },
                    '9359000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9359999'
                                 },
                    '9996000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9996999'
                                 },
                    '9928000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9928999'
                                 },
                    '9685000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9685999'
                                 },
                    '9195000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9195999'
                                 },
                    '9921000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9921999'
                                 },
                    '9979000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9979999'
                                 },
                    '9624000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9624999'
                                 },
                    '9659000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9659999'
                                 },
                    '9613000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9613999'
                                 },
                    '9990000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9990999'
                                 },
                    '9695000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9695999'
                                 },
                    '9026000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9026999'
                                 },
                    '9315000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9315999'
                                 },
                    '9317000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9317999'
                                 },
                    '9126000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9126999'
                                 },
                    '9915000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9915999'
                                 },
                    '9658000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9658999'
                                 },
                    '9078000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9078999'
                                 },
                    '9907000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9907999'
                                 },
                    '9602000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9602999'
                                 },
                    '9934000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9934999'
                                 },
                    '9383000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9383999'
                                 },
                    '9131000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9131999'
                                 },
                    '9913000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9913999'
                                 },
                    '9118000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9118999'
                                 },
                    '9353000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9353999'
                                 },
                    '9672000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9672999'
                                 },
                    '9309000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9309999'
                                 },
                    '9371000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9371999'
                                 },
                    '9097000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9097999'
                                 },
                    '9142000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9142999'
                                 },
                    '9187000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9187999'
                                 },
                    '9679000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9679999'
                                 },
                    '9730000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Edenderry',
                                   'status' => 'Allocated',
                                   'end' => '9730999'
                                 },
                    '9175000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9175999'
                                 },
                    '9056000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9056999'
                                 },
                    '9611000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9611999'
                                 },
                    '9676000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9676999'
                                 },
                    '9998000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9998999'
                                 },
                    '9364000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9364999'
                                 },
                    '9249000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9249999'
                                 },
                    '9641000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9641999'
                                 },
                    '9176000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9176999'
                                 },
                    '9655000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9655999'
                                 },
                    '9958000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9958999'
                                 },
                    '9556000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9556999'
                                 },
                    '9962000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9962999'
                                 },
                    '9747000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Edenderry',
                                   'status' => 'Allocated',
                                   'end' => '9747999'
                                 },
                    '9306000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9306999'
                                 },
                    '9381000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9381999'
                                 },
                    '9770000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Edenderry',
                                   'status' => 'Allocated',
                                   'end' => '9770999'
                                 },
                    '9689000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9689999'
                                 },
                    '9387000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9387999'
                                 },
                    '9363000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9363999'
                                 },
                    '9280000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9280999'
                                 },
                    '9284000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9284999'
                                 },
                    '9077000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9077999'
                                 },
                    '9172000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9172999'
                                 },
                    '9356000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9356999'
                                 },
                    '9916000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9916999'
                                 },
                    '9374000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9374999'
                                 },
                    '9963000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9963999'
                                 },
                    '9484000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9484999'
                                 },
                    '9555000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9555999'
                                 },
                    '9344000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9344999'
                                 },
                    '9972000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9972999'
                                 },
                    '9943000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9943999'
                                 },
                    '9564000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9564999'
                                 },
                    '9608000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9608999'
                                 },
                    '9986000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9986999'
                                 },
                    '9600000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9600999'
                                 },
                    '9562000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9562999'
                                 },
                    '9664000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9664999'
                                 },
                    '9395000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9395999'
                                 },
                    '9199000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9199999'
                                 },
                    '9300000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9300999'
                                 },
                    '9630000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9630999'
                                 },
                    '9063000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9063999'
                                 },
                    '9952000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9952999'
                                 },
                    '9949000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9949999'
                                 },
                    '9068000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9068999'
                                 },
                    '9283000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9283999'
                                 },
                    '9240000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9240999'
                                 },
                    '9951000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9951999'
                                 },
                    '9301000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9301999'
                                 },
                    '9687000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9687999'
                                 },
                    '9557000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9557999'
                                 },
                    '9023000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9023999'
                                 },
                    '9313000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9313999'
                                 },
                    '9909000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9909999'
                                 },
                    '9433000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9433999'
                                 },
                    '9670000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9670999'
                                 },
                    '9666000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9666999'
                                 },
                    '9901000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9901999'
                                 },
                    '9732000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Edenderry',
                                   'status' => 'Allocated',
                                   'end' => '9732999'
                                 },
                    '9649000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9649999'
                                 },
                    '9101000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9101999'
                                 },
                    '9431000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9431999'
                                 },
                    '9647000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9647999'
                                 },
                    '9120000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9120999'
                                 },
                    '9351000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9351999'
                                 },
                    '9372000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9372999'
                                 },
                    '9918000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9918999'
                                 },
                    '9382000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9382999'
                                 },
                    '9622000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9622999'
                                 },
                    '9398000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9398999'
                                 },
                    '9542000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9542999'
                                 },
                    '9606000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9606999'
                                 },
                    '9435000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9435999'
                                 },
                    '9667000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9667999'
                                 },
                    '9066000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9066999'
                                 },
                    '9989000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9989999'
                                 },
                    '9917000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9917999'
                                 },
                    '9380000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9380999'
                                 },
                    '9432000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9432999'
                                 },
                    '9358000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9358999'
                                 },
                    '9125000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9125999'
                                 },
                    '9070000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9070999'
                                 },
                    '9051000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9051999'
                                 },
                    '9145000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9145999'
                                 },
                    '9926000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9926999'
                                 },
                    '9246000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9246999'
                                 },
                    '9384000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9384999'
                                 },
                    '9671000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9671999'
                                 },
                    '9936000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9936999'
                                 },
                    '9137000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9137999'
                                 },
                    '9349000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9349999'
                                 },
                    '9625000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9625999'
                                 },
                    '9931000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9931999'
                                 },
                    '9129000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9129999'
                                 },
                    '9164000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9164999'
                                 },
                    '9995000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9995999'
                                 },
                    '9325000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9325999'
                                 },
                    '9073000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9073999'
                                 },
                    '9025000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9025999'
                                 },
                    '9956000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9956999'
                                 },
                    '9733000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Edenderry',
                                   'status' => 'Allocated',
                                   'end' => '9733999'
                                 },
                    '9982000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9982999'
                                 },
                    '9985000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9985999'
                                 },
                    '9607000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9607999'
                                 },
                    '9946000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9946999'
                                 },
                    '9482000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9482999'
                                 },
                    '9663000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9663999'
                                 },
                    '9116000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9116999'
                                 },
                    '9100000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9100999'
                                 },
                    '9314000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9314999'
                                 },
                    '9938000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9938999'
                                 },
                    '9988000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9988999'
                                 },
                    '9152000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9152999'
                                 },
                    '9930000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9930999'
                                 },
                    '9332000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9332999'
                                 },
                    '9162000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9162999'
                                 },
                    '9054000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9054999'
                                 },
                    '9674000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9674999'
                                 },
                    '9180000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9180999'
                                 },
                    '9346000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9346999'
                                 },
                    '9623000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9623999'
                                 },
                    '9739000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Edenderry',
                                   'status' => 'Allocated',
                                   'end' => '9739999'
                                 },
                    '9326000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9326999'
                                 },
                    '9336000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9336999'
                                 },
                    '9621000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9621999'
                                 },
                    '9900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9900999'
                                 },
                    '9337000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9337999'
                                 },
                    '9065000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9065999'
                                 },
                    '9241000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9241999'
                                 },
                    '9735000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Edenderry',
                                   'status' => 'Allocated',
                                   'end' => '9735999'
                                 },
                    '9616000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9616999'
                                 },
                    '9379000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9379999'
                                 },
                    '9076000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9076999'
                                 },
                    '9305000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9305999'
                                 },
                    '9660000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9660999'
                                 },
                    '9170000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9170999'
                                 },
                    '9109000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9109999'
                                 },
                    '9296000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9296999'
                                 },
                    '9929000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9929999'
                                 },
                    '9971000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9971999'
                                 },
                    '9648000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9648999'
                                 },
                    '9773000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Edenderry',
                                   'status' => 'Allocated',
                                   'end' => '9773999'
                                 },
                    '9282000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9282999'
                                 },
                    '9103000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9103999'
                                 },
                    '9310000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9310999'
                                 },
                    '9999000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9999999'
                                 },
                    '9633000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9633999'
                                 },
                    '9631000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9631999'
                                 },
                    '9124000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9124999'
                                 },
                    '9307000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9307999'
                                 },
                    '9324000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9324999'
                                 },
                    '9366000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9366999'
                                 },
                    '9369000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9369999'
                                 },
                    '9061000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9061999'
                                 },
                    '9552000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9552999'
                                 },
                    '9328000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9328999'
                                 },
                    '9635000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9635999'
                                 },
                    '9489000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9489999'
                                 },
                    '9093000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9093999'
                                 },
                    '9368000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9368999'
                                 },
                    '9373000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9373999'
                                 },
                    '9975000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9975999'
                                 },
                    '9028000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9028999'
                                 },
                    '9161000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9161999'
                                 },
                    '9159000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9159999'
                                 },
                    '9933000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9933999'
                                 },
                    '9193000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9193999'
                                 },
                    '9438000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9438999'
                                 },
                    '9925000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9925999'
                                 },
                    '9565000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9565999'
                                 },
                    '9697000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9697999'
                                 },
                    '9736000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Edenderry',
                                   'status' => 'Allocated',
                                   'end' => '9736999'
                                 },
                    '9969000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9969999'
                                 },
                    '9347000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9347999'
                                 },
                    '9910000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9910999'
                                 },
                    '9953000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9953999'
                                 },
                    '9970000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9970999'
                                 },
                    '5000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5999999'
                                 },
                    '9927000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9927999'
                                 },
                    '9668000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9668999'
                                 },
                    '9976000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9976999'
                                 },
                    '9111000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9111999'
                                 },
                    '9935000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9935999'
                                 },
                    '9132000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9132999'
                                 },
                    '9548000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9548999'
                                 },
                    '9984000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9984999'
                                 },
                    '9128000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9128999'
                                 },
                    '9304000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9304999'
                                 },
                    '9166000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9166999'
                                 },
                    '9904000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9904999'
                                 },
                    '9173000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9173999'
                                 },
                    '9055000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9055999'
                                 },
                    '9362000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9362999'
                                 },
                    '9060000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9060999'
                                 },
                    '9378000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9378999'
                                 },
                    '9605000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9605999'
                                 },
                    '9905000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9905999'
                                 },
                    '9167000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9167999'
                                 },
                    '9774000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Edenderry',
                                   'status' => 'Allocated',
                                   'end' => '9774999'
                                 },
                    '9940000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9940999'
                                 },
                    '9954000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9954999'
                                 },
                    '9316000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9316999'
                                 },
                    '9688000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9688999'
                                 },
                    '9113000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9113999'
                                 },
                    '9370000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9370999'
                                 },
                    '9924000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9924999'
                                 },
                    '9136000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9136999'
                                 },
                    '9618000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9618999'
                                 },
                    '9179000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9179999'
                                 },
                    '9285000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9285999'
                                 },
                    '9184000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9184999'
                                 },
                    '9339000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9339999'
                                 },
                    '9657000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9657999'
                                 },
                    '9169000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9169999'
                                 },
                    '9682000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9682999'
                                 },
                    '9977000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9977999'
                                 },
                    '9090000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9090999'
                                 },
                    '9377000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9377999'
                                 },
                    '9319000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9319999'
                                 },
                    '9437000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9437999'
                                 },
                    '9640000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9640999'
                                 },
                    '9071000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9071999'
                                 },
                    '9662000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9662999'
                                 },
                    '9329000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9329999'
                                 },
                    '9959000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9959999'
                                 },
                    '9365000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9365999'
                                 },
                    '9342000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9342999'
                                 },
                    '9059000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9059999'
                                 },
                    '9158000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9158999'
                                 },
                    '9691000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9691999'
                                 },
                    '9677000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9677999'
                                 },
                    '7000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7999999'
                                 },
                    '9105000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9105999'
                                 },
                    '9903000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9903999'
                                 },
                    '9997000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9997999'
                                 },
                    '9488000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9488999'
                                 },
                    '9139000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9139999'
                                 },
                    '9558000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9558999'
                                 },
                    '9665000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9665999'
                                 },
                    '9171000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9171999'
                                 },
                    '9189000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9189999'
                                 },
                    '9731000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Edenderry',
                                   'status' => 'Allocated',
                                   'end' => '9731999'
                                 },
                    '9050000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9050999'
                                 },
                    '9108000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9108999'
                                 },
                    '9119000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9119999'
                                 },
                    '9673000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9673999'
                                 },
                    '9067000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9067999'
                                 },
                    '9632000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9632999'
                                 },
                    '9902000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9902999'
                                 },
                    '9737000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Edenderry',
                                   'status' => 'Allocated',
                                   'end' => '9737999'
                                 },
                    '9386000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9386999'
                                 },
                    '9102000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9102999'
                                 },
                    '9367000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9367999'
                                 },
                    '9481000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9481999'
                                 },
                    '9966000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9966999'
                                 },
                    '9243000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9243999'
                                 },
                    '9961000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9961999'
                                 },
                    '9436000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9436999'
                                 },
                    '9639000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9639999'
                                 },
                    '9651000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9651999'
                                 },
                    '9331000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9331999'
                                 },
                    '9197000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9197999'
                                 },
                    '9549000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9549999'
                                 },
                    '9983000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9983999'
                                 },
                    '9601000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9601999'
                                 },
                    '9160000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9160999'
                                 },
                    '9947000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9947999'
                                 },
                    '9146000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9146999'
                                 },
                    '9388000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9388999'
                                 },
                    '9960000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9960999'
                                 },
                    '9994000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9994999'
                                 },
                    '9248000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Kells',
                                   'status' => 'Allocated',
                                   'end' => '9248999'
                                 },
                    '9604000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9604999'
                                 },
                    '9360000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9360999'
                                 },
                    '9062000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9062999'
                                 },
                    '9603000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9603999'
                                 },
                    '9393000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9393999'
                                 },
                    '9434000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Trim',
                                   'status' => 'Allocated',
                                   'end' => '9434999'
                                 },
                    '9104000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9104999'
                                 },
                    '9190000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9190999'
                                 },
                    '9389000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9389999'
                                 },
                    '9945000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9945999'
                                 },
                    '9375000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9375999'
                                 },
                    '9546000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9546999'
                                 },
                    '9967000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9967999'
                                 },
                    '9394000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9394999'
                                 },
                    '9694000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9694999'
                                 },
                    '9354000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9354999'
                                 },
                    '9163000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9163999'
                                 },
                    '9543000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Enfield',
                                   'status' => 'Allocated',
                                   'end' => '9543999'
                                 },
                    '9029000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Navan',
                                   'status' => 'Allocated',
                                   'end' => '9029999'
                                 },
                    '9669000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9669999'
                                 },
                    '9656000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9656999'
                                 },
                    '9311000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9311999'
                                 },
                    '9133000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9133999'
                                 },
                    '9396000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9396999'
                                 },
                    '9615000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9615999'
                                 }
                  },
          '23' => {
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '39000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '39999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '47000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '47999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '43000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '43999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '61000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '61999'
                               },
                    '54000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '54999'
                               },
                    '53000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '53999'
                               },
                    '74000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '74999'
                               },
                    '56000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '56999'
                               },
                    '58000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '58999'
                               },
                    '60000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '60999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '42000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '42999'
                               },
                    '55000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '55999'
                               },
                    '59000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '59999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '36999'
                               },
                    '50000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '50999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '40000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '40999'
                               },
                    '57000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '57999'
                               },
                    '88000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Bandon',
                                 'status' => 'Reserved',
                                 'end' => '88999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '62000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '62999'
                               },
                    '46000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '46999'
                               },
                    '49000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '49999'
                               },
                    '72000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '72999'
                               },
                    '71000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '71999'
                               },
                    '63000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '63999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '29000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '29999'
                               },
                    '38000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '38999'
                               },
                    '70000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '70999'
                               },
                    '37000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '37999'
                               },
                    '35000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '35999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '51000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '51999'
                               },
                    '52000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '52999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '33999'
                               },
                    '48000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '48999'
                               },
                    '73000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '73999'
                               },
                    '44000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Bandon',
                                 'status' => 'Allocated',
                                 'end' => '44999'
                               }
                  },
          '96' => {
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '47000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '47999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Ballina',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '43000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '43999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '53000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '53999'
                               },
                    '74000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '74999'
                               },
                    '91000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Ballina',
                                 'status' => 'Reserved',
                                 'end' => '91999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Ballina',
                                 'status' => 'Reserved',
                                 'end' => '66999'
                               },
                    '60000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '60999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '42000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '42999'
                               },
                    '78000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '78999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '36999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '40000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '40999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '77000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '77999'
                               },
                    '76000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '76999'
                               },
                    '49000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '49999'
                               },
                    '72000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '72999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '71000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '71999'
                               },
                    '29000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '29999'
                               },
                    '38000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '38999'
                               },
                    '70000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '70999'
                               },
                    '37000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '37999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '51000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '51999'
                               },
                    '75000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '75999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '33999'
                               },
                    '79000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '79999'
                               },
                    '73000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Ballina',
                                 'status' => 'Allocated',
                                 'end' => '73999'
                               }
                  },
          '85' => {
                    '7030000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7039999'
                                 },
                    '8600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8699999'
                                 },
                    '1400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1499999'
                                 },
                    '1600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1699999'
                                 },
                    '58950000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58959999'
                                  },
                    '57900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57999999'
                                  },
                    '3400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3499999'
                                 },
                    '6000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6099999'
                                 },
                    '58930000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58939999'
                                  },
                    '6300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6399999'
                                 },
                    '58920000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58929999'
                                  },
                    '51600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51699999'
                                  },
                    '3900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3999999'
                                 },
                    '7400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7499999'
                                 },
                    '58990000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58999999'
                                  },
                    '200000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '299999'
                                },
                    '58960000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58969999'
                                  },
                    '55780000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55789999'
                                  },
                    '57010000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57019999'
                                  },
                    '8940000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8949999'
                                 },
                    '7090000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7099999'
                                 },
                    '1800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1899999'
                                 },
                    '7900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7999999'
                                 },
                    '53800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53899999'
                                  },
                    '100000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '199999'
                                },
                    '7300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7399999'
                                 },
                    '55300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55399999'
                                  },
                    '51100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51199999'
                                  },
                    '50700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '50799999'
                                  },
                    '52100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52199999'
                                  },
                    '57500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57599999'
                                  },
                    '57030000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57039999'
                                  },
                    '5300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5399999'
                                 },
                    '57060000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57069999'
                                  },
                    '4600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4699999'
                                 },
                    '51200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51299999'
                                  },
                    '5780000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5789999'
                                 },
                    '2700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2799999'
                                 },
                    '50900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '50999999'
                                  },
                    '8990000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8999999'
                                 },
                    '52000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52099999'
                                  },
                    '4400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4499999'
                                 },
                    '56200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56299999'
                                  },
                    '58000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58099999'
                                  },
                    '8700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8799999'
                                 },
                    '57070000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57079999'
                                  },
                    '57800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57899999'
                                  },
                    '55700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55799999'
                                  },
                    '52200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52299999'
                                  },
                    '51400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '51499999'
                                  },
                    '55701000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55701999'
                                  },
                    '0' => {
                             'designation' => 'Mobile',
                             'licensee' => '',
                             'location' => 'Not Applicable',
                             'status' => 'Reserved',
                             'end' => '99999'
                           },
                    '58100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58199999'
                                  },
                    '7080000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7089999'
                                 },
                    '8200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8299999'
                                 },
                    '5900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5999999'
                                 },
                    '53400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53499999'
                                  },
                    '9950000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9959999'
                                 },
                    '9700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9799999'
                                 },
                    '58910000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58919999'
                                  },
                    '6700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6799999'
                                 },
                    '55330000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55339999'
                                  },
                    '59500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59599999'
                                  },
                    '5700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5799999'
                                 },
                    '9920000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9929999'
                                 },
                    '9100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9199999'
                                 },
                    '53500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53599999'
                                  },
                    '56700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56799999'
                                  },
                    '58200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58299999'
                                  },
                    '55150000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55159999'
                                  },
                    '900000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '999999'
                                },
                    '1700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1799999'
                                 },
                    '9930000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9939999'
                                 },
                    '6800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6899999'
                                 },
                    '7020000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7029999'
                                 },
                    '6400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6499999'
                                 },
                    '57080000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57089999'
                                  },
                    '55800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55899999'
                                  },
                    '5730000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '5739999'
                                 },
                    '56100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56199999'
                                  },
                    '5200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5299999'
                                 },
                    '53100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53199999'
                                  },
                    '59910000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59919999'
                                  },
                    '59100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59199999'
                                  },
                    '400000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '499999'
                                },
                    '5100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5199999'
                                 },
                    '58300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58399999'
                                  },
                    '9900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9909999'
                                 },
                    '59000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59099999'
                                  },
                    '53700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53799999'
                                  },
                    '59700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59799999'
                                  },
                    '53200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53299999'
                                  },
                    '9400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9499999'
                                 },
                    '59980000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59989999'
                                  },
                    '8980000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8989999'
                                 },
                    '6600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6699999'
                                 },
                    '8400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8499999'
                                 },
                    '55710000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55719999'
                                  },
                    '53000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53099999'
                                  },
                    '1300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1399999'
                                 },
                    '2300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2399999'
                                 },
                    '56400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56499999'
                                  },
                    '54400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54499999'
                                  },
                    '3000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3099999'
                                 },
                    '58980000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58989999'
                                  },
                    '58500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58599999'
                                  },
                    '8000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8099999'
                                 },
                    '59900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59909999'
                                  },
                    '5709000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5709999'
                                 },
                    '5500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5599999'
                                 },
                    '8950000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8959999'
                                 },
                    '54000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54099999'
                                  },
                    '55400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55499999'
                                  },
                    '54900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54999999'
                                  },
                    '2800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2899999'
                                 },
                    '8300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8399999'
                                 },
                    '51800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51899999'
                                  },
                    '5350000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5359999'
                                 },
                    '3800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3899999'
                                 },
                    '2000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2099999'
                                 },
                    '55730000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => '',
                                    'status' => 'Allocated',
                                    'end' => '55739999'
                                  },
                    '5701000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5701999'
                                 },
                    '800000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '899999'
                                },
                    '51700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51799999'
                                  },
                    '4900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4999999'
                                 },
                    '9980000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9989999'
                                 },
                    '9500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9599999'
                                 },
                    '4700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4799999'
                                 },
                    '5330000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5339999'
                                 },
                    '55600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55699999'
                                  },
                    '300000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '399999'
                                },
                    '1100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1199999'
                                 },
                    '57090000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57099999'
                                  },
                    '5720000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => '',
                                   'status' => 'Allocated',
                                   'end' => '5729999'
                                 },
                    '9000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9099999'
                                 },
                    '3100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3199999'
                                 },
                    '52900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52999999'
                                  },
                    '59920000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59929999'
                                  },
                    '9910000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9919999'
                                 },
                    '2100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2199999'
                                 },
                    '51300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51399999'
                                  },
                    '58400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58499999'
                                  },
                    '9970000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9979999'
                                 },
                    '4100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4199999'
                                 },
                    '50500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '50599999'
                                  },
                    '2600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2699999'
                                 },
                    '5000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5099999'
                                 },
                    '8100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8199999'
                                 },
                    '57200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57299999'
                                  },
                    '53600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53699999'
                                  },
                    '55170000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55179999'
                                  },
                    '58940000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58949999'
                                  },
                    '6900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6999999'
                                 },
                    '1200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1299999'
                                 },
                    '1900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1999999'
                                 },
                    '58800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58899999'
                                  },
                    '57020000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57029999'
                                  },
                    '55130000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55139999'
                                  },
                    '54700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54799999'
                                  },
                    '4800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4899999'
                                 },
                    '56300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56399999'
                                  },
                    '53900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53999999'
                                  },
                    '6200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6299999'
                                 },
                    '51900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51999999'
                                  },
                    '55720000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => '',
                                    'status' => 'Allocated',
                                    'end' => '55729999'
                                  },
                    '59300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59399999'
                                  },
                    '55500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55599999'
                                  },
                    '600000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '699999'
                                },
                    '9940000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9949999'
                                 },
                    '59600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59699999'
                                  },
                    '9200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9299999'
                                 },
                    '2900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2999999'
                                 },
                    '7060000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7069999'
                                 },
                    '7070000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7079999'
                                 },
                    '59960000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59969999'
                                  },
                    '55350000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55359999'
                                  },
                    '56600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56699999'
                                  },
                    '52400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52499999'
                                  },
                    '57300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57399999'
                                  },
                    '52700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52799999'
                                  },
                    '5340000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5349999'
                                 },
                    '5800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5899999'
                                 },
                    '4000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4099999'
                                 },
                    '5130000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5139999'
                                 },
                    '54600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54699999'
                                  },
                    '6500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6599999'
                                 },
                    '54500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54599999'
                                  },
                    '57600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57699999'
                                  },
                    '7040000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7049999'
                                 },
                    '58900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58909999'
                                  },
                    '3700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3799999'
                                 },
                    '54200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54299999'
                                  },
                    '55100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55199999'
                                  },
                    '57100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57199999'
                                  },
                    '58600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58699999'
                                  },
                    '8900000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8909999'
                                 },
                    '7100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7199999'
                                 },
                    '5600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5699999'
                                 },
                    '9990000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9999999'
                                 },
                    '59990000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59999999'
                                  },
                    '8960000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8969999'
                                 },
                    '56500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56599999'
                                  },
                    '58970000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58979999'
                                  },
                    '2400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2499999'
                                 },
                    '7000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7009999'
                                 },
                    '1500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '1599999'
                                 },
                    '51000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51099999'
                                  },
                    '6100000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '6199999'
                                 },
                    '52800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52899999'
                                  },
                    '58700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '58799999'
                                  },
                    '8920000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8929999'
                                 },
                    '8800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8899999'
                                 },
                    '8910000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8919999'
                                 },
                    '54100000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54199999'
                                  },
                    '7050000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7059999'
                                 },
                    '1000000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '1099999'
                                 },
                    '8500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8599999'
                                 },
                    '59930000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59939999'
                                  },
                    '54300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54399999'
                                  },
                    '3200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3299999'
                                 },
                    '52300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52399999'
                                  },
                    '4200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4299999'
                                 },
                    '4300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4399999'
                                 },
                    '59400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59499999'
                                  },
                    '54800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '54899999'
                                  },
                    '5370000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5379999'
                                 },
                    '56000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56099999'
                                  },
                    '59950000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59959999'
                                  },
                    '7500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7599999'
                                 },
                    '7700000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7799999'
                                 },
                    '57000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57009999'
                                  },
                    '8970000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8979999'
                                 },
                    '3600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3699999'
                                 },
                    '5710000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '5719999'
                                 },
                    '2200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2299999'
                                 },
                    '59200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59299999'
                                  },
                    '57700000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '57799999'
                                  },
                    '55370000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55379999'
                                  },
                    '55340000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55349999'
                                  },
                    '59940000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59949999'
                                  },
                    '59800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59899999'
                                  },
                    '8930000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '8939999'
                                 },
                    '55709000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '55709999'
                                  },
                    '55200000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55299999'
                                  },
                    '3300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3399999'
                                 },
                    '55000000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55099999'
                                  },
                    '2500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '2599999'
                                 },
                    '51500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '51599999'
                                  },
                    '9600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9699999'
                                 },
                    '9960000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9969999'
                                 },
                    '5400000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '5499999'
                                 },
                    '700000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '799999'
                                },
                    '7800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7899999'
                                 },
                    '56900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56999999'
                                  },
                    '9300000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9399999'
                                 },
                    '4500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '4599999'
                                 },
                    '55900000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '55999999'
                                  },
                    '57400000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57499999'
                                  },
                    '9800000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '9899999'
                                 },
                    '59970000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '59979999'
                                  },
                    '3500000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '3599999'
                                 },
                    '5170000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5179999'
                                 },
                    '57040000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57049999'
                                  },
                    '57050000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => 'Meteor',
                                    'location' => 'Not Applicable',
                                    'status' => 'Allocated',
                                    'end' => '57059999'
                                  },
                    '7600000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => 'Not Applicable',
                                   'status' => 'Reserved',
                                   'end' => '7699999'
                                 },
                    '500000' => {
                                  'designation' => 'Mobile',
                                  'licensee' => '',
                                  'location' => 'Not Applicable',
                                  'status' => 'Reserved',
                                  'end' => '599999'
                                },
                    '56800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '56899999'
                                  },
                    '7010000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7019999'
                                 },
                    '7200000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => 'Meteor',
                                   'location' => 'Not Applicable',
                                   'status' => 'Allocated',
                                   'end' => '7299999'
                                 },
                    '5120000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5129999'
                                 },
                    '5150000' => {
                                   'designation' => 'Mobile',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5159999'
                                 },
                    '53300000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '53399999'
                                  },
                    '52500000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52599999'
                                  },
                    '52600000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '52699999'
                                  },
                    '50800000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => 'Not Applicable',
                                    'status' => 'Reserved',
                                    'end' => '50899999'
                                  },
                    '55120000' => {
                                    'designation' => 'Mobile',
                                    'licensee' => '',
                                    'location' => '',
                                    'status' => 'Reserved',
                                    'end' => '55129999'
                                  }
                  },
          '3' => {
                   '0' => {
                            'designation' => 'Geographic',
                            'licensee' => '',
                            'location' => '',
                            'status' => 'Reserved',
                            'end' => '9999999'
                          }
                 },
          '94' => {
                    '9909000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9909999'
                                 },
                    '9860000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9860999'
                                 },
                    '9035000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9035999'
                                 },
                    '9969000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9969999'
                                 },
                    '9861000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9861999'
                                 },
                    '9644000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9644999'
                                 },
                    '9968000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9968999'
                                 },
                    '9937000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9937999'
                                 },
                    '9973000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9973999'
                                 },
                    '9901000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9901999'
                                 },
                    '9634000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9634999'
                                 },
                    '9910000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9910999'
                                 },
                    '9545000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinrobe',
                                   'status' => 'Allocated',
                                   'end' => '9545999'
                                 },
                    '9970000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9970999'
                                 },
                    '9953000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9953999'
                                 },
                    '9251000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9251999'
                                 },
                    '9927000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9927999'
                                 },
                    '9043000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9043999'
                                 },
                    '5000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '5999999'
                                 },
                    '9976000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9976999'
                                 },
                    '9922000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9922999'
                                 },
                    '9289000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9289999'
                                 },
                    '9935000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9935999'
                                 },
                    '9649000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9649999'
                                 },
                    '9548000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinrobe',
                                   'status' => 'Allocated',
                                   'end' => '9548999'
                                 },
                    '9984000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9984999'
                                 },
                    '9877000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9877999'
                                 },
                    '9647000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9647999'
                                 },
                    '6000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '6999999'
                                 },
                    '9918000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9918999'
                                 },
                    '9372000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9372999'
                                 },
                    '9992000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9992999'
                                 },
                    '9622000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9622999'
                                 },
                    '9382000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9382999'
                                 },
                    '9542000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinrobe',
                                   'status' => 'Allocated',
                                   'end' => '9542999'
                                 },
                    '9957000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9957999'
                                 },
                    '9904000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9904999'
                                 },
                    '9638000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9638999'
                                 },
                    '9362000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9362999'
                                 },
                    '9964000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9964999'
                                 },
                    '9628000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9628999'
                                 },
                    '9376000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9376999'
                                 },
                    '9919000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9919999'
                                 },
                    '9527000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Ballinrobe',
                                   'status' => 'Allocated',
                                   'end' => '9527999'
                                 },
                    '9286000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9286999'
                                 },
                    '9255000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9255999'
                                 },
                    '9993000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9993999'
                                 },
                    '9544000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinrobe',
                                   'status' => 'Allocated',
                                   'end' => '9544999'
                                 },
                    '9521000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinrobe',
                                   'status' => 'Allocated',
                                   'end' => '9521999'
                                 },
                    '9252000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9252999'
                                 },
                    '9989000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9989999'
                                 },
                    '9021000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9021999'
                                 },
                    '9646000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9646999'
                                 },
                    '9378000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9378999'
                                 },
                    '9291000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9291999'
                                 },
                    '9540000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinrobe',
                                   'status' => 'Allocated',
                                   'end' => '9540999'
                                 },
                    '9923000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9923999'
                                 },
                    '9917000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9917999'
                                 },
                    '9905000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9905999'
                                 },
                    '9873000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9873999'
                                 },
                    '9626000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9626999'
                                 },
                    '9380000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9380999'
                                 },
                    '9954000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9954999'
                                 },
                    '9940000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9940999'
                                 },
                    '9027000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9027999'
                                 },
                    '9932000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9932999'
                                 },
                    '9924000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9924999'
                                 },
                    '9370000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9370999'
                                 },
                    '9257000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9257999'
                                 },
                    '9525000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Ballinrobe',
                                   'status' => 'Allocated',
                                   'end' => '9525999'
                                 },
                    '9037000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9037999'
                                 },
                    '4000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '4999999'
                                 },
                    '9912000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9912999'
                                 },
                    '9620000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9620999'
                                 },
                    '9045000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9045999'
                                 },
                    '9866000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9866999'
                                 },
                    '9051000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9051999'
                                 },
                    '9926000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9926999'
                                 },
                    '9022000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9022999'
                                 },
                    '9285000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9285999'
                                 },
                    '9996000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9996999'
                                 },
                    '9977000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9977999'
                                 },
                    '9862000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9862999'
                                 },
                    '9928000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9928999'
                                 },
                    '9042000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9042999'
                                 },
                    '9384000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9384999'
                                 },
                    '9377000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9377999'
                                 },
                    '9640000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9640999'
                                 },
                    '9936000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9936999'
                                 },
                    '9921000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9921999'
                                 },
                    '9979000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9979999'
                                 },
                    '9624000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9624999'
                                 },
                    '9659000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9659999'
                                 },
                    '9258000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9258999'
                                 },
                    '9959000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9959999'
                                 },
                    '9625000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9625999'
                                 },
                    '9365000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9365999'
                                 },
                    '9990000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9990999'
                                 },
                    '9931000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9931999'
                                 },
                    '9026000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9026999'
                                 },
                    '9995000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9995999'
                                 },
                    '9981000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9981999'
                                 },
                    '9915000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9915999'
                                 },
                    '9874000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9874999'
                                 },
                    '9038000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9038999'
                                 },
                    '9025000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9025999'
                                 },
                    '9941000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9941999'
                                 },
                    '9907000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9907999'
                                 },
                    '9049000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9049999'
                                 },
                    '9956000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9956999'
                                 },
                    '9934000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9934999'
                                 },
                    '9383000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9383999'
                                 },
                    '9864000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9864999'
                                 },
                    '7000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '7999999'
                                 },
                    '9955000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9955999'
                                 },
                    '9982000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9982999'
                                 },
                    '9950000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9950999'
                                 },
                    '9913000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9913999'
                                 },
                    '9044000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9044999'
                                 },
                    '9985000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9985999'
                                 },
                    '9903000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9903999'
                                 },
                    '9888000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9888999'
                                 },
                    '9997000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9997999'
                                 },
                    '9371000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9371999'
                                 },
                    '9946000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9946999'
                                 },
                    '9920000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9920999'
                                 },
                    '9287000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9287999'
                                 },
                    '9881000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9881999'
                                 },
                    '9885000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9885999'
                                 },
                    '9528000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Ballinrobe',
                                   'status' => 'Allocated',
                                   'end' => '9528999'
                                 },
                    '9938000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9938999'
                                 },
                    '9872000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9872999'
                                 },
                    '9048000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9048999'
                                 },
                    '9030000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9030999'
                                 },
                    '9988000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9988999'
                                 },
                    '9024000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9024999'
                                 },
                    '9930000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9930999'
                                 },
                    '9875000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9875999'
                                 },
                    '9047000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9047999'
                                 },
                    '9939000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9939999'
                                 },
                    '9876000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9876999'
                                 },
                    '9629000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9629999'
                                 },
                    '9998000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9998999'
                                 },
                    '9050000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9050999'
                                 },
                    '9364000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9364999'
                                 },
                    '9031000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9031999'
                                 },
                    '9520000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinrobe',
                                   'status' => 'Allocated',
                                   'end' => '9520999'
                                 },
                    '9641000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9641999'
                                 },
                    '9948000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9948999'
                                 },
                    '9259000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9259999'
                                 },
                    '9914000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9914999'
                                 },
                    '9643000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9643999'
                                 },
                    '9911000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9911999'
                                 },
                    '9623000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9623999'
                                 },
                    '9655000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9655999'
                                 },
                    '9958000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9958999'
                                 },
                    '9632000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9632999'
                                 },
                    '9962000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9962999'
                                 },
                    '9902000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9902999'
                                 },
                    '9381000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9381999'
                                 },
                    '9547000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinrobe',
                                   'status' => 'Allocated',
                                   'end' => '9547999'
                                 },
                    '9621000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9621999'
                                 },
                    '9046000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9046999'
                                 },
                    '9900000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9900999'
                                 },
                    '9524000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Ballinrobe',
                                   'status' => 'Allocated',
                                   'end' => '9524999'
                                 },
                    '9363000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9363999'
                                 },
                    '9884000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9884999'
                                 },
                    '9367000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9367999'
                                 },
                    '9883000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9883999'
                                 },
                    '9966000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9966999'
                                 },
                    '9253000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9253999'
                                 },
                    '9916000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9916999'
                                 },
                    '9374000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9374999'
                                 },
                    '9961000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9961999'
                                 },
                    '9906000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9906999'
                                 },
                    '9636000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9636999'
                                 },
                    '9639000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9639999'
                                 },
                    '9878000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9878999'
                                 },
                    '9651000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9651999'
                                 },
                    '9963000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9963999'
                                 },
                    '9978000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9978999'
                                 },
                    '9250000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9250999'
                                 },
                    '9020000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9020999'
                                 },
                    '9549000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinrobe',
                                   'status' => 'Allocated',
                                   'end' => '9549999'
                                 },
                    '9637000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9637999'
                                 },
                    '9983000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9983999'
                                 },
                    '9972000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9972999'
                                 },
                    '9943000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9943999'
                                 },
                    '9929000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9929999'
                                 },
                    '9971000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9971999'
                                 },
                    '9032000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9032999'
                                 },
                    '9947000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9947999'
                                 },
                    '9541000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinrobe',
                                   'status' => 'Allocated',
                                   'end' => '9541999'
                                 },
                    '9648000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9648999'
                                 },
                    '9880000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9880999'
                                 },
                    '9388000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9388999'
                                 },
                    '9986000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9986999'
                                 },
                    '9254000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9254999'
                                 },
                    '9882000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9882999'
                                 },
                    '3000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '3999999'
                                 },
                    '9960000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9960999'
                                 },
                    '9994000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9994999'
                                 },
                    '8000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '8999999'
                                 },
                    '9879000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9879999'
                                 },
                    '9999000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9999999'
                                 },
                    '9360000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9360999'
                                 },
                    '9633000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9633999'
                                 },
                    '9033000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9033999'
                                 },
                    '9630000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9630999'
                                 },
                    '9631000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9631999'
                                 },
                    '9944000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9944999'
                                 },
                    '9369000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Chorus',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9369999'
                                 },
                    '9366000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9366999'
                                 },
                    '9361000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9361999'
                                 },
                    '9034000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9034999'
                                 },
                    '9635000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9635999'
                                 },
                    '2000000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '2999999'
                                 },
                    '9952000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9952999'
                                 },
                    '9949000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9949999'
                                 },
                    '9368000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9368999'
                                 },
                    '9945000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9945999'
                                 },
                    '9373000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9373999'
                                 },
                    '9975000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9975999'
                                 },
                    '9967000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9967999'
                                 },
                    '9965000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9965999'
                                 },
                    '9375000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Claremorris',
                                   'status' => 'Allocated',
                                   'end' => '9375999'
                                 },
                    '9546000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinrobe',
                                   'status' => 'Allocated',
                                   'end' => '9546999'
                                 },
                    '9974000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9974999'
                                 },
                    '9028000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9028999'
                                 },
                    '9543000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Ballinrobe',
                                   'status' => 'Allocated',
                                   'end' => '9543999'
                                 },
                    '9980000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9980999'
                                 },
                    '9908000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9908999'
                                 },
                    '9522000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Ballinrobe',
                                   'status' => 'Allocated',
                                   'end' => '9522999'
                                 },
                    '9040000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'MCI',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9040999'
                                 },
                    '9029000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9029999'
                                 },
                    '9991000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9991999'
                                 },
                    '9627000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9627999'
                                 },
                    '9942000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9942999'
                                 },
                    '9036000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Esat BT',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9036999'
                                 },
                    '9933000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9933999'
                                 },
                    '9987000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9987999'
                                 },
                    '9951000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9951999'
                                 },
                    '9256000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9256999'
                                 },
                    '9871000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9871999'
                                 },
                    '9886000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9886999'
                                 },
                    '9870000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9870999'
                                 },
                    '9023000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9023999'
                                 },
                    '9889000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9889999'
                                 },
                    '9039000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'NTL Communications (Ireland) Ltd',
                                   'location' => 'Castlebar',
                                   'status' => 'Allocated',
                                   'end' => '9039999'
                                 },
                    '9925000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => '',
                                   'location' => '',
                                   'status' => 'Reserved',
                                   'end' => '9925999'
                                 },
                    '9887000' => {
                                   'designation' => 'Geographic',
                                   'licensee' => 'Eircom',
                                   'location' => 'Castlerea',
                                   'status' => 'Allocated',
                                   'end' => '9887999'
                                 }
                  },
          '51' => {
                    '930000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '939999'
                                },
                    '270000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Kilmacthomas',
                                  'status' => 'Allocated',
                                  'end' => '270999'
                                },
                    '324000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '324999'
                                },
                    '370000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '379999'
                                },
                    '342000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '342999'
                                },
                    '328000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Energis',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '328999'
                                },
                    '310000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '319999'
                                },
                    '970000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '979999'
                                },
                    '322000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '322999'
                                },
                    '560000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '569999'
                                },
                    '440000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'New Ross',
                                  'status' => 'Allocated',
                                  'end' => '449999'
                                },
                    '323000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '323999'
                                },
                    '340000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '340999'
                                },
                    '290000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Kilmacthomas',
                                  'status' => 'Allocated',
                                  'end' => '299999'
                                },
                    '330000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '339999'
                                },
                    '346000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '346999'
                                },
                    '820000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '829999'
                                },
                    '618000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Energis',
                                  'location' => 'Carrick-on-Suir',
                                  'status' => 'Allocated',
                                  'end' => '618999'
                                },
                    '612000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Carrick-on-Suir',
                                  'status' => 'Allocated',
                                  'end' => '612999'
                                },
                    '280000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Kilmacthomas',
                                  'status' => 'Allocated',
                                  'end' => '289999'
                                },
                    '390000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '399999'
                                },
                    '343000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '343999'
                                },
                    '320000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '320999'
                                },
                    '420000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'New Ross',
                                  'status' => 'Allocated',
                                  'end' => '429999'
                                },
                    '860000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '869999'
                                },
                    '840000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '849999'
                                },
                    '850000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '859999'
                                },
                    '325000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '325999'
                                },
                    '590000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '599999'
                                },
                    '680000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Carrick-on-Suir',
                                  'status' => 'Allocated',
                                  'end' => '689999'
                                },
                    '640000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Carrick-on-Suir',
                                  'status' => 'Allocated',
                                  'end' => '649999'
                                },
                    '740000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'New Ross',
                                  'status' => 'Reserved',
                                  'end' => '749999'
                                },
                    '870000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '879999'
                                },
                    '570000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '570999'
                                },
                    '460000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'New Ross',
                                  'status' => 'Allocated',
                                  'end' => '469999'
                                },
                    '344000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '344999'
                                },
                    '438000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Energis',
                                  'location' => 'New Ross',
                                  'status' => 'Allocated',
                                  'end' => '438999'
                                },
                    '980000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '989999'
                                },
                    '990000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '999999'
                                },
                    '610000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Carrick-on-Suir',
                                  'status' => 'Allocated',
                                  'end' => '610999'
                                },
                    '500000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Smart Telecom Limited',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '504999'
                                },
                    '326000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '326999'
                                },
                    '220000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Kilmacthomas',
                                  'status' => 'Reserved',
                                  'end' => '229999'
                                },
                    '345000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '345999'
                                },
                    '600000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Carrick-on-Suir',
                                  'status' => 'Allocated',
                                  'end' => '609999'
                                },
                    '439000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'New Ross',
                                  'status' => 'Allocated',
                                  'end' => '439999'
                                },
                    '341000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '341999'
                                },
                    '321000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '321999'
                                },
                    '300000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '309999'
                                },
                    '380000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '389999'
                                },
                    '830000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '839999'
                                },
                    '660000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => 'Carrick-on-Suir',
                                  'status' => 'Reserved',
                                  'end' => '669999'
                                },
                    '880000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '889999'
                                },
                    '347000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'NTL Communications (Ireland) Ltd',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '347999'
                                },
                    '580000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '589999'
                                },
                    '350000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '359999'
                                },
                    '950000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '959999'
                                },
                    '430000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Esat BT',
                                  'location' => 'New Ross',
                                  'status' => 'Allocated',
                                  'end' => '430999'
                                },
                    '890000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Waterford',
                                  'status' => 'Allocated',
                                  'end' => '899999'
                                }
                  },
          '509' => {
                     '86000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '86999'
                                },
                     '39000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '39999'
                                },
                     '21000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '21999'
                                },
                     '47000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '47999'
                                },
                     '45000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '45999'
                                },
                     '23000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '23999'
                                },
                     '99000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '99999'
                                },
                     '20000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '20999'
                                },
                     '25000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '25999'
                                },
                     '43000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '43999'
                                },
                     '41000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '41999'
                                },
                     '54000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '54999'
                                },
                     '53000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '53999'
                                },
                     '91000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '91999'
                                },
                     '67000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '67999'
                                },
                     '69000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '69999'
                                },
                     '30000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '30999'
                                },
                     '42000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '42999'
                                },
                     '55000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '55999'
                                },
                     '59000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '59999'
                                },
                     '22000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '22999'
                                },
                     '26000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '26999'
                                },
                     '87000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '87999'
                                },
                     '40000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '40999'
                                },
                     '57000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'MCI',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '57999'
                                },
                     '24000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '24999'
                                },
                     '46000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '46999'
                                },
                     '49000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '49999'
                                },
                     '93000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '93999'
                                },
                     '97000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '97999'
                                },
                     '37000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '37999'
                                },
                     '35000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '35999'
                                },
                     '31000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '31999'
                                },
                     '51000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '51999'
                                },
                     '52000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '52999'
                                },
                     '33000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Eircom',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '33999'
                                },
                     '48000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '48999'
                                },
                     '44000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => '',
                                  'location' => '',
                                  'status' => 'Reserved',
                                  'end' => '44999'
                                },
                     '68000' => {
                                  'designation' => 'Geographic',
                                  'licensee' => 'Chorus',
                                  'location' => 'Birr',
                                  'status' => 'Allocated',
                                  'end' => '68999'
                                }
                   },
          '47' => {
                    '86000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '86999'
                               },
                    '83000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '83999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'NTL Communications (Ireland) Ltd',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clones',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Clones',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '54000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clones',
                                 'status' => 'Allocated',
                                 'end' => '54999'
                               },
                    '53000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clones',
                                 'status' => 'Allocated',
                                 'end' => '53999'
                               },
                    '74000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '74999'
                               },
                    '91000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '91999'
                               },
                    '56000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clones',
                                 'status' => 'Allocated',
                                 'end' => '56999'
                               },
                    '85000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '85999'
                               },
                    '58000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clones',
                                 'status' => 'Allocated',
                                 'end' => '58999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Monaghan',
                                 'status' => 'Reserved',
                                 'end' => '66999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '78000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '78999'
                               },
                    '55000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clones',
                                 'status' => 'Allocated',
                                 'end' => '55999'
                               },
                    '59000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clones',
                                 'status' => 'Allocated',
                                 'end' => '59999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Clones',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               },
                    '84000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '84999'
                               },
                    '87000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '87999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '36999'
                               },
                    '50000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clones',
                                 'status' => 'Allocated',
                                 'end' => '50999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '57000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clones',
                                 'status' => 'Allocated',
                                 'end' => '57999'
                               },
                    '88000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '88999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'NTL Communications (Ireland) Ltd',
                                 'location' => 'Clones',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '81000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '81999'
                               },
                    '76000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '76999'
                               },
                    '77000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '77999'
                               },
                    '72000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '72999'
                               },
                    '89000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '89999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Clones',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '71000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '71999'
                               },
                    '38000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '38999'
                               },
                    '82000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '82999'
                               },
                    '35000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '35999'
                               },
                    '51000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clones',
                                 'status' => 'Allocated',
                                 'end' => '51999'
                               },
                    '52000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Clones',
                                 'status' => 'Allocated',
                                 'end' => '52999'
                               },
                    '75000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '75999'
                               },
                    '80000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '80999'
                               },
                    '79000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '79999'
                               },
                    '73000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Monaghan',
                                 'status' => 'Allocated',
                                 'end' => '73999'
                               }
                  },
          '98' => {
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '47000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '47999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Westport',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '43000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '43999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '54000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '54999'
                               },
                    '64000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '64999'
                               },
                    '53000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '53999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '66999'
                               },
                    '42000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '42999'
                               },
                    '55000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '55999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               },
                    '36000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '36999'
                               },
                    '50000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '50999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '88000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Westport',
                                 'status' => 'Reserved',
                                 'end' => '88999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '49000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '49999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '29000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '29999'
                               },
                    '38000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '38999'
                               },
                    '35000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '35999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '51000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '51999'
                               },
                    '52000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '52999'
                               },
                    '68000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Westport',
                                 'status' => 'Allocated',
                                 'end' => '68999'
                               }
                  },
          '43' => {
                    '86000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Granard',
                                 'status' => 'Allocated',
                                 'end' => '86999'
                               },
                    '83000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Granard',
                                 'status' => 'Allocated',
                                 'end' => '83999'
                               },
                    '27000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '27999'
                               },
                    '21000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '21999'
                               },
                    '34000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '34999'
                               },
                    '47000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '47999'
                               },
                    '45000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '45999'
                               },
                    '23000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '23999'
                               },
                    '99000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => '',
                                 'status' => 'Reserved',
                                 'end' => '99999'
                               },
                    '20000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '20999'
                               },
                    '25000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '25999'
                               },
                    '43000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '43999'
                               },
                    '41000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '41999'
                               },
                    '61000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Granard',
                                 'status' => 'Allocated',
                                 'end' => '61999'
                               },
                    '54000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'NTL Communications (Ireland) Ltd',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '54999'
                               },
                    '53000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'MCI',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '53999'
                               },
                    '74000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'NTL Communications (Ireland) Ltd',
                                 'location' => 'Granard',
                                 'status' => 'Allocated',
                                 'end' => '74999'
                               },
                    '56000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '56999'
                               },
                    '85000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Granard',
                                 'status' => 'Allocated',
                                 'end' => '85999'
                               },
                    '58000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '58999'
                               },
                    '66000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Granard',
                                 'status' => 'Reserved',
                                 'end' => '66999'
                               },
                    '60000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Granard',
                                 'status' => 'Allocated',
                                 'end' => '60999'
                               },
                    '30000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '30999'
                               },
                    '42000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '42999'
                               },
                    '78000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Chorus',
                                 'location' => 'Granard',
                                 'status' => 'Allocated',
                                 'end' => '78999'
                               },
                    '59000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '59999'
                               },
                    '22000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '22999'
                               },
                    '26000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '26999'
                               },
                    '84000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Granard',
                                 'status' => 'Allocated',
                                 'end' => '84999'
                               },
                    '87000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Granard',
                                 'status' => 'Allocated',
                                 'end' => '87999'
                               },
                    '50000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '50999'
                               },
                    '32000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '32999'
                               },
                    '40000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '40999'
                               },
                    '24000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '24999'
                               },
                    '81000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Granard',
                                 'status' => 'Allocated',
                                 'end' => '81999'
                               },
                    '76000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Granard',
                                 'status' => 'Allocated',
                                 'end' => '76999'
                               },
                    '46000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '46999'
                               },
                    '49000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '49999'
                               },
                    '72000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Granard',
                                 'status' => 'Allocated',
                                 'end' => '72999'
                               },
                    '71000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Granard',
                                 'status' => 'Allocated',
                                 'end' => '71999'
                               },
                    '28000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '28999'
                               },
                    '29000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '29999'
                               },
                    '35000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '35999'
                               },
                    '31000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '31999'
                               },
                    '75000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Granard',
                                 'status' => 'Allocated',
                                 'end' => '75999'
                               },
                    '33000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => '',
                                 'location' => 'Longford',
                                 'status' => 'Reserved',
                                 'end' => '33999'
                               },
                    '48000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '48999'
                               },
                    '73000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Esat BT',
                                 'location' => 'Granard',
                                 'status' => 'Allocated',
                                 'end' => '73999'
                               },
                    '44000' => {
                                 'designation' => 'Geographic',
                                 'licensee' => 'Eircom',
                                 'location' => 'Longford',
                                 'status' => 'Allocated',
                                 'end' => '44999'
                               }
                  }
        };


1;

